<?php
defined('BASEPATH') OR exit('No direct script access allowed');

$route['default_controller'] = "global_tender";
$route['404_override'] = '';
$route['global-(:any)'] = "global_tender/viewPage/$1";

// Global Tender Admin Login
$route['admin-login'] = "admin_login/adminLoginPage";
$route['adminlogin'] = "admin_login/doLogin";

// Global Tender Admin
$route['admin'] = "admin";
$route['admin-logout'] = "admin/logout";
$route['admin/error-request'] = "admin/errorRequestPage";
$route['admin/order-list'] = "admin/allOrderList";
$route['admin/mail-domain-list'] = "admin/genericDomainsListPage";
$route['admin/corporate-domain-list'] = "admin/corporateDomainsListPage";
$route['admin/order-invoice/(:any)'] = "admin/orderInvoice/$1";

$route['admin/all-category'] = "admin/allCategoryPage";
$route['admin/add-category'] = "admin/addCategoryPage";
$route['addcategory'] = "admin/addCategory";
$route['addsubcategory'] = "admin/addSubCategory";
$route['admin/users/(:num)'] = "admin/usersRegistrationPage/$1";
$route['admin/users'] = "admin/usersRegistrationPage";
$route['admin/add-tenders'] = "admin/addTenderPage";
$route['admin/update-tenders/(:any)'] = "admin/updateTenderPage/$1";
$route['admin/all-tenders'] = "admin/allTenderPage";
$route['admin/tenders-list/(:any)'] = "admin/adminTenderList/$1";
$route['admin/user-profile/(:any)'] = "admin/userProfilePage/$1";
$route['admin/edit-user-profile/(:any)'] = "admin/userProfileEditPage/$1";
$route['admin/create-admin'] = "admin/createAdminPage";
$route['admin/edit-admin/(:any)'] = "admin/editAdminPage/$1";
$route['admin/admin-list'] = "admin/allAdminPage";
$route['admin/admin-log'] = "admin/adminLogPage";
$route['admin/country-list'] = "admin/countryListPage";
//$route['admin/user-search'] = "admin/advanceUserSearchPage";
$route['admin/admin-alloted-users'] = "admin/adminAllotUsersPage";
$route['admin/add-user-profile'] = "admin/addUserProfilePage";
$route['admin/write-notes'] = "admin/writeNotesPage";
$route['admin/all-users-notes'] = "admin/allUsersNotesPage";
//$route['admin/search-user'] = "admin/advanceUserSearch";

// Email Alerts
$route['admin/users-list/(:any)'] = "email_alerts/userList/$1";
$route['admin/users-list'] = "email_alerts/userList";
$route['admin/allot-users/(:any)'] = "email_alerts/allotUsersPage/$1";
$route['unsubscribe-user'] = "email_alerts/unsubscribeUserAlert";
$route['unsubscribe-user-successfully'] = "email_alerts/unsubscribeUserAlertSuccess";
$route['tenders-tmail'] = "email_alerts/tenderOffersRedirect";

$route['admin/email-user-search'] = "email_alerts/userSearchPageEmailAlert";
$route['admin/email-usersearch/(:any)'] = "email_alerts/userSearchEmailAlert/$1";
$route['admin/email-usersearch'] = "email_alerts/userSearchEmailAlert";
$route['admin/daily-alert-search'] = "email_alerts/dailyAlertSearchPage";
$route['admin/daily-alert-search-result'] = "email_alerts/dailyAlertSearchResult";
$route['admin/daily-alert-report'] = "email_alerts/dailyAlertReportResult";
$route['admin/daily-alert-search-result/(:num)'] = "email_alerts/dailyAlertSearchResult/$1";
$route['admin/page-click-search'] = "email_alerts/pageClickSearchPage";
$route['admin/email-track-mail'] = "email_alerts/emailTrackMailSearchPage";

//email-group
$route['admin/email-group'] = "email_group/mailGroupPage";
$route['admin/edit-email-group/(:num)'] = "email_group/editMailGroupPage/$1";
$route['admin/send-email'] = "email_group/sendEmailPage";


// Templates
$route['admin/create-templates'] = "tenders_templates/createTemplatePage";
$route['admin/edit-templates'] = "tenders_templates/editTemplatePage";
$route['admin/templates-list'] = "tenders_templates/templatesListPage";
$route['admin/templates-list/(:any)'] = "tenders_templates/templatesListPage/$1";


// Tender Search
$route['admin/tender-search'] = "tender_search/index";
$route['admin/tendersearch/(:any)'] = "tender_search/advanceTendersSearch/$1";
$route['admin/tendersearch'] = "tender_search/advanceTendersSearch";

// User Search
$route['admin/user-search'] = "user_search/index";
$route['admin/usersearch/(:any)'] = "user_search/advanceUserSearch/$1";
$route['admin/usersearch'] = "user_search/advanceUserSearch";
$route['admin/viewed-tenders'] = "user_search/userViewedTenders";
$route['admin/viewed-tenders/(:any)'] = "user_search/userViewedTenders/$1";
$route['admin/view-tender-search'] = "user_search/viewTenderSearchPage";
$route['admin/view-tender-search/(:any)'] = "user_search/viewTenderSearchPage/$1";
$route['admin/viewtendersearch/(:any)'] = "user_search/viewTenderSearch/$1";
$route['admin/viewtendersearch'] = "user_search/viewTenderSearch";
$route['admin/schedule-mail'] = "user_search/userScheduleMailPage";
$route['admin/user-notes/(:any)'] = "user_search/userNotesPage/$1";
$route['admin/view-tender-excel1'] = "user_search/viewTenderExcel1";
$route['admin/view-tender-excel2'] = "user_search/viewTenderExcel2";
$route['admin/view-tender-excel3'] = "user_search/viewTenderExcel3";

// Global Tender Login

$route['tender-login/sign-up'] = "tender_login/userLoginPage";
$route['global-tenders-registration'] = "tender_login/userRegistrationPage1";
$route['global-tenders-registration2'] = "tender_login/userRegistrationPage2";
$route['global-tenders-registration3'] = "tender_login/userRegistrationPage3";
$route['global-tenders-forgot-password'] = "tender_login/forgotPasswordPage";
$route['forget-password'] = "tender_login/forgetPassword";
$route['reset-password'] = "tender_login/resetPassword";
//$route['global-tenders-registration'] = "tender_login/userLoginPage";
$route['gt-login'] = "tender_login/doLogin";
$route['verification-page'] = "tender_login/verifyPage";
$route['email-verification'] = "tender_login/emailVerification";
$route['email-verification-page'] = "tender_login/registerUserStep2Page";
$route['send-verification-mail'] = "tender_login/sendVerificationMailToAdmin";
$route['tender-login/user-registration'] = "tender_login/userRegistrationPage";
$route['send-verification-email'] = "tender_login/sendVerificationMailToAdmin";
$route['account-reactive-email'] = "tender_login/sendReactiveMail";
//$route['tender-login/register'] = "tender_login/registerUser";
$route['tender-login/register'] = "global_tender/registerUser";
$route['global-tenders-registration-step1'] = "tender_login/registerUserStep1";
$route['global-tenders-registration-step2'] = "tender_login/registerUserStep2";

// Global Tender
$route['global-tenders-search'] = "global_tender/advanceSearchPage";//gt-search.php
$route['gt-search'] = "global_tender/advanceSearch";//gt-search.php
$route['public-tenders'] = "global_tender/advanceSearch";
$route['govt-rfps-bids-tenders'] = "global_tender/advanceSearch";
$route['gt-cpv-search'] = "global_tender/CPVSearch";
$route['gt-(:any)-tenders/(:any)'] = "global_tender/CPVTenders/$1/$2";
$route['gt-(:any)-tenders'] = "global_tender/CPVTenders/$1";
$route['search/(:any)'] = "search/getTendersContent/$1";
$route['global-tender-keyword-search'] = "global_tender/keywordSearchPage";
$route['gt-keyword'] = "global_tender/keywordSearchTenders";
$route['global-tender-reference-search'] = "global_tender/referenceNumberSearchPage";
$route['global-tender-CPV-search'] = "global_tender/CPVCodeSearchPage";
$route['global_tender/search-result'] = "global_tender/advanceSearch";
$route['free-tender-search'] = "global_tender/getFreeTendersContent";
$route['free-tenders'] = "global_tender/freeTendersPage";
$route['free-tender-detail/(:any)'] = "global_tender/freeTendersFullData/$1";
$route['full-detail/(:any)'] = "global_tender/tenderFullDetail/$1";
$route['global-tenders-logout'] = "global_tender/logout";
$route['contact'] = "global_tender/contactUsPage";
$route['enquiry-form'] = "global_tender/enquiryForm";
$route['feedback-form'] = 'global_tender/feedbackFormSubmitPage';
$route['download-excel'] = 'global_tender/downloadExcelAdvanceSearch';
$route['analytics-write-up'] = 'global_tender/analyticsDetailPage';
$route['limited-time-offer'] = 'global_tender/globalTendersLimitedTimeOffer';
$route['not-authorised'] = 'global_tender/notAuthorisedPage';
$route['tender-limit-over/(:num)'] = 'global_tender/tenderLimitOver/$1';
$route['popular-categories'] = 'global_tender/popularCategoriesPage';
$route['global-tenders-services'] = 'global_tender/allServicesPage';
$route['India-Tenders-July'] = 'global_tender/indiaTendersJuly';
$route['global-tender-registration'] = 'global_tender/userRegistration';
//$route['profuct-full-view/'] = "Tender";

// Global Tender Dashboard
$route['dashboard'] = 'global_tender_dashboard/index';
$route['keyword-dashboard'] = 'global_tender_dashboard/keywordDashboard';
$route['dashboard/recommended'] = 'global_tender_dashboard/recommendedPage';
$route['dashboard/info-graph'] = 'global_tender_dashboard/infoGraphsPage';
$route['dashboard/my-profile/user-profile'] = 'global_tender_dashboard/profilePage';
$route['dashboard/my-profile/user-keyword'] = 'global_tender_dashboard/keywordPage';
$route['dashboard/my-profile/change-password'] = 'global_tender_dashboard/changePasswordPage';
$route['dashboard/my-profile/add-user'] = 'global_tender_dashboard/addUserPage';
$route['dashboard/account-activity/tenders-history'] = 'global_tender_dashboard/tendersHistoryPage';
$route['dashboard/account-activity/saved-tenders'] = 'global_tender_dashboard/savedTendersPage';
$route['dashboard/account-activity/sent-tenders'] = 'global_tender_dashboard/sentTendersPage';
$route['dashboard/account-activity/saved-search'] = 'global_tender_dashboard/savedSearchPage';
$route['dashboard/account-activity/further-information'] = 'global_tender_dashboard/requireFurtherInformationPage';
$route['dashboard/contact-form'] = 'global_tender_dashboard/contactFormPage';
$route['dashboard/schedule-demo'] = 'global_tender_dashboard/scheduleDemoPage';
$route['dashboard/advance-features/analytics'] = 'global_tender_dashboard/analyticsPage';
$route['dashboard/advance-features/market-reports'] = 'global_tender_dashboard/marketReportsPage';
$route['dashboard/advance-features/periodic-updates'] = 'global_tender_dashboard/periodicUpdatesPage';
$route['dashboard/premium-feature'] = 'global_tender_dashboard/paidFeatureInfoPage';
$route['dashboard/global-tenders-search'] = "global_tender_dashboard/advanceSearchPage";
$route['dashboard/previous-search'] = 'global_tender_dashboard/previousSearchPage';
$route['dashboard/send-verification-mail'] = 'global_tender_dashboard/sendVerificationMail';

$route['all-tenders'] = 'global_tender_dashboard/allTendersPage';
$route['tenders-notice'] = 'global_tender_dashboard/tendersNoticePage';
$route['project-information'] = 'global_tender_dashboard/projectInformationPage';
$route['procurement-news'] = 'global_tender_dashboard/procurementNewsPage';
$route['contract-awards'] = 'global_tender_dashboard/contractAwardsPage';
$route['new-tenders'] = 'global_tender_dashboard/newTendersPage';
$route['live-tenders'] = 'global_tender_dashboard/liveTendersPage';
$route['archives-tenders'] = 'global_tender_dashboard/archivesTendersPage';
$route['social'] = 'global_tender_dashboard/socialPage';
$route['global-tenders-upgrade'] = 'global_tender_dashboard/upgradeProfilePage';
$route['check-cpv'] = 'global_tender_dashboard/checkCPVPage';
$route['global-tenders-limited-time-offer'] = 'global_tender_dashboard/globalTendersLimitedTimeOffer';
$route['corporate-package-form'] = 'global_tender_dashboard/corporatePackageFormPage';

// Report

$route['report/market-report/(:num)'] = 'report/marketReportPage/$1';
$route['report/market-report'] = 'report/marketReportPage';
$route['report/analytics-report/(:num)'] = 'report/analyticsReportPage/$1';
$route['report/analytics-report'] = 'report/analyticsReportPage';
$route['report/periodic-updates-report/(:num)'] = 'report/periodicUpdatesReportPage/$1';
$route['report/periodic-updates-mail-report/(:num)'] = 'report/periodicUpdatesMailReportPage/$1';
$route['report/periodic-updates-report'] = 'report/periodicUpdatesReportPage';
$route['report/free-users-request/(:num)'] = 'report/freeUsersRequestPage/$1';
$route['report/free-users-request'] = 'report/freeUsersRequestPage';

// TCS 
$route['tcs'] = 'tcsfront/index';
$route['tcs/search-result'] = 'tcsfront/advanceSearchResult';
$route['tcs/download-excel'] = 'tcsfront/downloadExcelAdvanceSearch';


// Static Page
$route['disc/nova'] = 'static_controller/seppackagesPage';
$route['disc/nova/regular'] = 'static_controller/seppackagesRegularPage';
$route['disc/nova/premium'] = 'static_controller/seppackagesPremiumPage';
$route['disc/nova/regularplus'] = 'static_controller/seppackagesRegularPlusPage';
$route['disc/novm'] = 'static_controller/sepmonthlyPage';
$route['disc/novm/regular'] = 'static_controller/sepmonthlyRegularPage';
$route['disc/novm/premium'] = 'static_controller/sepmonthlyPremiumPage';
$route['disc/novm/regularplus'] = 'static_controller/sepmonthlyRegularPlusPage';
$route['disc/invoice-bank-transfer-detail-action'] = 'static_controller/invoiceBankTransferDetailAction';
