<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class Common extends CI_Controller {
	public function __construct()
	{
		parent::__construct();
		$data = array();
		$this->adminid = $this->session->userdata('adminid');
		$this->load->model("common_model","common");
	}
	public function index()
	{
		echo "common";
	}
	public function getAjaxCasts()
	{
		$data['caste'] = $this->common->getData('castes',array('caste_religion_id'=>$_POST['rid']),array('caste_name'));
		//echo "<pre>";print_r($data);die;
		$html = '';
		$html .= '<option value="">Select Caste</option>';
		if(!empty($data))
		{
			foreach($data['caste'] as $key => $value):
				$html .= '<option value="'.$value->caste_name.'">'.$value->caste_name.'</option>';
			endforeach;
		}else{
			$html .= '<option value=""></option>';
		}
		print_r($html);
	}
	public function getAjaxState()
	{
		$data['state'] = $this->common->getData('states',array('countryID'=>$_POST['cid']),array('stateID','stateName'));
		$html = '';
		$html .= '<option value="">Select State</option>';
		if(!empty($data))
		{
			foreach($data['state'] as $key => $value):
				$html .= '<option value="'.$value->stateID.'">'.$value->stateName.'</option>';
			endforeach;
		}else{
			$html .= '<option value=""></option>';
		}
		print_r($html);
	}
	public function getAjaxCity()
	{
		$data['city'] = $this->common->getData('cities',array('stateID'=>$_POST['sid']),array('cityID','cityName'));
		$html = '';
		$html .= '<option value="">Select City</option>';
		if(!empty($data))
		{
			foreach($data['city'] as $key => $value):
				$html .= '<option value="'.$value['cityName'].'">'.$value['cityName'].'</option>';
			endforeach;
		}else{
			$html .= '<option value=""></option>';
		}
		print_r($html);
	}
	public function getAjaxProducts()
	{
		$data = $this->common->getData('products',array('productid !='=>$_POST['productid']),array("productid","product_name"));
		$html = '';
		$html .= '<option value="" Disabled>Select products</option>';
		if($data)
		{
			foreach($data as $key => $value):
				$html .= '<option value="'.$value['productid'].'">'.$value['product_name'].'</option>';
			endforeach;
		}else{
			$html .= '<option value=""></option>';
		}
		print_r($html);
	}
	public function rmdirRecursive($dir)
	{
	    foreach(scandir($dir) as $file) {
	        if ('.' === $file || '..' === $file) continue;
	        if (is_dir("$dir/$file")) $this->rmdirRecursive("$dir/$file");
	        else unlink("$dir/$file");
	    }
	    rmdir($dir);
	}


	public function ajaxDelete()
	{
		$table = $_POST['table'];
		unset($_POST['table']);
		$fields = $this->common->getField($table,$_POST);
		$key = key($fields);
		$this->common->deleteData($table,$_POST);
		if($this->db->affected_rows())
		{
			$dir = "assets/admin/images/".$table."/".$this->adminid."/".$fields[$key];
			if(is_dir($dir))
			{
				$this->rmdirRecursive($dir);
			}
			echo "1";
		}else{
			echo "0";
		}
	}

	public function checkWrongCPV()
	{
		echo "<pre>";
		$alphas = range('A', 'Z');
		$query = "SELECT * FROM `saved_cpv` WHERE `saved_cpv` like '% %'";
		foreach ($alphas as $key => $value) {
			$query .= " or `saved_cpv` like '%".$value."%'";
		}
		$udata = $this->db->query($query)->result_array();
        print_r($udata);die;
        $user = $this->common->getData("saved_cpv",array(),array("userid"));
        foreach ($user as $key => $value) {
            if($this->common->getsData("user",array("userid"=>$value['userid']))){
                echo $value['userid']." = yes<br>";
            }else{
                echo $value['userid']." = no<br>";
                //$this->common->deleteData("saved_cpv",array("userid"=>$value['userid']));
            }
        }
	}

	public function getDeletedUsers($status=0)
	{
		$cpvuser = $this->db->query("select dt.userid from st_log as dt")->result_array();
		echo "1 => st_log<br>";
		foreach ($cpvuser as $key => $value) {
			if(!$this->common->getsData("user",array("userid"=>$value['userid']))){
				echo "no = ".$value['userid']."<br>";
				if($status==1){
					$this->common->deleteData("st_log",array("userid"=>$value['userid']));
				}
			}
		}
		$cpvuser = $this->db->query("select dt.userid from saved_history_tenders as dt")->result_array();
		echo "2 => saved_history_tenders<br>";
		foreach ($cpvuser as $key => $value) {
			if(!$this->common->getsData("user",array("userid"=>$value['userid']))){
				echo "no = ".$value['userid']."<br>";
				if($status==2){
					$this->common->deleteData("saved_history_tenders",array("userid"=>$value['userid']));
				}
			}
		}
		$cpvuser = $this->db->query("select dt.userid from saved_search as dt")->result_array();
		echo "3 => saved_search<br>";
		foreach ($cpvuser as $key => $value) {
			if(!$this->common->getsData("user",array("userid"=>$value['userid']))){
				echo "no = ".$value['userid']."<br>";
				if($status==3){
					$this->common->deleteData("saved_search",array("userid"=>$value['userid']));
				}
			}
		}
		$cpvuser = $this->db->query("select dt.userid from saved_tenders as dt")->result_array();
		echo "4 => saved_tenders<br>";
		foreach ($cpvuser as $key => $value) {
			if(!$this->common->getsData("user",array("userid"=>$value['userid']))){
				echo "no = ".$value['userid']."<br>";
				if($status==4){
					$this->common->deleteData("saved_tenders",array("userid"=>$value['userid']));
				}
			}
		}
		$cpvuser = $this->db->query("select dt.userid from sent_tenders as dt")->result_array();
		echo "5 => sent_tenders<br>";
		foreach ($cpvuser as $key => $value) {
			if(!$this->common->getsData("user",array("userid"=>$value['userid']))){
				echo "no = ".$value['userid']."<br>";
				if($status==5){
					$this->common->deleteData("sent_tenders",array("userid"=>$value['userid']));
				}
			}
		}
		$cpvuser = $this->db->query("select dt.userid from email_alert as dt")->result_array();
		echo "6 => email_alert<br>";
		foreach ($cpvuser as $key => $value) {
			if(!$this->common->getsData("user",array("userid"=>$value['userid']))){
				echo "no = ".$value['userid']."<br>";
				if($status==6){
					$this->common->deleteData("email_alert",array("userid"=>$value['userid']));
				}
			}
		}
		$cpvuser = $this->db->query("select dt.userid from saved_cpv as dt")->result_array();
		echo "7 => saved_cpv<br>";
		foreach ($cpvuser as $key => $value) {
			if(!$this->common->getsData("user",array("userid"=>$value['userid']))){
				echo "no = ".$value['userid']."<br>";
				if($status==7){
					$this->common->deleteData("saved_cpv",array("userid"=>$value['userid']));
				}
			}
		}
		$cpvuser = $this->db->query("select dt.userid from tender_view_limit as dt")->result_array();
		echo "8 => tender_view_limit<br>";
		foreach ($cpvuser as $key => $value) {
			if(!$this->common->getsData("user",array("userid"=>$value['userid']))){
				echo "no = ".$value['userid']."<br>";
				if($status==8){
					$this->common->deleteData("tender_view_limit",array("userid"=>$value['userid']));
				}
			}
		}
	}

	public function getSeenTenders()
	{
		echo "<pre>";
		//$this->db->truncate("seen_tenders");
		$data = $this->common->getData("seen_tenders");
		print_r($data);
		echo "</pre>";
	}

	public function checkTenderLimit()
	{
		echo "<pre>";
		$data = $this->common->getData("tender_view_limit");
		print_r($data);
	}

	public function countTenders()
	{
		$infodb = $this->load->database('info', TRUE);
		$query = $infodb->query('select T.posting_id from tenders_archive as T where T.doc_last <= "2017-07-03" order by T.posting_id desc');
		echo $infodb->last_query();
		echo $query->num_rows();die;
	}

	public function checkSMTPMail()
	{
		$this->load->library('email');
		$res = $this->common->sendSMTPMail("Check SMTP Mail","yogita.s@global-tenders.com","harsh.starwebindia@gmail.com",array(),"Check SMTP Mail");
		if($res){
			echo "mail send<br>";
		}else{
			echo "mail not send<br>";
		}
		echo $this->email->print_debugger();
		/*
		rohan@global-tenders.com
		emma@global-tenders.com yes
		alan@global-tenders.com yes
		aaditya@global-tenders.com yes
		yogita.s@global-tenders.com no
		gauri.g@global-tenders.com yes
		anchal.g@global-tenders.com yes
		freealerts@global-tenders.com yes
		bids@global-tenders.com yes
		*/
	}

	public function checkScheduleMails()
	{
		//$this->db->query("TRUNCATE TABLE mail_schedule");
		echo "<pre>";
		$schedule = $this->common->getData("mail_schedule");
		print_r($schedule);
	}

	public function getUsersNotes()
	{
		echo "<pre>";
		$user_notes = $this->common->getData("user_notes");
		print_r($user_notes);
	}

	public function getUsers($userid='')
	{
		echo "<pre>";
		if($userid!=""){
			$users = $this->common->getData("user",array("userid"=>$userid));
			print_r($users);
		}
		$users = $this->common->getData("other_users");
		print_r($users);
	}

	public function checkOnlineUsers($value='')
	{
		echo "<pre>";
		$users = $this->common->getData("online_user");
		print_r ($users);
		echo "</pre>";die;
	}

	public function getKeywordArray()
	{
		$this->load->config("custom");
		$commonWords = $this->config->item("commonWords");
		echo "<pre>";
		$keyword = "biomedica,consumption,Construction";
		echo $keyword."<br>";
		$keyword = preg_replace('/\b('.implode('|',$commonWords).')\b/','',$keyword);
		$keyword = preg_replace('/[^A-Za-z0-9\-]/', '-',trim($keyword));
		$keyword = reduce_multiples($keyword,"-");
		echo $keyword."<br>";
		$karray = array_unique(array_map('strtolower',explode("-", url_title($keyword))));
		print_r($karray);
	}

	public function truncateOtherUsers()
	{
		$this->db->truncate("profile_request");
	}

	public function getPasswords()
	{
		echo "<pre>";
		$this->load->model("user_search/user_search_model","usearch");
		$data = $this->db->query("select * from admin")->result_array();
		print_r($data);
	}

	public function checkMail()
	{
		$this->load->library("email");
		$this->email->from("hw.sharma9@gmail.com","check mail");//"contact@dragonrecruiting.net"
		$this->email->to("harsh.starwebindia@gmail.com");
		$this->email->subject("check email");
		$this->email->message("check");
		$this->email->set_header('Return-Receipt-To', "check mail" . ' <hw.sharma9@gmail.com>');
		$this->email->set_header('Disposition-Notification-To', "check mail" . ' <hw.sharma9@gmail.com>');
		if($this->email->send()){
			echo "send";
		}else{
			echo "not";
		}
	}

	public function getTemplates()
	{
		$templates = $this->common->getData("templates");
		echo "<pre>";
		print_r ($templates);
		echo "</pre>";die;
	}

	public function getUsersOtherInfo()
	{
		$this->db->truncate("users_other_info");
		$users_other_info = $this->common->getData("users_other_info");
		echo "<pre>";
		print_r ($users_other_info);
		echo "</pre>";die;
	}

	public function getContents($status=0)
	{
		echo "<pre>";
		$this->load->model("user_search/user_search_model","usearch");
		//$data = $this->db->query("select userid,count(userid) as c from email_alert as EA group by userid having count(userid)>1")->result_array();
		//$data = $this->db->query("select * from user where reg_date like '%2017-10-23%' and email_alert = 1")->result_array();
		//$this->db->query("alter table users_other_info add cant_check_live_detail int(1) not null");
		$infodb = $this->load->database('info', TRUE);
		// $data = $infodb->query('show columns from tenders')->result_array();
		// print_r($data);die;
		//print_r($data);
		/*foreach ($data as $key => $value) {
			//print_r($value);
			$d = $this->common->getData("email_alert",array("userid"=>$value['userid']));
			if($d){
				foreach ($d as $key1 => $value1) 
				{
					if($key1!=0){
						print_r($value1);
					}
				}
			}
		}die;*/
		$data = $this->db->query('show tables')->result_array();
		$data1 = $this->db->query('select * from user_mail_type where userid= 1520330598')->result_array();
		echo "<pre>";
		print_r ($data);
		print_r ($data1);
		echo "</pre>";die;
		$md = $this->db->query("select * from mail_domain")->result_array();
		foreach ($md as $key => $value) {
			echo $value['mdid']." = ".trim($value['mail_domain'])."<br>";
			//$this->common->updateData("mail_domain",array("mail_domain"=>trim($value['mail_domain'])),array("mdid"=>$value['mdid']));
			$res = $this->db->query("select mail_domain from corporate_domain where mail_domain = '".trim($value['mail_domain'])."'");
			if($res->num_rows()!=0){
				echo $value['mdid']." = ".trim($value['mail_domain'])."<br>";
				$result = $res->result_array();
				print_r($result);
				//$this->common->deleteData("corporate_domain",array("mail_domain"=>$result[0]['mail_domain']));
			}
		}die;
		$emails1 = array(
						"naver.com", //done
						"163.com", // user not found
						"vip.163.com", //done
						"outlook.com", //done
						"live.com.au", //done
						"live.com.sg", //done
						"icloud.com", //done
						"shaw.ca", //done
						"live.com", // user not found
						"windowslive.com", //done
						"aol.de", //done
						"126.com", //done
						"eim.ae", //done
						"vodamail.co.za", //done
						"yandex.ua", //done
						"yopmail.com", //done
						"sina.com", //done
						"vsnl.net", //done
						"rambler.ru", //done
						"live.in", //done
						"iway.na", //done
						"gmx.com", //done
						"bk.ru", //done
						"telenet.be", //done
						"email.ua", //done
						"hotmail.it", //done
						"inbox.lv", //done
						"aol.in", //done
						"meta.ua", //done
						"tut.by", //done
						"libero.it", //done
						"intnet.mu", //done
						"live.nl", //done
						"mega.bw", //done
						"gmail.com.sa", //done
						"btinternet.com", //done
						"yeah.com", //done
						"yiho.cc", //done
						"telenet.be", // user not found
						"abv.bg", //done
						"africa.airtel.com", //done
						"workmail.co.za", //done
						"orange.sn", //done
						"orange.mu", //done
						"rediff.com", //done
						"dhaka.net", //done
						"sina.cn", //done
						"zoho.com", //done
						"qatar.net.qa", //done
						"worker.com", //done
						"accountant.com", //done
						"gmx.co.uk", //done
						"online.ua", //done
						"yahoo.in", //done
						"live.co.za", //done
						"telkomsa.net" //done
						);
		$emails = array("live.co.za","telkomsa.net");
		echo "<pre>";
		$result = $count = array();
		$table = '<table border="1"><tr><td>Userid</td><td>Email</td><td>Ext</td><td>email domain</td><td>email domain status</td></tr>';
		foreach ($emails as $key => $value) {
			$user = $this->db->query("select userid,email,email_domain,email_domain_status from user where email like '%@".$value."%' and email_domain='corporate'")->result_array();
			//print_r($user);
			array_push($count, count($user));
			foreach ($user as $key1 => $value1) {
				$ext = end(explode("@", $value1['email']));
				$table .= '<tr><td>'.$value1['userid'].'</td>'.'<td>'.$value1['email'].'</td>'.'<td>'.$ext.'</td>'.'<td>'.$value1['email_domain'].'</td>'.'<td>status '.$value1['email_domain_status'].'</td></tr>';
				if($status==1){
					$this->common->updateData("user",array("email_domain"=>"generic","email_domain_status"=>0),array("userid"=>$value1['userid']));
				}
			}
		}
		$table .= '</table>';
		//print_r($result);
		echo $table;
		echo array_sum($count);
		//foreach ($result as $key => $value) {
		//}
		die;
	}

	public function updateRecord()
	{
		//$infodb = $this->load->database('info', TRUE);
		// $this->db->query("truncate table market_analytics_periodic_request");
		$users = $this->db->query("select * from market_analytics_periodic_request")->result_array();
		echo "<pre>";
		print_r ($users);
		echo "</pre>";die;
		$users = $this->db->query("select userid,views from user")->result_array();
		if($users) {
			foreach ($users as $key => $value) {
				echo "<pre>";
				print_r ($value);
				echo "</pre><br>";
			}
		}
	}

	public function getDB()
	{
		// Load the DB utility class
		$this->load->dbutil();

		// Backup your entire database and assign it to a variable
		$backup = $this->dbutil->backup();

		// Load the file helper and write the file to your server
		$this->load->helper('file');
		write_file('/path/to/mybackup.zip', $backup);

		// Load the download helper and send the file to your desktop
		$this->load->helper('download');
		force_download('mybackup.zip', $backup);
	}

	public function createZip()
	{
		$this->load->helper('directory');
        $this->load->helper('file');
		$this->load->library('zip');
		$this->zip->read_dir(FCPATH."application/",FALSE);
		$this->zip->download('tenders.zip');
	}
}