<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class MY_Dashboard_Controller extends MY_Controller
{
	Public function __construct(){
		parent::__construct();
		$this->load->model("global_tender_dashboard_model","dashboard");
        $this->load->model("global_tender/global_tender_model","tender");
		$this->load->model("user_search/user_search_model","usearch");
		$this->load->library("pag");
	}

	public function updateUserProfile()
    {
        $this->session->set_userdata(array("is_static_menu"=>1));
        $userid = $_POST['userid'];
        $url = $_POST['url'];
        unset($_POST['userid'],$_POST['url']);
        if($url=="dashboard/my-profile/user-keyword"){
            $_POST['sector'] =(isset($_POST['sector']))?implode(",",$_POST['sector']):"";
            $_POST['omit_sector'] = (isset($_POST['omit_sector']))?implode(",",$_POST['omit_sector']):"";
            $_POST['region_name'] = (isset($_POST['region_name']))?implode(",",$_POST['region_name']):"";
            $_POST['omit_region_name'] = (isset($_POST['omit_region_name']))?implode(",",$_POST['omit_region_name']):"";
            $_POST['product_services'] =(isset($_POST['product_services']) && is_array($_POST['product_services']))?implode(",",$_POST['product_services']):"";
            $_POST['omit_product_services'] =(isset($_POST['omit_product_services']))?implode(",",$_POST['omit_product_services']):"";
            /*if($this->userid=="1472371501"){
                echo "<pre>";
                print_r($_POST);die;
            }*/
            $old_profile = $this->common->getsData("user",array("userid"=>$userid),array("sector","notice_type","product_services","omit_product_services","omit_sector","region_name","omit_region_name"));
        }else{
            $old_profile = $this->common->getsData("user",array("userid"=>$userid),array("organization","city","country","address1","designation","country_code","area_code","phone","mobile_no","website_url"));
        }
        //$email_alert = $this->common->getField("email_alert",$_POST);
        $userdata = $this->common->getField("user",$_POST);
        $res = 0;
        /*$this->common->updateData("email_alert",$email_alert,array("userid"=>$userid));
        if($this->db->affected_rows()){ $res=1; }*/
        $history = $userdata;
        $this->common->updateData("user",$userdata,array("userid"=>$userid));
        if ($userid == 1472459172 && isset($_POST['product_services'])) {
            $this->dashboard->updateKeywordDashboard($userid,$_POST['product_services']);
        }
        if($this->db->affected_rows()){ 
            $history['userid'] = $userid;
            $history['update_by'] = 1;
            $history['update_date'] = NOW;
            $this->common->insertData("user_detail_history",$history);
            $res=1; 
        }
        if($res){
            $this->session->set_flashdata("message","Profile Updated Successfully!");
            
            $html = '';
            $first_name = (isset($_COOKIE['first_name'])?$_COOKIE['first_name']:"");
            $last_name = (isset($_COOKIE['last_name'])?$_COOKIE['last_name']:"");
            $html .= ucwords($first_name." ".$last_name)." ( ".$userid." ) made changes in Dashboard ".(($url==="dashboard/my-profile/user-keyword")?"keyword":"profile")."<br><br>";

            $html .= '<table border="1">';
            $html .= '<tr><th>Fields</th><th>Old '.(($url==="dashboard/my-profile/user-keyword")?"keyword":"profile").'</th><th>New '.(($url=="dashboard/my-profile/user-keyword")?"keyword":"profile").'</th></tr>';
            foreach ($old_profile as $key => $value) {
                if($url=="dashboard/my-profile/user-keyword"){
                    if($key == "sector" || $key == "omit_sector"){
                        $value = $this->common->changeSectorCode($value);
                        $userdata[$key] = $this->common->changeSectorCode($userdata[$key]);
                    }
                    if($key == "notice_type"){
                        $value = $this->common->changeNoticeTypeCode($value);
                        $userdata[$key] = $this->common->changeNoticeTypeCode($userdata[$key]);
                    }
                }else{
                    if($key == "hear"){
                        $value = $this->common->changeHear($value);
                        $userdata[$key] = $this->common->changeHear($userdata[$key]);
                    }
                }
                $html .= '<tr><td>'.ucfirst(str_replace("_", " ", $key)).'</td><td>'.$value.'</td><td>'.$userdata[$key].'</td></tr>';
            }
            $html .= '</table>';
            $res = $this->common->sendMailByCurl(array("message"=>$html,"from"=>"care@globaltenders.email","to"=>"rohan@globaltenders.com","subject"=>"Global Tenders Changes Occured in Dashboard Profile.","bcc"=>""));
        }else{
            $this->session->set_flashdata("emessage","No Changes Occure!");
        }
        if($url=="dashboard/my-profile/user-keyword"){
            redirect(base_url("dashboard/recommended"));
        }else{
            redirect(base_url($url));
        }
    }

    public function updatePassword()
    {
        if(isset($this->userinfo) && $this->userinfo) {
            $data = $this->userinfo[0];
        }
        if($_POST['password']=="" || $_POST['confirm_password']==""){
            $this->session->set_flashdata("emessage","Password or confirm password is empty!");
        }else{
            if($_POST['password']!=$_POST['confirm_password']){
                $this->session->set_flashdata("emessage","Password or confirm password not Matched!");
            }else{
                if($_POST['password']==$data['password']){
                    $this->session->set_flashdata("emessage","No changes occured!");
                }else{
                    $this->common->updateData("user",array("password"=>$_POST['password']),array("userid"=>$this->userid));
                    $this->session->set_flashdata("message","Password changed Successfully!");
                }
            }
        }
        redirect(base_url("dashboard/my-profile/change-password"));
    }

	public function SaveTenderUserDashboard()
    {
        $alert='';
        $data = $this->common->getsData("saved_tenders",array("userid"=>$this->userid));

        if($data){
            $posting_id = json_decode($data['posting_id']);
            //print_r($posting_id);
            if(in_array($_POST['posting_id'], $posting_id))
            {
                $alert = "This tender already added in your dashboard.";
            }else{
                array_push($posting_id, $_POST['posting_id']);
                $this->common->updateData("saved_tenders",array("posting_id"=>json_encode($posting_id)),array("userid"=>$this->userid));
                $alert = "New tender has been added in your dashboard.";
            }
        }else{
            $posting_id = array($_POST['posting_id']);
            $this->common->insertData("saved_tenders",array("userid"=>$this->userid,"posting_id"=>json_encode($posting_id)));
            $alert="Tender has been added in your dashboard.";
        }

        header('Content-type: application/json; charset=utf-8"');
        print_r(json_encode(array("alert"=>$alert)));
    }

    public function deleteSavedTenders()
    {
        $success=0;$message='';
        $this->common->deleteData("sent_tenders",array("userid"=>$this->userid,"ss_id"=>$_POST['ss_id']));

        if($this->db->affected_rows()){
            $success=1;
            $message="Saved Tender Deleted Successfully!";
        }else{
            $success=0;
            $message="Saved Tender Not Deleted!";
        }

        header('Content-type: application/json; charset=utf-8"');
        print_r(json_encode(array("success"=>$success,"message"=>$message)));
    }

	public function sendMailTenders()
	{
		$success=0;$message='';
		$data = $this->common->getsData("user",array("userid"=>$this->userid),array("email","first_name","last_name"));
		$email = $data['email'];
		//print_r($_POST);
		$url = base_url("full-detail/".$_POST['posting_id']);
		//$message = $email." send you a link ".$url;
        $data['from'] = "admin@globaltenders.email";
        $data['to'] = $_POST['emails'];
        $data['message'] = "This tender notice has been sent by ".$data['first_name']." ".$data['last_name']." (".$email.") <br><br><br> Link - ".$url.".";
        $data['subject'] = "Tender Notice Recommended By ".$data['first_name']." ".$data['last_name'].".";
        $data['bcc'] = 'admin@globaltenders.com,contact@globaltenders.com';
		// $res = $this->common->sendMail($message,$to,"Tender Notice Recommended By ".$data['first_name']." ".$data['last_name'].".");

        $res = $this->common->sendMailByCurl1($data);
		if($res['status'] == 1)
		{
			$sent_tenders['userid'] = $this->userid;
			$sent_tenders['posting_id'] = $_POST['posting_id'];
			$sent_tenders['sent_to'] = $_POST['emails'];
			$sent_tenders['date'] = date("Y-m-d H:i:s");
			$this->common->insertData("sent_tenders",$sent_tenders);
			$success=1;
			$message="The Tender Has Been Sent!";
		}else{
			$success=0;
			$message="Mail Could Not Be Sent! Check Your Connection/Mail Client Settings.";
		}
		header('Content-type: application/json; charset=utf-8"');
		print_r(json_encode(array("success"=>$success,"message"=>$message)));
	}

    public function deleteSentTenders()
    {
        $success=0;$message='';
        $this->common->deleteData("sent_tenders",array("userid"=>$this->userid,"posting_id"=>$_POST['posting_id']));
        if($this->db->affected_rows())
        {
            $success=1;
            $message="Sent Tender Deleted Successfully!";
        }else{
            $success=0;
            $message="Sent Tender Not Deleted!";
        }
        header('Content-type: application/json; charset=utf-8"');
        print_r(json_encode(array("success"=>$success,"message"=>$message)));
    }

    public function saveAdvanceSerchResultOnDashboard()
    {
    	$success=0;$message='';
    	$advance_search_fields = array();
        $advance_search = $this->session->userdata("advance_search");
        $_POST['userid'] = $this->userid;
        $_POST['date'] = date("Y-m-d H:i:s");
        $res = $this->common->insertData("saved_search",$_POST);
        if($res)
        {
        	$success=1;
			$message="Search Saved Successfully!";
        }else{
        	$success=0;
			$message="Search Not Saved!";
        }
        header('Content-type: application/json; charset=utf-8"');
		print_r(json_encode(array("success"=>$success,"message"=>$message)));
    }

    public function getSavedTenders()
    {
        $data=array();
        //print_r($_GET);
        $data = $this->dashboard->getDashboardTendersContent($_GET,"getSavedTendersData","",1);
        //echo "<pre>";
        //echo $this->db->last_query();
        //print_r($data);die;
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            $html = ($data['post'] == '')?'<tr align="center"><td><h1>You have not saved any notices</h1></td></tr>':$data['html'];
            print_r(json_encode(array("data"=>$html,"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("cpv-search","Search By Reference Number",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
        }
    }

    public function getSentTenders()
    {
        $data=array();
        //print_r($_GET);
        $data = $this->dashboard->getDashboardTendersContent($_GET,"getSentTenders");
        //echo "<pre>";
        //echo $this->db->last_query();
        //print_r($data);die;
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("cpv-search","Search By Reference Number",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
        }
    }

    public function getAllTenders()
    {
        $data=array();
        //print_r($_GET);
        $data = $this->tender->getTendersContent($_GET);//$this->dashboard->getDashboardTendersContent($_GET,"getAllTenders");
        //echo "<pre>";
        //echo $this->db->last_query();
        //print_r($data);die;
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("cpv-search","Search By Reference Number",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
        }
    }

    public function getTendersNotice()
    {
        $data=array();
        //print_r($_GET);
        $data = $this->dashboard->getDashboardTendersContent($_GET,"getAllTenders",array("T.notice_type"=>"1"));
        //echo "<pre>";
        //echo $this->db->last_query();
        //print_r($data);die;
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("cpv-search","Search By Reference Number",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
        }
    }

    public function getProjectInformation()
    {
        $data=array();
        //print_r($_GET);
        $data = $this->dashboard->getDashboardTendersContent($_GET,"getAllTenders",array("T.notice_type"=>"9"));
        //echo "<pre>";
        //echo $this->db->last_query();
        //print_r($data);die;
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("cpv-search","Search By Reference Number",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
        }
    }

    public function getProcurementNews()
    {
        $data=array();
        //print_r($_GET);
        $data = $this->dashboard->getDashboardTendersContent($_GET,"getAllTenders",array("T.notice_type"=>"4"));
        //echo "<pre>";
        //echo $this->db->last_query();
        //print_r($data);die;
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("cpv-search","Search By Reference Number",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
        }
    }

    public function getContractAward()
    {
        $data=array();
        //print_r($_GET);
        $data = $this->dashboard->getDashboardTendersContent($_GET,"getAllTenders",array("T.notice_type"=>"5"));
        //echo "<pre>";
        //echo $this->db->last_query();
        //print_r($data);die;
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("cpv-search","Search By Reference Number",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
        }
    }

    public function getNewTenders()
    {
        $data=array();
        //print_r($_GET);
        $data = $this->dashboard->getDashboardTendersContent($_GET,"getNewTenders");
        //echo "<pre>";
        //echo $this->db->last_query();
        //print_r($data);die;
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("cpv-search","Search By Reference Number",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
        }
    }

    public function getArchivesTenders()
    {
        $data=array();
        //print_r($_GET);
        $today = date("Y-m-d");
        $data = $this->dashboard->getDashboardTendersContent($_GET,"getArchivesTenders",array("T.doc_last <="=>$today));
        //echo "<pre>";
        //echo $this->db->last_query();
        //print_r($data);die;
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("cpv-search","Search By Reference Number",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
        }
    }

    public function getDashboardTenders()
    {
        $data=$cpv_array=array();

        $cpv = $this->dashboard->getUserDashboardSearchFields($this->userid);

        $profile = $this->common->getsData("user",array("userid"=>$this->userid),array("sector_check"));

        $today = date("Y-m-d");
        
        $_GET['cpv'] = (isset($cpv['saved_cpv']) && $cpv['saved_cpv']!="" && $cpv['saved_cpv'] !='[""]')?implode(",", json_decode($cpv['saved_cpv'])):"";//implode(",", $cpv_array);
        if($profile['sector_check']==1){

            if($cpv['sector']!=""){
                $_GET['sector'] = explode(",", $cpv['sector']);
            }
        }
        if($cpv['omit_sector']!=""){
            $_GET['omit_sector'] = explode(",", $cpv['omit_sector']);
        }
        $_GET['keyword'] = $cpv['product_services'];
        $_GET['omit_keyword'] = $cpv['omit_product_services'];
        if($cpv['region_name']!=""){
            $_GET['region_name'] = explode(",", $cpv['region_name']);
        }else{
            $_GET['region_name'] = array();
        }

        if($cpv['omit_region_name']!=""){
            $_GET['omit_region_name'] = explode(",", $cpv['omit_region_name']);
        }else{
            $_GET['omit_region_name'] = array();
        }
        $_GET['notice_type'] = $cpv['notice_type'];
        //print_r($_GET);
        $data = $this->tender->getTendersContent($_GET);//$this->dashboard->getDashboardTendersContent($_GET,"getDashboardTenders");
        //echo "<pre>"; print_r($_GET['cpv']);print_r($data); die;
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("cpv-search","Search By Reference Number",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
        }
    }

    public function updateUserSocialInfo()
    {
        $message='';
        $data = $this->common->getsData("user",array("userid"=>$this->userid));
        if($data)
        {
            $this->common->updateData("user",$_POST,array("userid"=>$this->userid));
            $message = "Information Updated Successfully!";
        }else{
            $_POST['userid'] = $this->userid;
            $this->common->insertData("user",$_POST);
            $message="Information Inserted Successfully!";
        }
        $this->session->set_flashdata("message",$message);
        redirect(base_url("social"));
        //header('Content-type: application/json; charset=utf-8"');
        //print_r(json_encode(array("message"=>$message)));
    }

    public function updateuserKeyword()
    {
        $this->dashboard->updateuserKeyword($this->userid,$_POST);
        redirect(base_url("dashboard/my-profile/user-keyword"));
    }

    public function updateuserKeyword1()
    {
        //echo "<pre>";
        $cpv = $this->common->getsData("saved_cpv",array("userid"=>$this->userid));
        //print_r($cpv);
        if($cpv && $cpv['saved_cpv']!=''){
            $newcpv=array();
            $group = $_POST['group'];
            //echo "group = ".$group."<br>";
            unset($_POST['group'],$_POST['submit']);
            //print_r($cpv);
            //echo "post";print_r($_POST);
            $cpv_array = json_decode($cpv['saved_cpv']);
            //echo "cpv array";print_r($cpv_array);

            $keyarray = array();
            foreach ($cpv_array as $k => $val) {
                foreach ($val as $key => $value) {
                    array_push($keyarray, $key);
                }
            }
                foreach ($cpv_array as $k => $val) {
                    foreach ($val as $key => $value) {
                        //echo $key."<br>";
                        $exp = explode("_", $key);
                        //print_r($exp);
                        if(in_array($key, $keyarray) && $key=="group_".$group)
                        {
                            //echo "yes<br>";print_r($value);
                            foreach ($_POST as $key2 => $value2) {
                                $arr[] = array($key2=>$value2);
                            }
                            $newcpv[] = array("group_".$group=>$arr);
                        }else{
                            $newcpv[] = array($key=>$value);
                        }
                        //print_r($keyarray);
                        if(!in_array("group_".$group, $keyarray)){
                            //echo $group;
                            foreach ($_POST as $key2 => $value2) {
                                $arr[] = array($key2=>$value2);
                            }
                            $newcpv[] = array("group_".$group=>$arr);
                        }
                    }
                }
                //print_r($newcpv);print_r(json_encode($newcpv));
                $this->common->updateData("saved_cpv",array("saved_cpv"=>json_encode($newcpv)),array("userid"=>$this->userid));
                //die;
        }else{
            $arr=array();
            unset($_POST['group'],$_POST['submit']);
            foreach ($_POST as $key => $value) {
                //echo $key." ".$value."<br>";
                $arr[] = array($key=>$value);
            }
            $cpv1 = array(array("group_1"=>$arr));
            $data['userid'] = $this->userid;
            $data['saved_cpv'] = json_encode($cpv1);
            //print_r($data);
            if(isset($cpv['saved_cpv']) && $cpv['saved_cpv']=='')
            {
                //echo "updateData";
                $this->common->updateData("saved_cpv",array("saved_cpv"=>json_encode($cpv1)),array("userid"=>$this->userid));
            }else{
                //echo "insertData";
                $this->common->insertData("saved_cpv",$data);
            }
        }
        redirect(base_url("dashboard/my-profile/user-keyword"));
    }

    public function requireFurtherInformation()
    {
        //print_r($_POST);die;
        $status=0;$message="";
        if($this->common->getsData("require_further_information",array("userid"=>$this->userid,"posting_id"=>$_POST['posting_id']))){
            $status=0;
            $message="You have already requested information for this notice.";
        }else{
            $html='';
            $_POST['date'] = date("Y-m-d H:i:s");
            $_POST['userid'] = $this->userid;
            $res = $this->common->insertData("require_further_information",$_POST);
            $user = $this->common->getsData("user",array("userid"=>$this->userid),array("userid","title","first_name","last_name","email"));
            $html.="Futher information has been requested by ".$user['title']." ".$user['first_name']." ".$user['last_name']." (".$user['email'].") - ".$_POST['posting_id'];
            if($res){
                $status=1;
                $message="Your request has been sent to our customer support team. They shall revert as soon as possible.";
                $this->email->from("contact@globaltenders.com",'Global Tenders');
                $this->email->to("ccare@globaltenders.com");
                $this->email->subject("Further Information Requested - ".$user['title']." ".$user['first_name']." ".$user['last_name']."");
                $this->email->message($html);
                $this->email->send();

            }else{
                $message="Something went wrong!";
            }
        }
        echo $this->common->jsonEncode(array("status"=>$status,"message"=>$message));
    }

    public function addUserRequest()
    {
        $user = $this->common->getsData("user",array("userid"=>$this->userid),array("userid","first_name","last_name","email"));
        $_POST['userid'] = $user['userid'];
        if(!$this->common->getsData("profile_request",array("userid"=>$this->userid,"email"=>$_POST['email']))){
            $res = $this->common->insertData("profile_request",$_POST);
            if($res){
                $message = '';
                $message .= $user['first_name']." ".$user['last_name']." ( ".$_POST['email']." ) Sent you a add user Request.<br>";
                $message .= "Name = ".$_POST['name'].",<br> Email = ".$_POST['email']."<br>";
                $subject = "Add Requst received by ".$user['first_name']." ".$user['last_name'];
                $res = $this->common->sendSMTPMail($message,"freealerts@global-tenders.com","rohan@globaltenders.com",array(),$subject);
                $this->session->set_flashdata("message","Your request sent Successfully.");
                redirect(base_url('dashboard/my-profile/add-user'),'refresh');
            }
        }else{
            $this->session->set_flashdata("emessage","You have already requested for this user.");
            redirect(base_url('dashboard/my-profile/add-user'),'refresh');
        }
    }

    public function corporatePackageFormSubmit()
    {
        $user = $this->common->getsData("user",array("userid"=>$this->userid),array("userid","first_name","last_name","email"));
        $_POST['userid'] = $user['userid'];
        if(isset($_POST['target_regions']) && is_array($_POST['target_regions']) && $_POST['target_regions']){
            $_POST['target_regions'] = implode(",", $_POST['target_regions']);
        }else{
            $_POST['target_regions'] = "Worldwide";
        }
        if(isset($_POST['sector_interested_in']) && is_array($_POST['sector_interested_in']) && $_POST['sector_interested_in']){
            $_POST['sector_interested_in'] = implode(",", $_POST['sector_interested_in']);
        }
        $message = '';
        $message .= $user['first_name']." ".$user['last_name']." ( ".$user['email']." ) Sent you a Corporate Package Request.<br>";
        $message .= "Number of usernames required = ".$_POST['username_required'].",<br> Target Regions = ".$_POST['target_regions'].",<br> Sector and Interested in Microsite = ".$_POST['sector_interested_in']."<br>";
        $subject = "Corporate Package Request received by ".$user['first_name']." ".$user['last_name'];
        $res = $this->common->sendSMTPMail($message,"freealerts@global-tenders.com","rohan@globaltenders.com",array(),$subject);
        if($res){
            $this->session->set_flashdata("message","Form Submitted Successfully.");
        }else{
            $this->session->set_flashdata("emessage","Form Not Submitted.");
        }
        redirect(base_url('corporate-package-form'),'refresh');
    }

    public function contactForm()
    {
        $user = $this->common->getsData("user",array("userid"=>$this->userid),array("userid","first_name","last_name","email"));
        $message = '';
        $message .= $user['first_name']." ".$user['last_name']." ( ".$user['email']." ) Contact you via Contact form.<br>";
        $message .= "Message = ".$_POST['message']."<br>";
        $subject = "User Contact from dashboard.";
        if($this->userid != 1472371501) {
            $this->common->sendMailByCurl(array("message"=>$message,"from"=>"care@globaltenders.email","to"=>"care@globaltenders.com","subject"=>$subject,"bcc"=>"care@globaltenders.com,rohan@globaltenders.com"));
        }
        $this->session->set_flashdata("message","Your message is important to us. We will be in touch soon.");
        redirect(base_url('dashboard/contact-form'));
    }

    public function requestForm()
    {
        $user = $this->common->getsData("user",array("userid"=>$this->userid),array("userid","first_name","last_name","email"));
        $message = '';
        $message .= $user['first_name']." ".$user['last_name']." ( ".$user['email']." ) Request you for Demo.<br>";
        $message .= "Message = ".$_POST['message']."<br>";
        $subject = "User Contact from dashboard.";
        if($this->userid != 1472371501) {
            $this->common->sendMailByCurl(array("message"=>$message,"from"=>"care@globaltenders.email","to"=>"care@globaltenders.com","subject"=>$subject,"bcc"=>"care@globaltenders.com,rohan@globaltenders.com"));
        }
        $this->session->set_flashdata("message","Your request has been forwarded to the concerned team and we shall be sending the confirmation for the demo in a short while.");
        redirect(base_url('dashboard/schedule-demo'),'refresh');
    }

    public function popupMessageSeenAction()
    {
        if(isset($_POST['remove']) && $_POST['remove'] == 1) {
            $set = array("isCanceled"=>1);
        }else{
            $set = array("is_checked"=>1,"checked_date"=>date("Y-m-d H:i:s"));
        }
        $this->common->updateData("popupMessage",$set,array("userid"=>$this->userid,"pmid"=>$_POST['pmid']));
        if($this->db->affected_rows()) {
            echo 1;
        }else{
            echo 0;
        }die;
    }

    public function marketReportAction()
    {
        $user = $this->common->getsData("user",array("userid"=>$this->userid),array("userid","first_name","last_name","email"));
        $_POST['keyword'] = ((isset($_POST['keyword']))?implode(",", $_POST['keyword']):'');
        $sec = (isset($_POST['sector']) && $_POST['sector'])?implode(",", $_POST['sector']):"";
        $region_name = ((isset($_POST['region_name']))?$this->common->changeCountryRegionTypeCode($_POST['region_name']):'');
        $sector = ((isset($_POST['sector']))?$this->common->changeSectorCode($sec):'');
        $_POST['sector'] = implode(",", $_POST['sector']);
        $_POST['region_name'] = implode(",", $_POST['region_name']);
        if(isset($_POST['published']) && $_POST['published']!="") {
            switch ($_POST['published']) {
                case 'lastweek':
                    $_POST['date_c_start'] = Date('Y-m-d', strtotime("-7 days"));
                    break;
                case 'thisweek':
                    $_POST['date_c_start'] = Date('Y-m-01', strtotime(DATE));
                    break;
                case 'lastmonth':
                    $_POST['date_c_start'] = Date('Y-m-d', strtotime("-30 days"));
                    break;
                case 'thismonth':
                    $_POST['date_c_start'] = Date('Y-m-01', strtotime(DATE));
                    break;
                case 'lastyear':
                    $_POST['date_c_start'] = Date('Y-m-d', strtotime("-1 years"));
                    break;
                case 'thisyear':
                    $_POST['date_c_start'] = Date('Y-01-01', strtotime(DATE));
                    break;
                case 'last2year':
                    $_POST['date_c_start'] = Date('Y-m-d', strtotime("-2 years"));
                    break;
            }
        }
        $_POST['date_c_end'] = DATE;

        $message = '';
        $message .= $user['first_name']." ".$user['last_name']." ( ".$user['email']." ) Request you for market report.<br>";
        $message .= "Keyword = ".$_POST['keyword']."<br>";
        $message .= "CPV = ".$_POST['cpv']."<br>";
        $message .= "Sector = ".$sector."<br>";
        $message .= "Region Name = ".$region_name."<br>";
        $message .= "Published = ".$_POST['published']."<br>";
        $subject = "Market Report Request From Dashboard.";
        $_POST['userid'] = $this->userid;
        // echo $message;
        // echo "<pre>";
        // print_r ($_POST);
        // echo "</pre>";die;
        $_POST['date_created'] = NOW;
        $market_report = $this->common->getField("market_report",$_POST);
        if($this->userid != 1472371501) {
            $this->common->insertData("market_report",$market_report);
            $this->common->sendMailByCurl(array("message"=>$message,"from"=>"care@globaltenders.email","to"=>"care@globaltenders.com","subject"=>$subject,"bcc"=>"care@globaltenders.com,rohan@globaltenders.com,hw.sharma9@gmail.com"));
        }
        //$res = $this->common->sendSMTPMail($message,"freealerts@global-tenders.com","care@globaltenders.com",array(),$subject);
        $this->session->set_flashdata("message","We have received your request and your report is being generated.");
        redirect(base_url('dashboard/advance-features/market-reports'),'refresh');
    }

    public function analyticsAction()
    {
        $user = $this->userinfo[0];
        $_POST['keyword'] = ((isset($_POST['keyword']))?implode(",", $_POST['keyword']):'');
        $sec = (isset($_POST['sector']) && $_POST['sector'])?implode(",", $_POST['sector']):"";
        $region_name = ((isset($_POST['region_name']))?$this->common->changeCountryRegionTypeCode($_POST['region_name']):'');
        $sector = ((isset($_POST['sector']))?$this->common->changeSectorCode($sec):'');
        $_POST['sector'] = implode(",", $_POST['sector']);
        $_POST['region_name'] = implode(",", $_POST['region_name']);
        if(isset($_POST['published']) && $_POST['published']!="") {
            switch ($_POST['published']) {
                case 'lastweek':
                    $_POST['date_c_start'] = Date('Y-m-d', strtotime("-7 days"));
                    break;
                case 'thisweek':
                    $_POST['date_c_start'] = Date('Y-m-01', strtotime(DATE));
                    break;
                case 'lastmonth':
                    $_POST['date_c_start'] = Date('Y-m-d', strtotime("-30 days"));
                    break;
                case 'thismonth':
                    $_POST['date_c_start'] = Date('Y-m-01', strtotime(DATE));
                    break;
                case 'lastyear':
                    $_POST['date_c_start'] = Date('Y-m-d', strtotime("-1 years"));
                    break;
                case 'thisyear':
                    $_POST['date_c_start'] = Date('Y-01-01', strtotime(DATE));
                    break;
                case 'last2year':
                    $_POST['date_c_start'] = Date('Y-m-d', strtotime("-2 years"));
                    break;
            }
        }
        $_POST['date_c_end'] = DATE;
        $message = '';
        $message .= $user['first_name']." ".$user['last_name']." ( ".$user['email']." ) Request you for the analytics.<br>";
        $message .= "Keyword = ".$_POST['keyword']."<br>";
        $message .= "CPV = ".$_POST['cpv']."<br>";
        $message .= "Sector = ".$sector."<br>";
        $message .= "Region Name = ".$_POST['region_name']."<br>";
        $message .= "Published = ".$_POST['published']."<br>";
        $subject = "Analytics Report Request From Dashboard.";

        $_POST['userid'] = $this->userid;
        $_POST['date_created'] = NOW;
        $analytics_report = $this->common->getField("analytics_report",$_POST);
        if($this->userid != 1472371501) {
            $this->common->insertData("analytics_report",$analytics_report);
            $this->common->sendMailByCurl(array("message"=>$message,"from"=>"care@globaltenders.email","to"=>"care@globaltenders.com","subject"=>$subject,"bcc"=>"care@globaltenders.com,rohan@globaltenders.com,hw.sharma9@gmail.com"));
        }
        $this->session->set_flashdata("message","We have received your request and your report is being generated.");
        redirect(base_url('dashboard/advance-features/analytics'),'refresh');
    }

    public function periodicUpdatesAction()
    {
        $user = array();
        if($this->userinfo) {
            $user = $this->userinfo[0];
        }
        $message = '';
        $message .= $user['first_name']." ".$user['last_name']." ( ".$user['email']." ) Request you for periodic updates.<br>";
        $subject = "Periodic Report Request From dashboard.";
        if($this->common->getsData("periodic_updates_report",array("userid"=>$this->userid))) {
            $this->common->updateData("periodic_updates_report",array("published"=>$_POST['published']),array("userid"=>$this->userid));
        }else{
            $this->common->insertData("periodic_updates_report",array("published"=>$_POST['published'],"userid"=>$this->userid,"date"=>NOW));
        }
        if($this->userid != 1472371501) {
            $res = $this->common->sendMailByCurl(array("message"=>$message,"from"=>"care@globaltenders.email","to"=>"hw.sharma9@gmail.com","subject"=>$subject,"bcc"=>""));
        }
        $this->session->set_flashdata("message","The changes have been saved.");
        redirect(base_url('dashboard/advance-features/periodic-updates'),'refresh');
    }

    public function updateTourDetail()
    {
        if ($user = $this->common->getsData("users_info",array("userid"=>$this->userid))) {
            $show_demo_status = 0;
            if ($user['show_demo_status'] == 1) {
                $show_demo_status = 0;
            }
            $this->common->updateData("users_info",array("show_demo_status"=>$show_demo_status),array("userid"=>$this->userid));
        }else{
            $this->common->insertData("users_info",array("userid"=>$this->userid,"show_demo_status"=>0));
        }
    }
}
