<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class MY_Tender_Controller extends MY_Controller
{
	Public function __construct(){
		parent::__construct();
        $this->load->model("global_tender/global_tender_model","tender");
        //echo "<pre>"; print_r($this->userinfo);die;
		$this->load->library("pag");
        $this->load->library('pagination');
		$this->perPage = ($this->session->userdata("tender_length")?$this->session->userdata("tender_length"):10);
	}

    public function tenderSearchLength()
    {
        $this->session->set_userdata(array("tender_length"=>$_POST['length']));
        echo 1;
    }

    public function getCommonFields($region_name='',$sector='',$keyword='')
    {
        if($keyword==""){
            $string = uri_string();
            $str = explode("/",$string);
            $str1 = str_replace("global-", "", $str[1]);
            $tender_notice = ucwords(str_replace("-", " ", $str1));
            //echo ucwords(str_replace("-", " ",$str[2]));die;
            $nt = $this->common->getsData("notice_type",array("notice_type_name"=>$tender_notice),array("nt_id"));
            $cf = $this->common->getsData("country",array("country_name"=>ucwords(str_replace("-", " ",$str[2]))),array("country_flag","country_cover"));
        }
        //$this->session->set_userdata(array("is_static_menu"=>0));
        $get=array();
        $get['limit'] = 0;
        $get['status'] = "menu";
        $get['tender_type'] = "live";
        $get['region_name'] = $region_name;
        $get['sector'] = $sector;
        $get['keyword'] = $keyword;
        if($keyword==""){
            $get['search_notice_type'] = $nt['nt_id'];
            $get['notice_type_name'] = $str1;
            $get['country_name'] = $str[2];
            $get['flag'] = $cf;
        }else{
            $get['notice_type_name'] = "";
            $get['country_name'] = "";
            $get['flag'] = array("country_flag"=>"","country_cover"=>"");
        }
        return $get;
    }

    public function createRoots()
    {
        $c = $this->common->getData("country");
        foreach ($c as $key => $value) {
            //echo "\$route['country/global-prcurement-news/".strtolower(str_replace(" ", "-", $value['country_name']))."'] = "."\"global_tender/c".str_replace(" ", "", $value['country_name'])."Procurement\";<br>";
            echo "public function c".str_replace(" ", "", $value['country_name'])."Procurement()
                {<br>
                    &nbsp;&nbsp;&nbsp;&nbsp;\$get = \$this->getCommonFields(\"".$value['country_code']."\");<br>
                    &nbsp;&nbsp;&nbsp;&nbsp;\$data1 = \$this->tender->getTendersContent(\$get);<br>
                    &nbsp;&nbsp;&nbsp;&nbsp;\$data = array_merge(\$get,\$data1);<br>
                    &nbsp;&nbsp;&nbsp;&nbsp;\$this->loadHtml(\"index\",\"Home Page\",\$data,\"gt_leftbar\",\"gt_rightbar\");<br>
                }<br><br>";
        }
    }

    public function getNoticeTypeName($notice_type='')
    {
        $tender_notice1 = current(explode("-",$notice_type));
        $tender_notice2 = ucwords(str_replace("_", " ", $tender_notice1));
        $nt = $this->common->getsData("notice_type",array("notice_type_name"=>$tender_notice2),array("nt_id"));
        return $nt['nt_id'];
    }

    public function getTendersContent()
    {
        $data=array();
        //print_r($_GET);die;        //echo "<pre>";

        if(empty($_GET))
        {
            redirect(base_url());
        }
        $data = $this->tender->getTendersContent($_GET);
        //echo "<pre>".$this->db->last_query();print_r($data);die;
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'])));//,"query"=>$this->db->last_query()
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("index","Home Page",$data,"gt_leftbar","gt_rightbar","gt_header","gt_footer");
        }
    }

    public function getTendersContent2()
    {
        $data=array();
        if(empty($_GET))
        {
            redirect(base_url());
        }
        $data = $this->tender->getTendersContent($_GET);
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));//,"query"=>$this->db->last_query()
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            $this->fullPageHtml("index_full_page","Home Page",$data,"gt_leftbar","gt_rightbar","gt_header","gt_footer");
        }
    }


    public function referenceSearch()
    {
        $data=array();
        //print_r($_GET);die;
        //echo "<pre>";
        if(empty($_GET))
        {
            redirect(base_url("global_tender/reference-search"));
        }
        $data = $this->tender->getTendersContent($_GET);
        //echo $this->db->last_query();
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("reference-search","Search By Reference Number",$data,"gt_leftbar","gt_rightbar","gt_header","gt_footer");
        }
    }

    public function keywordSearch()
    {
        $data=array();
        //print_r($_GET);die;
        //echo "<pre>";
        if(empty($_GET))
        {
            redirect(base_url("global_tender/keyword-search"));
        }
        $data = $this->tender->getTendersContent($_GET);
        //echo $this->db->last_query();
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("keyword-search","Search By Reference Number",$data,"gt_leftbar","gt_rightbar","gt_header","gt_footer");
        }
    }

	public function CPVSearch()
	{
        $data=array();
        //print_r($_GET);die;
        //echo "<pre>";
        $data = $this->tender->getTendersContent($_GET);
        //echo $this->db->last_query();
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            //print_r($data);die;
            //echo "2";die;
            $this->loadHtml("cpv-search","Search By Reference Number",$data,"gt_leftbar","gt_rightbar","gt_header","gt_footer");
        }
	}

    public function getDataFromUrl()
    {
        $this->load->library('curl');
        $this->curl->create('http://infostores.biz/globaltenders/awlog_array.php?user=webhelpIN&pass=skrillex27&id=36493115');
        $this->curl->option('useragent', 'Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.8) Gecko/20100722 Firefox/3.6.8 (.NET CLR 3.5.30729)');
        //  To Receive Data Returned From Server
        $this->curl->option('returntransfer', 1);

        //  To follow The URL Provided For Website
        $this->curl->option('followlocation', 1);

        //  To Retrieve Server Related Data
        $this->curl->option('HEADER', false);

        //  To Set Time For Process Timeout
        $this->curl->option('connecttimeout', 600);

        //  To Execute 'option' Array Into cURL Library & Store Returned Data Into $data
        $data = $this->curl->execute();

        //  To Display Returned Data
        //echo $data;

        $html = file_get_contents("http://infostores.biz/globaltenders/awlog_array.php?user=webhelpIN&pass=skrillex27&id=36493115");
        $a = json_decode($html);
        print_r($a);
    }

    public function CPVtenders($keyword='')
    {
        //echo "<pre>";
        $cpv = $this->common->getsData("cpv",array("url"=>$keyword));
        $_GET['cpv'] = $cpv['cpv_code'];
        $_GET['key'] = $keyword;
        $data = $this->tender->getTendersContentPeg($_GET);
        if($cpv['cover_image']=="")
        {
            $cpv['cover_image'] = "global-tenders-gen.jpg";
        }
        $data['cpv_flag'] = $cpv;
        //print_r($data);die;
        //echo $this->db->last_query();die;
        $this->loadHtml("cpv-tenders","Search By Reference Number",$data,"gt_leftbar","gt_rightbar","gt_header","gt_footer");
    }

    public function gtCPVtenders()
    {
        $data=array();
        $data = $this->tender->getTendersContent($_GET);
        if($this->input->is_ajax_request()) {
            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$this->db->last_query())));
        }else{
            $data['gd']=1;
            (isset($_GET['region_name']))?$data['region_name']=$_GET['region_name']:array();
            (isset($_GET['cpv']))?$data['cpv']=$_GET['cpv']:'';
            (isset($_GET['status']))?$data['status']=$_GET['status']:'';
            (isset($_GET['deadline']))?$data['search_deadline']=$_GET['deadline']:'';
            (isset($_GET['notice_type']))?$data['search_notice_type']=$_GET['notice_type']:'';
            (isset($_GET['tender_type']))?$data['search_tender_type']=$_GET['tender_type']:'';
            (isset($_GET['keyword']))?$data['keyword']=$_GET['keyword']:'';
            (isset($_GET['sector']))?$data['sector']=((is_array($_GET['sector']))?implode(",",$_GET['sector']):$_GET['sector']):array();
            (isset($_GET['posting_id']))?$data['posting_id']=$_GET['posting_id']:'';
            $this->loadHtml("cpv-tenders","Search By Reference Number",$data,"gt_leftbar","gt_rightbar","gt_header","gt_footer");
        }
    }

}