<?php

class MY_User_Search extends MY_Admin_Controller
{
	function __construct()
	{
		parent::__construct();

        $this->load->dbutil();
        $this->load->helper('file');
        $this->load->helper('download');
        $this->load->helper('template_helper');

	}

    public function downloadExcelQuery()
    {
        $query = $this->session->userdata("user_search_query");
        echo $query;
        $result = $this->db->query($query)->result_array();
        echo "<pre>"; print_r($result);echo "</pre>"; die;
    }

    public function saveUsersAsText()
    {
        $delimiter = ",";
        $newline = "\r\n";
        $filename = "user.txt";
        $query = explode(" limit", $this->session->userdata("user_search_query"));
        $result = $this->db->query($query[0]);
        $data = $this->dbutil->csv_from_result($result, $delimiter, $newline);
        force_download($filename, $data);
        redirect(base_url("admin/users"));
    }

    public function saveUsersAsPDF()
    {
        $query = explode(" limit", $this->session->userdata("user_search_query"));
        $data['users'] = $this->db->query($query[0])->result_array();
        //echo "<pre>";print_r($data);die;
        
        $this->load->library('pdf');
        $name = "users.pdf";
        $this->pdf->load_view("users-pdf",$data);
        $this->pdf->render();
        $this->pdf->stream($name);
    }

    public function saveUsersAsExcel()
    {
        $delimiter = ",";
        $newline = "\r\n";
        $filename = "user.csv";
        $query1 = explode(" limit", $this->session->userdata("user_search_query"));
        $query = str_replace("U.userid,U.title,U.first_name,U.last_name,U.email,U.account_status,U.renewal_date,U.expiry_date,U.country,U.organization,U.password,U.suspend,U.alert_start,U.alert_end,U.admin_name,U.email_alert,U.hear,U.sector,U.reg_date,U.city,U.state,U.address1,U.address2,U.designation,U.pincode,U.country_code,U.phone,U.mobile_no,U.fax,U.website_url,U.area_code,EA.frequency,EA.frequency_limit", 
                            "U.*", ($query1[0]));
        $result = $this->db->query($query);
        $data = $this->dbutil->csv_from_result($result, $delimiter, $newline);
        //echo "<pre>"; print_r($data);die;
        force_download($filename, $data);
        redirect(base_url("admin/users"));
    }

    public function saveUsersAsExcel2()
    {
        $delimiter = ",";
        $newline = "\r\n";
        $filename = "user.csv";
        $query1 = explode(" limit", $this->session->userdata("user_search_query"));
        //print_r($query1); 
        $query = str_replace("U.userid,U.title,U.first_name,U.last_name,U.email,U.account_status,U.renewal_date,U.expiry_date,U.country,U.organization,U.password,U.suspend,U.alert_start,U.alert_end,U.admin_name,U.email_alert,U.hear,U.sector,U.reg_date,U.city,U.state,U.address1,U.address2,U.designation,U.pincode,U.country_code,U.phone,U.mobile_no,U.fax,U.website_url,U.area_code,EA.frequency,EA.frequency_limit,U.varify,U.client_status",
                                "U.reg_date,U.userid,U.first_name,U.last_name,U.email,U.organization as company,U.country,U.email_domain,U.admin_name", ($query1[0]));
        //U.gt_id,U.reg_date,U.title,U.first_name,U.last_name,U.designation,U.email,U.organization,U.address1,U.address2,U.city,U.state,U.pincode,U.country,U.country_code,U.area_code,U.phone,U.fax,U.mobile_no,U.website_url,U.sector,U.product_services,U.package,U.password,U.activation_date,U.renewal_date,U.expiry_date,U.cpv,U.hear,U.region
        //print_r($query);die;
        $result = $this->db->query($query);
        $data = $this->dbutil->csv_from_result($result, $delimiter, $newline);
        //echo "<pre>"; print_r($data);die;
        force_download($filename, $data);
        redirect(base_url("admin/users"));
    }

    public function getUserMailDomain()
    {
        $user = $this->common->getsData("user_mail_type",array("userid"=>$_POST['userid']));
        echo $this->common->jsonEncode($user);
    }

    public function updateUserMailDomain()
    {
        $status = 0;$message='';
        $this->common->updateData("user_mail_type",array("no_of_tender"=>$_POST['no_of_tender']),array("userid"=>$_POST['userid']));
        if($this->db->affected_rows()){
            $user = $this->common->getsData("user_mail_type",array("userid"=>$_POST['userid']));
            $status = 1;
            $message='Update Successfully!';
        }else{
            $message='No Updation Found!';
        }
        echo $this->common->jsonEncode(array("status"=>$status,"message"=>$message));
    }

    public function createPreDefinedSchedules($post=array())
    {
        $res = 0;
        $userid = explode(",", $post['userid']);
        $schedule = array(
                            1=>array("template"=>($post['templates']=="schedule1")?"template3":"template4","time"=>0),
                            2=>array("template"=>"sample","time"=>0),
                            3=>array("template"=>"template5","time"=>96),
                            4=>array("template"=>"sample","time"=>264),
                            5=>array("template"=>"template6","time"=>264),
                            6=>array("template"=>"template7","time"=>432),
                            7=>array("template"=>"sample","time"=>456),
                            8=>array("template"=>"template8","time"=>600),
                            9=>array("template"=>"sample","time"=>768),
                            //10=>array("template"=>"template15","time"=>768),
                        );
            //print_r($post);
        foreach ($userid as $key => $value) {
            //print_r($value);
            $user = $this->common->getsData("user",array("userid"=>$value),array("first_name","last_name","country","organization"));
            foreach ($schedule as $key1 => $value1) {
                $data=array();
                $time = $value1['time'];
                $now = date("Y-m-d",strtotime("+$time hours",strtotime(date("Y-m-d"))));
                $data['userid'] = $value;
                $data['templates'] = $value1['template'];
                $data['schedule_time'] = $now;
                $data['edit_schedule'] = 0;
                $data['date'] = date("Y-m-d H:i:s");
                if($value1['template']=="sample"){
                    $data['subject'] = "Sample Tenders - ".$user['first_name']." ".$user['last_name']." ( ".$user['organization']." )";
                }else{
                    $data['subject'] = $this->alert->getTemplateSubject($user,$value1['template']);
                }
                //print_r($data);
                $this->common->insertData("mail_schedule",$data);
                if($post['templates']=="schedule1"){
                    $res = 1;
                }else{   
                    $res = 2;
                }
            }
        }
        return $res;
    }

    public function createSampleSchedules($post=array())
    {
        //print_r($post);
        $res = 0;
        $userid = explode(",", $post['userid']);
        foreach ($userid as $key => $value) {
            $data['userid'] = $value;
            $data['templates'] = "sample";
            $data['schedule_time'] = $post['schedule_time'];
            $data['edit_schedule'] = 0;
            $data['date'] = date("Y-m-d H:i:s");
            $this->common->insertData("mail_schedule",$data);
            $res=1;
        }
        return $res;
    }

    public function scheduleMail()
    {
        //echo "<pre>"; //print_r($_POST);die;
        $status=0;$message='';
        if(isset($_POST['userid']) && $_POST['userid']!=""){
            $edit = $_POST['edit'];
            if(in_array($_POST['templates'], array("schedule1","schedule2"))){
                if($edit==0){
                    $res = $this->createPreDefinedSchedules($_POST);
                    $status = 2;
                    $message = "Schedule $res Created Successfully!";
                }else{
                    $status = 2;
                    $message = "Can't Edit This Template!";
                }
            }else if($_POST['templates']=="sample"){
                if($edit==0){
                    $res = $this->createSampleSchedules($_POST);
                    $status = 3;
                    $message = "Sample Schedule Created Successfully!";
                }else{
                    $status = 3;
                    $message = "Can't Edit Sample!";
                }
            }else{
                $userid = explode(",", $_POST['userid']);
                if($userid){
                    unset($_POST['edit']);
                    if($edit==0){
                        foreach ($userid as $key => $value) {
                            $data = array();
                            $user = $this->common->getsData("user",array("userid"=>$value),array("first_name","last_name","country"));
                            $data['userid'] = $value;
                            $data['schedule_time'] = $_POST['schedule_time'];
                            $data['templates'] = $_POST['templates'];
                            $data['subject'] = $this->alert->getTemplateSubject($user,$_POST['templates']);
                            $data['date'] = date("Y-m-d H:i:s");
                            //if(!$this->common->getsData("mail_schedule",array("userid"=>$value))){
                            $this->common->insertData("mail_schedule",$data);
                            /*}else{
                                $this->common->updateData("mail_schedule",$data,array("userid"=>$value));
                            }*/
                        }
                        $status=1;
                        $message = "Schedule Created Successfully!";
                    }
                    if($edit==1){
                        if($_POST['edit_schedule']==0){
                            $status=$edit=1;
                            $data['id'] = "previewScheduleMailForm";
                            $data['edit'] = 1;
                            $data['edit_schedule'] = $_POST['edit_schedule'];
                            $data['templates'] = $_POST['templates'];
                            $data['userid'] = $_POST['userid'];
                            $data['subject'] = $this->alert->getTemplateSubject(array(),$_POST['templates']);
                            $data['schedule_time'] = date("Y-m-d",strtotime($_POST['schedule_time']));
                            $message = previewScheduleMailForm($data);
                            //print_r($message);
                        }else{
                            unset($_POST['userid']);
                            foreach ($userid as $key => $value) {
                                $_POST['schedule_time'] = date("Y-m-d",strtotime($_POST['schedule_time']));
                                /*if($this->common->getsData("mail_schedule",array("userid"=>$value))){
                                    $this->common->updateData("mail_schedule",$_POST,array("userid"=>$value));
                                }else{*/
                                    $_POST['userid'] = $value;
                                    $_POST['date'] = date("Y-m-d H:i:s");
                                    $this->common->insertData("mail_schedule",$_POST);
                                //}
                            }
                            $status=1;$edit=2;
                            $message="Edited Schedule Created Successfully!";
                        }
                    }
                }
            }
        }else{
            $status=0;
            $message = "No user Selected!";
        }
        echo $this->common->jsonEncode(array("status"=>$status,"message"=>$message,"edit"=>$edit));die;
    }

    public function getScheduleMailDetail()
    {
        $data = $this->common->getsData("mail_schedule",$_POST);
        if($data['edit_schedule']==0){
            echo $this->common->jsonEncode($data);die;
        }else{
            /*$data1['edit_schedule'] = $_POST['edit_schedule'];
            $data1['templates'] = $_POST['templates'];
            $data1['userid'] = $_POST['userid'];
            $data1['subject'] = $this->alert->getTemplateSubject(array(),$_POST['templates']);
            $data1['schedule_time'] = date("Y-m-d",strtotime($_POST['schedule_time']));*/
            $data['edit'] = 1;
            $data['id'] = "editPreviewScheduleMailForm";
            $message = previewScheduleMailForm($data);
            echo $this->common->jsonEncode(array("message"=>$message));die;
        }
    }

    public function popupMessageOnDashboard()
    {
        $status = 0;
        if(isset($_POST['group']) && is_array($_POST['group']) && $_POST['group']) {
            $emails = $this->db->query("SELECT group_concat(emailIds) AS emailIds FROM mail_group WHERE mailid IN (".implode(",", $_POST['group']).")")->result_array();
            $user_array = $this->db->query("SELECT group_concat(userid) as userid FROM user WHERE email in ('".str_replace(",", "','", $emails[0]['emailIds'])."')")->result_array();
            if($user_array) {
                if(isset($_POST['userid']) && $_POST['userid']!="") {
                    $userid_post = explode(",", $_POST['userid']);
                    $userid_get = explode(",", $user_array[0]['userid']);
                    $_POST['userid'] = array_merge($userid_post,$userid_get);
                }else{
                    $_POST['userid'] = $user_array[0]['userid'];
                }
            }
            $_POST['userid'] = implode(",", $_POST['userid']);
        }
        if(isset($_POST['userid']) && $_POST['userid']!="") {
            $userid = explode(",", $_POST['userid']);
            if($userid) {
                foreach ($userid as $key => $value) {
                    $this->common->updateData("popupMessage",array("is_checked"=>1),array("userid"=>$value));
                    $this->common->insertData("popupMessage",array("message"=>$_POST['message'],"userid"=>$value,"created_at"=>NOW,"popup_date"=>$_POST['popup_date']));
                    $status = 1;
                }
            }
        }else{
            $status = -1;
        }
        echo $status;die;
    }

    public function deleteSchedule()
    {
        $this->common->deleteData("mail_schedule",$_POST);
        if($this->db->affected_rows()){
            echo 1;
        }else{
            echo 0;
        }
    }

    public function editScheduleMailForm()
    {
        $status=0;$message="";
        $userid = $_POST['userid'];
        unset($_POST['userid']);
        $this->common->updateData("mail_schedule",$_POST,array("userid"=>$userid));
        if($this->db->affected_rows()){
            $status=1;
            $message="Schedule Updated Successfully!";
        }else{
            $message="No Updation Occure!";
        }
        echo $this->common->jsonEncode(array("status"=>$status,"message"=>$message));die;
    }

    public function setTenderUserLimit()
    {
        $html = "";$status = 0;
        $user = array();
        $user = $_POST;
        $s = $_POST['status'];unset($_POST['status']);
        if($s==0){
            $user_array = $this->common->getsData("tender_view_limit",array("userid"=>$_POST['userid']));
            if($user_array){
                $user = $user_array;
            }
            $user['status'] = 1;
            $html = tenderLimitForm($user);
            $status=1;
        }else if($s==1){
            if($_POST['userid']!=""){
                $userid = explode(",", $_POST['userid']);
                unset($_POST['userid']);
                //print_r($_POST);print_r($userid);
                foreach ($userid as $key => $value) {
                    if($this->common->getsData("tender_view_limit",array("userid"=>$value))){
                        $this->common->updateData("tender_view_limit",$_POST,array("userid"=>$value));
                    }else{
                        $_POST['userid'] = $value;
                        $_POST['date'] = date("Y-m-d H:i:s");
                        $_POST['seen_tenders'] = "";
                        $this->common->insertData("tender_view_limit",$_POST,array("userid"=>$value));
                    }
                }
                $html = "User's Perday & Total Tenders Seen Limit Set Successfully!";
                $status=2;
            }else{
                $html = "Select user!";
                $status=0;
            }
        }else{
            if($_POST['userid']!=""){
                $userid = explode(",", $_POST['userid']);
                unset($_POST['userid']);
                foreach ($userid as $key => $value) {
                    if($this->common->getsData("tender_view_limit",array("userid"=>$value))){
                        $this->common->updateData("tender_view_limit",$_POST,array("userid"=>$value));
                    }
                }
                $html = "User's Perday & Total Tenders Seen Limit Reset Successfully!";
                $status=3;
            }else{
                $html = "Select user!";
                $status=0;
            }
        }
        echo $this->common->jsonEncode(array("html"=>$html,"status"=>$status));die;
    }

    public function addUserNotes()
    {
        if(isset($_POST['status']) && $_POST['status']==0){
            //$notes = $this->common->getsData("user_notes",array("userid"=>$_POST['userid']),array("note"));
            if(isset($_POST['unid']) && $_POST['unid']!=""){
                $notes['notes'] = $this->usearch->getUserNotesInfo(array("UN.unid"=>$_POST['unid']));
            }else{
                $notes['notes'] = array();
            }
            $notes['userid'] = $_POST['userid'];
            $notes['action'] = $_POST['action'];
            $html = userNotesModel($notes);//admin_helper
            echo $this->common->jsonEncode(array("html"=>$html));die;
        }else{
            //print_r($_POST);die;
            $message='';
            $now = date("Y-m-d H:i:s");
            if($_POST['action']=="edit")
            {
                //$data = array("note"=>$_POST['note'],"updated_by"=>$this->adminid,"updated_date"=>$now,"reminder_date"=>$_POST['reminder_date']);
                $data = array("updated_by"=>$this->adminid,"updated_date"=>$now,"reminder_date"=>$_POST['reminder_date']);
                $this->common->updateData("user_notes",$data,array("userid"=>$_POST['userid'],"unid"=>$_POST['unid']));
                $message = "Note Updated Successfully!";
            }else{
                $data = array("note"=>$_POST['note'],"userid"=>$_POST['userid'],"created_by"=>$this->adminid,"updated_by"=>$this->adminid,"created_date"=>$now,"reminder_date"=>$_POST['reminder_date'],"updated_date"=>$now);
                $this->common->insertData("user_notes",$data);
                $message = "Note Submited Successfully!";
            }
            //echo $this->common->jsonEncode(array("message"=>$message));die;
            redirect(base_url('admin/user-notes/'.$_POST['userid']),'refresh');
        }
        //print_r($_POST);die;
        //userNotesModel
    }

    public function changeNotesReminderStatus()
    {
        $this->common->updateData($_POST['table'],array("reminder_status"=>$_POST['set']),array("unid"=>$_POST['wh']));
        if($this->db->affected_rows()){
            echo 1;
        }else{
            echo 0;
        }die;
    }

    public function getNotesReminder()
    {
        //print_r($_POST);
        $this->load->model("admin/admin_model","admin");
        if(isset($_POST['picked_date']) && $_POST['picked_date']!=""){
            $_POST['picked_date'] = date("Y-m-d",strtotime(url_title($_POST['picked_date'])));
        }else{
            $_POST['picked_date'] = '';
        }
        $count = $this->admin->getNotes($_POST,1);
        $result = $this->admin->getNotes($_POST);
        // echo $this->db->last_query();
        // print_r($result);die;
        $html = reminderNotes($result,$_POST['picked_date']); //admin_helper
        echo $this->common->jsonEncode(array("html"=>$html,"count"=>$count));die;
    }

    public function viewTenderExcel1()
    {
        $this->load->library('PHPExcel');
        $this->load->library('PHPExcel/IOFactory');

        $this->benchmark->mark('code_start');
        $sector_industry = $this->config->item("sector_industry");
        $country = $this->config->item("countryarray");
        $notice_type = $this->config->item("notice_type");
        //$filename = "Excel1.csv";
        $merge = $this->usearch->getSeenTendersExcelContent();

        $objPHPExcel = new PHPExcel();

        // Assign cell values
        $objPHPExcel->setActiveSheetIndex(0);
        $objPHPExcel->getActiveSheet()->setTitle("View Tenders By User");
        $objPHPExcel->getActiveSheet()->getStyle("1:1")->getFont()->setBold( true );
        $objPHPExcel->getActiveSheet()
                                ->setCellValue('A1', 'Date of posting')
                                ->setCellValue('B1', 'Ref no.')
                                ->setCellValue('C1', 'link to details')
                                ->setCellValue('D1', 'authority name')
                                ->setCellValue('E1', 'Summary')
                                ->setCellValue('F1', 'Country')
                                ->setCellValue('G1', 'Sector')
                                ->setCellValue('H1', 'Expiry')
                                ->setCellValue('I1', 'Notice type')
                                ->setCellValue('J1', 'Date of viewing');
        if($merge){
            $c = 1;
            foreach ($merge as $key => $value) {
                $c++;
                $ts=array();
                $exp = explode(",", $value['tender_sector']);
                foreach ($exp as $key1 => $value1) {
                    if($value1!="")
                    {
                        if(array_key_exists($value1, $sector_industry))
                        {
                            array_push($ts, $sector_industry[$value1]);
                        }
                    }
                }
                $objPHPExcel->getActiveSheet()
                                        ->setCellValue('A'.$c, $value['date_c'])
                                        ->setCellValue('B'.$c, $value['posting_id'])
                                        ->setCellValue('C'.$c, base_url("full-detail/".$value['posting_id']))
                                        ->setCellValue('D'.$c, $value['maj_org'])
                                        ->setCellValue('E'.$c, $value['short_desc'])
                                        ->setCellValue('F'.$c, (array_key_exists($value['country'], $country)?$country[$value['country']]:"NA"))
                                        ->setCellValue('G'.$c, implode(",", $ts))
                                        ->setCellValue('H'.$c, date("d-m-Y",strtotime($value['doc_last'])))
                                        ->setCellValue('I'.$c, (array_key_exists($value['notice_type'], $notice_type)?$notice_type[$value['notice_type']]:"NA"))
                                        ->setCellValue('J'.$c, date("d-m-Y H:i:s",strtotime($value['seen_date'])));
            }
        }

        $filename='Excel1.xls'; //save our workbook as this file name
        header('Content-Type: application/vnd.ms-excel'); //mime type
        header('Content-Disposition: attachment;filename="'.$filename.'"'); //tell browser what's the file name
        header('Cache-Control: max-age=0'); //no cache

        // Save it as an excel 2003 file
        $objWriter = IOFactory::createWriter($objPHPExcel, 'Excel5');
        $objWriter->save("php://output");

        $this->benchmark->mark('code_end');
        //echo $this->benchmark->elapsed_time('code_start', 'code_end');
    }

    public function viewTenderExcel2()
    {
        $this->load->library('PHPExcel');
        $this->load->library('PHPExcel/IOFactory');

        $this->benchmark->mark('code_start');
        $sector_industry = $this->config->item("sector_industry");
        $country = $this->config->item("countryarray");
        $notice_type = $this->config->item("notice_type");
        $filename = "Excel2.csv";
        $merge = $this->usearch->getSeenTendersExcelContent($filename);
        // echo "<pre>";
        // print_r ($merge);
        // print_r ($notice_type);
        // echo "</pre>";
        $objPHPExcel = new PHPExcel();

        if($merge){
            $c1 = 0;
            $nt=$nt_c=array();
            foreach ($merge as $key => $value) {
                $c = 1;
                //$c++;
                if(!array_key_exists($value['notice_type'], $nt)){
                    //array_push($nt, $value['notice_type']);
                    $nt[$value['notice_type']] = $notice_type[$value['notice_type']];
                    $nt_c[$value['notice_type']] = 1;
                    if(array_key_exists($value['notice_type'], $notice_type)){
                        // Assign cell values
                        $objPHPExcel->setActiveSheetIndex($c1);
                        $objPHPExcel->getActiveSheet()->setTitle($notice_type[$value['notice_type']]);
                        $objPHPExcel->getActiveSheet()->getStyle("1:1")->getFont()->setBold( true );
                            $objPHPExcel->getActiveSheet()
                                                    ->setCellValue('A1', 'Date of posting')
                                                    ->setCellValue('B1', 'Ref no.')
                                                    ->setCellValue('C1', 'link to details')
                                                    ->setCellValue('D1', 'authority name')
                                                    ->setCellValue('E1', 'Summary')
                                                    ->setCellValue('F1', 'Country')
                                                    ->setCellValue('G1', 'Keyword match')
                                                    ->setCellValue('H1', 'CVP match')
                                                    ->setCellValue('I1', 'Sector match')
                                                    ->setCellValue('J1', 'Expiry')
                                                    ->setCellValue('K1', 'Notice type')
                                                    ->setCellValue('L1', 'Date of viewing');
                        if($c1<count($nt)){
                            // Create a new worksheet, after the default sheet
                            $objPHPExcel->createSheet();
                        }
                        //if(array_key_exists($value['notice_type'], $notice_type)){
                            foreach ($merge as $key2 => $value2) {
                                if($value['notice_type']==$value2['notice_type']){
                                    $c++;
                                    $ts=array();
                                    $exp = explode(",", $value2['sector_match']);
                                    foreach ($exp as $key1 => $value1) {
                                        if($value1!="")
                                        {
                                            if(array_key_exists($value1, $sector_industry))
                                            {
                                                array_push($ts, $sector_industry[$value1]);
                                            }
                                        }
                                    }
                                    //print_r($nt_c);
                                    // $nt_c[$value2['notice_type']] = ($nt_c[$value2['notice_type']]+1);
                                    // $ntco = $nt_c[$value2['notice_type']];
                                    //echo $ntco."<br>";
                                    $objPHPExcel->getActiveSheet()
                                                        ->setCellValue('A'.$c, $value2['date_c'])
                                                        ->setCellValue('B'.$c, $value2['posting_id'])
                                                        ->setCellValue('C'.$c, base_url("full-detail/".$value2['posting_id']))
                                                        ->setCellValue('D'.$c, $value2['maj_org'])
                                                        ->setCellValue('E'.$c, $value2['short_desc'])
                                                        ->setCellValue('F'.$c, (array_key_exists($value2['country'], $country)?$country[$value2['country']]:"NA"))
                                                        ->setCellValue('G'.$c, $value2['keyword_match'])
                                                        ->setCellValue('H'.$c, $value2['cpv_match'])
                                                        ->setCellValue('I'.$c, implode(",", $ts))
                                                        ->setCellValue('J'.$c, date("d-m-Y",strtotime($value2['doc_last'])))
                                                        ->setCellValue('K'.$c, (array_key_exists($value['notice_type'], $notice_type)?$notice_type[$value2['notice_type']]:"NA"))
                                                        ->setCellValue('L'.$c, date("d-m-Y H:i:s",strtotime($value2['seen_date'])));
                                }
                            }
                        //}
                        $c1++;
                    }
                }
            }
        }

        $filename='Excel2.xls'; //save our workbook as this file name
        header('Content-Type: application/vnd.ms-excel'); //mime type
        header('Content-Disposition: attachment;filename="'.$filename.'"'); //tell browser what's the file name
        header('Cache-Control: max-age=0'); //no cache

        // Save it as an excel 2003 file
        $objWriter = IOFactory::createWriter($objPHPExcel, 'Excel5');
        $objWriter->save("php://output");
    }

    public function viewTenderExcel3()
    {
        $userid = $_GET['userid'];
        $user = $this->common->getsData("user",array("userid"=>$userid),array("product_services as keyword,sector,region_name"));
        $user['fields'] = 'T.date_c,T.posting_id,T.maj_org,T.short_desc,T.country,T.doc_last,T.notice_type,T.tender_sector,T.cpv';
        $saved_cpv_data = $this->common->getsData("saved_cpv",array("userid"=>$userid),array("saved_cpv"));

        $saved_cpv = (isset($saved_cpv_data['saved_cpv']) && $saved_cpv_data['saved_cpv']!="")?json_decode($saved_cpv_data['saved_cpv']):array();
        $sector = (isset($user['sector']) && $user['sector']!="")?explode(",", ($user['sector'])):array();
        $product_services = (isset($user['keyword']) && $user['keyword']!="")?explode(",", $user['keyword']):array();
        $user['cpv'] = implode(",", $saved_cpv);
        $user['sector'] = explode(",",$user['sector']);
        $user['region_name'] = explode(",",$user['region_name']);
        if(isset($_GET['tender_type']) && $_GET['tender_type']!=""){
            $user['tender_type'] = $_GET['tender_type'];
        }else{
            $user['tender_type'] = "live";
        }
        if((isset($_GET['date_c_start']) && $_GET['date_c_start']!="") && (isset($_GET['date_c_end']) && $_GET['date_c_end']!="")){
            $user['date_c_start'] = $_GET['date_c_start'];
            $user['date_c_end'] = $_GET['date_c_end'];
        }
        if(isset($_GET['notice_type']) && $_GET['notice_type']!=""){
            $user['notice_type'] = $_GET['notice_type'];
        }
        $tenders = $this->tender->getRows($user,'',array(),'tenders');
        $this->usearch->downloadExcelThreeReport($tenders,$saved_cpv,$sector,$product_services);
    }
}
?>