<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

if (!function_exists('popupHtml'))
{
    function popupHtml($id='',$title='',$include='',$param=array(),$size="")
    {
        $html='<div class="modal modal-primary fade " id="'.$id.'" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog '.$size.'" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title" style="color:white;" id="'.$id.'_title">'.$title.'</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div id="mb">'.(($include!="")?$include($param):"").'</div>
                    </div>
                </div>
            </div>';
        return $html;
    }
}

if (!function_exists('sendMessageForm'))
{
    function sendMessageForm($post=array())
    {
        $CI =& get_instance();
        $group = $CI->common->getData("mail_group",array(),array("groupName","mailid"));
        $html='<form method="post" action="'.base_url("admin/editAlertDates").'" id="sendMessageForm">
                    <input type="hidden" name="userid" id="userid" value="" />
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="group-control">
                                    <label class="col-md-4">Date</label>
                                    <div class="col-md-8">
                                        <div class="input-group date datetimepicker2" style="color:black;">
                                            <input type="text" name="popup_date" id="date" placeholder="Date" class="form-control date" />
                                            <span class="input-group-addon">
                                                <span class="glyphicon glyphicon-calendar"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="group-control">
                                    <label class="col-md-4">Message</label>
                                    <div class="col-md-8">
                                        <textarea name="message" class="form-control" placeholder="Message" style="color:black;"></textarea>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="group-control">
                                    <label class="col-md-4">Group</label>
                                    <div class="col-md-8">
                                        <select class="form-control select2" name="group[]" id="group" multiple style="width:100%;">
                                            <option value="">Select Group</option>';
                                            if($group){ foreach($group as $value) :
                                                $html.='<option value="'.$value['mailid'].'">'.ucwords($value['groupName']).'</option>';
                                            endforeach; }
                                    $html.='</select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>';
        return $html;
    }
}

if (!function_exists('editAlertDateForm'))
{
    function editAlertDateForm($post=array())
    {
        $html='<form method="post" action="'.base_url("admin/editAlertDates").'" id="editAlertDateForm">
                    <input type="hidden" name="userid" id="subscriptionuserid" value="" />
                    <div class="modal-body">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>';
        return $html;
    }
}

if (!function_exists('sendSampleModalContent'))
{
    function sendSampleModalContent($post=array())
    {
        $CI = & get_instance();
            $mail_template = array_slice(scandir( FCPATH ."application/views/static_templates/templates"),2);
        if($CI->adminid=="002307bb8795bf4088173dc69be61929"){
            //$mail_template = array_diff(scandir( FCPATH ."application/views/static_templates"),array('..', '.'));
            //print_r($mail_template);
        }else{
            $mail_template = $CI->config->item("mail_template");
        }
        $html='<form id="setMailSettings">
                <input type="hidden" id="sendSampleuserid" value="" />
                <div class="modal-header mh1">
                    <div class="row">
                        <div class="col-md-5">
                            <h4 class="modal-title" style="color: white;">Email Alerts Settings</h4>
                        </div>
                        <div class="col-md-5">
                            <h4 class="user_name" style="color: white;"></h4>
                        </div>
                    </div>
                </div>
                <div class="modal-body mb1">
                    <div class="row">
                        <div class="col-md-4">
                            <a href="javascript:void(0)" id="sendEmailSamples" class="btn btn-primary ssEmailSamples" data-id="">Send Samples</a>
                        </div>
                        <div class="col-md-4">
                            <a href="javascript:void(0)" id="sentEmailSamples" class="btn btn-primary ssEmailSamples" data-id="">Sent Mail</a>
                        </div>
                        <div class="col-md-4">
                            <a href="javascript:void(0)" id="sendQuickEmail" class="btn btn-primary ssEmailSamples" data-id="">Send Quick Email</a>
                        </div>
                    </div>
                </div>

                <div class="modal-header mh2">
                    <h4 class="modal-title" style="color: white;">Email Frequency Settings</h4>
                </div>
                <div class="modal-body mb2">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="group-control">
                                <label class="col-md-4">Send Mail Frequency</label>
                                <div class="col-md-8">
                                    <select class="form-control" name="frequency" id="frequency">
                                        <option value="">Select Frequency</option>';
                                        $frequency = $CI->config->item("frequency");
                                        if($frequency){ foreach($frequency as $value) :
                                            $html.='<option value="'.$value.'">'.ucwords($value).'</option>';
                                        endforeach; }
                                $html.='</select>
                                </div>
                            </div>
                        </div>
                        <div class="clearfix">&nbsp;</div>
                        <div class="col-md-12">
                            <div class="group-control">
                                <label class="col-md-4">E-mail Frequency Limit</label>
                                <div class="col-md-8">
                                    <input type="checkbox" name="frequency_limit" id="frequency_limit">  Check for All (Default 10)
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix">&nbsp;</div>
                    <div class="row">
                        <div class="col-md-6">
                            <button type="button" class="btn btn-default col-md-12" data-dismiss="modal">Close</button>
                        </div>
                        <div class="col-md-6">
                            <button type="submit" class="btn btn-primary col-md-12">Save</button>
                        </div>
                    </div>
                </div>

                <div class="modal-header mh3">
                    <h4 class="modal-title" style="color: white;">Send Template Emails</h4>
                </div>
                <div class="modal-body mh3">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="group-control">
                                <label class="col-md-4">Select Mail Template</label>
                                <div class="col-md-8">
                                    <select class="form-control" name="predefine_templates" id="predefine_templates">
                                        <option value="">Select Template</option>';
                                            foreach ($mail_template as $key => $value) {
                                                if($CI->adminid=="002307bb8795bf4088173dc69be61929"){
                                        $html.='<option value="'.str_replace(".php", "", $value).'">'.str_replace(".php", "", str_replace("_", " ", $value)).'</option>';
                                                }else{
                                        $html.='<option value="'.$key.'">'.$value.'</option>';
                                                }
                                            }
                                $html.='</select>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix">&nbsp;</div>
                    <div class="row">
                        <div class="col-md-6">
                            <button type="button" class="btn btn-default col-md-12 predefine_templates_send_preview" data-edit="0" >Send</button>
                        </div>
                        <div class="col-md-6">
                            <button type="button" class="btn btn-primary col-md-12 predefine_templates_send_preview" data-edit="1" >Preview & Edit</button>
                        </div>
                    </div>
                </div>';
        return $html;
    }
}

if (!function_exists('emailTrackModalContent'))
{
    function emailTrackModalContent($post=array())
    {
        $CI = & get_instance();
        $mail_template = array_slice(scandir( FCPATH ."application/views/static_templates/offer"),2);
        $html='<form id="emailTrackForm">
                <input type="hidden" id="emailTrackuserid" name="emailTrackuserid" value="" />
                <div class="modal-header mh1">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="group-control">
                                <label class="col-md-4">Select Mail Template</label>
                                <div class="col-md-8">
                                    <select class="form-control" name="template" id="predefine_templates">
                                        <option value="">Select Template</option>';
                                            foreach ($mail_template as $key => $value) {
                                        $html.='<option value="'.str_replace(".php", "", $value).'">'.ucwords(str_replace(".php", "", str_replace("_", " ", $value))).'</option>';
                                            }
                                $html.='</select>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix">&nbsp;</div>
                    <div class="row">
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-default btn-block">Send</button>
                        </div>
                    </div>
                </div>
                </form>';
        return $html;
    }
}

if (!function_exists('allSendEmailSemplesBody'))
{
    function allSendEmailSemplesBody($post=array())
    {

        $html ='<div class="modal-body">
                    <input type="hidden" name="sample_userid" value="" />
                    <div id="loader" class="text-center" style="display: none; border: 1;">
                        <img src="http://www.globaltenders.com/tenders/gt-images/globe-earth-animation-15-2.gif" alt="loading" style="height: 150px;">
                    </div>
                </div>
                <div class="modal-body" id="allSendEmailSemplesBody">
                </div>';
        return $html;
    }
}

if (!function_exists('allSendEmailSemplesBody'))
{
    function allSendEmailSemplesBody($post=array())
    {
        $html = '<div class="modal-header">
                    <input type="hidden" name="sample_userid" value="" />
                </div>
                <div class="modal-body">
                    <div id="loader" class="text-center" style="display: none; border: 1;">
                        <img src="http://www.globaltenders.com/tenders/gt-images/globe-earth-animation-15-2.gif" alt="loading" style="height: 150px;">
                    </div>
                </div>
                <div class="modal-body" id="allSendEmailSemplesBody">
                </div>';
        return $html;
    }
}

if (!function_exists('tenderSettingPopup'))
{
    function tenderSettingPopup($post=array())
    {
        $html='<form id="tenderSettingPopupForm">
                    <input type="hidden" name="userid" class="userid" value="" />
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="group-control">
                                    <label class="col-md-4">Number of tenders</label>
                                    <div class="col-md-8">
                                        <input type="text" class="form-control no_of_tender" name="no_of_tender" value="" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="clearfix">&nbsp;</div>
                        <div class="row">
                            <div class="col-md-6">
                                <button type="button" class="btn btn-default col-md-12" data-dismiss="modal">Close</button>
                            </div>
                            <div class="col-md-6">
                                <button type="submit" class="btn btn-primary col-md-12" >Update</button>
                            </div>
                        </div>
                    </div>
                </form>';
        return $html;
    }
}

if (!function_exists('searchPageForm'))
{
    function searchPageForm()
    {
        $CI = & get_instance();
        $html='';
        $data['user_title'] = $CI->config->item("title");
        $data['countryarray'] = $CI->config->item("countryarray");
        $data['tender_sector'] = $CI->config->item("sector_industry");
        $data['package'] = $CI->config->item("package");
        $data['lead_sources'] = $CI->config->item("lead_sources");
        $data['hear'] = $CI->config->item("hear");
        $data['admins'] = $CI->common->getData("admin",array("admin_type !="=>"parent"),array("adminid","admin_name","sub_adminid"));
        $data['admin_type'] = $CI->session->userdata('admin_type');

        $html = $CI->load->view("user-search",$data,true);
        return $html;
    }
}
// ------------------------------------------------------------------------
/* End of file email_alert_helper.php */
/* Location: ./system/helpers/email_alert_helper.php */