<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

if (!function_exists('template1'))
{
    function template1($userdata)
    {
        $CI = & get_instance();
        $data['user']=$userdata;
        $html=$CI->load->view("email-templates/automatic-24-hours-Except-India",$data,true);
        return $html;
    }
}

if (!function_exists('template2'))
{
    function template2($userdata)
    {
        $CI = & get_instance();
        $data['user']=$userdata;
        $html=$CI->load->view("email-templates/automatic-24-hours-india",$data,true);
        return $html;
    }
}

if (!function_exists('template3'))
{
    function template3($userdata)
    {
        $CI = & get_instance();
        $country_region = $CI->config->item("country_region");
        $ps = (isset($userdata["product_services"]))?$userdata["product_services"]:"";
        $product_services = ($ps=="")?"\$product_services":$ps;
        if(isset($userdata["saved_cpv"])){
            $saved_cpv = ($userdata["saved_cpv"]=='[""]' || $userdata["saved_cpv"]=="")?"No CPV Saved!":str_replace('"', "", $userdata["saved_cpv"]);
        }else{
            $saved_cpv = "\$saved_cpv";
        }
        $region_name=array();
        if(isset($userdata["region_name"])){
            foreach (explode(",", $userdata["region_name"]) as $key => $value) {
                $region_name[] = (array_key_exists($value, $country_region)?$country_region[$value]:"worldwide");
            }
            $region_name = implode(",", $region_name);
        }else{
            $region_name = "\$region_name";
        }
        $html='<p>Dear '.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").'</p>
                <p>Greetings from GlobalTenders!</p>
                <p>I&#39;m '.(isset($userdata["admin_name"])?ucwords($userdata["admin_name"]):"\$admin_name").', your relationship manager. I&#39;ll be helping you search for business opportunities and trade leads to expand your business.</p>
                <p>You have opted to receive alerts for the following &ndash;</p>
                <p><strong>Products/Services</strong> &ndash;'.$product_services.'</p>
                <p><strong>CPV</strong> - '.str_replace(array('"',"[","]"), "", $saved_cpv).'</p>
                <p><strong>Target Regions</strong> - '.$region_name.'</p>
                <p>Please let me know if any modifications are required. You can modify the same through your dashboard.</p>
                <p>Please contact me for all queries.</p>
                <p>Best Regards,</p>
                <p>'.(isset($userdata["admin_name"])?ucwords($userdata["admin_name"]):"\$admin_name").'</p>';
        return $html;
    }
}

if (!function_exists('template4'))
{
    function template4($userdata)
    {
        $CI = & get_instance();
        $country_region = $CI->config->item("country_region");
        $ps = (isset($userdata["product_services"]))?$userdata["product_services"]:"";
        $product_services = ($ps=="")?"\$product_services":$ps;
        if(isset($userdata["saved_cpv"])){
            $saved_cpv = ($userdata["saved_cpv"]=='[""]' || $userdata["saved_cpv"]=="")?"No CPV Saved!":str_replace('"', "", $userdata["saved_cpv"]);
        }else{
            $saved_cpv = "\$saved_cpv";
        }
        $region_name=array();
        if(isset($userdata["region_name"])){
            foreach (explode(",", $userdata["region_name"]) as $key => $value) {
                $region_name[] = (array_key_exists($value, $country_region)?$country_region[$value]:"worldwide");
            }
            $region_name = implode(",", $region_name);
        }else{
            $region_name = "\$region_name";
        }
        $html='<p>Dear '.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").'</p>
                <p>Greetings from GlobalTenders!</p>
                <p>I&#39;m '.(isset($userdata["admin_name"])?ucwords($userdata["admin_name"]):"\$admin_name").', your relationship manager. I&#39;ll be helping you search for business opportunities and trade leads to expand your business.</p>
                <p>You have opted to receive alerts for the following &ndash;</p>
                <p><strong>Products/Services</strong> &ndash; '.$product_services.'</p>
                <p><strong>CPV</strong> - '.str_replace(array('"',"[","]"), "", $saved_cpv).'</p>
                <p><strong>Target Regions</strong> - '.$region_name.'</p>
                <p>Please let me know if any modifications are required. You can modify the same through your dashboard.</p>
                <p>Please contact me for all queries.</p>
                <p>Best Regards,</p>
                <p>'.(isset($userdata["admin_name"])?ucwords($userdata["admin_name"]):"\$admin_name").'</p>';
        return $html;
    }
}

if (!function_exists('template5'))
{
    function template5($userdata)
    {
        $html='<p>Dear&nbsp;'.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").'</p>
            <p>I thought I&#39;d just drop in a quick&nbsp;follow&nbsp;up&nbsp;note regarding your subscription as we haven&#39;t heard from you.</p>
            <p>Please contact us for all queries.</p>
            <p>Best Regards</p>
            <p>'.(isset($userdata["admin_name"])?ucwords($userdata["admin_name"]):"\$admin_name").'</p>';
        return $html;
    }
}

if (!function_exists('template6'))
{
    function template6($userdata)
    {
        $html='<p>Hi '.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").',</p>
                <p>Worrying about what&#39;s going around in other parts or what your competitors are upto?</p>
                <p>Even when a majority of businesses are consolidating, you can expand your business by finding lots of business opportunities on Global Tenders!</p>
                <p>Spending time searching for portals where you can find similar information for free? Why spend majority of your time searching for information when you should be spending your time acting on the information.</p>
                <p>Get complete and immediate access to worldwide business opportunities rather than manually searching the market for budget friendly deals.</p>
                <p>Best Regards,</p>
                <p>'.(isset($userdata["admin_name"])?ucwords($userdata["admin_name"]):"\$admin_name").'</p>';
        return $html;
    }
}

if (!function_exists('template7'))
{
    function template7($userdata)
    {
        $html='<p>Hi '.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").',</p>
                <p>Can you let me know where this is at on your side. If the subscription is delayed, I can contact you again at a later stage.&nbsp;</p>
                <p>You can also avail a free trial to test our services.</p>
                <p>Best Regards,</p>
                <p>'.(isset($userdata["admin_name"])?ucwords($userdata["admin_name"]):"\$admin_name").'</p>';
        return $html;
    }
}

if (!function_exists('template8'))
{
    function template8($userdata)
    {
        $html='<p>Hi '.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").',</p>
                <p>A couple of weeks ago you had filled our subscription form to find new business opportunities using Global Tenders.</p>
                <p>We haven&rsquo;t heard from you since then.</p>
                <p>This will be my last outreach to you so I would appreciate if you can tell me if this is moving forward and how far along are you?</p>
                <p>Please note that you would not able to use the dashboard features.</p>
                <p>Please choose any of the paid packages to activate your account.</p>
                <p>Best Regards,</p>
                <p>'.(isset($userdata["admin_name"])?ucwords($userdata["admin_name"]):"\$admin_name").'</p>';
        return $html;
    }
}

if (!function_exists('template9'))
{
    function template9($userdata)
    {
        $html='<p>Hi '.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").',<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Confused whether to upgrade your account or not?<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Some of the services we offer are &ndash;<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.&nbsp; Analytics<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.&nbsp; Dashboard<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.&nbsp; Email Alerts<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.&nbsp; Tender Notices, Project Information, Procurement News , Contract Awards<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.&nbsp; Advanced Search<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.&nbsp; Tender Historical Report<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.&nbsp; Dedicated Relationship Manager<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 8.&nbsp; Automated Bid Opportunities<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 9.&nbsp; Original Document<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 10. Corrigendum<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 11. Joint Ventures and Consortiums<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 12. Document Procurement<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 13. Bid Consultancy<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 14. Country Profiling</p>
                    <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Click here for a details view of our services - http://www.globaltenders.com/global-tenders-services.php</p>
                    <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Best Regards,</p>
                    <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; '.(isset($userdata["admin_name"])?ucwords($userdata["admin_name"]):"\$admin_name").'</p>';
        return $html;
    }
}

if (!function_exists('template10'))
{
    function template10($userdata)
    {
        $html='<p>Dear&nbsp;'.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").',</p>
            <p>Global Tenders provides complete analytics of your products and services.</p>
            <p>We shall sending you detailed trends of tendering of your products and services from all over the world.</p>
            <p>It shall contain the number of notices released in the past, a short description, country wise data, names of organizations and the number of notices released by them.</p>
            <p>It shall also contain detailed information regarding related products and services and their past trends.</p>
            <p>It will help you in backdated research and future forecasting.</p>
            <p>Ask for a sample report now &ndash; http://www.globaltenders.com/global-tenders-analytics.php</p>
            <p>Best Regards,</p>
            <p>'.(isset($userdata["admin_name"])?(isset($userdata["admin_name"])?ucwords($userdata["admin_name"]):"\$admin_name"):"\$admin_name").'</p>';
        return $html;
    }
}

if (!function_exists('template11'))
{
    function template11($userdata)
    {
        $html='<p>Dear&nbsp;'.(isset($userdata["title"])?ucwords($userdata["title"]):"\$title")." ".(isset($userdata["last_name"])?ucwords($userdata["last_name"]):"\$last_name").',</p>
                <p><br />
                Thanks for subscribing to Global Tenders. Your account has been activated.</p>
                <p>Your username is - <strong>'.(isset($userdata["email"])?$userdata["email"]:"\$email").'</strong></p>
                <p>Your account will expire on <strong>'.(isset($userdata["expiry_date"])?date("d-m-Y",strtotime($userdata["expiry_date"])):"\$expiry_date").'</strong></p>
                <p>You&#39;ll receive&nbsp;another&nbsp;email&nbsp;containing a system generated Confirmation Code. You are requested to please forward the same to us at the earliest or click on the link in the&nbsp;email&nbsp;to confirm the request so that you can start receiving the&nbsp;Email&nbsp;Alerts.</p>
                <p>Kindly also add our domain&nbsp;<a href="http://globaltenders.com/" rel="noreferrer" style="font-size:12.8px" target="_blank">globaltenders.com</a>&nbsp;to your contact list/safe senders list/white list to avoid our mails going to your SPAM/Trash Folder.</p>
                <p>Please remember that this is a single user access account.<br />
                <br />
                Kindly acknowledge receipt of this email.<br /><br />
                Regards,<br /><br />
                Global Tenders Team,<br /><br /><br />
                Anroh Global Services Pvt. Ltd.<br />
                (Unit - GlobalTenders.com)<br /><br />
                Ph. +91.7389812767, +91.7314282820<br /><br />
                <a href="http://www.globaltenders.com/" rel="noreferrer" style="font-size:12.8px" target="_blank">http://www.globaltenders.com</a></p>
                <p>Ref.:&nbsp;<br />
                Title:&nbsp;'.(isset($userdata["title"])?ucwords($userdata["title"]):"\$title").'<br />
                First Name:&nbsp;'.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").'<br />
                Last Name:&nbsp;'.(isset($userdata["last_name"])?ucwords($userdata["last_name"]):"\$last_name").'<br />
                Email:&nbsp;'.(isset($userdata["email"])?$userdata["email"]:"\$email").'<br />
                Organization: &nbsp;'.(isset($userdata["organization"])?ucwords($userdata["organization"]):"\$organization").'<br />
                City:&nbsp;'.(isset($userdata["city"])?ucwords($userdata["city"]):"\$city").'<br />
                Country:&nbsp;'.(isset($userdata["country"])?ucwords($userdata["country"]):"\$country").'<br />
                Phone:&nbsp;'.(isset($userdata["phone"])?$userdata["phone"]:"\$phone").'<br />
                Mobile:&nbsp;'.(isset($userdata["mobile_no"])?$userdata["mobile_no"]:"\$mobile_no").'<br />
                Website:&nbsp;'.(isset($userdata["website_url"])?$userdata["website_url"]:"\$website_url").'<br />
                Sector: '.(isset($userdata["sector"])?ucwords($userdata["sector"]):"\$sector").'<br />
                Product Services:&nbsp;'.(isset($userdata["product_services"])?ucwords($userdata["product_services"]):"\$product_services").'<br />
                CPV:&nbsp;'.(isset($userdata["saved_cpv"])?str_replace(array('"',"[","]"), "", $userdata["saved_cpv"]):"\$saved_cpv").'<br />
                Package:&nbsp;'.(isset($userdata["package"])?ucwords($userdata["package"]):"\$package").'<br />
                Password:&nbsp;'.(isset($userdata["password"])?$userdata["password"]:"\$password").'</p>';
        return $html;
    }
}

if (!function_exists('template12'))
{
    function template12($userdata)
    {
        $html='<p>Dear&nbsp;'.(isset($userdata["title"])?ucwords($userdata["title"]):"\$title")." ".(isset($userdata["last_name"])?ucwords($userdata["last_name"]):"\$last_name").',</p>
                <p><br />
                Thanks for subscribing to Global Tenders. Your account has been activated.</p>
                <p>Your username is - <strong>'.(isset($userdata["email"])?$userdata["email"]:"\$email").'</strong></p>
                <p>Your account will expire on <strong>'.(isset($userdata["expiry_date"])?date("d-m-Y",strtotime($userdata["expiry_date"])):"\$expiry_date").'</strong></p>
                <p>Kindly also add our domain&nbsp;<a href="http://globaltenders.com/" rel="noreferrer" style="font-size:12.8px" target="_blank">globaltenders.com</a>&nbsp;to your contact list/safe senders list/white list to avoid our mails going to your SPAM/Trash Folder.</p>
                <p>Please remember that this is a single user access account.<br />
                Kindly acknowledge receipt of this email.<br /><br />
                Regards,<br /><br />
                Global Tenders Team,<br /><br /><br />
                Anroh Global Services Pvt. Ltd.<br />
                (Unit - GlobalTenders.com)<br /><br />
                Ph. +91.7389812767, +91.7314282820<br /><br />
                <a href="http://www.globaltenders.com/" rel="noreferrer" style="font-size:12.8px" target="_blank">http://www.globaltenders.com</a></p>
                <p>Ref.:&nbsp;<br />
                Title:&nbsp;'.(isset($userdata["title"])?ucwords($userdata["title"]):"\$title").'<br />
                First Name:&nbsp;'.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").'<br />
                Last Name:&nbsp;'.(isset($userdata["last_name"])?ucwords($userdata["last_name"]):"\$last_name").'<br />
                Email:&nbsp;'.(isset($userdata["email"])?$userdata["email"]:"\$email").'<br />
                Organization: &nbsp;'.(isset($userdata["organization"])?ucwords($userdata["organization"]):"\$organization").'<br />
                City:&nbsp;'.(isset($userdata["city"])?ucwords($userdata["city"]):"\$city").'<br />
                Country:&nbsp;'.(isset($userdata["country"])?ucwords($userdata["country"]):"\$country").'<br />
                Phone:&nbsp;'.(isset($userdata["phone"])?$userdata["phone"]:"\$phone").'<br />
                Mobile:&nbsp;'.(isset($userdata["mobile_no"])?$userdata["mobile_no"]:"\$mobile_no").'<br />
                Website:&nbsp;'.(isset($userdata["website_url"])?$userdata["website_url"]:"\$website_url").'<br />
                Sector: '.(isset($userdata["sector"])?ucwords($userdata["sector"]):"\$sector").'<br />
                Product Services:&nbsp;'.(isset($userdata["product_services"])?ucwords($userdata["product_services"]):"\$product_services").'<br />
                CPV:&nbsp;'.(isset($userdata["saved_cpv"])?str_replace(array('"',"[","]"), "", $userdata["saved_cpv"]):"\$saved_cpv").'<br />
                Package:&nbsp;'.(isset($userdata["package"])?ucwords($userdata["package"]):"\$package").'<br />
                Password:&nbsp;'.(isset($userdata["password"])?$userdata["password"]:"\$password").'</p>';
        return $html;
    }
}

if (!function_exists('template13'))
{
    function template13($userdata)
    {
        $html='<p>Dear&nbsp;'.(isset($userdata["title"])?ucwords($userdata["title"]):"\$title")." ".(isset($userdata["last_name"])?ucwords($userdata["last_name"]):"\$last_name").',</p>
                <p>Our records show that your subscription&nbsp;to GlobalTenders.com is going to&nbsp;<strong>expire soon</strong>&nbsp;and is up for renewal. We hope you have found our unrestricted online access to the business opportunities/tender&nbsp;notices from any country&nbsp;useful and would like renew/upgrade your subscription. Daily more than 15000 tender notices, projects, procurement news etc. are uploaded on the website.</p>
                <p>Renewing your account will give you access to thousand of business opportunities on GlobalTenders.com.&nbsp;</p>
                <p><strong>Click here to renew -&nbsp;</strong><u><a href="http://www.globaltenders.com/global-tenders-upgrade.php" target="_blank">http://www.globaltenders.com/global-tenders-upgrade.php</a></u></p>
                <p><br />
                Best Regards,<br /><br />
                for&nbsp;<strong>GlobalTenders.com</strong><br /><br />
                Nidhi</p>
                <p><strong>Anroh Global Services Pvt. Ltd.</strong><br />Mo. +91.7389812767,<br />Ph. +91.731.4282820</p>
                <p><a href="http://www.globaltenders.com/" target="_blank">http://www.globaltenders.com</a></p>
                <p>Ref.:&nbsp;<br />
                Title:&nbsp;'.(isset($userdata["title"])?ucwords($userdata["title"]):"\$title").'<br />
                First Name:&nbsp;'.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").'<br />
                Last Name:&nbsp;'.(isset($userdata["last_name"])?ucwords($userdata["last_name"]):"\$last_name").'<br />
                Email:&nbsp;'.(isset($userdata["email"])?$userdata["email"]:"\$email").'<br />
                Organization: &nbsp;'.(isset($userdata["organization"])?ucwords($userdata["organization"]):"\$organization").'<br />
                City:&nbsp;'.(isset($userdata["city"])?ucwords($userdata["city"]):"\$city").'<br />
                Country:&nbsp;'.(isset($userdata["country"])?ucwords($userdata["country"]):"\$country").'<br />
                Phone:&nbsp;'.(isset($userdata["phone"])?$userdata["phone"]:"\$phone").'<br />
                Mobile:&nbsp;'.(isset($userdata["mobile_no"])?$userdata["mobile_no"]:"\$mobile_no").'<br />
                Website:&nbsp;'.(isset($userdata["website_url"])?$userdata["website_url"]:"\$website_url").'<br />
                Sector: '.(isset($userdata["sector"])?ucwords($userdata["sector"]):"\$sector").'<br />
                Product Services:&nbsp;'.(isset($userdata["product_services"])?ucwords($userdata["product_services"]):"\$product_services").'<br />
                CPV:&nbsp;'.(isset($userdata["saved_cpv"])?str_replace(array('"',"[","]"), "", $userdata["saved_cpv"]):"\$saved_cpv").'<br />
                Package:&nbsp;'.(isset($userdata["package"])?ucwords($userdata["package"]):"\$package").'<br />
                Password:&nbsp;'.(isset($userdata["password"])?$userdata["password"]:"\$password").'</p>';
        return $html;
    }
}

if (!function_exists('template14'))
{
    function template14($userdata)
    {
        $html='<p>Dear&nbsp;'.(isset($userdata["title"])?ucwords($userdata["title"]):"\$title")." ".(isset($userdata["last_name"])?ucwords($userdata["last_name"]):"\$last_name").',</p>
                <p>Thank you so much for your past subscription to GlobalTenders.com. We appreciate having the opportunity to serve you as a valued customer. However, we noticed your subscription has expired and you have not renewed your subscription. If you experienced any problem during your subscription, please let us know so that we can correct the same immediately.</p>
                <p>Renewing your account will give you access to thousand of business opportunities on GlobalTenders.com.</p>
                <p><strong>Click here to renew -&nbsp;</strong><u><a href="http://www.globaltenders.com/global-tenders-upgrade.php" target="_blank">http://www.globaltenders.com/global-tenders-upgrade.php</a></u></p>
                <p><br />
                Best Regards,<br /><br />
                Nidhi</p>
                <p><strong>Anroh Global Services Pvt. Ltd.</strong><br />
                Mo. +91.7389812767,<br />
                Ph. +91.731.4282820</p>
                <p><a href="http://www.globaltenders.com/" target="_blank">http://www.globaltenders.com</a></p>
                <p>Ref.:&nbsp;<br />
                Title:&nbsp;'.(isset($userdata["title"])?ucwords($userdata["title"]):"\$title").'<br />
                First Name:&nbsp;'.(isset($userdata["first_name"])?ucwords($userdata["first_name"]):"\$first_name").'<br />
                Last Name:&nbsp;'.(isset($userdata["last_name"])?ucwords($userdata["last_name"]):"\$last_name").'<br />
                Email:&nbsp;'.(isset($userdata["email"])?$userdata["email"]:"\$email").'<br />
                Organization: &nbsp;'.(isset($userdata["organization"])?ucwords($userdata["organization"]):"\$organization").'<br />
                City:&nbsp;'.(isset($userdata["city"])?ucwords($userdata["city"]):"\$city").'<br />
                Country:&nbsp;'.(isset($userdata["country"])?ucwords($userdata["country"]):"\$country").'<br />
                Phone:&nbsp;'.(isset($userdata["phone"])?$userdata["phone"]:"\$phone").'<br />
                Mobile:&nbsp;'.(isset($userdata["mobile_no"])?$userdata["mobile_no"]:"\$mobile_no").'<br />
                Website:&nbsp;'.(isset($userdata["website_url"])?$userdata["website_url"]:"\$website_url").'<br />
                Sector: '.(isset($userdata["sector"])?ucwords($userdata["sector"]):"\$sector").'<br />
                Product Services:&nbsp;'.(isset($userdata["product_services"])?ucwords($userdata["product_services"]):"\$product_services").'<br />
                CPV:&nbsp;'.(isset($userdata["saved_cpv"])?str_replace(array('"',"[","]"), "", $userdata["saved_cpv"]):"\$saved_cpv").'<br />
                Package:&nbsp;'.(isset($userdata["package"])?ucwords($userdata["package"]):"\$package").'<br />
                Password:&nbsp;'.(isset($userdata["password"])?$userdata["password"]:"\$password").'</p>';
        return $html;
    }
}

if (!function_exists('verificationHtml'))
{
    function verificationHtml($userdata)
    {
        $CI =& get_instance();
        $data['post'] = $userdata;
        $html = $CI->load->view("email_template/email-activation-template",$data,true);
        return $html;
    }
}

if (!function_exists('editUserTemplate'))
{
    function editUserTemplate($post,$userdata)
    {
        $CI =& get_instance();
        $template = $CI->template->dynamicTemplateFileContent($userdata,$post);
        return $template;
    }
}

if (!function_exists('editTemplate'))
{
    function editTemplate($post,$userdata)
    {
        $CI =& get_instance();
        if($CI->adminid=="002307bb8795bf4088173dc69be61929"){
            $template = editUserTemplate($post,$userdata);
        }else{
            $template = $post['template']($userdata);
        }
        $html='
            <div class="row">
                <form id="sendMailEditedTemplate" method="post">
                    <div class="col-md-offset-1 col-md-10">
                        <div class="col-md-12">
                            <label class="col-md-12">Edit Template</label>
                            <div class="col-md-12">
                                <input type="hidden" name="userid" value="'.$post["userid"].'" />
                                <input type="hidden" name="template" value="'.$post['template'].'" />
                                <textarea name="edit_template" id="ckeditor_full" class="form-control">'.$template.'</textarea>
                            </div>
                        </div>
                        <div class="clearfix">&nbsp;</div>
                        <div class="col-md-12">
                            <div class="col-md-6">
                                <button type="button" class="btn btn-default col-md-12" data-dismiss="modal">Close</button>
                            </div>
                            <div class="col-md-6">
                                <input type="submit" class="btn btn-block btn-primary" value="Submit" />
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <script>
                /*$("textarea#ckeditor_full").ckeditor({
                        toolbarGroups: [
                            { name: "document",    groups: [ "mode", "document" ] },            // Displays document group with its two subgroups.
                            { name: "basicstyles", groups: [ "basicstyles", "cleanup" ] },
                            { name: "links" }
                        ]
                      });*/
                CKEDITOR.plugins.addExternal( "docprops", "/tenders/assets/admin/plugins/ckeditor4/plugins/docprops/", "plugin.js" );
                CKEDITOR.config.toolbar = [
                    { name: "document", groups: [ "mode", "document"], items: [ "Source", ] },
                    { name: "basicstyles", groups: [ "basicstyles", "cleanup" ], items: [ "Bold", "Italic", "Underline", "Strike", "Subscript", "Superscript", "-", "CopyFormatting", "RemoveFormat" ] },
                ];
                CKEDITOR.replace( "ckeditor_full", {
                    fullPage: true,
                    extraPlugins: "docprops",
                    allowedContent: true,
                    height: 320
                } );
            </script>';
        return $html;
    }
}

if(!function_exists('sendEmailRelatedFieldsForm'))
{
    function sendEmailRelatedFieldsForm($userid)
    {
        $CI = & get_instance();
        $html = '';
        $html='<div class="row">
            <form id="sendSampleFrom" method="post">
                <div class="col-md-offset-1 col-md-10">
                    <div class="col-md-12">
                        <label class="col-md-3">Select Number Of Tenders</label>
                        <div class="col-md-9">
                            <input type="hidden" name="userid" value="'.$userid.'">
                            <select name="no_of_tenders" class="form-control">
                                <option value="10">10</option>
                                <option value="20">20</option>
                                <option value="50">50</option>
                            </select>
                        </div>
                    </div>
                    <!--div class="col-md-12">
                        <label class="col-md-3">Select keywords</label>
                        <div class="col-md-9">
                            <input type="text" name="keywords" id="keywords" placeholder="Insert Multiple keyword "," saperated." class="form-control" />
                        </div>
                    </div-->
                    <div class="clearfix">&nbsp;</div>
                    <div class="col-md-12">
                        <div class="col-md-6">
                            <button type="button" class="btn btn-default col-md-12" data-dismiss="modal">Close</button>
                        </div>
                        <div class="col-md-6">
                            <input type="submit" class="btn btn-block btn-primary" value="Submit" />
                        </div>
                    </div>
                </div>
            </form>
        </div>';
        return $html;
    }
}


if(!function_exists('allSentEmailList'))
{
    function allSentEmailList($tender='',$template='',$userid='')
    {
        //print_r($data);
        $html='';
        $html='<section class="content">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box box-primary">
                                <div class="box-body no-padding">
                                    <div class="mailbox-read-message">
                                        <div class="row">
                                            <div class="col-md-12" id="SempleTemplate">
                                                <div class="panel panel-primary">
                                                    <div class="panel-body">
                                                        <table id="example1" class="display nowrap" width="100%" cellspacing="0">
                                                            <thead>
                                                                <tr>
                                                                    <th>Template</th>
                                                                    <th>Date</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>';
                                                                if(!empty($tender)){ foreach ($tender as $key => $value):
                                                            $html.='<tr>
                                                                    <td>'.$value["template"].'</td>
                                                                    <td>'.$value["date"].'</td>
                                                                </tr>';
                                                                endforeach; }else{
                                                                $html.='<tr>
                                                                    <td colspan="2"><h1 class="text-center">No Template Send To This User.</h1></td>
                                                                    <td></td>
                                                                </tr>';
                                                                }
                                                    $html.='</tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <script>
                    $("#example1").DataTable();
                </script>';
        return $html;
    }
}

if(!function_exists('sendQuickEmailFrom'))
{
    function sendQuickEmailFrom($userid='')
    {
        $html='';
        $html.='<section class="content">
                    <div class="row">
                        <form id="sendQuickEMailForm" method="post">
                            <div class="col-md-offset-1 col-md-10">
                                <div class="col-md-12">
                                    <label class="col-md-12">Subject</label>
                                    <div class="col-md-12">
                                        <input type="hidden" name="userid" value="'.$userid.'" />
                                        <!--input type="hidden" name="userid" value="data["userid"]" />
                                        <input type="hidden" name="email" value="data["email"]" /-->
                                        <input type="text" name="subject" placeholder="Enter Subject" class="form-control" />
                                    </div>
                                </div>
                                <!--div class="clearfix">&nbsp;</div>
                                <div class="col-md-12">
                                    <label class="col-md-12">From</label>
                                    <div class="col-md-12">
                                        <input type="text" name="from" placeholder="Enter Email-id" class="form-control" />
                                    </div>
                                </div-->
                                <div class="clearfix">&nbsp;</div>
                                <div class="col-md-12">
                                    <label class="col-md-12">Edit Template</label>
                                    <div class="col-md-12">
                                        <textarea name="edit_template" id="ckeditor_full" placeholder="Enter Your Message Hear" class="form-control" rows="15"></textarea>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="col-md-12">
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-default col-md-12" data-dismiss="modal">Close</button>
                                    </div>
                                    <div class="col-md-6">
                                        <input type="submit" class="btn btn-block btn-primary" value="Submit" />
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </section>
                <script>
                      $("textarea#ckeditor_full").ckeditor({
                        toolbarGroups: [
                            { name: "document",    groups: [ "mode", "document" ] },            // Displays document group with its two subgroups.
                            { name: "basicstyles", groups: [ "basicstyles", "cleanup" ] },
                            { name: "links" }
                        ]
                      });
                </script>';
        return $html;
    }
}


if(!function_exists('scheduleMailForm'))
{
    function scheduleMailForm($data=array())
    {
        $CI = & get_instance();
        $mail_template = $CI->config->item("mail_template");
        $html='<form id="'.$data['id'].'">
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="group-control">
                                    <label class="col-md-4">Schedule Mail Date</label>
                                    <div class="col-md-8">
                                        <div class="form-group" style="color:black;">
                                            <input id="edit_schedule" name="edit_schedule" value="0" type="hidden">
                                            <div class="input-group date datetimepicker3">
                                                <input type="text" name="schedule_time" id="schedule_time" class="form-control" />
                                                <span class="input-group-addon">
                                                    <span class="glyphicon glyphicon-calendar"></span>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="group-control">
                                    <label class="col-md-4">Select Mail Template</label>
                                    <div class="col-md-8">
                                        <input type="hidden" id="userid" name="userid" />
                                        <select class="form-control" name="templates" id="predefine_templates">
                                            <option value="">Select Template</option>';
                                            foreach ($mail_template as $key => $value) {
                                        $html.='<option value="'.$key.'">'.$value.'</option>';
                                            }
                                    $html.='<option value="sample">Sample</option>
                                            <option value="schedule1">Schedule 1</option>
                                            <option value="schedule2">Schedule 2</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="clearfix">&nbsp;</div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary" id="schedule_mail_preview">Edit & Preview</button>
                        <button type="submit" class="btn btn-primary" id="schedule_mail_submit">Submt</button>
                    </div>
                </form>';
        return $html;
    }
}


if(!function_exists('previewScheduleMailForm'))
{
    function previewScheduleMailForm($post=array())
    {
        $CI = & get_instance();
        $mail_template = $CI->config->item("mail_template");
        if($post['edit_schedule']==0){
            $template = $post['templates'](array());
        }else{
            $template = $post['templates'];
        }
        $html='<form id="'.$post['id'].'">
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="group-control">
                                    <label class="col-md-12">Schedule Mail Date</label>
                                    <div class="col-md-12">
                                        <div class="form-group" style="color:black;">
                                            <input type="hidden" name="edit_schedule" id="edit_schedule" value="'.((isset($post['edit']))?1:0).'" />
                                            <input type="hidden" id="userid" name="userid" value="'.$post['userid'].'" />
                                            <div class="input-group date datetimepicker3">
                                                <input type="text" name="schedule_time" value="'.$post['schedule_time'].'" id="schedule_time" class="form-control" />
                                                <span class="input-group-addon">
                                                    <span class="glyphicon glyphicon-calendar"></span>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="group-control">
                                    <label class="col-md-12">Subject</label>
                                    <div class="col-md-12">
                                        <input name="subject" value="'.((isset($post['subject']) && $post['subject']!="")?$post['subject']:'').'" class="form-control" />
                                    </div>
                                </div>
                            </div>
                            <div class="clearfix">&nbsp;</div>
                            <div class="col-md-12">
                                <div class="group-control">
                                    <label class="col-md-12">Edit Scheduled Template</label>
                                    <div class="col-md-12">
                                        <textarea name="templates" id="ckeditor_full" class="form-control">'.$template.'</textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="clearfix">&nbsp;</div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Submt</button>
                    </div>
                </form>
                <script>
                  $("textarea#ckeditor_full").ckeditor({
                    toolbarGroups: [
                        { name: "document",    groups: [ "mode", "document" ] },            // Displays document group with its two subgroups.
                        { name: "basicstyles", groups: [ "basicstyles", "cleanup" ] },
                        { name: "links" }
                    ]
                  });
            </script>';
        return $html;
    }
}



if(!function_exists('tenderLimitForm'))
{
    function tenderLimitForm($post=array())
    {
        $CI = & get_instance();
        $html='<form id="tenderLimitForm">
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="group-control">
                                    <label class="col-md-12">Per Day Tender</label>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <input type="hidden" id="userid" name="userid" value="'.(isset($post['userid'])?$post['userid']:"").'" />
                                            <input type="hidden" name="status" value="'.(isset($post['status'])?$post['status']:"").'" />
                                            <input type="text" name="perday_tender" value="'.((isset($post['perday_tender']) && $post['perday_tender']!="")?$post['perday_tender']:0).'" id="perday_tender" class="form-control" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="group-control">
                                    <label class="col-md-12">Per Day Seen Tender</label>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <input type="text" name="perday_tender_count" value="'.((isset($post['perday_tender_count']) && $post['perday_tender_count']!="")?$post['perday_tender_count']:0).'" id="perday_tender_count" class="form-control" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="group-control">
                                    <label class="col-md-12">Total Tenders</label>
                                    <div class="col-md-12">
                                        <input name="total_tender" value="'.((isset($post['total_tender']) && $post['total_tender']!="")?$post['total_tender']:0).'" class="form-control" />
                                    </div>
                                </div>
                            </div>
                            <div class="clearfix">&nbsp;</div>
                            <div class="col-md-12">
                                <div class="group-control">
                                    <label class="col-md-12">Total Seen Tenders</label>
                                    <div class="col-md-12">
                                        <input name="total_tender_count" value="'.((isset($post['total_tender_count']) && $post['total_tender_count']!="")?$post['total_tender_count']:0).'" class="form-control" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="clearfix">&nbsp;</div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary reset_tenders_all">Reset All Fields</button>
                        <button type="button" class="btn btn-primary reset_tenders_counts">Reset Count Only</button>
                        <button type="submit" class="btn btn-primary">Submt</button>
                    </div>
                </form>';
        return $html;
    }
}

/* End of file template_helper.php */
/* Location: ./system/helpers/template_helper.php */