<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

if (!function_exists('userRegistrationSkipLink'))
{
    function userRegistrationSkipLink()
    {
        $html = '';
        $CI =& get_instance();
        $email='';
        if($CI->userid != "") {
            $user = $CI->common->getsData("user",array("userid"=>$CI->userid),array("userid","email"));
            $email = $user['email'];
        }
        $exp = explode("@",$email);
        $exp = end($exp);
        $no_of_tender = $status = 0;$type='';
        if($CI->common->getsData("mail_domain",array("mail_domain"=>trim($exp)))){
            $type="generic";
        }else{
            $res = $CI->db->query("select mail_domain from corporate_domain where mail_domain like '%".trim($exp)."%'");
            if($res->num_rows()==0){
                $type="corporate";
            }else{
                $type="corporate taken";
            }
        }
        if($type === "corporate" || $type === "corporate taken"){
            $html = '<p class="text-left"><a style="font-size: 13px;" href="'.base_url("dashboard").'"> SKIP</a></p>';
        }
        return $html;
    }
}

if (!function_exists('getCPVDropDowns'))
{
    function getCPVDropDowns($data=array(),$cpv_array=array(),$check='')
    {
        //print_r($cpv_array);
        $html='';
        $CI = & get_instance();
        $menu = $CI->session->userdata("is_static_menu");
        $cpv = json_decode($cpv_array['saved_cpv']);
        if($data)
        {
            $count = count($data);
            foreach ($data as $key => $value) {
                $html.='<li><input type="checkbox" class="select_cpv_code select_cpv_'.$value['cpv_code'].'"';
                if($check==1)
                {
                    if($cpv){
                        if(in_array($value['cpv_code'], $cpv))
                        {
                            $html.=' checked="checked" ';
                        }
                    }
                }
                $html.=' id="cpv_code'.$key.'" data-id="cpv_code'.$key.'" data-cpv-code="'.$value['cpv_code'].'"> ('.$value['cpv_code'].') '.$value['cpv_description'].'</li>';
            }
        }
        return $html;
    }
}

if (!function_exists('getCPVDropDownsLinks'))
{
    function getCPVDropDownsLinks($data=array(),$cpv_array=array())
    {
        //print_r($cpv_array);
        $html='';
        $CI = & get_instance();
        $menu = $CI->session->userdata("is_static_menu");
        $cpv = json_decode($cpv_array['saved_cpv']);
        if($data)
        {
            $count = count($data);
            foreach ($data as $key => $value) {
                $html.='<li><a href="'.base_url("gt-".$value['url']."-tenders").'.php" data-cpv-code="'.$value['cpv_code'].'"> ('.$value['cpv_code'].') '.$value['cpv_description'].'</a></li>';
            }
        }
        return $html;
    }
}


if (!function_exists('setClientStatus'))
{
    function setClientStatus($country)
    {
        $CI =& get_instance();
        if($country!="") {
            if(in_array($country,array("Australia","Austria","Belgium","Canada","China","Denmark","France","Germany","Greece","Israel","Italy","Korea","Korea South","Lithuania","Netherlands","Portugal","Russian Federation","Singapore","Spain","Switzerland","Turkey","United Arab Emirates","United Kingdom","United States"))) {
                return 'A';
            }else if(in_array($country, array("Brazil","Bulgaria","Croatia","Czech Republic","Egypt","Estonia","Finland","Gibraltar","Hong kong","Hungary","Iceland","India","Iran Islamic Republic Of","Ireland","Kazakstan","Kosovo","Latvia","Lebanon","Liechtenstein","Luxembourg","Macedonia","Malaysia","Malta","Mexico","Monaco","Montenegro","New Zealand","Pakistan","Philippines","Poland","Qatar","Romania","San Marino","Saudi Arabia","Serbia","Serbia and Montenegro","Slovakia","Slovenia","South Africa","Sweden","Taiwan","Trinidad and Tobago","Ukraine","Viet Nam"))){
                return 'B';
            }else if(in_array($country, array("Afghanistan","Albania","Algeria","American Samoa","Andorra","Angola","Anguilla","Antarctica","Antigua and Barbuda","Argentina","Armenia","Aruba","Azerbaijan","Bahamas","Bahrain","Bangladesh","Barbados","Belarus","Belize","Benin","Bermuda","Bhutan","Bolivia","Bosnia and Herzegovina","Botswana","Bouvet Island","British Indian Ocean Territory","Brunei Darussalam","Burkina Faso","Burundi","Cambodia","Cameroon","Cape Verde","Cayman Islands","Central African Republic","Chad","Chile","Christmas Island","Cocos (keeling) Islands","Colombia","Comoros","Congo","Congo The Democratic Republic of The","Cook Islands","Costa Rica","Cote Divoire","Cuba","Cyprus","Djibouti","Dominica","Dominican Republic","East Timor","Ecuador","El Salvador","Equatorial Guinea","Eritrea","Ethiopia","Falkland Islands (malvinas)","Faroe Islands","Fiji","French Guiana","French Polynesia","French Southern Territories","Gabon","Gambia","Georgia","Ghana","Greenland","Grenada","Guadeloupe","Guam","Guatemala","Guinea","Guinea-bissau","Guyana","Haiti","Heard Island and Mcdonald Islands","Honduras","Indonesia","Iraq","Isle of Man","Jamaica","Japan","Jordan","Kenya","Kiribati","Kuwait","Kyrgyzstan","Lao Peoples Democratic Republic","Lesotho","Liberia","Libyan Arab Jamahiriya","Macau","Madagascar","Malawi","Maldives","Mali","Marshall Islands","Martinique","Mauritania","Mauritius","Mayotte","Micronesia","Moldova Republic Of","Mongolia","Montserrat","Morocco","Mozambique","Myanmar","Namibia","Nauru","Nepal","Netherlands Antilles","New Caledonia","Nicaragua","Niger","Nigeria","Niue","Norfolk Island","Northern Mariana Islands","Norway","Oman","Palau","Palestinian Territory Occupied","Panama","Papua New Guinea","Paraguay","Peru","Pitcairn","Puerto Rico","Reunion","Rwanda","Saint Helena","Saint Kitts and Nevis","Saint Lucia","Saint Pierre and Miquelon","Saint Vincent and The Grenadines","Samoa","Sao Tome and Principe","Senegal","Seychelles","Sierra Leone","Solomon Islands","Somalia","South Georgia and The South Sandwich Islands","South Sudan","Sri Lanka","Sudan","Suriname","Svalbard and Jan Mayen","Swaziland","Syrian Arab Republic","Tajikistan","Tanzania","Thailand","Togo","Tokelau","Tonga","Tunisia","Turkmenistan","Turks and Caicos Islands","Tuvalu","Uganda","United States Minor Outlying Islands","Uruguay","Uzbekistan","Vanuatu","Vatican City","Venezuela","Virgin Islands British","Virgin Islands U.S.","Wallis and Futuna","Western Sahara","Yemen","Zambia","Zimbabwe"))){
                return 'C';
            }else{
                return 'C';
            }
        }
    }
}
// ------------------------------------------------------------------------
/* End of file translate_helper.php */
/* Location: ./system/helpers/translate_helper.php */