<?php  if (!defined('BASEPATH'))  exit('No direct script access allowed');
class Common_Model extends CI_Model
{
	public $data=array();
	function __construct()
	{
		parent::__construct();
	}
	public function getData($tablename='', $where = array(), $field = array(),$order=array(),$limit=array(),$count='0')
	{
		if(!empty($field))
		{
			$this->db->select($field);
		}else{
			$this->db->select('*');
		}
		$this->db->from($tablename);
		if(!empty($where))
		{
			$this->db->where($where);
		}
		if($order)
		{
			$this->db->order_by($order['field'],$order['by']);
		}
		if(isset($limit['limit']) && isset($limit['offset']))
		{
			$this->db->limit($limit['limit'],$limit['offset']);
		}

		if(isset($limit['limit']) && !isset($limit['offset']))
		{
			$this->db->limit($limit['limit']);
		}
		$query = $this->db->get();
		if($count==0){
			$result = $query->result_array();
		}else{
			$result = $query->num_rows();
		}
		if($result)
		{
			return $result;
		}else{
			return false;
		}
	}
	public function getsData($tablename='', $where = array(), $field = array(),$order=array(),$limit=array(),$count='0')
	{
		if(!empty($field))
		{
			$this->db->select($field);
		}else{
			$this->db->select('*');
		}
		$this->db->from($tablename);
		if(!empty($where))
		{
			$this->db->where($where);
		}
		if($order)
		{
			$this->db->order_by($order['field'],$order['by']);
		}
		if(isset($limit['limit']) && isset($limit['offset']))
		{
			$this->db->limit($limit['limit'],$limit['offset']);
		}

		if(isset($limit['limit']) && !isset($limit['offset']))
		{
			$this->db->limit($limit['limit']);
		}
		$query = $this->db->get();
		if($count==0){
			$result = $query->result_array();
		}else{
			$result = $query->num_rows();
		}
		if($result)
		{
			return $result[0];
		}else{
			return false;
		}
	}
	public function updateData($tablename='',$data=array(),$where=array())
	{
		return $this->db->update($tablename, $data, $where);
	}
	function getField($tablename,$post)
	{
		$content = array();
		$result = $this->db->list_fields($tablename);
		foreach($result as $field)
		{
			$data[] = $field;
		}
		foreach ($post as $key => $value) {
			if(in_array($key, $data))
			{
				$content[$key] = $value;
			}
		}
		return $content;
	}
	public function insertData($tablename='',$data=array())
	{
		return $this->db->insert($tablename, $data);
	}
	public function where_in($colname='',$in='')
	{
		if(isset($colname) && isset($in))
		{
		 $this->db->where_in($colname ,$in);
		  return $this;
		}
	}
	public function jsonEncode($data=array())
	{
		header('Content-type:"application/json; charset=utf-8"');
		return json_encode($data);
	}
	public function deletedata($tablename='',$where=''){
		if(!empty($tablename) && !empty($where)):
			$this->db->where($where);
			$this->db->delete($tablename);
		else: return "Invalid Input Provided";
		endif;
	}
	public function sendMail($message='',$email='',$subject='')
	{
		$this->email->from("contact@globaltenders.com",'Global Tenders');
		$this->email->to($email);
		$this->email->subject($subject);
		$this->email->message($message);
		$this->email->bcc(array('admin@globaltenders.com','contact@globaltenders.com'));
		if($this->email->send())
		{
			return true;
		}else{
			return false;
		}
	}
	
	public function getMenus()
	{
		$cat = $this->common->getData("category");//,array("show"=>"1")
		$catby = $this->common->getData("category_by");
		$subcat = $this->common->getData("subcategory");
		foreach ($cat as $key => $value) {
			foreach ($subcat as $key1 => $value1) {
				if($value['c_id']==$value1['c_id'])
				{
					foreach ($catby as $key2 => $value2) {
						if($value2['cb_id']==$value1['cb_id'])
						{
							$cat[$key]['subcategory'][$value2['by_name']][] = $value1;
							$cat[$key]['cb'] = "1";
						}
					}
					if($value1['cb_id']==0)
					{
						$cat[$key]['subcategory'][] = $value1;
						$cat[$key]['cb'] = "0";
					}
				}
			}
		}
		return $cat;
	}
	public function getDropDowns($dropdowns=array())
	{
		foreach ($dropdowns as $key => $value) {
			$data[$value] = $this->getData($value);
		}
		return $data;
	}

	public function subscriptionStatus()
	{
		$id=0;
		if($this->userid!="")
		{
			if(isset($this->userinfo) && $this->userinfo) {
				$data = $this->userinfo[0];
			}else{
				$data = $this->common->getsData("user",array("userid"=>$this->userid),array("account_status"));
			}
			$this->session->set_userdata(array('account_status'=>$data['account_status']));
			$id=$data['account_status'];
			setcookie('account_status',$id, time() + (60*60*24*30),'/','.globaltenders.com');
			setcookie('subscription',$id, time() + (60*60*24*30),'/','.globaltenders.com');
			//setcookie('account_status',$id, time() + (60*60*24*30),'/','www.globaltenders.com');
		}
		//setcookie('subscription',$id);
		return $id;
	}

	public function getUserLoginSubscriptionStatus()
	{
		$array = array();
		if(!$this->is_user_logged_in){
			$array = array("status"=>0,"action"=>"http://www.globaltenders.com/global-tenders-registration.php");
		}else{
			if(isset($this->userinfo) && $this->userinfo) {
				$data = $this->userinfo[0];
			}else{
				$data = $this->common->getsData("user",array("userid"=>$this->userid),array("account_status","renewal_date","expiry_date"));
			}
			/*if($data['account_status']==0)
			{*/
				$now = strtotime(date("Y:m:d H:i:s"));
				$start = strtotime($data['renewal_date']);
				$end = strtotime($data['expiry_date']);
				if($data['expiry_date']=="0000-00-00 00:00:00")
				{
					$array = array("status"=>1,"action"=>"http://www.globaltenders.com/global-tenders-upgrade.php");
				}else{
					if($start<=$now && $now<=$end)
					{
						$array = array("status"=>2,"action"=>"");
					}else{
						$array = array("status"=>1,"action"=>"http://www.globaltenders.com/global-tenders-upgrade.php");
					}
				}
			/*}else{
				$array = array("status"=>2,"action"=>"");
			}*/
		}
		return $array;
	}

	public function subscriptionTime()
	{
		if(isset($this->userinfo) && $this->userinfo) {
			$data = $this->userinfo[0];
		}else{
			$data = $this->common->getsData("user",array("userid"=>$this->userid),array("account_status","renewal_date","expiry_date"));
		}
		$now = strtotime(date("Y-m-d H:i:s"));
		$start = strtotime($data['renewal_date']);
		$end = strtotime($data['expiry_date']);
		//echo "<pre>"; print_r($data);echo $now." ".$start." ".$end;die;
		if($data['account_status']==1){
			if($start!="-62170005208" && $end!="-62170005208"){
				if($start<=$now && $now<=$end)
				{
					setcookie('subtime',1, time() + (60*60*24*30),'/','.globaltenders.com');
					//setcookie('subtime',1, time() + (60*60*24*30),'/','www.globaltenders.com');
					return 1;
				}else{
					setcookie('subtime',0, time() + (60*60*24*30),'/','.globaltenders.com');
					//setcookie('subtime',0, time() + (60*60*24*30),'/','www.globaltenders.com');
					//setcookie('subtime',0);
					return 0;
				}
			}else{
				setcookie('subtime',0, time() + (60*60*24*30),'/','.globaltenders.com');
				return 0;
			}
		}else{
			setcookie('subtime',0, time() + (60*60*24*30),'/','.globaltenders.com');
			return 0;
		}
	}

    public function getCount($table,$limit, $start){
        $this->db->limit($limit, $start);
        $query = $this->db->get($table);
        $result = count($query->result());
        if ($query->num_rows() > 0) {
            return $query->num_rows();
        }
        return false;   
    }

    public function sendSMTPMail($message='',$from='',$to='',$bcc=array(),$subject='',$name='Global Tenders',$password='global12345')
    {
    	$config['protocol'] = 'smtp';
        $config['smtp_host'] = 'ssl://mail.global-tenders.com';//mail.global-tenders.com,smtp.gmail.com
        $config['smtp_user'] = $from;//@global-tenders.com
        $config['smtp_pass'] = $password;
        $config['smtp_port'] = "465";
        $config['validate'] = FALSE;
        $config['charset'] = "utf-8";
        $config['newline'] = "\r\n";
        $config['crlf'] = "\n";

        $this->email->initialize($config);

		$this->email->clear();
		$this->email->from($from,$name);//"contact@dragonrecruiting.net"
		$this->email->to($to);
		$this->email->subject($subject);
		$this->email->message($message);
		$this->email->bcc($bcc);
		//$this->email->set_header('Return-Receipt-To', $FromName . ' <'.$FromEmail.'>'); //delivered reciept
		//$this->email->set_header('Disposition-Notification-To', $FromName . ' <'.$FromEmail.'>'); //read receipt
		if($this->email->send())
		{
			return true;
		}else{
			return false;
		}
    }

    public function sendMailByCurl($post = array())
    {
    	$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL,"http://www.globaltenders.email/tenders/welcome/testMail");
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_POSTFIELDS,$post);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		$server_output = curl_exec ($ch);
		curl_close ($ch);
		return json_decode($server_output,TRUE);
    }

    public function sendMailByCurl1($post = array())
    {
    	$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL,"http://www.globaltenders.email/tenders/sendmail/sendMailFunction");
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_POSTFIELDS,$post);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		$server_output = curl_exec ($ch);
		curl_close ($ch);
		return json_decode($server_output,TRUE);
    }

	public function getKeywordArray($keyword)
	{
		$commonWords = $this->config->item("commonWords");
		//$keyword = "we are specialized in,supplying&medical%items@and!ambulance vehicle and consumables also uniform and tactical items";
		$keyword = preg_replace('/\b('.implode('|',$commonWords).')\b/','',$keyword);
		$keyword = preg_replace('/[^A-Za-z0-9\-]/', '-',trim($keyword));
		$keyword = reduce_multiples($keyword,"-");
		$karray = array_unique(array_map('strtolower',explode("-", url_title($keyword))));
		return $karray;
	}

    public function changeSectorCode($sector_string='')
    {
        $sector = array();
        if(is_array($sector_string)) {
        	$sector_string = implode(",", $sector_string);
        }
        $sctory_array = $this->config->item("sector_industry");
        if($sector_string!=""){
            $array = explode(",", $sector_string);
            foreach ($array as $key => $value) {
                if(array_key_exists($value, $sctory_array)){
                    array_push($sector, $sctory_array[$value]);
                }
            }
        }
        $sec = implode(",", $sector);
        return $sec;
    }

    public function changeNoticeTypeCode($notice_string='')
    {
        $notice = array();
        $notice_array = $this->config->item("notice_type");
        if($notice_string!=""){
            $array = explode(",", $notice_string);
            foreach ($array as $key => $value) {
                if(array_key_exists($value, $notice_array)){
                    array_push($notice, $notice_array[$value]);
                }
            }
        }
        $sec = implode(",", $notice);
        return $sec;
    }

    public function changeCountryRegionTypeCode($region_string=array())
    {
        $region = array();
        $country_region = $this->config->item("country_region");
        if($region_string!=""){
            $array = $region_string;
            foreach ($array as $key => $value) {
                if(array_key_exists($value, $country_region)){
                    array_push($region, $country_region[$value]);
                }
            }
        }
        $sec = implode(",", $region);
        return $sec;
    }

    public function changeHear($hear_string='')
    {
    	$key = "";
    	$hear = $this->config->item("hear");
    	if(array_key_exists($hear_string,$hear)){
    		$key = $hear[$hear_string];
    	}
    	return $key;
    }
}
?>