<div class="content-wrapper">
    <div class="clearfix">&nbsp;</div>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-heading box-primary">
                        <span class="panel-title">Users Registration List</span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("admin/saveUsersAsExcel"); ?>" class="btn btn-primary">CSV <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("admin/saveUsersAsPDF"); ?>" class="btn btn-primary">PDF <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("admin/saveUsersAsText"); ?>" class="btn btn-primary">TXT <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                    </div>
                    <div class="panel-body">

                        <table id="example" class="display nowrap" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>Client. No.</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Organization</th>
                                    <th>Country</th>
                                    <th>Package</th>
                                    <th>Pass</th>
                                    <th>Reg. Date</th>
                                    <th>Activation Date</th>
                                    <th>Expiry Date</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if($registration){ foreach ($registration as $key => $value) : ?>
                                    <tr>
                                        <td class="userid"><?php echo $value['userid']; ?><br>
                                        <span class="action" style="display: none;">
                                            <!--a href="<?php echo base_url("admin/viewed-tenders/".$value['userid']); ?>" class="btn btn-link" title="View tenders list which are user visited."> View Tenders</a-->
                                            <a href="<?php echo base_url("admin/user-profile/".$value['userid']); ?>" class="btn btn-link" title="View Users Profile."> View</a>
                                            <a href="<?php echo base_url("admin/edit-user-profile/".$value['userid']); ?>" class="btn btn-link" title="Edit Users Profile"> Edit</a>
                                            <!--a href="javascript:void(0)" class="btn btn-link subscribe" data-id="<?php echo $value['userid']; ?>" title="Set Subscription date of user.">Subscribe</a>
                                            <a href="javascript:void(0)" class="btn btn-link" title="Delete User"> Delete</a-->
                                        </span>
                                        </td>
                                        <td><?php echo $value['title']." ".$value['first_name']." ".$value['last_name']; ?></td>
                                        <td><?php echo $value['email']; ?></td>
                                        <td><?php echo $value['organization']; ?></td>
                                        <td><?php echo $value['country_name']; ?></td>
                                        <td><?php echo $value['package_name']; ?></td>
                                        <td><?php echo $value['password']; ?></td>
                                        <td><?php echo date("d-m-Y",strtotime($value['reg_date'])); ?></td>
                                        <td><?php echo ($value['renewal_date']!="0000-00-00 00:00:00")?date("d-m-Y",strtotime($value['renewal_date'])):""; ?></td>
                                        <td><?php echo ($value['expiry_date']!="0000-00-00 00:00:00")?date("d-m-Y",strtotime($value['expiry_date'])):""; ?></td>
                                        <!--td><?php echo $value['tel_code']." ".$value['area_code']." ".$value['phone']; ?></td-->
                                    </tr>
                                <?php endforeach; } ?>
                            </tbody>
                        </table>
                    </div><!-- /.panel-body -->
                </div><!-- /.panel -->
            </div>
        </div>
    </section>
</div><!-- ./wrapper -->
<div class="modal fade" id="subscriptionDate" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form method="post" action="<?php echo base_url("admin/editSubscription"); ?>" id="subscriptionDateForm">
                <input type="hidden" name="userid" id="subscriptionuserid" value="" />
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Set Subscription Date</h4>
                    <span class="float-right" id="editSubscriptiondate" style="display: none;">
                        <a href="javascript:void(0)" id="editSubscription" class="btn btn-primary btn-xs" data-id="">
                            <i class="fa fa-pencil"></i> Edit the Subscribe Date
                        </a>
                    </span>
                </div>
                <!--div id="editdate" style="display: none;">
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Start Date</label>
                                    <div class="input-group date datetimepicker">
                                        <input type="text" name="renewal_date" id="renewal_date" class="form-control date" />
                                        <span class="input-group-addon">
                                            <span class="glyphicon glyphicon-calendar"></span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>End Date</label>
                                    <div class="input-group date datetimepicker">
                                        <input type="text" name="expiry_date" id="expiry_date" class="form-control date" />
                                        <span class="input-group-addon">
                                            <span class="glyphicon glyphicon-calendar"></span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                <!--/div>
                <div id="showdate" style="display: none;"-->
                    <div class="modal-body">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                <!--/div-->
            </form>
        </div>
    </div>
</div>

<script type="text/javascript">
    $('.userid').hover(function() { 
        $(this).find(".action").show(); 
    }, function() { 
        $(this).find(".action").hide(); 
    });
</script>