<div class="content-wrapper">
  <div class="clearfix">&nbsp;</div>
  <section class="content">
    <div class="row">
      <div class="col-md-12">
        <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
          <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <?php echo $this->session->flashdata('message'); ?>
        </div>
        <div class="panel panel-primary">
          <div class="panel-heading box-primary">
            <span class="panel-title">Countries</span>
          </div>
          <div class="panel-body">
            <table id="example1" class="table table-bordered table-striped">
              <thead>
                <tr>
                  <th>SR.No.</th>
                  <th>Country Name</th>
                  <th>Flag Image</th>
                  <th>Cover Image</th>
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <?php if(!empty($country)){ foreach ($country as $key => $value):
                ?>
                <tr>
                  <td><?php echo $key+1; ?></td>
                  <td><?php echo $value['country_name']; ?></td>
                  <td><img src="<?php echo base_url($value['country_flag']); ?>"></td>
                  <td id="<?php echo "image_".$value['c_id']; ?>"><?php if($value['country_cover']!=""){ ?><img src="<?php echo base_url($value['country_cover']); ?>" width="200px"><?php } ?></td>
                  <td>
                    <a href="javascript:void(0)" class="btn btn-small red lighten-1 z-depth-0 upload_image" data-country-id="<?php echo $value['c_id']; ?>" data-country-name="<?php echo $value['country_name']; ?>">Upload Image</a>
                  </td>
                </tr>
                <?php endforeach; } ?>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </section>
</div><!-- ./wrapper -->

<div class="modal fade" tabindex="-1" id="country_cover_image" role="dialog" aria-labelledby="mySmallModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form action="<?php echo base_url("admin/uploadCountryCoverImage"); ?>" method="post" enctype="multipart/form-data" id="countryCoverImageForm">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="gridSystemModalLabel">Upload Country Cover Image</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-4">Upload Image</div>
                        <div class="col-md-8">
                            <input type="hidden" name="country_id" id="cover_country_id" value="" />
                            <input type="hidden" name="country_name" id="cover_country_name" value="" />
                            <input type="file" name="cover_image" id="cover_image" value="" />
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    <button type="Submit" class="btn btn-primary">Save changes</button>
                </div>
            </form>
        </div>
    </div>
</div>