<?php if(!defined('BASEPATH')) exit('No direct script access allowed');

class Admin_Login extends MY_Controller {

	public function __construct() { 
		parent::__construct();
		$this->is_logged_in();
		$this->load->model("admin_login_model","admin_login");
	}


	function is_logged_in()
	{
		$ip = $_SERVER['REMOTE_ADDR'];
		//echo $ip;

		$is_admin_logged_in = $this->session->userdata('is_admin_logged_in');
		if(!isset($is_admin_logged_in) || $is_admin_logged_in != true)
		{
		}else{
			redirect(base_url('admin'));
		}
	}


	public function adminLoginPage()
	{
		$this->loadAdminHtml("login","Login Page");
	}

	public function doLogin()
	{
		if(!isset($_POST['login']))
		{
			$_POST['login'] = 'Login';
		}
		if(isset($_POST['login']))
		{
			if(isset($_POST['email']) && isset($_POST['password']))
			{
				//print_r(md5($_POST['password']));
				$ip = $_SERVER['REMOTE_ADDR'];
				//echo $ip;
				$ips = $this->config->item("ips");
				
				if($data = $this->common->getsData('admin',array('email'=>$_POST['email'],'password'=>$_POST['password'])))
				{
					//print_r($data);die;
					if($data['admin_type']!="parent"){
						if(!in_array($ip, $ips))
						{
							// $this->session->set_flashdata('emessage',"Work from office only.");
							// redirect("http://www.globaltenders.com/tenders/admin-login");
						}
					}
					if(($data['email']!=$_POST['email']) || ($data['password']!=$_POST['password']))
					{
						$this->session->set_flashdata('emessage',$this->lang->line('error_user_login'));
						redirect(base_url("admin-login"));
					}else{
						$this->loginRedirect($data);
					}
				}else{
					$this->session->set_flashdata('emessage',$this->lang->line('error_user_login'));
					redirect(base_url("admin-login"));
				}
			}
		}
	}

	public function loginRedirect($data=array())
	{
		$sdata = array(
			'admin_email' => $data['email'],
			'adminid' => $data['adminid'],
			'admin_type' => $data['admin_type'],
			'admin_name' => $data['admin_name'],
			'is_admin_logged_in' => true
		);
		$this->session->set_userdata($sdata);
		$this->admin_login->adminLog($sdata);
		redirect(base_url('admin'));
	}
}