<?php 
class Email_Alerts extends MY_Admin_Controller {

	Public function __construct() { 
		parent::__construct();
		//$this->is_logged_in();
		$this->load->model("user_search/user_search_model","usearch");
		$this->load->model("global_tender_dashboard/global_tender_dashboard_model","dashboard");
		$this->load->helper('template_helper');

		$this->load->dbutil();

		$this->delimiter = ",";
        $this->newline = "\r\n";
	}

	public function is_logged_in(){
		$is_admin_logged_in = $this->session->userdata('is_admin_logged_in');

		if(!isset($is_admin_logged_in) || $is_admin_logged_in != true){
			redirect(base_url("admin-login"));
		}

	}
	/*
	public function userList($limit=''){
		$get=array();

		if($limit){
			$get['limit'] = $limit;
		}else{
			$get['limit'] = 0;
		}

		$this->is_logged_in();
		$data = $this->alert->getAllUsersList($get); //$this->common->getData("user");

		$this->loadAdminHtml("users-list","Users List",$data);
	}*/

	public function activeEmailAlerts(){

		$this->is_logged_in();
		$userid = $_POST['userid'];
		unset($_POST['userid']);

		$data = $this->common->getsData("user",array("userid"=>$userid));//"alert_start !="=>"0000-00-00 00:00:00","alert_end !="=>"0000-00-00 00:00:00",
		if(($data['alert_start']=="0000-00-00 00:00:00") && ($data['alert_end']=="0000-00-00 00:00:00")){

			$now = date("Y-m-d H:i:s");
			$alert_end = strtotime("+30 day", strtotime($now));
			$_POST['alert_start'] = $now;
			$_POST['alert_end'] = date("Y-m-d H:i:s",$alert_end);
			$_POST['email_alert']=1;
		}else{

			if($data['email_alert']==1){
				$_POST['email_alert']=0;
			}else{
				$_POST['email_alert']=1;
			}
			
		}

		if(!$this->common->getsData("email_alert",array("userid"=>$userid))){
			$this->common->insertData("email_alert",array("userid"=>$userid,"email_alert"=>1));
		}

		$this->common->updateData("user",$_POST,array("userid"=>$userid));

		if($this->db->affected_rows()){
			$this->common->updateData("email_alert",array("email_alert"=>$_POST['email_alert']),array("userid"=>$userid));
			header('Content-type: application/json; charset=utf-8"');
			print_r(json_encode($_POST));
		}
	}

	public function allotUsersPage($adminid=''){

		$this->is_logged_in();
		$data['users'] = $this->common->getData("user",array("admin_name"=>str_replace("%20", " ", $adminid))); //$this->alert->getAllotedUsers();
		
		$data['adminid'] = $adminid;
		
		$this->loadAdminHtml("allot-users","Users List",$data);
	}

	public function allotUsers(){

		$this->is_logged_in();
		if($_POST['value']==1){

			$admin = $this->common->getsData("admin",array("admin_name"=>$_POST['adminid']),array("admin_name"));
			$adminid = $_POST['adminid'];
			$admin_name = $admin['admin_name'];
		}else{
			$adminid = '';
			$admin_name = '';
		}

		$this->common->updateData("user",array("admin_name"=>$admin_name),array("userid"=>$_POST['userid']));
		header('Content-type: application/json; charset=utf-8"');

		print_r(json_encode(array("name"=>$admin_name,"adminid"=>$adminid)));
	}

	public function editAlertDatesPopup(){

		$this->is_logged_in();
		$html='';
		$userInfo = $this->common->getsData("user",array("userid"=>$_POST['userid']),array("userid","alert_start","alert_end"));
		$html=editAlertDates($userInfo);
		header('Content-type: application/json; charset=utf-8"');
		echo json_encode(array("html"=>$html));
	}

	public function editAlertDates(){

		$this->is_logged_in();
		$userid = $_POST['userid'];
		unset($_POST['userid']);
		$_POST['alert_start'] = date("Y-m-d H:i:s",strtotime($_POST['alert_start']));
		$_POST['alert_end'] = date("Y-m-d H:i:s",strtotime($_POST['alert_end']));
		$_POST['email_alert'] = 1;
		$this->common->updateData("user",$_POST,array("userid"=>$userid));

		if($this->db->affected_rows()){

			header('Content-type: application/json; charset=utf-8"');
			echo json_encode(array("alert_start"=>$_POST['alert_start'],"alert_end"=>$_POST['alert_end'],"userid"=>$userid));
		}
	}

	/* Tenders Alerts to Users By CPV Cron Job */
	public function tendersAlertByCPVCJ(){

		//echo "working";die;

		$yesterday = date("Y-m-d",strtotime("-1 day",strtotime(date("Y-m-d"))));
		$cpv_users = $this->alert->getUsersCPV();
		//echo "<pre>";print_r($cpv_users);die;
		$infodb = $this->load->database('info', TRUE);

		$html='';
		$post=$data=$data1=$sendAlertUsersList=array();
		$count=$y=$n=0;

		//echo "<pre>"; //print_r($data);die;
		if($cpv_users){
			foreach ($cpv_users as $key => $value) {

				/* Send Mail of Email Alert Expiring 1,3,7 Days Before Code Start */

				$now = date("Y-m-d");
				$threedaybefore = array(
										array("day"=>1,"date"=>date("Y-m-d",strtotime("-1 day",strtotime($value['alert_end'])))),
										array("day"=>3,"date"=>date("Y-m-d",strtotime("-3 day",strtotime($value['alert_end'])))),
										array("day"=>7,"date"=>date("Y-m-d",strtotime("-7 day",strtotime($value['alert_end'])))),
									);

				/*foreach ($threedaybefore as $key1 => $value1) {

					if ($now==$value1['date']){

						$expiry_html = "Dear ".$value['first_name'].",\n Your Email Alert Subscription is going to expire after ".$value1['day']." days on ".date("Y-m-d",strtotime($value['alert_end']));
						$this->common->sendMail($expiry_html,"contact@globaltenders.com","Email Alert Subscription Expiring Soon.");
					}
				}*/
				/* Send Mail of Email Alert Expiring 1,3,7 Days Before Code End */
				$today = strtotime(date("Y-m-d H:i:s"));
				$alert_end = strtotime($value['alert_end']);
				if($alert_end>=$today){

						$_GET['date_c'] = $yesterday;

				        $_GET['cpv'] = ($value['saved_cpv']!="" && $value['saved_cpv'] !='[""]')?implode(",", json_decode($value['saved_cpv'])):"";

				        if($value['sector_check']==1){

				            if($value['sector']!=""){

				                $_GET['sector'] = explode(",", $value['sector']);
				            }
				        }

				        $_GET['keyword'] = $value['product_services'];
				        if($value['region_name']!=""){

				            $_GET['region_name'] = explode(",", $value['region_name']);
				        }else{
				            $_GET['region_name'] = array();
				        }

				        $_GET['notice_type'] = $value['notice_type'];

				        $data1['count1'] = $this->tender->getRows($_GET,'',array(),"tenders",1);
				        if($value['frequency_limit']==0){
				        	$frequency_limit = 10;
				        	$not=10;
				        }else{
				        	$frequency_limit = $data1['count1'];
				        	$not="all";
				        }

				        $data1['post'] = $this->tender->getRows($_GET,'',array("limit"=>$frequency_limit),"tenders",0);
				        //print_r($data1['post']);

						if(!empty($data1['post'])){

							echo "<pre>";print_r($value);echo "Key = ".$key."<br></pre>";
							$data1['userid'] = $value['userid'];
							$data1['action'] = "Unsubscribe";
							$data1['name'] = $value['first_name'];
							$data1['h1'] = $data1['count1'];
							$data1['count'] = $frequency_limit;//$data['count'];
							$html = $this->load->view("alert_template_cpv",$data1,true);

							$frequency = $value['frequency'];
							$mail_permission = 0;
							if($frequency=="" || $frequency=="daily"){
								$mail_permission=1;
							}else if($frequency=="weekly"){
								if(date("w",strtotime(date("Y-m-d")))==6){
									$mail_permission=1;
								}
							}else if($frequency=="bimonthly"){
								if(date("d",strtotime(date("Y-m-d")))==15){
									$mail_permission=1;
								}
							}else if($frequency=="monthly"){
								if(date("d",strtotime(date("Y-m-d")))==30){
									$mail_permission=1;
								}
							}else{
								$mail_permission = 0;
							}
							//echo $frequency."<br>";
							echo "mail_permission = ".$mail_permission."<br>";
							if($mail_permission==1){
								$count++;
								array_push($sendAlertUsersList, array("first_name"=>$value['first_name'],"last_name"=>$value['last_name'],"email"=>$value['email'],"alert_start"=>$value['alert_start'],"alert_end"=>$value['alert_end'],"admin_name"=>$value['admin_name'],"frequency"=>$value['frequency'],"count_alert"=>$value['count_alert'],"not"=>$not));//,"count_st_log"=>$value['count_st_log']
								$bcc=array('freealerts@global-tenders.com');
								if($value['admin_email']!="")
								{
									$admin_email = str_replace("globaltenders.com", "global-tenders.com", $value['admin_email']);
									array_push($bcc, $admin_email);
								}

								if($not!="all"){
									echo $html."<br>";
								}
								$this->email->from("freealerts@global-tenders.com",'Global Tenders');
								$this->email->to($value['email']);
								$this->email->subject("Global Business Opportunities for ".date("d-M-Y"));
								$this->email->message($html);
								$this->email->bcc($bcc);
								if($this->email->send()){
									$this->db->query("UPDATE email_alert SET count_alert = count_alert + 1 WHERE userid = '".$value['userid']."'");
								}
							}
						}
					
					$data1 = $post = array();
				}
			}
			//echo "<pre>"; print_r($sendAlertUsersList);echo "</pre>";
			$file=$file1='';
			if($sendAlertUsersList){
				$res=$res1=false;
				$now = date("Y-m-d");
				$filename=$now.".csv";
				$file.="Name,Email,Activation Date, Expiry Date, Admin, Frequency, 10 or all\n";//, Number of Mails Sent
				$file1.="Name,Email,Activation Date, Expiry Date, Admin, Number of Alert Sent, Frequency\n";
				foreach ($sendAlertUsersList as $key => $value) {
					$file.=$value['first_name']." ".$value['last_name'].",".$value['email'].",".$value['alert_start'].",".$value['alert_end'].",".$value['admin_name'].",".$value['frequency'].",".$value['not']."\n";//.",".$value['count_st_log']
					$file1.=$value['first_name']." ".$value['last_name'].",".$value['email'].",".$value['alert_start'].",".$value['alert_end'].",".$value['admin_name'].",".$value['count_alert'].",".$value['frequency']."\n";
				}
				//echo $file;
	            if(!is_file ("assets/csv_files/".$filename)){

	            	//echo "1";
			        fopen("assets/csv_files/".$filename, "w");
					file_put_contents ("assets/csv_files/".$filename, $file);

					$this->load->library('zip');
					$this->zip->add_data($filename, $file);
					$this->zip->archive("assets/csv_files/".$now.".zip");
					unlink("assets/csv_files/".$filename);
					$res=true;
				}
				if($res){

				    $this->email->from('admin@globaltenders.com');
			        $this->email->to(array("rohan@globaltenders.com"));
			        //$this->email->to("hw.sharma9@gmail.com");
				    $this->email->subject('Email alerts sent on '.$yesterday);
				    $this->email->message('Hello Download the attached file.');
				    $this->email->attach("assets/csv_files/".$now.".zip");

				    if($this->email->send()){

			    		unlink("assets/csv_files/".$now.".zip");
			    		
			    		$res1=true;
			    	}
			    	$this->zip->clear_data();
				}

				if($res1){

					if(!is_file ("assets/csv_files/"."CA-".$filename)){

						//echo "2";
				        fopen("assets/csv_files/"."CA-".$filename, "w");
						file_put_contents ("assets/csv_files/"."CA-".$filename, $file1);

						$this->load->library('zip');
						$this->zip->add_data("CA-".$filename, $file1);
						$this->zip->archive("assets/csv_files/"."CA-".$now.".zip");
						unlink("assets/csv_files/"."CA-".$filename);
					}

					$this->email->clear(TRUE);
				    $this->email->from('admin@globaltenders.com');
			        $this->email->to(array("rohan@globaltenders.com"));
			        //$this->email->to("hw.sharma9@gmail.com");
				    $this->email->subject('Email alerts Count Alert sent on '.$yesterday);
				    $this->email->message('Hello Download the attached file.');
				    $this->email->attach("assets/csv_files/"."CA-".$now.".zip");

				    if($this->email->send()){

				    	//echo "3";
			    		unlink("assets/csv_files/"."CA-".$now.".zip");
			    	}
			    	$this->zip->clear_data();
				}
			}
			//echo "yes = ".$y."<br> no = ".$n;
		}
	}

	public function mailUnsubscribedUsersListCJ() {

		$now = date("Y-m-d",strtotime("-1 days",strtotime(date("Y-m-d"))));
		$res = false;

        $filename = "unsubscribed_at_".$now.".csv";
        $result = $this->usearch->advanceUsersSearch(array("unsubscrib_date"=>$now));
        //$result = $this->db->select("first_name,last_name,email,country,admin_name")->from("user")->where("unsubscrib_date",date("Y-m-d H:i:s"))->get()->result_array();//where("unsubscrib_date",date("Y-m-d H:i:s"))->
        //echo "<pre>";//echo $this->db->last_query();print_r($result);die;
        $admin=$admin_array=array();
        if($result['post'] && !empty($result['post'])){
	        foreach ($result['post'] as $key => $value) {
	        	$aname = $value['admin_name'];
	        	if($aname=="")
	        	{
	        		$aname="not_interested";
	        		$value['admin_name']="not_interested";
	        	}
        		if(!in_array($aname, $admin_array)){
        			array_push($admin_array, $value['admin_name']);
        			$admin[$aname]=array();
        		}
        		if(in_array($aname, $admin_array)){
        			unset($value['admin_name']);
        			array_push($admin[$aname], $value);
        		}
	        }
	        //print_r($admin);die;
	        $admins=$file=$admin_file='';
	        if($admin){
		        foreach ($admin as $key => $value) {
		        	//echo "key = ".$key;
		        	//print_r($value);
		        	//$file.=$value['first_name']." ".$value['last_name'].",".$value['email'].",".$value['country']."\n";
		        	$file.=$key."\n\n";
	        		$file.="Name,Email,Country\n";
		        	if($value){
			        	foreach ($value as $key1 => $value1) {
			        		$admins.=$value1['first_name']." ".$value1['last_name'].",".$value1['email'].",".$value1['country']."\n";
			        	}
			        	$file.=$admins."\n\n\n\n";
			        	$admins='';
			        }
		        	//echo $file;
		        	$admin_file.=$file;
			        $admin_name = str_replace(" ", "_", $key);

			        if($key=="not_interested"){
			        	$sub_admin_email = "hw.sharma9@gmail.com";
			        }else{
			        	$an = $this->common->getsData("admin",array("admin_name"=>$key),array("email"));
			        	$sub_admin_email = str_replace("globaltenders", "global-tenders", $an['email']);
			        }
			        //echo $sub_admin_email;

			        $res = $this->alert->createZipFile($admin_name.$filename,$file,$admin_name.$now);

					if($res){
						$this->email->clear(TRUE);
					    $this->email->from('admin@globaltenders.com',"Global Tenders");
				        $this->email->to($sub_admin_email);
					    $this->email->subject('Users List Unsubscried on '.$admin_name.$now);
					    $this->email->message('Hello Download the attached file.');
					    $this->email->attach("assets/csv_files/".$admin_name.$now.".zip");

					    if($this->email->send()){

				    		unlink("assets/csv_files/".$admin_name.$now.".zip");
				    		
				    	}
				    	$this->zip->clear_data();
					}
					$file='';
				}
				//echo "admin file = ".$admin_file;
				$res = $this->alert->createZipFile($filename,$admin_file,$now);
				if($res){
					$this->email->clear(TRUE);
				    $this->email->from('admin@globaltenders.com',"Global Tenders");
			        $this->email->to(array("wiptech@worldinfopages.com","rohan@globaltenders.com"));
				    $this->email->subject('Users List Unsubscried on '.$now);
				    $this->email->message('Hello Download the attached file.');
				    $this->email->attach("assets/csv_files/".$now.".zip");

				    if($this->email->send()){

			    		unlink("assets/csv_files/".$now.".zip");
			    		
			    	}
			    	$this->zip->clear_data();
			    }
		    }
		}
	}

	public function newUsersRegistrationAlertCJ(){

		$now = date("Y-m-d",strtotime("-1 days",strtotime(date("Y-m-d"))));//date("Y-m-d");
		$res = false;
		$this->load->dbutil();
		$delimiter = ",";
        $newline = "\r\n";
        $filename = $now.".csv";
        $query = "SELECT * FROM user where reg_date like '%".$now."%'";
        $result = $this->db->query($query." order by u_id asc");
        $result1 = $this->db->query($query." order by u_id asc")->result_array();
        //echo "<pre>";echo $this->db->last_query();print_r($result1);
        $data = $this->dbutil->csv_from_result($result, $delimiter, $newline);
        //force_download($filename, $data);
        if ( !file_exists(base_url("assets/csv_files/".$filename)) ) {
			$oldmask = umask(0);  // helpful when used in linux server  

			if(!is_dir("assets/csv_files")){

				mkdir ("assets/csv_files/", 0777);
			}

			if(!is_file ("assets/csv_files/".$filename)){

		        fopen("assets/csv_files/".$filename, "w");
				file_put_contents ("assets/csv_files/".$filename, $data);

				$this->load->library('zip');
				$this->zip->add_data($filename, $data);
				$this->zip->archive("assets/csv_files/".$now.".zip");
				$res=true;
			}
		}

		if($res){

		    $this->email->from('admin@globaltenders.com');
	        $this->email->to(array("wiptech@worldinfopages.com","rohan@globaltenders.com"));
		    $this->email->subject('Users List Registered Today');
		    $this->email->message('Hello Download the attached file.');
		    $this->email->attach("assets/csv_files/".$now.".zip");

		    if($this->email->send()){

	    		unlink("assets/csv_files/".$now.".zip");
	    		unlink("assets/csv_files/".$filename);
	    	}else{

	    		echo "not send";
	    	}
		}
	}

	public function newUsersRegistrationWeekendAlertCJ(){

		$now = date("Y-m-d");
		if(date("w",strtotime(date("Y-m-d")))==7){

			$sunday = date("Y-m-d",strtotime("-7 days",strtotime(date("Y-m-d")))); // Seven Days Before Today
			$saturday = date("Y-m-d",strtotime("-0 days",strtotime(date("Y-m-d")))); // One Day Before Today
	    	//echo "Saturday";echo "<pre>".$sunday." = ".$saturday;
			$res = false;
			$this->load->dbutil();
			$delimiter = ",";
	        $newline = "\r\n";
	        $filename = "weekend-".$saturday.".csv";
	        $query = "SELECT * FROM user where reg_date>='".$sunday."' and reg_date<'".$saturday."'";
	        $result = $this->db->query($query." order by u_id asc");
	        $result1 = $this->db->query($query)->result_array();
	        //echo count($result1);echo $this->db->last_query();print_r($result1);
	        $data = $this->dbutil->csv_from_result($result, $delimiter, $newline);
	        //print_r($data);
	        //force_download($filename, $data);
	        if ( !file_exists(base_url("assets/csv_files/".$filename)) ) {

				$oldmask = umask(0);  // helpful when used in linux server  

				if(!is_dir("assets/csv_files")){

					mkdir ("assets/csv_files/", 0777);
				}

				if(!is_file ("assets/csv_files/".$filename)){

			        fopen("assets/csv_files/".$filename, "w");
					file_put_contents ("assets/csv_files/".$filename, $data);

					$this->load->library('zip');
					$this->zip->add_data($filename, $data);
					$this->zip->archive("assets/csv_files/".$saturday.".zip");
					$res=true;
				}
			}

			if($res){

			    $this->email->from('admin@globaltenders.com');
		        $this->email->to(array("wiptech@worldinfopages.com","rohan@globaltenders.com"));
		        //$this->email->to("hw.sharma9@gmail.com");
			    $this->email->subject('Users List Registered From Last Sunday to Saturday.');
			    $this->email->message('Hello Download the attached file.');
			    $this->email->attach("assets/csv_files/".$saturday.".zip");

			    if($this->email->send()){

		    		unlink("assets/csv_files/".$saturday.".zip");
		    		unlink("assets/csv_files/".$filename);
			    }
			}

		}
	}

	public function unsubscribeUserAlert(){

		if((isset($_GET['id']) && $_GET['id']) && (isset($_GET['name']) && $_GET['name'])){

			$this->loadHtml("unsubscribed-user","Home Page","","gt_leftbar","gt_rightbar","gt_header","gt_footer");
			//print_r($_GET);
			/**/
		}else{
			redirect(base_url());
		}
	}

	public function unsubscribeUserAlertSuccess(){

		//echo "<pre>"; print_r($_POST);
		if($data = $this->common->getsData("user",array("userid"=>$_POST['id']))){

			$this->common->updateData("user",array("email_alert"=>0),array("userid"=>$_POST['id']));
			if($this->db->affected_rows()){
				$this->common->updateData("email_alert",array("email_alert"=>0),array("userid"=>$_POST['id']));
				
				$bcc=array();
				if($adminemail = $this->common->getsData("admin",array("admin_name"=>$data['admin_name'])))
				{
					$admin_email = str_replace("globaltenders.com", "global-tenders.com", $adminemail['email']);
					array_push($bcc, $admin_email);
				}
				$html = "name = ".$_POST['name']." (".$data['email'].") userid = ".$_POST['id']." unsubscribed the mail alerts.";
				//$this->common->sendMail($html,array("wiptech@worldinfopages.com","rohan@globaltenders.com"),"Email Alert Unsubscribed by A User.");
				$this->common->updateData("user",array("unsubscrib_date"=>date("Y-m-d H:i:s")),array("userid"=>$_POST['id']));
				if($this->db->affected_rows()){
					$this->email->from("freealerts@global-tenders.com",'Global Tenders');
					$this->email->to("freealerts@global-tenders.com");
					$this->email->subject("Email Alert Unsubscribed by A User.");
					$this->email->message($html);
					$this->email->bcc($bcc);
					$this->email->send();
				}
				//redirect("unsubscribe-user-successfully");
			}
			$this->session->set_flashdata("message","Thanks for providing reason.");
		}else{
			$this->session->set_flashdata("message","No User Found!");
		}
		redirect(base_url("unsubscribe-user/?action=Unsubscribe&name=".$_POST['name']."&id=".$_POST['id']));
	}

	public function userSearchPageEmailAlert(){

		$data['user_title'] = $this->config->item("title");
        $data['countryarray'] = $this->config->item("countryarray");
        $data['tender_sector'] = $this->config->item("sector_industry");
        $data['package'] = $this->config->item("package");
        $data['hear'] = $this->config->item("hear");
        $data['admins'] = $this->common->getData("admin",array("admin_type !="=>"parent"),array("adminid","admin_name"));
        //echo "<pre>";print_r($data);die;
        $this->loadAdminHtml("user-search","Users",$data);
	}

    public function userSearchEmailAlert($limit=''){

        $post = $post1 = array();
        $get=array();

        if($limit!=""){

            $post1['limit'] = $limit;
        }else{
            $post['limit'] = 0;
        }

        if(!empty($_POST)){

            if(isset($_POST["search"]) && $_POST["search"] == 1){

                unset($_POST["search"],$_POST["submit"]);
                foreach ($_POST as $key => $value) {

                    if($_POST[$key]!=""){

                        $post[$key] = $value;
                    }
                }
                $this->session->set_userdata("usearch",$post);
            }
        }else{
            $post = $this->session->userdata('usearch');
            if($limit!=""){

                $post['limit'] = $post1['limit'];
            }
        }
        //$this->is_logged_in();
        $data = $this->usearch->advanceUsersSearch($post,base_url('admin/email-usersearch')); //$this->common->getData("user");
        $data['admins'] = $this->common->getData("admin",array("admin_type !="=>"parent"),array("adminid","admin_name"));
        //$this->session->set_userdata('tender_search_query',$this->db->last_query());
        //echo "<pre>"; echo $this->db->last_query(); print_r($data);die;
        $this->loadAdminHtml("users-list","Users",$data);
    }

    /*
    *	This function run by cron job. This function check the users registered Resently and 
    *	sends mail to the user after 24 and 72 hours of registration.
    */
    public function sendEmailtoRegisteredUserCJ(){

    	$html='';
    	$c=0;
    	$now = strtotime(date("Y-m-d H:i:s"));
    	$now1 = date("Y-m-d h:i:s a");
    	$yesterday = date("Y-m-d",strtotime("-3 day",strtotime(date("Y-m-d"))));
    	//echo "<pre>now = ".$now1.", Yesterday = ".$yesterday."<br>";
    	$users = $this->common->getData("user",array("reg_date <="=>date("Y-m-d"),"reg_date >="=>$yesterday),array("userid","title","package","account_status","last_name","reg_date","first_name","email","country","organization"));
    	//echo "<pre>";print_r($users); echo "</pre>";
    	//echo count($users)."<br>";

    	foreach ($users as $key => $value) {
    		if($value['account_status']!=1){
	    		
	    		$reg_time = date("Y-m-d h:i:s a",strtotime($value['reg_date']));
	    		//$plus2h = strtotime("+2 hours",strtotime($value['reg_date']));
	    		//$plus3h = strtotime("+3 hours",strtotime($value['reg_date']));
	    		$plus24h = strtotime("+24 hours",strtotime($value['reg_date']));
	    		$plus25h = strtotime("+25 hours",strtotime($value['reg_date']));
	    		$plus72h = strtotime("+72 hours",strtotime($value['reg_date']));
	    		$plus73h = strtotime("+73 hours",strtotime($value['reg_date']));
	    		$user_country = $value['country'];
	    		
	    		/*if(($plus2h<=$now) && ($now<=$plus3h)){

	    			echo "mail after 2 hours<br>";
	    		}*/

	    		$data['user'] = $value;
	    		$subject = "Global Tenders ".$value['package']." Subscription - ".$value['first_name']." ".$value['last_name']." (".$value['organization']." )";
	    		if(($plus24h<=$now) && ($now<=$plus25h)){
	    			//echo "reg_time = ".$reg_time.", plus2h = ".$plus2h.", plus3h = ".$plus3h.", plus24h = ".$plus24h.", plus25h = ".$plus25h." country = ".$value['country']."<br>";
	    			echo "<pre>";print_r($value);echo "</pre>";
	    			echo "mail after 24 hours<br>";
	    			if($user_country=="India"){
	    				$html = $this->load->view("email-templates/automatic-24-hours-india",$data,true);
	    			}else{
	    				$html = $this->load->view("email-templates/automatic-24-hours-Except-India",$data,true);
	    			}
	    			echo "<br>subject = ".$subject;
	    			echo "<br>html = ".$html;
		    		$this->email->from("contact@globaltenders.com",'Global Tenders');
					$this->email->to($value['email']);
					$this->email->subject($subject);
					$this->email->message($html);
					$this->email->bcc(array("contact@globaltenders.com"));
					$this->email->send();
					$c++;
	    		}

	    		if(($plus72h<=$now) && ($now<=$plus73h)){

	    			echo "<pre>";print_r($value);echo "</pre>";
	    			echo "mail after 72 hours<br>";
	    			if($user_country=="India"){
	    				$html = $this->load->view("email-templates/automatic-72-hours-India",$data,true);
	    			}else{
	    				$html = $this->load->view("email-templates/automatic-72-hours-Except-India",$data,true);
	    			}
	    			//echo "email = ".$value['email']."<br>";
	    			
	    			echo "<br>subject = ".$subject;
	    			echo "<br>html = ".$html;
		    		$this->email->from("contact@globaltenders.com",'Global Tenders');
					$this->email->to($value['email']);
					$this->email->subject($subject);
					$this->email->message($html);
					$this->email->bcc(array("contact@globaltenders.com"));
					$this->email->send();
					$c++;
	    		}
			}
    	}

    }

    public function sendEmailRelatedFieldsForm(){

    	$userid = $_POST['userid'];
    	$html = sendEmailRelatedFieldsForm($userid);
    	echo $this->common->jsonEncode(array("html"=>$html));die;
    }

    public function sendQuickEmailFrom(){

    	$userid = $_POST['userid'];
    	$userdata = $this->common->getsData("user",array("userid"=>$userid),array("email","userid"));
    	$html = sendQuickEmailFrom($userdata);
    	echo $this->common->jsonEncode(array("html"=>$html));die;
    }

    public function sendQuickEmail(){

    	$to=array();
    	$userid = $_POST['userid'];
    	$admin_email = $this->alert->getUsersAdminEmail($userid);
    	$userdata = $this->common->getsData("user",array("userid"=>$userid),array("email"));
    	array_push($to, $userdata['email']);

    	if($admin_email['admin_email']!=""){

			$adminemail = str_replace("globaltenders.com", "global-tenders.com", $admin_email['admin_email']);
			array_push($to, $adminemail);
		}
		$subject = $_POST['subject'];
		$html=$_POST['edit_template'];
    	//print_r($_POST);print_r($admin_email);print_r(implode(",", $to)); die;
    	/*$post['sector'] = explode(",", $userdata['sector']);
    	$data['post'] = $this->tender->getRowsSearch($post,array("limit"=>10),"tenders",0);
    	$data['h1'] = 10;
		$data['no_of_tenders'] = 10;*/
    	//$html = $this->load->view("sample_alert_template",$data,true);

    	$this->email->from("freealerts@global-tenders.com",'Global Tenders');
		$this->email->to($to);
		$this->email->subject($subject);
		$this->email->message($html);
		$this->email->bcc('freealerts@global-tenders.com');
		if($this->email->send()){
			$this->common->insertData("st_log",array("userid"=>$userid,"template"=>"sample","date"=>date("Y-m-d H:i:s")));
			echo 1;
		}else{
			echo 0;
		}
    	
    }

    public function sendTenderSampleEmail(){

    	//print_r($_POST);
    	$userid = $_POST['userid'];
    	$no_of_tenders = $_POST['no_of_tenders'];
    	unset($_POST['no_of_tenders'],$_POST['userid']);
    	$data['post'] = $this->alert->usersSearchedTendersToSend($userid,$no_of_tenders);
    	//print_r($data);die;
    	//$data = $this->alert->getTendersContentForCPVAlerts($_POST);
    	$userdata = $this->common->getsData("user",array("userid"=>$userid),array("email","first_name","last_name","organization"));
    	//print_r($userdata);die;
		$data['h1'] = count($data['post']);
		$data['no_of_tenders'] = $no_of_tenders;
		//$data['count'] = $count;
		$html = $this->load->view("sample_alert_template",$data,true);
    	//print_r($html);die;
    	$admin_email = $this->alert->getUsersAdminEmail($userid);
		if($admin_email['admin_email']!=""){

			$adminemail = str_replace("globaltenders.com", "global-tenders.com", $admin_email['admin_email']);
		}else{
			$adminemail = "freealerts@global-tenders.com";
		}
    	//print_r($html);
    	$this->email->from($adminemail,'Global Tenders');
		$this->email->to($userdata['email']);
		$this->email->subject("Sample Tenders - ".$userdata['first_name']." ".$userdata['last_name']." (".$userdata['organization'].")");
		$this->email->message($html);
		$this->email->bcc($adminemail,"freealerts@global-tenders.com");
		if($this->email->send()){

			//$_POST['no_of_tenders'] = $no_of_tenders;
			//$this->saveSentTenderSampleEmail($_POST,$userid);
			$eadata = $this->common->getsData("email_alert",array("userid"=>$userid),array("email_sample"));
			if($eadata && $eadata['email_sample']!=""){

				$emailsample = json_decode($eadata['email_sample'],true);
				$new = array("template"=>"sample","date"=>date("Y-m-d H:i:s"));
				array_push($emailsample, $new);
				$email_sample = json_encode($emailsample);
			}else{
				$email_sample = json_encode(array(array("template"=>"sample","date"=>date("Y-m-d H:i:s"))));
			}
			$this->common->updateData("email_alert",array("email_sample"=>$email_sample),array("userid"=>$userid));
			$this->common->insertData("st_log",array("userid"=>$userid,"template"=>"sample","date"=>date("Y-m-d H:i:s")));
			echo 1;
		}else{
			echo 0;
		}
    }

    public function saveSentTenderSampleEmail($post=array(),$userid=''){

    	$data=array();

		foreach ($post as $key => $value) {

			if($value=="" || (is_array($value) && empty($value) && $value="")){

				unset($post[$key]);
			}
		}

    	$alert_info = $this->common->getsData("email_alert",array("userid"=>$userid),array('email_sample'));
    	if($alert_info['email_sample']!=""){

    		$data = json_decode($alert_info['email_sample'],true);
    		array_push($data, $post);
    	}else{
    		$data = array($post);
    	}
    	$this->common->updateData("email_alert",array("email_sample"=>json_encode($data)),array("userid"=>$userid));
    }

    public function allSentEmailTemplateList(){

    	$template='';
    	$userid = $_POST['userid'];
    	/*$userdata = $this->common->getsData("email_alert",array("userid"=>$userid),array("email_sample"));
    	$data = json_decode($userdata['email_sample'],true);*/
    	$data = $this->common->getData("st_log",array("userid"=>$userid));
    	$html = allSentEmailList($data);

    	echo $this->common->jsonEncode(array("html"=>$html));die;
    }

    public function getSampleTemplate(){

    	$template='';
    	$userid = $_POST['userid'];
    	$id = $_POST['id'];
    	$userdata = $this->common->getsData("email_alert",array("userid"=>$userid),array("email_sample"));
    	$data = json_decode($userdata['email_sample'],true);
    	//print_r($data);
    	if(isset($data[$id]) && $data[$id]!=""){

    		$no_of_tenders = $data[$id]['no_of_tenders'];
    		unset($data[$id]['no_of_tenders']);
    		$data1 = $this->alert->getTendersContentForCPVAlerts($data[$id]);
    		//print_r($data1);
			$data1['h1'] = count($data1['post']);
			$data1['no_of_tenders'] = $no_of_tenders;
			$template = $this->load->view("sample_alert_template",$data1,true);

			echo $this->common->jsonEncode(array("html"=>$template));die;
    	}
    }

    public function updateUsersFrequency(){

    	$status = 0;$message='';

    	if(isset($_POST['frequency_limit']) && $_POST['frequency_limit']=="on")
    	{
    		$_POST['frequency_limit']=1;
    	}else{
    		$_POST['frequency_limit']=0;
    	}

    	$data = $this->common->getsData("email_alert",array("userid"=>$_POST['userid'],"email_alert"=>1),array("email_alert"));
    	//print_r($data);die;
    	header('Content-type: application/json; charset=utf-8"');

    	if(!empty($data) && $data['email_alert']==1){

	    	$this->common->updateData("email_alert",array("frequency"=>$_POST['frequency'],"frequency_limit"=>$_POST['frequency_limit']),array("userid"=>$_POST['userid']));

	    	if($this->db->affected_rows()){

	    		$status = 1;
	    		$message="Frequency Updation Successfully!";
	    	}else{
	    		$status = 2;
	    		$message="Not Updation Occureed!";
	    	}

	    }else{
	    	$status = 0;
	    	$message="This User's Email Alert is not actived!";
	    }

	    echo json_encode(array("status"=>$status,"message"=>$message));
    }

    public function deleteUsersSample(){

    	$userid = $_POST['userid'];
    	$id = $_POST['id'];
    	$userdata = $this->common->getsData("email_alert",array("userid"=>$userid),array("email_sample"));
    	$data = json_decode($userdata['email_sample'],true);
    	unset($data[$id]);
    	$deleted_data = $data;
    	//print_r($deleted_data);
    	$this->common->updateData("email_alert",array("email_sample"=>json_encode($deleted_data)),array("userid"=>$userid));

    	if($this->db->affected_rows()){ echo 1; }else{ echo 0; }

    }

    public function getTemplateEditForm(){
    	
    	$udata = $this->alert->getUsersCPV(array("U.userid"=>$_POST['userid']),0); //$this->common->getsData("user",array("userid"=>$_POST['userid']));
    	//echo $this->db->last_query();print_r($udata);die;
    	if($udata){
    		$userdata = $udata[0];
    		$adminemail='';
	    	if($_POST['edit']==1){
	    		$template = editTemplate($_POST,$userdata);
	    		echo $template;
	    	}else{
	    		$userid = $_POST['userid'];
	    		$template = $_POST['template']($userdata);
				$eadata = $this->common->getsData("email_alert",array("userid"=>$_POST['userid']),array("email_sample"));
				if($eadata && $eadata['email_sample']!=""){
					$emailsample = json_decode($eadata['email_sample'],true);
					$new = array("template"=>$_POST['template'],"date"=>date("Y-m-d H:i:s"));
					array_push($emailsample, $new);
					$email_sample = json_encode($emailsample);
					//print_r($email_sample);
				}else{
					$email_sample = json_encode(array(array("template"=>$_POST['template'],"date"=>date("Y-m-d H:i:s"))));
				}
				$this->common->updateData("email_alert",array("email_sample"=>$email_sample),array("userid"=>$_POST['userid']));
				

				if($userdata['admin_email']){
					$adminemail = str_replace("globaltenders.com", "global-tenders.com", $userdata['admin_email']);
				}else{
					$adminemail = "rohan@global-tenders.com";
				}

				$subject = $this->alert->getTemplateSubject($userdata,$_POST['template']);
				//echo $subject;die;
	    		$result = $this->alert->sendTemplateOnMail($template,$userdata['email'],$adminemail,$subject);
	    		if($result==1)
	    		{
	    			$this->common->insertData("st_log",array("userid"=>$userid,"template"=>$_POST['template'],"date"=>date("Y-m-d H:i:s")));
	    			echo "Email Sent";
	    		}else{
	    			echo "Email Not Sent?, Talk to Harshwardhan Sharma.";
	    		}
	    	}
	    }else{
	    	echo "Alert Message Not Active!";
	    }
    }

    public function sendMailEditedTemplate()
    {
    	$userid = $_POST['userid'];
    	$udata = $this->alert->getUsersCPV(array("U.userid"=>$userid),0);
    	if($udata){
	    	$userdata = $udata[0];//$this->common->getsData("user",array("userid"=>$_POST['userid']));
	    	$adminemail='';
	    	$template = $_POST['edit_template'];
	    	$subject = $this->alert->getTemplateSubject($userdata,$_POST['template']);
	    	//echo $subject;die;
	    	if($userdata['admin_email'] && $userdata['admin_email']!="notinterested@globaltenders.com"){
				$adminemail = str_replace("globaltenders.com", "global-tenders.com", $userdata['admin_email']);
			}else{
				$adminemail = "rohan@global-tenders.com";
			}
	    	$result = $this->alert->sendTemplateOnMail($template,$userdata['email'],$adminemail,$subject);
			if($result==1)
			{
				$this->common->insertData("st_log",array("userid"=>$userid,"template"=>$_POST['template'],"date"=>date("Y-m-d H:i:s")));
				echo "Email Sent";
			}else{
				echo "Email Not Sent, Talk to Harshwardhan Sharma.";
			}
		}else{
	    	echo "Alert Message Not Active";
	    }
    }

    /*
    *	Function sends the mail to admin the information of
    *	samples and templates send by Subadmin Yesterday. 
    */
    public function sentDailySTCJ()
    {
    	$now = date("Y-m-d",strtotime("-1 days",strtotime(date("Y-m-d"))));//date("Y-m-d");
		$res = false;
		$this->load->dbutil();
		$delimiter = ",";
        $newline = "\r\n";
        $filename = "ST_".$now.".csv";
        $query = "SELECT ST.*,U.first_name,U.last_name,U.email,U.organization,U.country,U.admin_name FROM st_log as ST left join user as U on ST.userid=U.userid where ST.date like '%".$now."%'";
        $result = $this->db->query($query." order by stid asc");
        $result1 = $this->db->query($query." order by stid asc")->result_array();

        $admin=$admin_array=array();
        if($result1 && !empty($result1)){
	        foreach ($result1 as $key => $value) {
	        	$aname = $value['admin_name'];
	        	if($aname=="")
	        	{
	        		$aname="not_interested";
	        		$value['admin_name']="not_interested";
	        	}
        		if(!in_array($aname, $admin_array)){
        			array_push($admin_array, $value['admin_name']);
        			$admin[$aname]=array();
        		}
        		if(in_array($aname, $admin_array)){
        			unset($value['admin_name']);
        			array_push($admin[$aname], $value);
        		}
	        }
	    }
	    $admins=$file=$admin_file='';
        if($admin){
	        foreach ($admin as $key => $value) {
	        	//print_r($value);
	        	//$file.=$value['first_name']." ".$value['last_name'].",".$value['email'].",".$value['country']."\n";
	        	$file.=$key."\n\n";
        		$file.="Mail Sent Type,Name,Email,Company,Country\n";
	        	if($value){
		        	foreach ($value as $key1 => $value1) {
		        		$admins.=$value1['template'].",".$value1['first_name']." ".$value1['last_name'].",".$value1['email'].",".$value1['organization'].",".$value1['country']."\n";
		        	}
		        	$file.=$admins."\n\n\n\n";
		        	$admins='';
		        }

		        $admin_file.=$file;
		        $admin_name = str_replace(" ", "_", $key);

		        if($key=="not_interested"){
		        	$sub_admin_email = "hw.sharma9@gmail.com";
		        }else{
		        	$an = $this->common->getsData("admin",array("admin_name"=>$key),array("email"));
		        	$sub_admin_email = str_replace("globaltenders", "global-tenders", $an['email']);
		        }
		        //echo $sub_admin_email."<br>";

		        $res = $this->alert->createZipFile($admin_name.$filename,$file,$admin_name.$now);

				if($res){

					$this->email->clear(TRUE);
				    $this->email->from('admin@globaltenders.com',"Global Tenders");
			        //$this->email->to(array("rohan@globaltenders.com"));//"wiptech@worldinfopages.com",
			        $this->email->to($sub_admin_email);
				    $this->email->subject('Users List Sent Samples and Templates on '.$admin_name.$now);
				    $this->email->message('Hello Download the attached file.');
				    $this->email->attach("assets/csv_files/".$admin_name.$now.".zip");

				    if($this->email->send()){

			    		unlink("assets/csv_files/".$admin_name.$now.".zip");
			    	}
			    	$this->zip->clear_data();
				}
				$file='';
			}

			$res = $this->alert->createZipFile($filename,$admin_file,"ST_".$now);

			if($res){

				$this->email->clear(TRUE);
			    $this->email->from('admin@globaltenders.com');
		        $this->email->to(array("rohan@globaltenders.com"));//"wiptech@worldinfopages.com",
		        //$this->email->to("hw.sharma9@gmail.com");
			    $this->email->subject('Users List Sent Samples and Templates on '.$now);
			    $this->email->message('Hello Download the attached file.');
			    $this->email->attach("assets/csv_files/"."ST_".$now.".zip");

			    if($this->email->send()){

		    		//unlink("assets/csv_files/"."ST_".$now.".zip");
		    	}
		    	$this->zip->clear_data();
			}

		}
    }
    
}