<?php 
class Email_Group extends MY_Admin_Controller {
	Public function __construct() { 
		parent::__construct();
		$this->is_logged_in();
		$this->load->model('email_group_model','emailgroup');
	}
	public function is_logged_in(){
		$is_admin_logged_in = $this->session->userdata('is_admin_logged_in');

		if(!isset($is_admin_logged_in) || $is_admin_logged_in != true){
			redirect(base_url("admin-login"));
		}

	}

	public function mailGroupPage()
	{
		$this->is_logged_in();
		//if($this->type == "admin" && !in_array(3, $this->admin_authority['alert_authority'])){ $this->sendOnDashboard(); }
		$data['mailgroup'] = $this->common->getData("mail_group",array());
		$this->loadAdminHtml("email-group","Email Group Alerts",$data);
	}
	public function addEmailGroup()
	{
		//print_r($_POST); die;
		if($_POST){
    		$_POST['date'] = date('Y-m-d');
    		$_POST['isActive'] = (isset($_POST['isActive']) && $_POST['isActive']=="on")?1:0;
    		$res = $this->common->insertData('mail_group',$_POST);
    		if($res){
    			$this->session->set_flashdata("message","Email Alert Group Add Successfully");
    		}
    	}else{
    		$this->session->set_flashdata("emessage","Something Went Wrong");
    	}
		redirect(base_url('admin/email-group'));
	}
	public function updateEmailGroupStatus()
	{
		$res = $this->emailgroup->editMailGroup($_POST);
		if($res){
			echo 1;
		}else{
			echo 0;
		}
	}

	public function editMailGroupPage($mailid='')
	{
		$this->is_logged_in();
		if(isset($_POST) && $_POST){
			$_POST['isActive'] = (isset($_POST['isActive']) && $_POST['isActive']=="on")?1:0;
			$res = $this->emailgroup->editMailGroup($_POST);
			if($res){
				$this->session->set_flashdata("message","Group Updated Successfully!");
				redirect(base_url('admin/email-group'),'refresh');
			}else{
				$this->session->set_flashdata("emessage","Group Not Updated!");
				redirect(base_url('admin/edit-email-group/'.$mailid),'refresh');
			}
		}else{
			if($mailid!=""){
				$data['group'] = $this->common->getsData("mail_group",array("mailid"=>$mailid));
				$this->loadAdminHtml("edit-email-group","Edit email Group Alerts",$data);
			}else{
				redirect(base_url('admin/email-group'),'refresh');
			}
		}
	}

	public function sendEmailPage()
	{
		$this->is_logged_in();
		//if($this->type == "admin" && !in_array(4, $this->admin_authority['alert_authority'])){ $this->sendOnDashboard(); }
		if(isset($_POST) && $_POST){
			$res = $this->emailgroup->sendMail($_POST,$_FILES);
			if($res['result']==2){
				$this->session->set_flashdata("emessage","Mail Group is not Active.");
			}
			if($res['result']==1){
				$msg = "Mail Sent Successfully.";
				if($res['count']>0){
					$msg .= "Mail to ".$res['count']." users not sent.";
				}
				$this->session->set_flashdata("message",$msg);
			}
			if($res['result']==0){
				$msg = "Mail to ".$res['count']." users not sent.";
				$this->session->set_flashdata("emessage",$msg);
			}
			redirect(base_url('admin/send-email'),'refresh');
		}else{
			$data['emailgroup'] = $this->common->getData("mail_group");
			$this->loadAdminHtml("send-mail","Send Mail Alerts",$data);
		}
	}
}