<div class="content-wrapper">
    <section class="content"><br>
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="alert alert-danger alert-dismissible" role="alert" <?php if($this->session->flashdata('emessage')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('emessage'); ?>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-primary">
                    <div class="panel-heading box-primary">
                        <span class="panel-title">Add Email Group</span>
                    </div>
                    <div class="panel-body">
                        <div class="col-md-12">
                            <form id="emailGroupForm" action="<?php echo base_url('email_group/addEmailGroup'); ?>" method="post" enctype="multipart/form-data">
                                <div class="row">
                                    <div class="form-group">
                                        <label class="col-md-3">Group Name</label>
                                        <div class="col-md-9">
                                            <input type="text" name="groupName" class="form-control" />
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="row">
                                    <div class="form-group">
                                        <label class="col-md-3">Is Active</label>
                                        <div class="col-md-9">
                                            <input type="checkbox" name="isActive"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="row">
                                    <div class="form-group">
                                        <label class="col-md-3">Mobile Numbers</label>
                                        <div class="col-md-9">
                                            <textarea name="emailIds" class="form-control" placeholder="Enter the Email ids ',' saperated."></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="row">
                                    <div class="form-group">
                                        <input type="submit" value="Submit" class="btn btn-primary btn-block" />
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">                
                <div class="panel panel-primary">
                    <div class="panel-heading box-primary">
                        <span class="panel-title">All Email Group</span>
                    </div>
                    <div class="panel-body">
                        <table id="example" class="table table-hover table-primary" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>S.No.</th>
                                    <th>Date</th>
                                    <th>Group Name</th>
                                    <th>Is Active</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                if(isset($mailgroup) && !empty($mailgroup)){ 
                                    foreach ($mailgroup as $key => $value) : ?>
                                    <tr id="<?php echo "mailAlert_".$value['mailid']; ?>">
                                        <td><?php echo $key+1; ?></td>
                                        <td><?php echo $value['date']; ?></td>
                                        <td data-field="groupName" data-id="<?php echo $value['mailid']; ?>"><?php echo $value['groupName']; ?></td>
                                        <td><input type="checkbox" name="isActive" <?php echo($value['isActive']=='1')?"checked":""; ?> value="<?php echo $value['isActive']; ?>" class="isActive" data-id="<?php echo $value['mailid']; ?>"/></td>
                                        <td>
                                            <a href="<?php echo base_url("admin/edit-email-group/".$value['mailid']); ?>" class="btn btn-primary"><i class="fa fa-pencil"></i></a>
                                            <a href="javascript:void(0)" class="btn btn-danger ajax_delete" data-value="<?php echo "mailid_".$value['mailid']; ?>" data-table="mail_group"><i class="fa fa-trash"></i></a>
                                        </td>
                                    </tr>
                                <?php endforeach; } ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        $('#emailGroupForm').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            icon: {
                valid: 'glyphicon glyphicon-ok',
                invalid: 'glyphicon glyphicon-remove',
                validating: 'glyphicon glyphicon-refresh'
            },
            fields: {
                groupName: {
                    validators: {
                        notEmpty: {
                            message: 'The Group Name is required'
                        }
                    }
                },
            }
        });
    });
</script>

<script type="text/javascript">
    $('.isActive').on('click',function(){
        var value = $(this).val();
        var mailid = $(this).attr('data-id');
        //alert(mailid);
        if($(this).is(":checked")){
            active = 1;
        }else{
            active = 0;
        }
        //$(this).
        var site_url = '<?php echo base_url(); ?>';
        $.ajax({
            url: site_url+"email_group/updateEmailGroupStatus",
            type: "POST",
            data: "isActive="+active+"&mailid="+mailid,
            success: function(result){
                if(result==1)
                {
                    alert("Email Group Update");
                }
            }
        });
    });

    $("#example tbody td").on("dblclick",function(){
        var field = $(this).data("field");
        var id = $(this).data("id");
        if(field!=undefined){
            var value = $(this).text();
            var html = "";
                html = '<div class="input-group">'+
                            '<input type="text" name="'+field+'" value="'+value+'" data-id="'+id+'" class="form-control '+field+'" />'+
                        '</div>';
                $(this).html(html);
                $(this).find("."+field).focus();
            //if(field == "StartDate" || field == "EndDate"){}
        }
    });

    $("body").on("blur",".form-control",function(){
        var key = $(this).attr("name");
        var value = $(this).val();
        var mailid = $(this).attr('data-id');
        //alert(key+" "+value+" "+id+" "+where_key);
        if(value!=''){
            $(this).closest('td').html(value);
            var site_url = '<?php echo base_url(); ?>';
            $.ajax({
                url: site_url+"email_group/updateEmailGroupStatus",
                type: "POST",
                data: "groupName="+value+"&mailid="+mailid,
                success: function(result){
                    if(result==1)
                    {
                        alert("Email Group Name Update");
                    }
                }
            });
        }else{
            $(this).focus();
            if($(this).closest('td').find('p').length==0){
                $(this).closest('td').append('<p style="color:red;" disabled>Please add Group Name</p>');
            }
        }
    });
</script>