<div class="content-wrapper">
    <section class="content"><br>
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="alert alert-danger alert-dismissible" role="alert" <?php if($this->session->flashdata('emessage')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('emessage'); ?>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-primary">
                    <div class="panel-heading box-primary">
                        <span class="panel-title">Send Email</span>
                    </div>
                    <div class="panel-body">
                        <div class="col-md-12">
                            <form id="sendsmsForm" action="<?php echo base_url('email_group/sendEmailPage'); ?>" method="post" enctype="multipart/form-data">
                                <div class="row">
                                    <div class="form-group">
                                        <label class="col-md-3">Group Name</label>
                                        <div class="col-md-9">
                                            <select class="form-control" name="groupName">
                                                <option value="">Select Group</option>
                                                <?php if($emailgroup){ foreach($emailgroup as $key=>$value) : ?>
                                                    <option value="<?php echo $value['mailid'] ?>"><?php echo $value['groupName'] ?></option>
                                                <?php endforeach; } ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="row">
                                    <div class="form-group">
                                        <label class="col-md-3">Send Mail From</label>
                                        <div class="col-md-9">
                                            <select class="form-control" name="from">
                                                <option value="">Select Group</option>
                                                <option value="rohan@globaltenders.com">rohan@globaltenders.com</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="row">
                                    <div class="form-group">
                                        <label class="col-md-3">Subject</label>
                                        <div class="col-md-9">
                                            <input type="text" name="subject" class="form-control" placeholder="Write Mail Subject." />
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="row">
                                    <div class="form-group">
                                        <label class="col-md-3">Message</label>
                                        <div class="col-md-9">
                                            <textarea name="message" class="form-control" rows="7" maxlength="500" placeholder="Write the message you want to send."></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="row">
                                    <div class="form-group">
                                        <label class="col-md-3">Attaichments</label>
                                        <div class="col-md-9">
                                            <div class="col-md-6">
                                                Attaichment 1 : <input type="file" name="file[]" />
                                            </div>
                                            <div class="col-md-6">
                                                Attaichment 2 : <input type="file" name="file[]" />
                                            </div>
                                            <div class="col-md-6">
                                                Attaichment 3 : <input type="file" name="file[]" />
                                            </div>
                                            <div class="col-md-6">
                                                Attaichment 4 : <input type="file" name="file[]" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="row">
                                    <div class="form-group">
                                        <input type="submit" value="Send" class="btn btn-primary btn-block" />
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        $('#sendsmsForm').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            icon: {
                valid: 'glyphicon glyphicon-ok',
                invalid: 'glyphicon glyphicon-remove',
                validating: 'glyphicon glyphicon-refresh'
            },
            fields: {
                groupName: {
                    validators: {
                        notEmpty: {
                            message: 'Group Name is required'
                        }
                    }
                },
                subject: {
                    validators: {
                        notEmpty: {
                            message: 'Subject is required'
                        }
                    }
                },
                message: {
                    validators: {
                        notEmpty: {
                            message: 'Message is required'
                        }
                    }
                },
            }
        });
    });
</script>