<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
class Global_Tender extends MY_Tender_Controller {//Static_Tender_Controller

    Public function __construct(){
        parent::__construct();
        $this->load->model("tender_login/login_model","login");
    }

    public function index(){
        // $this->session->set_userdata(array("is_static_menu"=>0));
        // $get['tender_type'] = "live";
        // $data = $this->tender->getTendersContent($get);
        //echo $this->db->last_query();die;
        // $this->loadHtml("index","Home Page");
        // $this->gtFrontPage();
        $get['tender_type'] = "live";
        $this->perPage = 5;
        $data = $this->tender->getFreeTendersContent($get);
        $this->loadHtml("index","Home Page",$data);
    }

    public function gtFrontPage($limit='')
    {
        // echo $this->db->last_query();
        // echo "<pre>";
        // print_r ($data);
        // echo "</pre>";die;
    }

    public function homePage(){

        // $this->session->set_userdata(array("is_static_menu"=>0));
        $this->load->view("global-tenders-india");
    }

    public function popularCategoriesPage()
    {
        $this->loadHtml("popular-categories");
    }

    public function allServicesPage()
    {
        $this->loadHtml("all-services");
    }

    public function updateArchive(){

        $now = date("Y-m-d");
        $data = $this->common->getData("tenders",array("doc_last <"=>$now));
        
        $this->db->insert_batch("archive_tenders",$data);

        if($data){
            foreach ($data as $key => $value) {
                $this->common->deleteData("tenders",array("p_id"=>$value['p_id']));
            }
        }
    }

    public function contactUsPage(){

        $this->loadHtml("contact","Contact Us",'',"","","gt_header","gt_footer");
    }

    public function keywordSearchPage(){

        $this->session->set_userdata(array("is_static_menu"=>1));
        $this->loadHtml("keyword-search","Search By keyword",'',"gt_leftbar","gt_rightbar","gt_header","gt_footer");
    }

    public function referenceNumberSearchPage(){

        $this->session->set_userdata(array("is_static_menu"=>1));
        $this->loadHtml("reference-search","Search By Reference Number",'',"gt_leftbar","gt_rightbar","gt_header","gt_footer");
    }

    public function CPVCodeSearchPage(){

        $this->session->set_userdata(array("is_static_menu"=>1));
        $this->loadHtml("cpv-search","Search By Reference Number",'',"gt_leftbar","gt_rightbar","gt_header","gt_footer");
    }

    public function CPVSearch(){

        $cpv = array();
        $this->session->set_userdata(array("is_static_menu"=>1));
        //echo "<pre>";
        for ($k=1; $k <=2 ; $k++) { 

            $j=1000;
            for ($i=1; $i <=90 ; $i++) { 

                if($k==1){

                    $digit="000";
                }else{
                    $digit="0000";
                }

                //echo $j." ".$digit."<br>";
                $data = $this->db->query("select * from cpv where cpv_code like '".$j.$digit."%' limit 1")->result_array();
                //print_r($data);
                if($data){

                    $cpv[] = $data[0];
                }
                $j = $j+100;
            }
        }
        $data['cpv1'] = $cpv;
        $allcpv = $this->common->getData("cpv",array(),array("cpv_code","cpv_description","url"));
        //echo "<pre>"; 
        $cpvs=$cp=array();
        $i=1;
        if($allcpv){

            foreach ($allcpv as $key => $value) {
                
                $value1['cpv_code'.$i] = $value['cpv_code'];
                $value1['cpv_description'.$i] = $value['cpv_description'];
                $value1['url'.$i] = $value['url'];
                array_push($cpvs, $value1);

                if($i==2){

                    $c = array_merge($cpvs[0],$cpvs[1]);
                    $cp[] = $c;
                    $i=1;
                    $cpvs=array();
                }else{
                    $i++;
                }
                $value1 = array();
            }
        }
        $data['allcpv']=$cp;
        $this->loadHtml("cpv_search1","Search By Reference Number",$data,"gt_leftbar","gt_rightbar","gt_header","gt_footer");
    }

    public function getAjaxAllCSV(){

        $cpv=array();
        $value = $this->input->post('value');
        $value = explode('_', $value);
        $data = $this->tender->range('cpv','cpv_code',$value[0],$value[1]);
        $cpvs=$cp=array();
        $i=1;
        if ($data) {

            foreach ($data as $key => $value) {

                $value1['cpv_code'.$i] = $value->cpv_code;
                $value1['cpv_description'.$i] = $value->cpv_description;
                $value1['url'.$i] = $value->url;
                array_push($cpvs, $value1);

                if ($i==2) {

                    $c = array_merge($cpvs[0],$cpvs[1]);
                    $cp[] = array("<a href='".base_url("gt-".$c['url1']."-tenders").".php'>".$c['cpv_code1']." - ".$c['cpv_description1']."</a>","<a href='".base_url("gt-".$c['url2']."-tenders").".php'>".$c['cpv_code2']." - ".$c['cpv_description2']."</a>");
                    $i=1;
                    $cpvs=array();
                }else{
                    $i++;
                }

                $value1 = array();
            }
        }

        header('Content-type: application/json; charset=utf-8"');
        print_r(json_encode(array("data"=>$cp)));

    }

    public function range(){

        $value = $this->input->post('value');
        $value = explode('_', $value);
        $html = '';
        $data = $this->tender->range('cpv','cpv_code',$value[0],$value[1]);

        if($data){

            foreach ($data as $key => $value) {

                $html.="<tr><td class='sorting_1'><a href='".base_url()."'>".$value->cpv_description."</a></td></tr>";
            }
        }

        print_r($html);die;
    }
    
    public function freeTendersFullData($posting_id=''){
        // $this->session->set_userdata(array("is_static_menu"=>1));
        $data['result_estimated_cost'] = $this->config->item("estimated_cost");
        $data['result_country_region'] = $this->config->item("country_region");
        $data['result_tender_type'] = $this->config->item("tender_type");
        $data['result_notice_type'] = $this->config->item("notice_type_search");
        $data['result_bidding_type'] = $this->config->item("bidding_type");
        $data['result_tender_sector'] = $this->config->item("sector_industry");
        $data['result_tender_closing'] = $this->config->item("deadline");
        $data['result_search_location'] = $this->common->getData("RegionNew",array("country"=>"IN","State_name !="=>""),array("region_cd","State_name"));
        $data['detail'] = $this->tender->freeTenders(array("posting_id"=>$posting_id));
        // echo "<pre>";
        // print_r ($data);
        // echo "</pre>";die;
        $this->loadHtml("view-free-tender","Free Tenders",$data);
    }

    public function advanceSearchPage(){

        $this->session->set_userdata(array("is_static_menu"=>1));
        $data = $this->common->getDropDowns(array("funding_agency"));
        $data['estimated_cost'] = $this->config->item("estimated_cost");
        $data['country_region'] = $this->config->item("country_region");
        $data['tender_type'] = $this->config->item("tender_type");
        $data['notice_type'] = $this->config->item("notice_type_search");
        $data['bidding_type'] = $this->config->item("bidding_type");
        $data['tender_sector'] = $this->config->item("sector_industry");
        $data['tender_closing'] = $this->config->item("deadline");
        $data['search_location'] = $this->common->getData("RegionNew",array("country"=>"IN","State_name !="=>""),array("region_cd","State_name"));
        $data['user'] = $this->common->getsData("user",array("userid"=>$this->userid),array("newpunp"));//,"access_tender_type"
        $this->loadHtml("advance-search","Advance Search",$data);
    }

    public function advanceSearch(){

        if(!isset($_GET) || empty($_GET)){

            redirect(base_url("global-tenders-search"));
        }/*else{
            foreach ($_GET as $key => $value) {
                if ($key == "omit_region_name[]") {
                    unset($_GET[$key]);
                    $_GET[str_replace("[]", "", $key)] = $value;
                }
            }
        }*/
        if (isset($_GET['sector']) && strpos($_GET['sector'][0], ',') !== false) {
            $sector = $_GET['sector'][0];
            unset($_GET['sector']);
            $_GET['sector'] = explode(",", $sector);
        }
        if (!isset($_GET['sector'])){
            $_GET['sector']='';
        }
        if (isset($_GET['omit_sector']) && strpos($_GET['omit_sector'][0], ',') !== false) {
            $omit_sector = $_GET['omit_sector'][0];
            unset($_GET['omit_sector']);
            $_GET['omit_sector'] = explode(",", $omit_sector);
        }
        if (isset($_GET['region_name']) && strpos($_GET['region_name'][0], ',') !== false) {
            $region_name = $_GET['region_name'][0];
            unset($_GET['region_name']);
            $_GET['region_name'] = explode(",", $region_name);
        }
        if (isset($_GET['omit_region_name']) && strpos($_GET['omit_region_name'][0], ',') !== false) {
            $omit_region_name = $_GET['omit_region_name'][0];
            unset($_GET['omit_region_name']);
            $_GET['omit_region_name'] = explode(",", $omit_region_name);
        }
        $this->tender->saveAdvanceSearchString();
        $u = $this->common->getsData("user",array("userid"=>$this->userid),array("newpunp"));//,"access_tender_type"
        if (uri_string() == "gt-search"){
            if(isset($u['access_tender_type']) && $u['access_tender_type']==1){
                if(isset($_GET['tender_type']) && $_GET['tender_type']=="archive"){
                    $_GET['tender_type'] = "live";
                }
            }
        }else{
            $_GET['tender_type'] = "all";
        }
        $search_data = $this->tender->getTendersContent($_GET);
        $query = $this->db->last_query();
        
        $this->session->set_userdata(array("advance_search"=>$_GET));
        $data = $this->common->getDropDowns(array("funding_agency"));
        if(isset($search_data['postingid']) && is_array($search_data['postingid']) && count($search_data['postingid'])!=1){
            $this->session->set_userdata("postingids",$search_data['postingid']);
        }
        $data['result_estimated_cost'] = $this->config->item("estimated_cost");
        $data['result_country_region'] = $this->config->item("country_region");
        $data['result_tender_type'] = $this->config->item("tender_type");
        $data['result_notice_type'] = $this->config->item("notice_type_search");
        $data['result_bidding_type'] = $this->config->item("bidding_type");
        $data['result_tender_sector'] = $this->config->item("sector_industry");
        $data['result_tender_closing'] = $this->config->item("deadline");
        $data['result_search_location'] = $this->common->getData("RegionNew",array("country"=>"IN","State_name !="=>""),array("region_cd","State_name"));
        $data['uoi'] = $this->common->getsData("users_other_info",array("userid"=>$this->userid));
        $data['user'] = $u;
        $data = array_merge($data,$search_data);
        
        if ($this->input->is_ajax_request()) {

            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$query)));
            
        }else{
            $data['gd']=1;
            $data['region_name']=(isset($_GET['region_name']))?$_GET['region_name']:array();
            $data['omit_region_name']=(isset($_GET['omit_region_name']))?$_GET['omit_region_name']:array();
            $data['status']=(isset($_GET['status']))?$_GET['status']:'';
            $data['search_deadline']=(isset($_GET['deadline']))?$_GET['deadline']:'';
            $data['search_notice_type']=(isset($_GET['notice_type']))?$_GET['notice_type']:'';
            $data['search_tender_type']=(isset($_GET['tender_type']))?$_GET['tender_type']:'';
            $data['keyword']=(isset($_GET['keyword']))?$_GET['keyword']:'';
            $data['omit_keyword']=(isset($_GET['omit_keyword']))?$_GET['omit_keyword']:'';
            $data['sector']=(isset($_GET['sector']))?$_GET['sector']:array();
            $data['omit_sector']=(isset($_GET['omit_sector']))?$_GET['omit_sector']:array();
            $data['search_bidding_type']=(isset($_GET['bidding_type']))?$_GET['bidding_type']:'';
            $data['est_cost_condition']=(isset($_GET['est_cost_condition']))?$_GET['est_cost_condition']:'';
            $data['est_cost']=(isset($_GET['est_cost']))?$_GET['est_cost']:'';
            $data['date_c_start']=(isset($_GET['date_c_start']))?$_GET['date_c_start']:'';
            $data['date_c_end']=(isset($_GET['date_c_end']))?$_GET['date_c_end']:'';
            $data['postrange']=(isset($_GET['postrange']))?$_GET['postrange']:'';
            $data['cpv']=(isset($_GET['cpv']))?$_GET['cpv']:'';
            $data['posting_id']=(isset($_GET['posting_id']))?$_GET['posting_id']:'';
            $data['search_funding_agency']=(isset($_GET['funding_agency']))?$_GET['funding_agency']:'';
            $data['location']=(isset($_GET['location']))?$_GET['location']:array();
            $head_title = $description = $keyword = $sector_link = $canonical = "";
            //if($this->userid == "1472371501"){
                $s = 0;
                $k = $sec = $rn = '';
                $description .= "Global Tenders ";
                $keyword .= "Global Tenders ";
                $head_title = "Global Tenders ";
                if(isset($_GET['keyword']) && $_GET['keyword']!="") {
                    $head_title .= $k =str_replace(",", ", ", word_limiter($_GET['keyword'],5));
                    $description .= $k;
                    $keyword .= $k.", ";
                    $s = 1;
                }
                if(isset($_GET['region_name']) && $_GET['region_name']!="") {
                    $rn = str_replace(",", ", ", $this->common->changeCountryRegionTypeCode($_GET['region_name']));
                    $head_title .= " ".$rn;
                    $s = 1;
                }
                $keyword .= "Public Tenders ";
                if(isset($_GET['sector']) && $_GET['sector']!="") {
                    $sec = $this->common->changeSectorCode($_GET['sector']);
                    $head_title .= $sec;
                    $description .= $sec.", ";
                    $keyword .= $sec.", ";
                    $s = 1;
                }
                $head_title .= ' Public Tenders '.(($k != "")?$k.",":"").' Global Public Private Tenders - ';
                $description .= "Global Public Tenders ".$rn." Global Public Private Tenders International Competitive Bids Contracts RFPs RFQs Business Opportunities trade leads tender notices bids";
                $keyword .= "Private Tenders ".$rn.", Public Tenders ".(($k != "")?$k.",":"").", Global Tenders ".$sec.", International Competitive Bids, Contracts, tender notices, global tenders, Indian tenders, tenders, Business Opportunities, trade leads";
                if(isset($_GET['notice_type']) && $_GET['notice_type']!="") {
                    $head_title .= str_replace(",", ", ", $this->common->changeNoticeTypeCode($_GET['notice_type']));
                    $s = 1;
                }
                // echo $head_title;
                // echo "<pre>";
                // print_r($_GET);
                // print_r($data);
                // die;
            //}
                // if ($this->userid == "1472371501") {
                //     echo "<pre>";
                //     print_r ($data);
                //     echo "</pre>";die;
                // }
            if (uri_string() == "public-tenders" && count($search_data['post']) == 1) {
                $post_data = $search_data['post'][0];
                $head_title = "Global Public Tenders ".character_limiter($post_data['short_desc'],70);
                $description = "Global Public Tenders ".character_limiter($post_data['short_desc'],230);
                $country = $this->common->changeCountryRegionTypeCode(explode(",", $post_data['country']));
                $tender_sector = $this->common->changeSectorCode($post_data['tender_sector']);
                $notice_type = ($data['search_notice_type'] == "")?"All":$data['result_notice_type'][$post_data['notice_type']];
                $keyword = "Global ".(($tender_sector!="")?$tender_sector:"")." ".$notice_type.", Public Tenders ".character_limiter($post_data['short_desc'],100);
                $sector_link = (($tender_sector!="")?'<p>Click here to view  more tenders from - <a href="'.base_url(uri_string()."?sector[]=".$post_data['tender_sector']).'"><strong>'.$tender_sector.'<strong></p>':"");
                $canonical = base_url(uri_string()."?".$_SERVER['QUERY_STRING']);
            }
            if (uri_string() == "govt-rfps-bids-tenders" && count($search_data['post']) == 1) {
                $post_data = $search_data['post'][0];
                $country = $this->common->changeCountryRegionTypeCode(explode(",", $post_data['country']));
                $tender_sector = $this->common->changeSectorCode($post_data['tender_sector']);
                $head_title = "Government RFPs Bids and Tenders ".$country.",  Public RFPs Bids and Tenders ".(($tender_sector!="")?$tender_sector:"")." ".character_limiter($post_data['short_desc'],70);
                $description = "Government RFPs Bids and Tenders ".$country." ".character_limiter($post_data['short_desc'],240);
                $notice_type = ($data['search_notice_type'] == "")?"All":$data['result_notice_type'][$post_data['notice_type']];
                $keyword = "Government RFPs Bids and Tenders ".$country.", ".(($tender_sector!="")?$tender_sector:"")." Govt RFPs Bids and Tender, ".$notice_type.", ".$country.", Govt Public RFPs Bids and Tenders ".(($tender_sector!="")?$tender_sector:"")." ".character_limiter($post_data['short_desc'],70);
                $sector_link = (($tender_sector!="")?'<p>Click here to view  more tenders from - <a href="'.base_url(uri_string()."?sector[]=".$post_data['tender_sector']).'"><strong>'.$tender_sector.'<strong></p>':"");
                $canonical = base_url(uri_string()."?".$_SERVER['QUERY_STRING']);
            }
            $data['head_des'] = $description;
            $data['head_keyword'] = $keyword;
            $data['canonical'] = $canonical;
            // $data['sector_link'] = $sector_link;
            if (uri_string() == "gt-search"){
                $this->loadHtml("search-result",$head_title,$data);
            }else{
                $this->loadHtml("new-search-result",$head_title,$data);
            }
        }
    }

    public function downloadExcelAdvanceSearch()
    {
        $excel_status = $this->common->getsData("users_other_info",array("userid"=>$this->userid));
        if($excel_status['download_excel_status'] == 0){
            //$this->session->set_flashdata("emessage","");
            redirect(base_url("gt-search?".$_SERVER['QUERY_STRING']),'refresh');
        }
        if($excel_status['download_excel_limit'] == 0){
            $this->session->set_flashdata("emessage","Download limit reached.");
            redirect(base_url("gt-search?".$_SERVER['QUERY_STRING']),'refresh');
        }
        $_GET['fields'] = "T.posting_id,T.short_desc,T.country,T.tender_sector,T.notice_type,T.date_c,T.maj_org";

        $sector_industry = $this->config->item("sector_industry");
        $country = $this->config->item("countryarray");
        $notice_type = $this->config->item("notice_type");
        $filename = "AdvanceSearchExcel.csv";
        $limit = array("limit"=>100);
        if ($this->userid == "1472459172") {
            $limit = array();
        }
        $search_data = $this->tender->getRows($_GET,'',$limit,'tenders');

        header("Content-type: application/csv");
        header("Content-Disposition: attachment; filename=".$filename);
        header("Pragma: no-cache");
        header("Expires: 0");

        $handle = fopen('php://output', 'w');
        fputcsv($handle, array(
            'Date of posting',
            'Ref no.',
            'Major Organization',
            'link to details',
            'Summary',
            'Country',
            'Sector',
            'Notice type'
        ));

        foreach ($search_data as $key => $value) {
            $ts=array();
            $exp = explode(",", $value['tender_sector']);
            foreach ($exp as $key1 => $value1) {
                if($value1!="")
                {
                    if(array_key_exists($value1, $sector_industry))
                    {
                        array_push($ts, $sector_industry[$value1]);
                    }
                }
            }
            fputcsv($handle, array(
                $value['date_c'],
                $value['posting_id'],
                $value['maj_org'],
                base_url("full-detail/".$value['posting_id']),
                $value['short_desc'],
                (array_key_exists($value['country'], $country)?$country[$value['country']]:"NA"),
                implode(",", $ts),
                (array_key_exists($value['notice_type'], $notice_type)?$notice_type[$value['notice_type']]:"NA")
            ));
        }
        $this->db->query("update users_other_info set download_excel_limit = download_excel_limit-1 where userid = ".$this->userid);
        //redirect(base_url("gt-search?".$_SERVER['QUERY_STRING']),'refresh');
    }

    public function analyticsDetailPage()
    {
        if(isset($_POST) && $_POST){
            if(isset($_POST['keyword']) && is_array($_POST['keyword']) && $_POST['keyword']){
                $_POST['keyword'] = implode(",", $_POST['keyword']);
            }else{
                $_POST['keyword'] = '';
            }
            if(isset($_POST['sector']) && is_array($_POST['sector']) && $_POST['sector']){
                $_POST['sector'] = implode(",", $_POST['sector']);
            }else{
                $_POST['sector'] = '';
            }
            $user = $this->common->getsData("user",array("userid"=>$this->userid),array("first_name","last_name","email"));
            $message = '';
            $message .= $user['first_name']." ".$user['last_name']." ( ".$user['email']." ), ".$this->userid." Sent you a Analytics Detail.<br>";
            $message .= "keyword = ".$_POST['keyword'].",<br> CPV = ".$_POST['cpv'].",<br> Sector = ".$_POST['sector']."<br>";
            $this->email->from("freealerts@global-tenders.com",'Global Tenders');
            $this->email->to("rohan@globaltenders.com");
            $this->email->subject("Analytics Detail received by ".$user['first_name']." ".$user['last_name']);
            $this->email->message($message);
            if($this->email->send()){
                $this->session->set_flashdata("message","Form Submitted Successfully.");
            }else{
                $this->session->set_flashdata("emessage","Form Not Submitted.");
            }
            redirect(base_url("gt-search?".$_POST['QUERY_STRING']),'refresh');
        }else{
            if($this->userid==""){
                $this->session->set_flashdata("emessage","Register to request a sample report.");
                redirect(base_url("gt-search?".$_SERVER['QUERY_STRING']),'refresh');
            }else{
                $data['QUERY_STRING'] = $_SERVER['QUERY_STRING'];
                $data['tender_sector'] = $this->config->item("sector_industry");
                $this->loadHtml("analytics-write-up","Analytics Write Up",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
            }
        }
    }

    public function freeTendersPage(){

        $get['tender_type'] = "live";
        $data = $this->tender->getFreeTendersContent($get);
        $data['country_region'] = $this->config->item("country_region");
        $data['tender_type'] = $this->config->item("tender_type");
        $data['notice_type'] = $this->config->item("notice_type_search");
        $data['bidding_type'] = $this->config->item("bidding_type");
        $data['tender_sector'] = $this->config->item("sector_industry");
        $this->loadHtml("free-tenders-search","Free Tenders",$data);
    }
    
    public function getFreeTendersContent(){

        // if(empty($_GET)){

        //     redirect(base_url("global_tender/advance-search"));
        // }

        if(!isset($_GET['sector'])){

            $_GET['sector']='';
        }

        if(!isset($_GET['sector'])){

            $_GET['sector']='';
        }

        $search_data = $this->tender->getFreeTendersContent($_GET);
        $query = $this->db->last_query();
        
        $this->session->set_userdata(array("advance_search"=>$_GET));
        $data = $this->common->getDropDowns(array("funding_agency"));
        
        $data['result_country_region'] = $this->config->item("country_region");
        $data['result_tender_type'] = $this->config->item("tender_type");
        $data['result_notice_type'] = $this->config->item("notice_type_search");
        $data['result_bidding_type'] = $this->config->item("bidding_type");
        $data['result_tender_sector'] = $this->config->item("sector_industry");
        $data['result_tender_closing'] = $this->config->item("deadline");
        $data['result_search_location'] = $this->common->getData("RegionNew",array("country"=>"IN","State_name !="=>""),array("region_cd","State_name"));
        $data = array_merge($data,$search_data);

        if($this->input->is_ajax_request()) {

            header('Content-type: application/json; charset=utf-8"');
            print_r(json_encode(array("data"=>$data['html'],"links"=>$data["links"],"h1"=>$data['h1'],"h2"=>$data['h2'],"query"=>$query)));
        }else{
            $data['gd']=1;
            $data['region_name']=(isset($_GET['region_name']))?$_GET['region_name']:array();
            $data['status']=(isset($_GET['status']))?$_GET['status']:'';
            $data['search_deadline']=(isset($_GET['deadline']))?$_GET['deadline']:'';
            $data['search_notice_type']=(isset($_GET['notice_type']))?$_GET['notice_type']:'';
            $data['search_tender_type']=(isset($_GET['tender_type']))?$_GET['tender_type']:'';
            $data['keyword']=(isset($_GET['keyword']))?$_GET['keyword']:'';
            $data['sector']=(isset($_GET['sector']))?$_GET['sector']:array();
            $data['search_bidding_type']=(isset($_GET['bidding_type']))?$_GET['bidding_type']:'';
            $data['est_cost_condition']=(isset($_GET['est_cost_condition']))?$_GET['est_cost_condition']:'';
            $data['est_cost']=(isset($_GET['est_cost']))?$_GET['est_cost']:'';
            $data['date_c_start']=(isset($_GET['date_c_start']))?$_GET['date_c_start']:'';
            $data['date_c_end']=(isset($_GET['date_c_end']))?$_GET['date_c_end']:'';
            $data['postrange']=(isset($_GET['postrange']))?$_GET['postrange']:'';
            $data['cpv']=(isset($_GET['cpv']))?$_GET['cpv']:'';
            $data['posting_id']=(isset($_GET['posting_id']))?$_GET['posting_id']:'';
            $data['search_funding_agency']=(isset($_GET['funding_agency']))?$_GET['funding_agency']:'';
            $data['location']=(isset($_GET['location']))?$_GET['location']:array();
            //echo "<pre>";print_r($data);die;
            $this->loadHtml("free-tenders-search-result","Search Result",$data);
        }
    }

    public function tenderFullDetail($posting_id=''){

        $is_user_logged_in = (isset($_COOKIE['is_user_logged_in']))?$_COOKIE['is_user_logged_in']:0;
        
        if(!isset($is_user_logged_in) || $is_user_logged_in != true){

            redirect("http://www.globaltenders.com/global-tenders-registration");
        }else{
            //$user = $this->common->getsData("user",array("userid"=>$this->userid));
            $user = $this->userinfo;
            if(isset($user[0])) {
                $user = $user[0];
            }

            if($user['email_domain'] == "corporate") {
                $user_registration_status = $this->common->getsData("user_registration_status",array("userid"=>$this->userid));
                if($user_registration_status && $user_registration_status['register_pages_no'] == 2 && $user['varify'] == 0) {
                    redirect(base_url("global-tenders-registration2"),'refresh');
                }else if($user_registration_status && $user_registration_status['register_pages_no'] == 1 && $user['varify'] == 0) {
                    redirect(base_url("global-tenders-registration2"),'refresh');
                }else if($user_registration_status && $user_registration_status['register_pages_no'] == 1 && $user['varify'] == 1) {
                    redirect(base_url("global-tenders-registration2"),'refresh');
                }else if($user_registration_status && $user_registration_status['register_pages_no'] == 1 && $user['varify'] == 0) {
                    $this->session->set_flashdata("emessage","Please verify your account to activate a free trial.");
                    redirect(base_url("dashboard"),'refresh');
                }
            }

            $subscription = (isset($_COOKIE["subscription"]))?$_COOKIE["subscription"]:0;
            $subtime = (isset($_COOKIE["subtime"]))?$_COOKIE["subtime"]:0;
            $red = false;
            $red = ($subscription==1)?(($subtime==1)?false:true):true;
            $username = (isset($user['gt_username']) && $user['gt_username']!="")?$user['gt_username']:"";
            $password = (isset($user['gt_password']) && $user['gt_password']!="")?$user['gt_password']:"";

            /*$user = $this->alert->getUsersCPV(array("U.userid"=>$value));
            if($user){
                $user = $user[0];
            }*/
            $domain_type_detail = $this->common->getsData("user_mail_type",array("userid"=>$this->userid));

            if(trim($user['email_domain'])=="corporate" && $user['email_domain_status']==1){
                $username = "freetrial";
                $password = "freetrial";
                //echo "http://infostores.biz/globaltenders/awlog_array.php?user=".$username."&pass=".$password."&id=".$posting_id;
                //$detail = file_get_contents("http://infostores.biz/globaltenders/awlog_array.php?user=".$username."&pass=".$password."&id=".$posting_id);
                //echo $detail;die;
                $red = false;
                $data['ce'] = 1;
            }else{
                $data['ce'] = 0;
            }

            //$this->session->set_userdata(array("is_static_menu"=>1));
            $equal = 0;
            if(!$red && $username !="" && $password != "")
            {
                /*if($this->userid == "1482841288"){
                    echo "<pre>";
                    var_dump($red);
                    echo "<br>if";
                    echo $username." = ".$password."<br>";
                    print_r($data);
                    print_r($user);
                    print_r($domain_type_detail);
                    print_r(json_decode($detail));
                    die;
                }*/
                // echo '--+--';
                $detail = file_get_contents("http://infostores.biz/globaltenders/awlog_array.php?user=".$username."&pass=".$password."&id=".$posting_id);
                if ($detail === FALSE) {
                    $detail = array();
                }
                //echo $detail;
                //$data = $this->common->getDropDowns(array("funding_agency"));
                $data['funding_agency'] = $this->common->getsData("funding_agency",array(),array("fa_id","funding_agency_name"));
                if($detail===false){
                    $data['detail'] = array();
                }else{
                    $data['detail'] = (array) json_decode($detail);
                }
                $this->checkArchiveCheckStatus($data['detail']);
                if(
                    $user['email_domain']=="corporate" && 
                    $user['email_domain_status']==1 && 
                    $domain_type_detail['no_of_tender']>=0 && 
                    $domain_type_detail['no_of_tender']>=$domain_type_detail['no_of_tender_count']
                ){
                    if($domain_type_detail['seen_tenders']==""){
                        $seen_tenders = array();
                    }else{
                        $seen_tenders = json_decode($domain_type_detail['seen_tenders'],true);
                    }
                    if(!in_array($posting_id, $seen_tenders)){
                        if(strtotime(NOW)>strtotime("+7 days",strtotime($user['reg_date']))){
                            redirect(base_url('limited-time-offer'));
                        }
                        if($domain_type_detail['no_of_tender']==$domain_type_detail['no_of_tender_count']){
                            //echo "equal";
                            $equal = 1;
                        }else{
                            //echo "not in array";
                            array_push($seen_tenders,$posting_id);
                            //echo $this->db->last_query();
                            //print_r($seen_tenders);
                            $this->tender->saveSeenTenders($data['detail'],$user); // Save the seen tender information in seen_tenders table by user.
                            $this->db->query("update user_mail_type set no_of_tender_count = (no_of_tender_count + 1),seen_tenders = '".json_encode($seen_tenders)."' where userid='".$domain_type_detail['userid']."' and umtid = '". $domain_type_detail['umtid']."'");
                        }
                    }
                }

                $show_country = explode(",", $user['show_country']);
                $show_sector = explode(",", $user['show_sector']);
                if(isset($data['detail']['sector'])){
                    $sector_detail = explode(",", $data['detail']['sector']);
                }else{
                    $sector_detail = array();
                }
                    //echo "<pre>";print_r($user);print_r($data['detail']);
                    //print_r($show_country);print_r($show_sector);die;
                $in=$i=$j=0;
                if((isset($data['detail']['project_location']) && $data['detail']['project_location']!="" && $user['show_country']!="" && in_array(strtolower($data['detail']['project_location']), array_map('strtolower',$show_country)))){ // || (isset($data['detail']['project_sector']) && $data['detail']['project_sector']!="" && !in_array($data['detail']['project_sector'], $show_sector)) //  || (isset($data['detail']['country']) && $data['detail']['country']!="" && $user['show_country']!="" && !in_array($data['detail']['country'], $show_country))
                    //echo "check<br>";
                    $in=$i=1;
                }
                foreach ($sector_detail as $key => $value) {
                    //echo $value."<br>";print_r($show_sector);
                    if(in_array($value, $show_sector)){
                        $in=$j=1;
                    }
                }
                //if(count($show_country)==1 && $show_country[0]=="" && count($show_sector)==1 && $show_sector[0]==""){
                if($user['show_country']=="" && $user['show_sector']==""){
                    $in = 1;
                }

                if($user['show_country']!="" && $user['show_sector']!="" && ($i==0 || $j==0)){
                    $in = 0;
                }
                //echo "in = ".$in."<br>";die;
                if($in==0){
                    //redirect("http://www.globaltenders.com/global-tenders-intro-offer.php");
                    redirect(base_url('not-authorised'));
                }

                $limit = $this->common->getsData("tender_view_limit",array("userid"=>$this->userid));
                if($limit){
                    if($limit['perday_tender']!=0 || $limit['total_tender']!=0){
                        //echo "<pre>";print_r($limit);echo "</pre>";
                        $te=$ts=$pt=$tt=0;$st='';
                        if(isset($limit['perday_tender']) && $limit['perday_tender']!=0){
                            $pt=1;
                            if($limit['perday_tender']==$limit['perday_tender_count']){
                                $te = 1;
                            }else{
                                $ts = 1;
                            }
                        }
                        if(isset($limit['total_tender']) && $limit['total_tender']!=0){
                            $tt=1;
                            if($limit['total_tender']==$limit['total_tender_count']){
                                $te = 2;
                            }else{
                                $ts = 1;
                            }
                        }
                        //echo "update query <br>";
                        $set = ''; $sets=true;$ina=0;
                        if($pt==1){
                            $set .= ($sets?'':' , ').'perday_tender_count = (perday_tender_count + 1) ';
                            $sets=false;
                        }
                        if($tt==1){
                            $set .= ($sets?'':' , ').'total_tender_count = (total_tender_count + 1) ';
                            $sets=false;
                        }
                        $limit_seen_tenders = array();
                        if($limit['seen_tenders']!=""){
                            $limit_seen_tenders = json_decode($limit['seen_tenders'],true);
                        }
                        //print_r($limit_seen_tenders);die;
                        if(!in_array($posting_id, $limit_seen_tenders)){
                            array_push($limit_seen_tenders,$posting_id);
                            //echo "not in array<br>";
                        }else{
                            $ina=1;
                            //echo "in array<br>";
                        }
                        if($ina==0){
                            if($te==0 && $ts==1){
                                $st = $limit_seen_tenders;
                                //print_r($st);
                                $set .= ($sets?'':' , ')."seen_tenders = '".json_encode($st)."'";
                                $query = "update tender_view_limit set ".$set." where userid = ".$this->userid;

                                $this->tender->saveSeenTenders($data['detail'],$user);// Save the seen tender information in seen_tenders table by user.
                                
                                //echo $query;
                                $this->db->query($query);
                            }else if($te==1){
                                // $msg['msg'] = "Your Per day Tenders Limit is Over.";
                                // ($user['suspend']==1)?redirect(base_url("global-tenders-logout.php")):"";
                                // $this->loadHtml("tenders-limit-over","Tenders Limit Over",$msg);
                                redirect(base_url('tender-limit-over/1'),'refresh');
                            }else if($te==2){
                                redirect(base_url('tender-limit-over/2'),'refresh');
                                // $msg['msg'] = "Your Total Tenders Limit is Over.";
                                // ($user['suspend']==1)?redirect(base_url("global-tenders-logout.php")):"";
                                // $this->loadHtml("tenders-limit-over","Tenders Limit Over",$msg);
                            }
                        }
                        //print_r($limit);die;
                    }
                }

                if(!$red){
                    $this->tender->saveSeenTenders($data['detail'],$user);
                }

            }else{
                // echo '--++--';
                // If user is out of subscription the $red will be true means user's account like 
                // free generic user.
                $tenders = $this->tender->getRows(array("posting_id"=>$posting_id),'',array(),'tenders');
                if(isset($tenders[0]) && !empty($tenders[0])){
                    $new_tenders = $tenders[0];
                }else{
                    $tenders_archive = $this->tender->getRows(array("posting_id"=>$posting_id),'',array(),'tenders_archive');
                    if(isset($tenders_archive[0]) && !empty($tenders_archive[0])){
                        $new_tenders = $tenders_archive[0];
                    }
                }
                $new_tenders['gt_ref_id'] = $new_tenders['posting_id'];
                unset($new_tenders['posting_id']);
                $data['detail'] = $new_tenders;
                //print_r($data['detail']);
                if($user['views']==1){
                    $red=false;
                    $username = "freetrial";
                    $password = "freetrial";
                    $detail = file_get_contents("http://infostores.biz/globaltenders/awlog_array.php?user=".$username."&pass=".$password."&id=".$posting_id);
                    $data['funding_agency'] = $this->common->getsData("funding_agency",array(),array("fa_id","funding_agency_name"));
                    if($detail===false){
                        $data['detail'] = array();
                    }else{
                        $data['detail'] = (array) json_decode($detail);
                    }
                    $this->checkArchiveCheckStatus($data['detail']);
                }
            }
            //echo "<pre>"; print_r($data['detail']);die;
            $this->tender->saveTendersHistory($posting_id);

            $data['result_estimated_cost'] = $this->config->item("estimated_cost");
            $data['result_country_region'] = $this->config->item("country_region");
            $data['result_tender_type'] = $this->config->item("tender_type");
            $data['result_notice_type'] = $this->config->item("notice_type_search");
            $data['result_bidding_type'] = $this->config->item("bidding_type");
            $data['result_tender_sector'] = $this->config->item("sector_industry");
            $data['result_tender_closing'] = $this->config->item("deadline");
            $data['result_search_location'] = $this->common->getData("RegionNew",array("country"=>"IN","State_name !="=>""),array("region_cd","State_name"));
            $data['result_funding_agency'] = $this->common->getData("funding_agency");
            $data['sub_check'] = ($red)?1:0; // if red is FALSE show all data means users is in subscription date

            $postingids = $this->session->userdata("postingids");
            $data['postingids'] = (count($postingids)!=1)?$postingids:"";


            /*if($this->userid == "1472371501"){
                echo "<pre>";
                // echo $red."<br>else";
                // echo $username." = ".$password."<br>";
                 print_r(json_decode($detail,true));
                 print_r($data);
                // print_r($user);
                // print_r($domain_type_detail);
                die;
            }*/
            if($equal==0){
                $this->loadHtml("view-tender","View Tender",$data);
            }else{
                /*if($this->userid == "1496127295"){
                    echo "string";die;
                }*/
                $html='';
                $html .= "Name = ".$user['first_name']." ".$user['last_name']."<br>";
                $html .= "Email = ".$user['email']." (".$user['userid'].")<br><br> Wants to see 6th notice.";
                $this->common->sendMailByCurl(array("message"=>$html,"from"=>"rfps@globaltenders.email","to"=>"rohan@globaltenders.com","subject"=>"Quota Exhausted ".$user['first_name']." ".$user['last_name'],"bcc"=>""));
                // $this->email->from("contact@globaltenders.com",'Global Tenders');
                // $this->email->to("rohan@globaltenders.com");
                // $this->email->subject("Quota Exhausted ".$user['first_name']." ".$user['last_name']);
                // $this->email->message($html);
                // $this->email->send();
                redirect(base_url('limited-time-offer'));
                //redirect(("https://www.globaltenders.com/global-tenders-limited-time-offer.php"));
            }
        }
    }

    public function tenderLimitOver($te='')
    {
        if ($te == "") { redirect(base_url(),'refresh'); }
        if ($te == 1) {
            $msg['msg'] = "Your Per day Tenders Limit is Over.";
        }else{
            $msg['msg'] = "Your Total Tenders Limit is Over.";
        }

        ($user['suspend']==1)?redirect(base_url("global-tenders-logout.php")):"";
        $this->loadHtml("tenders-limit-over","Tenders Limit Over",$msg);
    }

    public function notAuthorisedPage($value='')
    {
        $data['msg'] = 'You are not authorised to view this notice';
        $this->loadHtml("tenders-limit-over","Search By Reference Number",$data);
    }

    public function globalTendersLimitedTimeOffer()
    {
        // $this->loadHtml("global-tenders-limited-time-offer","global tenders limited time offer");
        redirect('https://www.globaltenders.com/global-tenders-intro-offer.php','refresh');
    }

    public function checkArchiveCheckStatus($detail=array())
    {
        if(isset($detail['deadline']) && $detail['deadline']!=""){
            $deadline = strtotime($detail['deadline']);
            $now = strtotime(DATE);
            $users_other_info = $this->common->getsData("users_other_info",array(),array("cant_check_live_detail","cant_check_archive_detail"));
            if($deadline>=$now){
                if(isset($users_other_info['cant_check_live_detail']) && $users_other_info['cant_check_live_detail']==1){
                    redirect(base_url('limited-time-offer'));
                }
            }
            if($deadline<=$now){
                if(isset($users_other_info['cant_check_archive_detail']) && $users_other_info['cant_check_archive_detail']==1){
                    redirect(base_url('limited-time-offer'));
                }
            }
        }
    }

    public function feedbackFormSubmitPage()
    {
        //$user = $this->common->getsData("user",array("userid"=>$this->userid),array("first_name","last_name","email"));
        $this->loadDashboard("feedback_form","Feedback Form");
    }

    public function feedbackFormSubmit()
    {
        //print_r($_POST);
        $user = $this->userinfo[0];
        $message = "Name = ".$user['first_name']." ".$user['last_name'].",<br> Email = ".$user['email']."<br> Message = ".$_POST['message'];
        //echo $message;die;
        // $this->email->from("contact@globaltenders.com",'Global Tenders');
        // $this->email->to("rohan@globaltenders.com");
        // $this->email->subject("6th tenders feedback from user.");
        // $this->email->message($message);
        // $this->email->send();
        $res = $this->common->sendMailByCurl(array("message"=>$message,"from"=>"contact@globaltenders.email","to"=>"rohan@globaltenders.com","subject"=>"6th tenders feedback from user.","bcc"=>""));
        if($res['status'] == 1) {
            $this->session->set_flashdata("message","Your Feedback Submitted Successfully!");
        }
        redirect(base_url('limited-time-offer'));
    }

    public function viewPage($page=''){

        $page = str_replace("global-","",$page);
        if ( ! file_exists(APPPATH.'views/static_pages/'.$page.'.php')){

                // Whoops, we don't have a page for that!
                show_404();
        }
        $data['title'] = ucfirst($page); // Capitalize the first letter
        $this->load->view('static_pages/'.$page);
    }

    function logout()
    {
        $this->common->updateData("user",array("last_login"=>date("Y-m-d H:i:s")),array("userid"=>$this->userid));
        //$this->session->sess_destroy();
        unset($_SESSION['ValidLogin_GLOBALTENDERS']);
        unset($_SESSION['user']);
        unset($_SESSION['pass']);
        unset($_SESSION['email']);
        unset($_SESSION['password']);
        unset($_SESSION['userid']);
        unset($_SESSION['is_user_logged_in']);
        unset($_SESSION['title']);
        unset($_SESSION['first_name']);
        unset($_SESSION['last_name']);
        unset($_SESSION['last_login']);
        unset($_SESSION['expiry_date']);
        unset($_SESSION['id']);
        $_SESSION['is_user_logged_in']=false;
        unset($_SESSION['account_status']);
        $ct=0;
        if(isset($_COOKIE['remember']) && $_COOKIE['remember']=="on"){

            $ct=time()-2592000;
        }
        $admin = array("admin_email","adminid","admin_type","is_admin_logged_in");
        foreach ($_COOKIE as $key => $value) {
            if(!in_array($key, $admin)){
                if($value==1){

                    setcookie($key, false, $ct, '/','.globaltenders.com');
                }else{
                    setcookie($key, '', $ct, '/','.globaltenders.com');
                }
            }
        }

        redirect("https://www.globaltenders.com/global-tenders-logout.php");
    }

    public function enquiryForm()
    {
        $redirect = $_SERVER["HTTP_REFERER"];
        $html = "Userid = ".$this->userid."<br><br>";
        $html .= "Name = ".$_POST['name']."<br><br>";
        $html .= "Email = ".$_POST['email']."<br><br>";
        $html .= "Telephone = ".$_POST['mobile_no']."<br><br>";
        $html .= "Enquiry Message = ".$_POST['message'];
        $this->email->from("admin@globaltenders.com","Global Tenders");
        $this->email->to("rohan@globaltenders.com");
        $this->email->subject('Advance Search Enquiry');
        $this->email->message($html);
        $this->email->send();
        redirect($redirect);
        //print_r($_POST);die;
    }

    public function indiaTendersJuly()
    {
        redirect(base_url(),'refresh');
        $data['count'] = $this->db->query('select userid from user where reg_date >= "2018-07-04 00:00:00" order by u_id desc')->num_rows();
        $this->load->view("india-tenders",$data);
    }

    public function userRegistration()
    {
        echo "<pre>";
        print_r ($_POST);
        echo "</pre>";
        $this->load->model("tender_login/login_model","login");
        // $_POST['owebsite'] = "IT";
        $_POST['email'] = strtolower($_POST['email']);
        $user_exist = $this->db->get_where("user",array("email"=>$_POST['email'],"owebsite"=>$_POST['owebsite']))->num_rows();
        if (!$user_exist) {
            $_POST['userid'] = time();
            $_POST['reg_date'] = date("Y-m-d H:i:s");
            $_POST['last_login'] = date("Y-m-d H:i:s");
            $type = 'corporate';//$this->login->checkUserMailDomain($_POST['email'],$_POST['userid']);
            $_POST['email_domain'] = $type;
            if($type === "corporate"){
                $_POST['email_domain_status'] = 1;
            }
            if($type === "generic") {
                $_POST['client_status'] = "C";
            }else{
                $_POST['client_status'] = setClientStatus($_POST['country']);
            }
            if (isset($_POST['product_services']) && is_array($_POST['product_services'])) {
                $_POST['product_services'] = implode(",", $_POST['product_services']);
            }
            $_POST['sector_check']=1;
            $user_action1 = $this->common->getField("user",$_POST);
            echo "<pre>";
            print_r ($user_action1);
            echo "</pre>";die;
            if($this->common->insertData("user",$user_action1)){
                // $data['post']['u_id'] = 1000000;//$this->db->insert_id();
                $user_registration_status = array(
                        "userid"=>$user_action1['userid'],
                        "register_pages_no"=>2,
                        'reg_from'=>((isset($_POST['reg_from']) && $_POST['reg_from']!="")?$_POST['reg_from']:'')
                    );
                $this->common->insertData("user_registration_status",$user_registration_status);
                echo "Registration Successfully!";
            }
        }
    }
    
}