<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
class Global_Tender_Model extends CI_Model 
{
    public function getTenders($where=array(),$limit='', $start='',$like='')
    {
        $this->db->select("T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type");
        $this->db->from("tenders as T");
        $this->db->join("notice_type as NT","T.notice_type=NT.nt_id","left");
        //$this->db->join("bidding_type as BT","T.bidding_type=BT.bidding_type_code","left");
        $this->db->join("country as C","T.country=C.country_code","left");
        //$this->db->where("T.doc_last >",date("Y-m-d"));
        if($where){
            /*if($like==1)
            {
                $this->db->like($where,'both');
            }else{*/
                $this->db->where($where);
            //}
        }
        if($limit!='' && $start!='')
        {
            //echo $limit." - ".$start;
            $this->db->limit($limit, $start);
        }
        $res = $this->db->get()->result_array();
        if($where && $res){
            return $res[0];
        }else{
            return $res;
        }
    }
    public function freeTenders($where=array())
    {
        $this->db->select("T.*,NT.notice_type_name,C.country_name,BT.bidding_type_name");
        $this->db->from("tenders_free as T");
        $this->db->join("notice_type as NT","T.notice_type=NT.nt_id","left");
        $this->db->join("country as C","T.country=C.country_code","left");
        $this->db->join("bidding_type as BT","T.global=BT.bidding_type_code","left");
        //$this->db->where("T.doc_last >",date("Y-m-d"));
        if($where){
            $this->db->where($where);
        }
        $res = $this->db->get()->result_array();
        return $res;
    }

    /*  
    *   //  function returns all the tenders saved in tenders and tenders_archive table.
    *   $post = Gets all the parameters by which we have to search or filter the tenders
    *   $where = This is my coding fault it has no use hear I have to remove it from all the website.
    *   $params = This contains the parameters which sets the limit and start of the tenders in query.
    *   $table = If users is searching free tenders its value will be tenders_free else tenders or tenders_archive.
    *   $st = st stands for search_type weather it is a search or filter. Filter $st = AND, Search $st = OR.
    */
    public function getRows($post=array(),$where='',$params = array(),$table='',$count=''){
        /*if($this->userid=="1472371501"){
            print_r($post);
        }*/
        if(isset($post['search_notice_type']) && $post['search_notice_type']!=""){
            $post['notice_type'] = $post['search_notice_type'];
        }

        if(isset($post['region_name']) && !is_array($post['region_name'])){
            $post['region_name'] = array($post['region_name']);
        }

        $fields = $query = $wh = $whor = $nt = $ec = $bt = $sd = $osd = $tf = $dc = '';
        //$s=$regi=$con=$regcon=0;
        $whorb=true;
        if($count==0){
            if($table=="tenders_free"){
                $fields = "T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type,T.p_id,T.summery";
            }else{
                $infodb = $this->load->database('info', TRUE);
                if(isset($post['fields']) && $post['fields']!=""){
                    $fields = $post['fields'];
                }else{
                    $fields = "T.tender_sector,T.date_c,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type";
                }
            }
        }else{
            if($table!="tenders_free"){
                $infodb = $this->load->database('info', TRUE);
            }
            $fields = "T.posting_id";
        }

        $query .= 'select '.$fields.' from '.$table.' as T ';
        if((isset($post['date_c_start']) && $post['date_c_start']!='') && (isset($post['date_c_end']) && $post['date_c_end']!='')){
            $dc = 'T.date_c >=\''.$post['date_c_start'].'\' and T.date_c <=\''.$post['date_c_end'].'\'';
            $where.=($dc)?" ( ".$dc." )":"";
        }else if((isset($post['date_c_start']) && $post['date_c_start']!='') && (isset($post['date_c_end']) && $post['date_c_end']=='')){
            $dc=' T.date_c = \''.$post['date_c_start'].'\'';
            $where.=$dc;
        }else if((isset($post['date_c_start']) && $post['date_c_start']=='') && (isset($post['date_c_end']) && $post['date_c_end']!='')){
            $dc=' T.date_c = \''.$post['date_c_end'].'\'';
            $where.=$dc;
        }else if((isset($post['date_c_start']) && $post['date_c_start']!='') && (!isset($post['date_c_end']))){
            $dc=' T.date_c = \''.$post['date_c_start'].'\'';
            $where.=$dc;
        }else if((!isset($post['date_c_start'])) && (isset($post['date_c_end']) && $post['date_c_end']!='')){
            $dc=' T.date_c = \''.$post['date_c_end'].'\'';
            $where.=$dc;
        }else if(isset($post['postrange']) && $post['postrange']!=""){
            $postrange = explode(" - ", $post['postrange']);
            $pr= $post['postrange'];
            $where.=($pr)?" ( T.date_c >= '".$postrange[0]."' and T.date_c <= '".$postrange[1]."' )":"";
        }else{

            if((isset($post['deadline']) && $post['deadline']!='') && (isset($post['tender_type']) && $post['tender_type']!='')) {

                $where.= $this->dateFunctions($post['deadline']);
            }else if(isset($post['deadline']) && $post['deadline']!=''){
                $where.= $this->dateFunctions($post['deadline']);
            }else{
                if(isset($post['doc_last_start']) && $post['doc_last_end']) {
                    $where .= '( T.date_c >=\''.$post['doc_last_start'].'\' and T.date_c <=\''.$post['doc_last_end'].'\' )';
                }else{
                    $tender_type = (isset($post['tender_type']) && $post['tender_type']!="")?$post['tender_type']:"all";
                    $where.= $this->dateFunctions($tender_type);
                }
            }
        }

        $wh .= ($where)?' where '.$where:"";

        if(isset($post['notice_type']) && $post['notice_type']!=''){

            $nt= $post['notice_type'];
            $wh.=($nt)?" and ( T.notice_type IN (".$nt.") )":"";
        }

        if(isset($post['postrange']) && $post['postrange']!="") {
            // $postrange = explode(" - ", $post['postrange']);
            // $pr= $post['postrange'];
            // $wh.=($pr)?" and ( T.doc_last >= ".$postrange[0]." and T.doc_last <= ".$postrange[1]." )":"";
            // echo "<pre>";
            // print_r ($post['postrange']);
            // echo $wh;
            // echo "</pre>";die;
        }

        if((isset($post['est_cost_condition']) && $post['est_cost_condition']!='') && (isset($post['est_cost']) && $post['est_cost']!='')){

            if($post['est_cost_condition']=="greater_equal"){

                $ec=' T.est_cost >= '.$post['est_cost'];
            }

            if($post['est_cost_condition']=="equal"){

                $ec=' T.est_cost = '.$post['est_cost'];
            }

            if($post['est_cost_condition']=="less_equal"){

                $ec=' T.est_cost <= '.$post['est_cost'];
            }

            $wh.=($ec)?" and ".$ec:"";

        }

        if(isset($post['bidding_type']) && $post['bidding_type']!=''){

            $bt=' T.global = '.$post['bidding_type'];
            $wh.=($bt)?" and ".$bt:"";
        }

        if(isset($post['funding_agency']) && $post['funding_agency']!=''){

            if($post['funding_agency']=="All Funding Agency"){

                $fa=' T.mfa="1"';
            }else{
                $fa=' T.mfa="1" and T.financier like "%'.$post['funding_agency'].'%"';
            }

            $wh.=($fa)?" and (".$fa.")":"";

        }
        /*if($this->userid=="1472371501"){
            if(isset($post['keyword'])){
                if(is_array($post['keyword'])){
                    $post['keyword'] = implode(",", $post['keyword']);
                }
                if($post['keyword']) {
                    $whor.=" ( match (T.short_desc) against ('".$post['keyword']."' IN BOOLEAN MODE) )";
                    $whorb=false;
                }
            }
        }else{*/
            if(isset($post['keyword']) || (isset($post['omit_keyword']) && $post['omit_keyword']!="")){

                if(is_array($post['keyword'])){
                    $post['keyword'] = implode(",", $post['keyword']);
                }
                if($post['keyword']!=""){
                    // $whor.= " match (short_desc) against ('".$post['keyword']."')";
                    // $whorb=false;
                    $kwrd = str_replace(array('(',')',"?"), "", $post['keyword']);

                    $keywords = explode(",", $kwrd);

                    if (is_array($keywords) && !empty($keywords)){

                        foreach ($keywords as $key => $value) :
                            $k1 = explode(" ", trim($value));

                            $sd .= ($key==0)?"":" or ";

                            if(count($k1)>1){

                                $sd.=' (';
                                foreach ($k1 as $key1 => $value1) {

                                    $k2 = trim($value1);
                                    $sd .= ($key1==0)?"":" and ";
                                    $sd .= ' short_desc REGEXP "[[:<:]]'.$k2.'[[:>:]]" ';
                                }
                                $sd.=' ) ';
                            }else{
                                $sd .= ' short_desc REGEXP "[[:<:]]'.trim($value).'[[:>:]]" ';
                            }
                        endforeach;
                        //$kw = file_get_contents("http://www.infostores.biz/globaltenders/searchbykeyword.php?keyword=".$keywords);
                        $whor.=($sd)?(($whorb)?"":" and ")." ( ".$sd." )":"";
                        $whorb=false;
                    }
                }

                $kwrd1 = str_replace(array('(',')'), "", $post['omit_keyword']);

                $keywords1 = explode(",", $kwrd1);

                if (is_array($keywords1) && !empty($keywords1)){

                    foreach ($keywords1 as $key => $value) :
                        if ($value != "") {
                            $k2 = explode(" ", trim($value));

                            $osd .= ($key==0)?"":" and ";

                            if(count($k2)>1){

                                $osd.=' (';
                                foreach ($k2 as $key1 => $value1) {

                                    $k3 = trim($value1);
                                    $osd .= ($key1==0)?"":" and ";
                                    $osd .= ' T.short_desc NOT REGEXP "[[:<:]]'.$k3.'[[:>:]]" ';
                                }
                                $osd.=' ) ';
                            }else{
                                $osd .= ' T.short_desc NOT REGEXP "[[:<:]]'.trim($value).'[[:>:]]" ';
                            }
                        }
                    endforeach;
                    $whor.=($osd)?(($whorb)?"":" and ")." ( ".$osd." )":"";
                    $whorb=false;
                }
            }
        //}

        if ($table=="tenders_free") {

            $tf=' T.tstatus = 1';
            $wh.=($tf)?" and ( ".$tf." )":"";
        }

        if (isset($post['sector'][0]) && $post['sector'][0]=='') {

            unset($post['sector'][0]);
        }

        if (isset($post['region_name'][0]) && $post['region_name'][0]=='') {

            unset($post['region_name'][0]);
        }

        if (isset($post['location'][0]) && $post['location'][0]=='') {

            unset($post['location'][0]);
        }

        if ((isset($post['sector']) && $post['sector']!='') || (isset($post['omit_sector']) && $post['omit_sector']!='')) {

            $wl1=$owl1='';$wl1key=$owl1key=true;
            $sec = isset($post['sector'])?$post['sector']:array();
            $osec = isset($post['omit_sector'])?((is_array($post['omit_sector']))?$post['omit_sector']:explode(",", $post['omit_sector'])):array();
            if(is_array($sec) && !empty($sec)){
                $seca = array();
                foreach ($sec as $key => $value) :
                    // $wl1.=(($wl1key)?"":" or ").' ( T.tender_sector like "'.$value.'%" or T.tender_sector like "%,'.$value.'%" ) ';
                    array_push($seca,$value);
                    $wl1key = false;
                endforeach;
                $wl1.=' ( T.tender_sector REGEXP "[[:<:]]'.implode("|", $seca).'" ) ';

            }
            if(is_array($osec) && !empty($osec)){

                if(is_array($osec) && !empty($osec)){

                    // $owl1.=(($owl1key)?"":" and ").' ( T.tender_sector NOT REGEXP "[[:<:]]('.implode("|", $osec).')[[:>:]]" ) ';
                    $oseca = array();
                    foreach ($osec as $key => $value) :
                        // $owl1.=(($owl1key)?"":" and ").' ( T.tender_sector not like "'.$value.'%" and T.tender_sector not like "%,'.$value.'%" ) ';
                        array_push($oseca,$value);
                        $owl1key=false;
                    endforeach;
                    $owl1.=' ( T.tender_sector NOT REGEXP "[[:<:]]'.implode("|", $oseca).'" ) ';
                }

            }
            $wh.=($wl1)?" and ( ".$wl1." )":"";
            $wh.=($owl1)?" and ( ".$owl1." )":"";
        }

        if ((isset($post['region_name']) && $post['region_name']!='') || (isset($post['omit_region_name']) && $post['omit_region_name']!='')) {

            $wl2=$owl2='';$wl2key = $owl2key = true;
            $rn = isset($post['region_name'])?$post['region_name']:array();
            $orn = isset($post['omit_region_name'])?$post['omit_region_name']:array();

            if(is_array($rn) && !empty($rn)){

                foreach ($rn as $key => $value) :
                    if(preg_match('/REG/',$value)){

                        $reg = str_replace("REG","",$value);
                        $wl2.=(($wl2key)?"":" or ").' ( T.region like "%'.$reg.'%" or T.region like "%,'.$reg.'%" ) ';
                        $wl2key = false;

                    }

                    if(!preg_match('/REG/',$value)){
                        $wl2.=(($wl2key)?"":" or ").' T.country like "%'.$value.'%" ';
                        $wl2key = false;
                    }

                endforeach;
            }

            if(is_array($orn) && !empty($orn)){

                foreach ($orn as $key => $value) :
                    if(preg_match('/REG/',$value)){

                        $reg = str_replace("REG","",$value);
                        $owl2.= (($owl2key)?"":" and ").' (T.region not like "%'.$reg.'%" and T.region not like "%,'.$reg.'%" ) ';
                        $owl2key = false;
                    }
                    if(!preg_match('/REG/',$value)){

                        $owl2.=(($owl2key)?"":" and ").' T.country not like "%'.$value.'%" ';
                        $owl2key = false;
                    }
                endforeach;
            }
            $wh.=($wl2)?" and ( ".$wl2." )":"";
            $wh.=($owl2)?" and ( ".$owl2." )":"";
        }

        if(isset($post['cpv']) && $post['cpv']!=""){

            $wl3='';
            $cpv = explode(",", $post['cpv']);
            if(is_array($cpv) && !empty($cpv)){
                $cpva = array();
                foreach ($cpv as $key => $value) :
                    $val = rtrim($value,'0');
                    if(strlen($value)==7){

                        $val = "0".$val;
                    }

                    if(strlen($value)==8){

                        if(strlen($val)==1){
                            $val = $val."0";
                        }
                    }
                    if($key==0){

                        $wl3.=' T.cpv like "'.$val.'%" or T.cpv like "%,'.$val.'%" ';
                    }else{
                        $wl3.=' or T.cpv like "'.$val.'%" or T.cpv like "%,'.$val.'%" ';
                    }
                    // array_push($cpva, "[[:<:]]".$val);

                endforeach;
                $whor.=($wl3)?(($whorb)?"":" or ")." ( ".$wl3." )":"";
                $whorb=false;
            }
        }

        if(isset($post['location']) && $post['location']!="")
        {
            $wl4='';
            $location = $post['location'];
            foreach ($location as $key => $value) :
                $wl4=' and T.region like "%'.$value.'%" or T.region like "%,'.$value.'%" ';
            endforeach;
            $wh.=($wl4)?" and ( ".$wl4." )":"";
        }

        if(isset($post['posting_id']) && $post['posting_id']!='')
        {
            $query.=' where T.posting_id IN ( '.$post['posting_id'].' ) ';
        }else{
            $query.=$wh.(($whor!="")?" and ( ".$whor." ) ":"");
        }

        $query.=' order by T.country = "IN" , T.posting_id desc ';
        
        if(array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['start'].', '.$params['limit'];
        }

        if(!array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['limit'];
        }

        //echo $query;
        if($table=="tenders_free")
        {
            $query=$this->db->query($query);
        }else{
            $query=$infodb->query($query);
        }

        //echo "<pre>";print_r($query->result_array());die;
        if($count==0){
            $result = $query->result_array();
            if($this->userid=="1472371501"){
                 // echo $infodb->last_query();
            }
        }else{
            $result = $query->num_rows();
        }
        //print_r($result);die;
        $query->free_result();
        return $result;
    }

    public function getTendersContent($get=array(),$filters=array())
    {
        $where='';
        $c1=$c2=$like=0;

        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;

        if(!$page){
            $offset = 0;
            $where1 = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where1 = array('start'=>$offset,'limit'=>$this->perPage);
        }
        $t1=$t2=array();
        
        if(isset($get['q']) && $get['q']!=""){
            if (strpos($get['q'], 'plus') !== false) {
                $exp = explode("plus", $get['q']);
                $c1 = $exp[0];
                $c2 = $exp[1];
            }else{
                $c1 = $get['q'];
            }
        }

        if(!isset($get['gtci']) && !isset($get['tender_type'])){
            $get['tender_type']="live";
        }

        if(isset($get['tender_type'])){

            if($get['tender_type']=="all" || $get['tender_type']==""){

                if($c1==0 && $c2==0){
                    $c1 = $this->tender->getRows($get,$where,array(),'tenders',1);
                    $c2 = $this->tender->getRows($get,$where,array(),'tenders_archive',1);
                }
                $totalRec=$c1+$c2;
                /*$t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);*/
                if(($c1!=0) && ($c2!=0)){
                    $where1['limit'] = ($where1['limit']/2);
                    if(isset($where1['start'])){
                        $where1['start'] = ($where1['start']/2);
                    }
                    $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                    $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
                }else if(($c1!=0) && ($c2==0)){
                    $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                }else if(($c1==0) && ($c2!=0)){
                    $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
                }
                $data1['post'] = array_merge($t1,$t2);
            }else{

                if($get['tender_type']=="live"){

                    if($c1==0){
                        $c1 = $this->tender->getRows($get,$where,array(),'tenders',1);
                    }
                    $totalRec = $c1;
                    $data1['post'] = $this->tender->getRows($get,$where,$where1,'tenders',0);
                }else{

                    if($c1==0){
                        $c1 = $this->tender->getRows($get,$where,array(),'tenders_archive',1);
                    }
                    $totalRec = $c1;
                    $data1['post'] = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
                }
            }
        }else{

            if($c1==0 && $c2==0){
                $c1 = $this->tender->getRows($get,$where,array(),'tenders',1);
                $c2 = $this->tender->getRows($get,$where,array(),'tenders_archive',1);
            }
            $totalRec=$c1+$c2;

            if(($c1!=0) && ($c2!=0)){
                $where1['limit'] = ($where1['limit']/2);
                if(isset($where1['start'])){
                    $where1['start'] = ($where1['start']/2);
                }
                $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
            }else if(($c1!=0) && ($c2==0)){
                $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
            }else if(($c1==0) && ($c2!=0)){
                $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
            }
            $data1['post'] = array_merge($t1,$t2);
        }

        $config['target']      = '#postList';
        $config['base_url']    = base_url();
        $config['total_rows']  = $totalRec;
        $config['per_page']    = $this->perPage;
        $config['full_tag_open']     =  "<center><ul class='pagination iePegination' style='margin:0px 0 !important;'>";
        $config['full_tag_close']    =  "</ul></center>";
        $config['first_tag_open']    =  '<li>';
        $config['first_tag_close']   =  '</li>';
        $config['last_tag_open']     =  '<li>';
        $config['last_tag_close']    =  '</li>';
        $config['next_tag_open']     =  '<li>';
        $config['next_tag_close']    =  '</li>';
        $config['prev_tag_open']     =  '<li>';
        $config['prev_tag_close']    =  '</li>';
        $config['num_tag_open']      =  '<li>';
        $config['num_tag_close']     =  '</li>';
        $config['cur_tag_open']      =  "<li class='active'><a>";
        $config['cur_tag_close']     =  '</a></li>';

        $data1['postingid'] = array_column($data1['post'], "short_desc","posting_id");
        /*if($this->userid=="1472371501"){
            $data1['postingid'] = array_column($data1['post'], "short_desc","posting_id");
        }*/
        $this->pag->initialize($config);
        $data1['html'] = getTenders($data1["post"],'tenders',$filters);
        $data1['links'] = $this->pag->create_links();
        $data1['h1'] = $this->pag->totalRecords();
        $data1['h2'] = $this->pag->noOfRecords();
        //echo "<pre>";print_r($data1);die;
        $data1['q'] = $c1.(($c2)?"plus".$c2:"");
        return $data1;
    }

    public function getTendersContentPeg($get=array(),$other=array(),$fp='')
    {
        $where='';
        $like=0;
        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;
        if(!$page){
            $offset = 0;
            $where1 = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where1 = array('start'=>$offset,'limit'=>$this->perPage);
        }

        $totalRec = count($this->tender->getRows($get,$where,array(),$other,'tenders'));
        $config['target']      = '#postList';
        $config['base_url']    = base_url("gt-".$get['key']."-tenders/");
        $config['total_rows']  = $totalRec;
        $config['per_page']    = $this->perPage;
        $config['uri_segment'] = 2;
        $this->pagination->initialize($config);
        $data1['post'] = $this->tender->getRows($get,$where,$where1,$other,'tenders');

        if($this->input->post('ajax')) {
            $data1['html'] = getTenders($data1["post"],'tenders');
        }else {
            $data1['html'] = getTenders($data1["post"],'tenders');
        }

        $data1['links'] = $this->pagination->create_links();
        $data1['h1'] = $this->pagination->totalRecords();
        $data1['h2'] = $this->pagination->noOfRecords();
        //echo "<pre>"; print_r($data1);die;
        return $data1;
    }

    public function getFreeTendersContent($get=array(),$fp='')
    {
        $where='';
        $like=0;
        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;
        if(!$page){
            $offset = 0;
            $where1 = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where1 = array('start'=>$offset,'limit'=>$this->perPage);
        }
        $totalRec = $this->tender->getRows($get,$where,array(),'tenders_free',1);
        $config['target']      = '#postList';
        $config['base_url']    = base_url();
        $config['total_rows']  = $totalRec;
        $config['per_page']    = $this->perPage;
        $config['full_tag_open']     =  "<center><ul class='pagination' style='margin:0px 0 !important;'>";
        $config['full_tag_close']    =  "</ul></center>";
        $config['first_tag_open']    =  '<li>';
        $config['first_tag_close']   =  '</li>';
        $config['last_tag_open']     =  '<li>';
        $config['last_tag_close']    =  '</li>';
        $config['next_tag_open']     =  '<li>';
        $config['next_tag_close']    =  '</li>';
        $config['prev_tag_open']     =  '<li>';
        $config['prev_tag_close']    =  '</li>';
        $config['num_tag_open']      =  '<li>';
        $config['num_tag_close']     =  '</li>';
        $config['cur_tag_open']      =  "<li class='active'><a>";
        $config['cur_tag_close']     =  '</a></li>';
        $this->pag->initialize($config);
        $data1['post'] = $this->tender->getRows($get,$where,$where1,'tenders_free',0);
        if($this->input->post('ajax')) {
            $data1['html'] = getTenders($data1["post"],'tenders_free');
        }
        else {
            $data1['html'] = getTenders($data1["post"],'tenders_free');
        }
        $data1['links'] = $this->pag->create_links();
        $data1['h1'] = $this->pag->totalRecords();
        $data1['h2'] = $this->pag->noOfRecords();
        return $data1;
    }

    /*  
    *   //  function returns all the tenders saved in tenders and tenders_archive table.
    *   $post = Gets all the parameters by which we have to search or filter the tenders
    *   $params = This contains the parameters which sets the limit and start of the tenders in query.
    *   $table = If users is searching free tenders its value will be tenders_free else tenders or tenders_archive.
    *   $st = st stands for search_type weather it is a search or filter. Filter $st = AND, Search $st = OR.
    */
    public function getRowsSearch($post=array(),$params = array(),$table='',$count='',$st='')
    {
        //print_r($post);
        if (isset($post['search_notice_type']) && $post['search_notice_type']!="")
        {
            $post['notice_type'] = $post['search_notice_type'];
        }

        if (isset($post['region_name']) && !is_array($post['region_name']))
        {
            $post['region_name'] = array($post['region_name']);
        }

        //$this->db->cache_on();
        $fields = $where = $query = $wherelike = $wh = $whe = $nt = $ec = $bt = $sd = $tf = $dc = '';
        $s=$regi=$con=$regcon=0;
        $c=true;
        /*if(isset($post['q']) && $post['q']!='')
        {
            $infodb = $this->load->database('info', TRUE);
            $query = base64_decode($post['q']);
        }else{*/
            if($table=="tenders_free")
            {
                $fields = "T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type,T.p_id,T.summery";
            }else{
                $infodb = $this->load->database('info', TRUE);
                $fields = "T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type";
            }

            $query .= 'select '.$fields.' from '.$table.' as T ';

            if(isset($post['date_c']) && $post['date_c']!='')
            {
                $dc=' T.date_c = \''.$post['date_c'].'\'';
                $where.=$dc;
            }else{
                if((isset($post['deadline']) && $post['deadline']!='') && (isset($post['tender_type']) && $post['tender_type']!='')) {
                    $where.= $this->dateFunctions($post['deadline']);
                }else if(isset($post['deadline']) && $post['deadline']!=''){
                    $where.= $this->dateFunctions($post['deadline']);
                }else{
                    $tender_type = (isset($post['tender_type']) && $post['tender_type']!="")?$post['tender_type']:"all";
                    $where.= $this->dateFunctions($tender_type);
                }
            }
            $wh .= ($where)?" where ".$where:"";
            if(isset($post['notice_type']) && $post['notice_type']!='')
            {
                $wh.=($post['notice_type'])?" and ( T.notice_type IN (".$post['notice_type'].") )":"";
            }

            if(isset($post['keyword']) && $post['keyword']!="")
            {
                $kwrd = str_replace(array('(',')','-'), "", $post['keyword']);
                //echo $kwrd;die;
                $keywords = explode(",", $kwrd);//$post['keyword'];
                //echo $keywords;
                if (is_array($keywords) && !empty($keywords)){
                    foreach ($keywords as $key => $value) {
                        $k1 = explode(" ", $value);

                        $sd .= ($key==0)?"":" or ";
                        $sd .= ' T.short_desc REGEXP "[[:<:]]'.trim($value).'[[:>:]]" ';

                        if(count($k1)>1){

                            $sd.=' or (';
                            foreach ($k1 as $key1 => $value1) {

                                $k2 = trim($value1);
                                $sd .= ($key1==0)?"":" and ";
                                $sd .= ' T.short_desc REGEXP "[[:<:]]'.$k2.'[[:>:]]" ';
                            }
                            $sd.=' ) ';
                        }
                    }
                    //$kw = file_get_contents("http://www.infostores.biz/globaltenders/searchbykeyword.php?keyword=".$keywords);
                    //print_r(explode(',',$kw));
                    $whe.=($sd)?(($c)?"":" or ")." ( ".$sd." )":"";
                    $c=false;
                    //$wh.=($kw)?" and ( T.posting_id IN (".$kw.") )":"";
                }
            }


            if(isset($post['sector'][0]) && $post['sector'][0]=='')
            {
                unset($post['sector'][0]);
            }

            if(isset($post['region_name'][0]) && $post['region_name'][0]=='')
            {
                unset($post['region_name'][0]);
            }

            if(isset($post['sector']) && $post['sector']!='')
            {
                $wl1='';
                $sec = $post['sector'];
                if(is_array($sec) && !empty($sec))
                {
                    foreach ($sec as $key => $value) {
                        if($key==0)
                        {
                            $wl1.=' T.tender_sector like "'.$value.'%" or T.tender_sector like "%,'.$value.'%" ';
                        }else{
                            $wl1.=' or T.tender_sector like "'.$value.'%" or T.tender_sector like "%,'.$value.'%" ';
                        }
                    }
                    $whe.=($wl1)?(($c)?"":" or ")." ( ".$wl1." )":"";
                    $c=false;
                }
            }

            if(isset($post['region_name']) && $post['region_name']!='')
            {
                $wl2='';
                $rn = $post['region_name'];
                if(is_array($rn) && !empty($rn)){
                    foreach ($rn as $key => $value) :
                        if(preg_match('/REG/',$value))
                        {
                            $reg = str_replace("REG","",$value);
                            if($key==0)
                            {
                                $wl2.=' T.region like "%'.$reg.'%" or T.region like "%,'.$reg.'%" ';
                            }else{
                                $wl2.=' or T.region like "%'.$reg.'%" or T.region like "%,'.$reg.'%" ';
                            }
                            $regi=1;
                        }
                        if(!preg_match('/REG/',$value))
                        {
                            if($key==0)
                            {
                                $wl2.=' T.country like "%'.$value.'%" ';
                            }else{
                                $wl2.=' or T.country like "%'.$value.'%" ';
                            }
                        }
                    endforeach;
                    $whe.=($wl2)?(($c)?"":" or ")." ( ".$wl2." )":"";
                    $c=false;
                }
            }

            if(isset($post['cpv']) && $post['cpv']!="")
            {
                $wl3='';
                $cpv = explode(",", $post['cpv']);
                if(is_array($cpv) && !empty($cpv)){
                    $cpv = explode(",", $post['cpv']);
                    foreach ($cpv as $key => $value) :
                        $val = rtrim($value,'0');
                        if(strlen($value)==7){

                            $val = "0".$val;
                        }

                        if(strlen($value)==8){

                            if(strlen($val)==1){
                                $val = $val."0";
                            }
                        }
                        if($key==0) {
                            $wl3.=' T.cpv like "'.$val.'%" or T.cpv like "%,'.$val.'%" ';
                        }else{
                            $wl3.=' or T.cpv like "'.$val.'%" or T.cpv like "%,'.$val.'%" ';
                        }
                    endforeach;
                    $whe.=($wl3)?(($c)?"":" or ")." ( ".$wl3." )":"";
                    $c=false;
                }
            }

            if(isset($post['posting_id']) && $post['posting_id']!='')
            {
                $query.=' where T.posting_id IN ( '.$post['posting_id'].' ) ';
            }else{
                $query.=($whe!="")?$wh." and ( ".$whe." )":$wh;
            }

            $query.=' order by T.posting_id desc ';
        //}
        if(array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['start'].', '.$params['limit'];
        }

        if(!array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['limit'];
        }
        if (strpos($query, '1 or') !== false) {
            //echo 'true';
        }
        //echo $query."<br>";
        if($table=="tenders_free")
        {
            $query=$this->db->query($query);
        }else{
            $query=$infodb->query($query);
        }

        //echo "<pre>";print_r($query->result_array());die;
        if($count==0){
            //echo "<pre>".$infodb->last_query();
            $result = $query->result_array();
        }else{
            $result = $query->num_rows();
            //echo $result."<br>";
        }

        //$this->otherFilters($query->result_array(),$other);
        //print_r($result);die;
        $query->free_result();
        return $result;
    }

    public function getTendersContentSearch($get=array(),$fp='')
    {
        $c1=$c2='';
        $like=0;

        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;

        if(!$page){
            $offset = 0;
            $where1 = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where1 = array('start'=>$offset,'limit'=>$this->perPage);
        }
        $t1=$t2=array();
        if(isset($get['q']) && $get['q']!=""){
            if (strpos($get['q'], 'plus') !== false) {
                $exp = explode("plus", $get['q']);
                $c1 = $exp[0];
                $c2 = $exp[1];
            }else{
                $c1 = $get['q'];
            }
        }

        if(isset($get['tender_type'])){

            if($get['tender_type']=="all" || $get['tender_type']==""){

                if($c1=="" && $c2==""){
                    $c1 = $this->tender->getRowsSearch($get,array(),'tenders',1);
                    $c2 = $this->tender->getRowsSearch($get,array(),'tenders_archive',0);
                }
                $totalRec=$c1+$c2;
                /*$t1 = $this->tender->getRowsSearch($get,$where1,'tenders',0);
                $t2 = $this->tender->getRowsSearch($get,$where1,'tenders_archive',0);*/
                if(($c1!=0) && ($c2!=0)){
                    $where1['limit'] = ($where1['limit']/2);
                    if(isset($where1['start'])){
                        $where1['start'] = ($where1['start']/2);
                    }
                    $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                    $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
                }else if(($c1!=0) && ($c2==0)){
                    $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                }else if(($c1==0) && ($c2!=0)){
                    $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
                }
                $data1['post'] = array_merge($t1,$t2);
            }else{

                if($get['tender_type']=="live"){

                    if($c1==""){
                        $c1 = $this->tender->getRowsSearch($get,array(),'tenders',1);
                    }
                    $totalRec = $c1;
                    $data1['post'] = $this->tender->getRowsSearch($get,$where1,'tenders',0);
                }else{

                    if($c1==""){
                        $c1 = $this->tender->getRowsSearch($get,array(),'tenders_archive',1);
                    }
                    $totalRec = $c1;
                    $data1['post'] = $this->tender->getRowsSearch($get,$where1,'tenders_archive',0);
                }
            }
        }else{

            if($c1=="" && $c2==""){
                $c1 = $this->tender->getRowsSearch($get,array(),'tenders',1);
                $c2 = $this->tender->getRowsSearch($get,array(),'tenders_archive',1);
            }
            $totalRec=$c1+$c2;

            if(($c1!=0) && ($c2!=0)){
                $where1['limit'] = ($where1['limit']/2);
                if(isset($where1['start'])){
                    $where1['start'] = ($where1['start']/2);
                }
                $t1 = $this->tender->getRowsSearch($get,$where1,'tenders',0);
                $t2 = $this->tender->getRowsSearch($get,$where1,'tenders_archive',0);
            }else if(($c1!=0) && ($c2==0)){
                $t1 = $this->tender->getRowsSearch($get,$where1,'tenders',0);
            }else if(($c1==0) && ($c2!=0)){
                $t2 = $this->tender->getRowsSearch($get,$where1,'tenders_archive',0);
            }
            $data1['post'] = array_merge($t1,$t2);
        }

        $config['target']      = '#postList';
        $config['base_url']    = base_url();
        $config['total_rows']  = $totalRec;
        $config['per_page']    = $this->perPage;
        $this->pag->initialize($config);
        $data1['html'] = getTenders($data1["post"],'tenders');
        $data1['links'] = $this->pag->create_links();
        $data1['h1'] = $this->pag->totalRecords();
        $data1['h2'] = $this->pag->noOfRecords();
        //echo "<pre>";print_r($data1);die;
        $data1['q'] = $c1.(($c2)?"plus".$c2:"");
        return $data1;
    }

    public function dateFunctions($sid='')
    {
        switch ($sid) {
            case 'today':
                $today = date("Y-m-d");
                return 'T.doc_last = "'.$today.'" ';
                break;
            case 'tomorrow':
                $tomorrow=Date('Y-m-d', strtotime("+1 days"));
                return 'T.doc_last = "'.$tomorrow.'" ';
                break;
            case 'yesterday':
                $tomorrow=Date('Y-m-d', strtotime("-1 days"));
                return 'T.doc_last = "'.$tomorrow.'" ';
                break;
            case 'lastweek':
                $yesterday=Date('Y-m-d', strtotime("-7 days"));
                $today = date("Y-m-d");
                return 'T.doc_last >= "'.$yesterday.'" and T.doc_last <= "'.$today.'" ';
                break;
            case 'within7days':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("+7 days"));
                return 'T.doc_last >= "'.$today.'" and T.doc_last <= "'.$tomorrow.'" ';
                break;
            case 'within14days':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("+14 days"));
                return 'T.doc_last >= "'.$today.'" and T.doc_last <= "'.$tomorrow.'" ';
                break;
            case 'thismonth':
                $timestamp    = strtotime(date("Y-m-d"));
                $first_second = date('Y-m-01', $timestamp);
                $last_second  = date('Y-m-d', $timestamp);
                return 'T.doc_last >= "'.$first_second.'" and T.doc_last <= "'.$last_second.'" ';
                break;
            case 'lastmonth':
                $timestamp    = strtotime(DATE);
                $last = date('Y-m-d', strtotime("-30 days"));
                $today  = date('Y-m-d', $timestamp);
                return 'T.doc_last >= "'.$last.'" and T.doc_last <= "'.$today.'" ';
                break;
            case 'nextmonth':
                $timestamp    = strtotime(date("Y-m-d")."+1 month");
                $first_second = date('Y-m-01', $timestamp);
                $last_second  = date('Y-m-t', $timestamp);
                return 'T.doc_last >= "'.$first_second.'" and T.doc_last <= "'.$last_second.'" ';
                break;
            case 'this_year':
                $timestamp    = strtotime(DATE);
                $last = date('Y-01-01', $timestamp);
                $today  = date('Y-m-d', $timestamp);
                return 'T.doc_last >= "'.$last.'" and T.doc_last <= "'.$today.'" ';
                break;
            case 'lastyear':
                $timestamp    = strtotime(DATE);
                $last = date('Y-m-d', strtotime("-1 years"));
                $today  = date('Y-m-d', $timestamp);
                return 'T.doc_last >= "'.$last.'" and T.doc_last <= "'.$today.'" ';
                break;
            case 'last2year':
                $timestamp    = strtotime(DATE);
                $last = date('Y-m-d', strtotime("-2 years"));
                $today  = date('Y-m-d', $timestamp);
                return 'T.doc_last >= "'.$last.'" and T.doc_last <= "'.$today.'" ';
                break;
            case 'live':
                $today = date("Y-m-d");
                return 'DATE(T.doc_last) >= DATE("'.$today.'") ';
                break;
            case 'archive':
                $today = date("Y-m-d");
                return 'T.doc_last <= "'.$today.'" ';
                break;
            case 'all':
                $today = date("Y-m-d");
                return '( T.doc_last <= "'.$today.'" or T.doc_last > "'.$today.'" )';
                break;
            default:
                return array();
                break;
        }
    }
    
    public function searchTenderSector($tender_sector='')
    {
        $query = $this->db->query('select * from tender_sector where tender_sector_name REGEXP "[[:<:]]'.$tender_sector.'[[:>:]]" limit 1');
        $result = $query->result_array();
        return $result;
    }
    public function searchlike($table,$select,$data,$query){
        $this->db->select($select);
        $this->db->from($table);
        $this->db->like($data,$query,'after');
        $this->db->group_by($data);
        $query = $this->db->get();
        $result = $query->result();
        if($result) {
            return $result;
        }else{
            return false;
        }
    }
    public function range($table,$select,$value1,$value2){
         $this->db->where($select.' BETWEEN '. $value1.' AND '. $value2);
         $query = $this->db->get($table);
        //$query = 'slect * FROM '. $table.' WHERE '.$select >= $value1. ' AND '. $select <= $value2;
        $result = $query->result();
        if($result) {
            return $result;
        }else{
            return false;
        }
    }
    public function total_count() {
       return $this->db->count_all("cpv");
    }
    public function getDatalimit($tablename='', $limit,$offset)
    {
        $this->db->from($tablename);
        if(!empty($where))
        {
            $this->db->where($where);
        }
        $this->db->limit( $limit, $offset );
        $query = $this->db->get();
        $result = $query->result_array();
        if($result)
        {
            return $result;
        }else{
            return false;
        }
    }

    public function saveTendersHistory($posting_id='')
    {
        $tenders = array();
        $data = $this->common->getsData("saved_history_tenders",array("userid"=>$this->userid));
        $post['userid'] = $this->userid;
        $tender = $this->tender->getRows(array("posting_id"=>$posting_id),'',array(),'tenders');
        if(empty($tender))
        {
            $tender = $this->tender->getRows(array("posting_id"=>$posting_id),'',array(),'tenders_archive');
        }
        if(!empty($tender))
        {
            if(!$data)
            {
                array_push($tenders, $posting_id);
                $post['history_tenders'] = json_encode($tenders);
                //print_r($post);
                $this->common->insertData("saved_history_tenders",$post);
                return true;
            }else{
                $dt = json_decode($data['history_tenders']);
                if(!in_array($posting_id, $dt))
                {
                    array_push($dt,$posting_id);
                    if(count($dt)>10)
                    {
                        unset($dt[0]);
                    }
                    $dt1 = array_values($dt);
                    $post['history_tenders'] = json_encode($dt1);
                    $this->common->updateData("saved_history_tenders",$post,array("userid"=>$this->userid));
                    return true;
                }else{
                    return false;
                }
            }
        }else{
            return false;
        }
    }

    public function saveSeenTenders($detail=array(),$user=array())
    {
        $saved_cpv_data = $this->common->getsData("saved_cpv",array("userid"=>$this->userid),array("saved_cpv"));
        $saved_cpv = (isset($saved_cpv_data['saved_cpv']) && $saved_cpv_data['saved_cpv']!="")?json_decode($saved_cpv_data['saved_cpv']):array();
        $sector = (isset($user['sector']) && $user['sector']!="")?explode(",", ($user['sector'])):array();
        $product_services = (isset($user['product_services']) && $user['product_services']!="")?explode(",", $user['product_services']):array();
        $match_cpv = $match_sector = $match_keyword = array();
        if(isset($detail['cpv']) && $detail['cpv']!=""){
            foreach (explode(",", $detail['cpv']) as $key => $value) {
                if($saved_cpv){
                    if(in_array($value, $saved_cpv)){
                        array_push($match_cpv, $value);
                    }
                }
            }
        }
        if(isset($detail['sector']) && $detail['sector']!=""){
            foreach (explode(",", $detail['sector']) as $key => $value) {
                if($sector){
                    if(in_array($value, $sector)){
                        array_push($match_sector, $value);
                    }
                }
            }
        }
        if(isset($product_services) && $product_services!=""){
            foreach ($product_services as $key => $value) {
                if(isset($detail['description']) && $detail['description']!=""){
                    if (stristr($detail['description'], $value) !== false) {
                            array_push($match_keyword, $value);
                    }
                }
            }
        }
        /*if($this->userid == "1472371501"){
            echo "<pre>";
            print_r($user);
            echo "Detail CPV = <br>";
            print_r($detail['cpv']);
            echo "My CPV = <br>";
            print_r ($saved_cpv);
            echo "Matched CPV = <br>";
            print_r ($match_cpv);

            echo "Detail Sector = <br>";
            print_r($detail['sector']);
            echo "My Sector = <br>";
            print_r ($sector);
            echo "Matched Sector = <br>";
            print_r ($match_sector);

            echo "Detail Keyword = <br>";
            print_r($detail['description']);
            echo "My Keyword = <br>";
            print_r ($product_services);
            echo "Matched Keyword = <br>";
            print_r ($match_keyword);
            echo "</pre>";die;
        }*/
        $insert = array(
                        "userid"=>$this->userid,
                        "posting_id"=>(isset($detail['gt_ref_id']))?$detail['gt_ref_id']:"",
                        "country"=>((isset($detail['country']) && $detail['country']!="")?$detail['country']:"NA"),
                        "sector"=>((isset($detail['sector']) && $detail['sector']!="")?$detail['sector']:"NA"),
                        "cpv"=>((isset($detail['cpv']) && $detail['cpv']!="")?$detail['cpv']:"NA"),
                        "seen_date"=>date("Y-m-d H:i:s"),
                        "cpv_match"=>implode(",", $match_cpv),
                        "sector_match"=>implode(",", $match_sector),
                        "keyword_match"=>implode(",", $match_keyword),
                        );
        if(isset($detail['gt_ref_id']) && $detail['gt_ref_id']!=""){
            if(!$this->common->getsData("seen_tenders",array("userid"=>$this->userid,"posting_id"=>$detail['gt_ref_id']))){
                $this->common->insertData("seen_tenders",$insert);
            }
        }
    }

    public function saveAdvanceSearchString()
    {
        // echo "<pre>";
        // print_r($_GET);
        if(isset($this->userid) && $this->userid!="") {
            $query_string_array = "";
            if(isset($_GET) && $_GET) {
                foreach ($_GET as $key => $value) {
                    if($value!=""){
                        if(is_array($value)){
                            foreach ($value as $key1 => $value1) {
                                $query_string_array .= $key."[]=".$value1."&";
                            }
                        }else{
                            $query_string_array .= $key."=".$value."&";
                        }
                    }
                }
            }
            $query = $this->db->query("SELECT search FROM advance_searches WHERE userid = ".$this->userid." order by id desc limit 1")->result_array();
            if($query) {
                if($query[0]['search'] != $query_string_array) {
                    $this->common->insertData("advance_searches",array("userid"=>$this->userid,"search"=>$query_string_array,"search_date"=>NOW));
                }
            }else{
                $this->common->insertData("advance_searches",array("userid"=>$this->userid,"search"=>$query_string_array,"search_date"=>NOW));
            }
        }
        // echo($query_string_array."<br>");
        // echo $_SERVER['QUERY_STRING'];die;
    }
}