<?php

class Login_model extends CI_Model {

	public function __construct()
	{
		parent::__construct();
		$this->load->helper("user");
	}

	function validate()
	{
		$this->db->where('username', $this->input->post('username'));
		$this->db->where('password', md5($this->input->post('password')));
		$query = $this->db->get('membership');
		
		if($query->num_rows == 1)
		{
			return true;
		}
	}

	public function userRegistrationValidation($post=array(),$redirect='')
	{
		$res = 0;

		if($_POST['email']==""){
            redirect($redirect);
        }

		$exp = end(explode("@", $post['email']));
        $junk_mail = $this->config->item("junk_mail");
        $junk_first_name = $this->config->item("junk_first_name");
        $junk_last_name = $this->config->item("junk_last_name");
        $junk_organization = $this->config->item("junk_organization");
        $junk_product_service = $this->config->item("junk_product_service");
        $junk_ips = $this->config->item("junk_ips");

        foreach ($junk_product_service as $key => $value) {
            if(strpos($post['product_services'], $value) !== false){
                $this->session->set_flashdata("ermessage","This email already exists!");
                redirect($redirect);
            }
        }

        if(!in_array($exp, $junk_mail)
            && !in_array($post['first_name'], $junk_first_name) 
            && !in_array($post['last_name'], $junk_last_name) 
            && !in_array($post['organization'], $junk_organization)
            && !in_array($post['ip_address'], $junk_ips)){
            if(!$this->common->getsData("user",array("email"=>$post['email']))){

                $res = $this->login->registerUser($post);

            }else{
                $this->session->set_flashdata("ermessage","This email already exists!");
                redirect($redirect);
            }
        }else{
            $this->session->set_flashdata("ermessage","This email already exists!");
            redirect($redirect);
        }
        return $res;
	}
	
	public function registerUser($post=array())
	{
		$cpv="";
		if(isset($post['cpv']) && $post['cpv']!=""){
			$re = '/^\d+(?:,\d+)*$/';
	        if ( preg_match($re, $post['cpv'])){
	        	if($post['cpv']!=''){
	        		$cpv = json_encode(explode(",", preg_replace("/[a-zA-Z]+/","",str_replace(" ", "",reduce_multiples($post['cpv'],',')))));
	        	}
	        }
			//echo "<pre>";print_r($array);die;
		}
		$array = array("userid"=>$post['userid'],"saved_cpv"=>$cpv);
		if(is_array($post) && !empty($post)) {

			$post['reg_date'] = date("Y-m-d H:i:s");
        	$post['last_login'] = date("Y-m-d H:i:s");

        	if(isset($post['email_alert']) && $post['email_alert']=="on"){

	            $now = date("Y-m-d H:i:s");
	            $alert_end = strtotime("+30 day", strtotime($now));
	            $post['email_alert']=1;
	            $post['alert_start'] = $now;
	            $post['alert_end'] = date("Y-m-d H:i:s",$alert_end);
	        }else{
	            $post['email_alert']=0;
	        }

			$userdata = $this->common->getField('user',$post);

            $type = $this->checkUserMailDomain($post['email'],$post['userid']);
            //$userdata['varify'] = 1;
            $userdata['email_domain'] = $type;
            if($type=="corporate"){
            	$userdata['email_domain_status'] = 1;
            }
            if(isset($userdata['cpv'])){
            	unset($userdata['cpv']);
            }
			$res = $this->db->insert('user',$userdata);
			if($res) {

				$this->db->insert('saved_cpv',$array);
				if($post['email_alert']==1){
                    $this->common->insertData("email_alert",array("userid"=>$post['userid']));
                }
                //$this->sendRegistrationMail($post);
			}
			return $res;
		}
	}

	public function checkUserMailDomain($email='',$userid='')
	{
		//echo $email;
		$exp = explode("@",$email);
		$exp = end($exp);
		$no_of_tender = $status = 0;$type='';
		if($this->common->getsData("mail_domain",array("mail_domain"=>trim($exp)))){
			$type="generic";
		}else{
			$res = $this->db->query("select mail_domain from corporate_domain where mail_domain like '%".trim($exp)."%'");
			if($res->num_rows()==0){
				$no_of_tender=0;
				$type="corporate";
				$this->common->insertData("corporate_domain",array("mail_domain"=>trim($exp),"type"=>"corporate","date"=>date("Y-m-d H:i:s")));
			}else{
				$type="corporate taken";
			}
		}
		$this->common->insertData("user_mail_type",array("userid"=>$userid,"no_of_tender"=>$no_of_tender,"no_of_tender_count"=>0,"seen_tenders"=>""));
		return $type;
	}

	public function sendRegistrationMailOld($post=array())
	{
		$data["post"] = $this->common->getsData("user",array("userid"=>$post['userid']));
        $data["post"]['referer_link'] = $post['referer_link'];
        if($post['country']=="India"){
            //$html = $this->load->view("gt_regmail",$data,true);
            $html = $this->load->view("email-templates/Registration-Mail-India",$data,true);
        }else{
            $html = $this->load->view("email-templates/Registration-Mail-USD-exceptIndia",$data,true);
        }
        $subject = "Global Tenders ".$post['package']." Subscription - ".$post['first_name']." ".$post['last_name']." (".$post['organization']." )";
        //$this->common->sendMail($html,array($post['email']),$subject);

        $this->email->from("contact@globaltenders.com",'Global Tenders');
        $this->email->to($post['email']);
        $this->email->subject($subject);
        $this->email->message($html);
        $this->email->bcc("contact@globaltenders.com");
        $this->email->send();

        $this->session->set_userdata("userid",$post["userid"]);
        $this->login->setCookies($data['post']);
	}

	public function setPreCookies($data=array())
	{
		$this->common->subscriptionTime();
		$data1 = $this->common->getsData("user",array("userid"=>$data['userid']),array("account_status"));
		$this->session->set_userdata(array('account_status'=>$data['account_status']));
		$id=$data1['account_status'];
		setcookie('subscription',$id,time() + (60*60*24*30),'/','.globaltenders.com');
		setcookie('userid',$data['userid'],time() + (60*60*24*30),'/','.globaltenders.com');
		$now = strtotime(date("Y:m:d H:i:s"));
		$start = strtotime($data['renewal_date']);
		$end = strtotime($data['expiry_date']);
		if($id==1){
			if($start!="-62170005208" && $end!="-62170005208"){
				if($start<=$now && $now<=$end) {

					setcookie('subtime',1,time() + (60*60*24*30),'/','.globaltenders.com');
				}else{

					setcookie('subtime',0,time() + (60*60*24*30),'/','.globaltenders.com');
				}
			}else {

				setcookie('subtime',0, time() + (60*60*24*30),'/','.globaltenders.com');
			}
		}else {

			setcookie('subtime',0, time() + (60*60*24*30),'/','.globaltenders.com');
		}

		if(isset($_POST['remember']) && $_POST['remember']=="on") {

			$this->input->set_cookie("remember",1);
			setcookie('remember',1,time() + (60*60*24*30),'/','.globaltenders.com');
		}else{

			$this->input->set_cookie("remember",0);
			setcookie('remember',0,time() + (60*60*24*30),'/','.globaltenders.com');
		}

		$remember = (isset($_POST['remember']) && $_POST['remember']=="")?$_POST['remember']:"";
		return $remember;
	}

	public function setCookies($data=array()){

		$sdata = array(
			'username' => $data['email'],
			'userid'	=>	$data['userid'],
			'is_user_logged_in' => true,
			'ValidLogin_GLOBALTENDERS' => true,
			'user'	=> trim($data['gt_username']),
			'pass'	=>	trim($data['gt_password']),
			'id'	=>	$data['gt_id'],
			//'account_status' => $account_status,
		);
		$_SESSION['is_user_logged_in'] = true;
		$_SESSION['username'] = $data['email'];
		$_SESSION['userid'] = $data['userid'];
		$_SESSION['is_user_logged_in'] = true;
		$_SESSION['user'] = trim($data['gt_username']);
		$_SESSION['pass'] = trim($data['gt_password']);
		$_SESSION['title'] = $data['title'];
		$_SESSION['first_name'] = $data['first_name'];
		$_SESSION['last_name'] = $data['last_name'];
		$_SESSION['last_login'] = $data['last_login'];
		$_SESSION['expiry_date'] = $data['expiry_date'];
		$_SESSION['id'] = $data['gt_id'];

		$this->session->set_userdata($sdata);


		$ct=time() + (60*60*24*30);
		if(isset($data['remember']) && $data['remember']=="on")
		{
			$ct = time() + (60*60*24*30);
		}
		setcookie('is_user_logged_in', true,$ct,'/','.globaltenders.com');
		setcookie('ValidLogin_GLOBALTENDERS', true,$ct,'/','.globaltenders.com');
		setcookie('user',trim($data['gt_username']),$ct,'/','.globaltenders.com');
		setcookie('pass',trim($data['gt_password']),$ct,'/','.globaltenders.com');
		setcookie('id',$data['gt_id'],$ct,'/','.globaltenders.com');
		setcookie('userid',$data['userid'],$ct,'/','.globaltenders.com');
		setcookie('first_name',$data['first_name'],$ct,'/','.globaltenders.com');
		setcookie('last_name',$data['last_name'],$ct,'/','.globaltenders.com');
		setcookie('last_login',$data['last_login'],$ct,'/','.globaltenders.com');
		setcookie('expiry_date',$data['expiry_date'],$ct,'/','.globaltenders.com');
		//return true;
	}

	public function userRegistrationAction1($post=array())
	{
		$post['userid'] = time();
		$post['reg_date'] = date("Y-m-d H:i:s");
		$post['last_login'] = date("Y-m-d H:i:s");
		$post['email'] = strtolower($post['email']);
		$type = $this->checkUserMailDomain($post['email'],$post['userid']);
        //$userdata['varify'] = 1;
        $post['email_domain'] = $type;
        if($type === "corporate"){
        	$post['email_domain_status'] = 1;
        }
        if($type === "generic") {
        	$post['client_status'] = "C";
        }
		$user_action1 = $this->common->getField("user",$post);
		$data['post'] = $post;
		if($this->common->insertData("user",$user_action1)){
			$data['post']['u_id'] = $this->db->insert_id();
	    	$this->sendEmailVarificationMail($data);
			$this->common->insertData("user_registration_status",array("userid"=>$user_action1['userid'],"register_pages_no"=>1,'reg_from'=>((isset($post['reg_from']) && $post['reg_from']!="")?$post['reg_from']:'')));
			$ct=time() + (60*60*24*30);
			setcookie('userid', $post['userid'],$ct ,'/','.globaltenders.com');
			setcookie('last_login', $post['last_login'],$ct ,'/','.globaltenders.com');
			setcookie('is_user_logged_in', true,$ct,'/','.globaltenders.com');
			setcookie('ValidLogin_GLOBALTENDERS', true,$ct,'/','.globaltenders.com');

			return TRUE;
		}else{
			return FALSE;
		}
	}

	public function sendEmailVarificationMail($data1=array())
    {
        $subject="Verify your Global Tenders Account";
        $html = $this->load->view("email_template/email-verification",$data1,true);
        $data['message'] = $html;
		$data['from'] = "admin@globaltenders.email";
		$data['to'] = $data1['post']['email'];
		$data['subject'] = $subject;
		$data['bcc'] = 'admin@globaltenders.com';
		$result = $this->common->sendMailByCurl($data);
        if($result['status'] == 1){
			return true;
		}else{
			return false;
		}
    }

	public function userRegistrationAction2($post=array())
	{
		if (isset($post['product_services']) && is_array($post['product_services'])) {
        	$post['product_services'] = implode(",", $post['product_services']);
        }
        $post['sector_check']=1;
        if($u = $this->common->getsData("user_detail",array("userid"=>$this->userid),array("email_domain","client_status"))) {
        	if($u['email_domain'] != "generic") {
        		$post['client_status'] = setClientStatus($post['country']);
        	}else{
        		if($u['client_status'] == "") {
        			$post['client_status'] = 'C';
        		}
        	}
        }
		$user_action2 = $this->common->getField("user",$post);
		if($this->common->updateData("user",$user_action2,array("userid"=>$this->userid))){
			$this->common->updateData("user_registration_status",array("register_pages_no"=>2),array("userid"=>$this->userid));
			$this->sendRegistrationMail();
			$ct=time() + (60*60*24*30);
			setcookie('first_name', $user_action2['first_name'],$ct ,'/','.globaltenders.com');
			setcookie('last_name', $user_action2['last_name'],$ct ,'/','.globaltenders.com');

			return TRUE;
		}else{
			return FALSE;
		}
	}

	public function sendRegistrationMail()
	{
		$html = '';
		$user = $this->common->getsData("user",array("userid"=>$this->userid));
		if($user) {
			$post['post'] = $user;
			$post['post']['sector'] = $this->common->changeSectorCode($post['post']['sector']);
			$html = $this->load->view("email-templates/common-template",$post,true);
			/*if(trim($user['email_domain'])=="corporate"){
				$html = $this->load->view("email-templates/corporate-template",$post,true);
			}else{
				$html = $this->load->view("email-templates/generic-template",$post,true);
			}*/
			//$this->common->updateData("user",array("varify"=>1),array("userid"=>$this->userid));
			$this->common->insertData("email_track",array("userid"=>$this->userid,"send_mail_date"=>NOW,"seen_date"=>"","template_name"=>"registration","seen_count"=>0));
			$subject = "Global Tenders ".$post['post']['package']." Subscription - ".$post['post']['first_name']." ".$post['post']['last_name']." (".$post['post']['organization']." )";
			$country_email = $this->config->item("country_emails");
			// $from = getCountryWiseRegistrationEmail($user['country']);
			$from = "contact@globaltenders.email";

			// Get the email from which emial has to send to user.
			if($country_email) {
				foreach ($country_email as $key => $value) {
					if(in_array($user['country'], explode(",", $value))) {
						$from = $key;
						break;
					}
				}
			}
			if($this->db->affected_rows()){
				$data['message'] = $html;
				$data['from'] = $from;
				$data['to'] = $user['email'];
				$data['subject'] = $subject;
				$data['bcc'] = 'contact@globaltenders.com';
				$result = $this->common->sendMailByCurl($data);
		        if($result['status'] == 1){
					return true;
				}else{
					return false;
				}
			}
		}else{
			redirect(base_url());
		}
	}

	public function userRegistrationAction3($post=array())
	{
		$cpv="";
		if(isset($post['cpv']) && $post['cpv']!=""){
			$re = '/^\d+(?:,\d+)*$/';
	        if ( preg_match($re, $post['cpv'])){
	        	if($post['cpv']!=''){
	        		$cpv = json_encode(explode(",", preg_replace("/[a-zA-Z]+/","",str_replace(" ", "",reduce_multiples($post['cpv'],',')))));
	        	}
	        }
		}
		$array = array("userid"=>$post['userid'],"saved_cpv"=>$cpv);
		if(is_array($post) && !empty($post)) {
            if (isset($post['product_services']) && is_array($post['product_services'])) {
            	$post['product_services'] = implode(",", $post['product_services']);
            }
            if (isset($post['region_name']) && is_array($post['region_name'])) {
            	$post['region_name'] = implode(",", $post['region_name']);
            }

        	$post['last_login'] = date("Y-m-d H:i:s");

        	if(isset($post['email_alert']) && $post['email_alert']=="on"){

	            $now = date("Y-m-d H:i:s");
	            $alert_end = strtotime("+60 day", strtotime($now));
	            $post['email_alert']=1;
	            $post['alert_start'] = $now;
	            $post['alert_end'] = date("Y-m-d H:i:s",$alert_end);
	        	$post['frequency']="after3days";
	        	$post['frequency_limit']=10;
	        }else{
	            $post['email_alert']=0;
	        }

			$userdata = $this->common->getField('user',$post);
			$emailalertdata = $this->common->getField('email_alert',$post);
			
            $userdata['sector_check'] = 1;
            if(isset($userdata['cpv'])){
            	unset($userdata['cpv']);
            }
            $userid = $userdata['userid'];
            if(isset($userdata['userid'])){
            	unset($userdata['userid']);
            }
			if($this->common->updateData('user',$userdata,array("userid"=>$userid))) {
				$this->common->updateData("user_registration_status",array("register_pages_no"=>3),array("userid"=>$this->userid));
			}

			$this->db->insert('saved_cpv',$array);
			if($post['email_alert']==1){
                $this->common->insertData("email_alert",$emailalertdata);
            }

			return true;
		}
	}

	public function step1Validation($post=array())
	{
		$exp = end(explode("@", $post['email']));
        $junk_mail = $this->config->item("junk_mail");
        $junk_first_name = $this->config->item("junk_first_name");
        $junk_last_name = $this->config->item("junk_last_name");
        $junk_organization = $this->config->item("junk_organization");
        $junk_ips = $this->config->item("junk_ips");

		if(isset($post['ip_address']) && $post['ip_address']!=""){
			$userdata = $this->common->getsData("user",array("email"=>$post['email']));
			if($userdata){
			    $this->session->set_flashdata("ermessage","This email already exists!");
                redirect("http://www.globaltenders.com/global-tenders-registration.php");
            }
	        if(!in_array($exp, $junk_mail)
	            && !in_array($post['first_name'], $junk_first_name) 
	            && !in_array($post['last_name'], $junk_last_name) 
	            && !in_array($post['organization'], $junk_organization)
	            && !in_array($post['ip_address'], $junk_ips)){
	            
            	//echo "<pre>"; print_r($post);
            	$type = $this->checkUserMailDomain($post['email'],$post['userid']);
	            //$userdata['varify'] = 1;
	            $post['email_domain'] = $type;
	            if($type=="corporate"){
	            	$post['email_domain_status'] = 1;
	            }
            	$post['reg_date'] = date("Y-m-d H:i:s");
            	$userdata = $this->common->getField('user',$post);
            	$res = $this->db->insert("user",$userdata);
            	if(!$res){
            		redirect("http://www.globaltenders.com/global-tenders-registration.php");
            	}
            	return $res;
	        }else{
	            $this->session->set_flashdata("ermessage","This email already exists!");
	            redirect("http://www.globaltenders.com/global-tenders-registration.php");
	        }
		}else{
			redirect("http://www.globaltenders.com/global-tenders-registration.php");
		}
	}

	public function step2Validation($post=array()){
		$cpv="";
		if(isset($post['cpv']) && $post['cpv']!=""){
			$re = '/^\d+(?:,\d+)*$/';
	        if ( preg_match($re, $post['cpv'])){
	        	if($post['cpv']!=''){
	        		$cpv = json_encode(explode(",", preg_replace("/[a-zA-Z]+/","",str_replace(" ", "",reduce_multiples($post['cpv'],',')))));
	        	}
	        }
			//echo "<pre>";print_r($array);die;
		}
		$array = array("userid"=>$post['userid'],"saved_cpv"=>$cpv);
		if(is_array($post) && !empty($post)) {

        	$post['last_login'] = date("Y-m-d H:i:s");

        	if(isset($post['email_alert']) && $post['email_alert']=="on"){

	            $now = date("Y-m-d H:i:s");
	            $alert_end = strtotime("+60 day", strtotime($now));
	            $post['email_alert']=1;
	            $post['alert_start'] = $now;
	            $post['alert_end'] = date("Y-m-d H:i:s",$alert_end);
	        	$post['frequency']="after3days";
	        	$post['frequency_limit']=10;
	        }else{
	            $post['email_alert']=0;
	        }

			$userdata = $this->common->getField('user',$post);
			$emailalertdata = $this->common->getField('email_alert',$post);
			
            $userdata['sector_check'] = 1;
            /*$type = $this->checkUserMailDomain($post['email'],$post['userid']);
            $userdata['email_domain'] = $type;
            if($type=="corporate"){
            	$userdata['email_domain_status'] = 1;
            }*/
            if(isset($userdata['cpv'])){
            	unset($userdata['cpv']);
            }
            $userid = $userdata['userid'];
            if(isset($userdata['userid'])){
            	unset($userdata['userid']);
            }
			$this->common->updateData('user',$userdata,array("userid"=>$userid));

			$this->db->insert('saved_cpv',$array);
			if($post['email_alert']==1){
                //$this->common->insertData("email_alert",array("userid"=>$post['userid']));
                $this->common->insertData("email_alert",$emailalertdata);
            }
            //$this->common->insertData("users_other_info",array("userid"=>$post['userid']));
            //$this->sendRegistrationMail($post);

			return true;
		}
	}

	public function insertTrackUserLogin($post,$login_status=0)
	{
		$post['login_date'] = NOW;
		$post['status'] = $login_status;
		if($post['email'] != "") {
			$data = $this->db->query("select email,password from track_user_login where email = '".$post['email']."' and DATE(login_date) = '".DATE."' order by id desc limit 1")->result_array();
			if($data) {
				$data = $data[0];
				if($post['password'] != "" && $data['password'] != $post['password']) {
					$this->common->insertData("track_user_login",$post);
				}
			}else{
				if($post['password'] != "") {
					$this->common->insertData("track_user_login",$post);
				}
			}
		}
	}
}