<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>Global Tender</title>
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/bootstrap4/bootstrap.min.css"); ?>">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/bootstrap-glyphicons.css"); ?>">
    <!-- <link href="<?php echo base_url("assets/user/css/select2.css"); ?>" rel="stylesheet"> -->
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style.css"); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/googlefonts.css"); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/select2.min.css"); ?>" type="text/css">
    <style type="text/css">
      body{font-size:13px;}
      .stepwizard-step p {margin-top: 10px;}
      .stepwizard-row {display: table-row;}
      .stepwizard {display: table;width: 100%;position: relative;}
      .stepwizard-row:before {top: 23px;bottom: 0;position: absolute;content: " ";width: 100%;height: 3px;background-color: #ccc;z-order: 0;}
      .stepwizard-step {display: table-cell;text-align: center;position: relative;}
      .btn-circle {width: 50px;height: 50px;text-align: center;padding: 6px 0;font-size: 12px;line-height: 3;border-radius: 50px;opacity:1;}
      .btn.disabled, .btn[disabled], fieldset[disabled] .btn{opacity:1;}
      [type=reset], [type=submit], button, html [type=button]{-webkit-appearance: none;}
      .btn-light {color: #212529;background-color: #ddd;border-color: #ddd;}
      .form-control {height: 36px !important;border: 1px solid #9da3a6;border-radius: 4px;}
      .loginmodal-container select{font-family: Helvetica,Arial,sans-serif;}
      .loginmodal-container{font-family: Helvetica,Arial,sans-serif !important;background-color: transparent;box-shadow: 4px 5px 29px 10px #ddd;padding-top: 20px;padding-bottom: 20px;}
      .loginmodal-submit{min-height:36px;}
      .loginmodal-container input[type=submit]{font-weight:normal;}
      @media(min-width:1048px){
        .stepwizard{padding: 0px 35px;}
        .stepwizard-row:before{width: 60%;left: 137px;}
      }
      @media(min-width:992px) and (max-width:1047px){
        .stepwizard{padding: 0px 35px;}
        .stepwizard-row:before{width: 60%;left:120px;}
      }
      @media(min-width:768px) and (max-width:991px){
        .stepwizard{padding: 0px 0px;}
        .stepwizard-row:before{width: 70%;left:85px;}
      }

      @media(min-width:576px) and (max-width:767px){
        .stepwizard{padding: 0px 0px;}
        .stepwizard-row:before{width: 65%;left:100px;}
      }

      @media(max-width:576px){
        .stepwizard{padding: 0px 0px;margin-left:0px;}
        .stepwizard-row:before{width: 65%;left:95px;}
      }

      @media(max-width:400px){
        .stepwizard{padding: 0px 0px;margin-left:0px;}
        .stepwizard-row:before{width: 65%;left:70px;}
      }
    </style>
    
    <!--[if lt IE 9]
      < script src = "//html5shiv.googlecode.com/svn/trunk/html5.js"); ?>" > < /script>
    <![endif]-->
    <!--[if IE 9]>
      <script src="js/media.match.min.js"></script>
    <![endif]-->
    <script src="<?php echo base_url("assets/plugins/jQuery/jquery-3.2.1.min.js"); ?>"></script>
  </head>

  <body>
    <div id="main-wrapper">
      <div class="col-md-12 text-center"><br>
        <!-- <div class="reg-progress">
          <h3>Complete your registration</h3>
          <p class="text-left" style="margin-bottom:2px;"><strong>Step 2/2 : general information</strong></p>
          <div class="progress">
            <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="50"
            aria-valuemin="0" aria-valuemax="100" style="width:50%; background-color: #47E08A;">
            </div>
          </div>
        </div> -->
        <div class="stepwizard col-md-6 col-md-offset-3 col-sm-9 col-sm-offset-3 col-xs-10 col-xs-offset-1">
            <!--div class="stepwizard-row setup-panel">
                <div class="stepwizard-step">
                    <a href="#" type="button" class="btn btn-success btn-circle" disabled="disabled"><i class="glyphicon glyphicon-ok"></i></a>
                    <p>Create Account</p>
                </div>
                <div class="stepwizard-step">
                    <a href="#" type="button" class="btn btn-default btn-circle" disabled="disabled">2</a>
                    <p>Complete Profile</p>
                </div>
                <div class="stepwizard-step">
                    <a href="#" type="button" class="btn btn-light btn-circle" disabled="disabled">3</a>
                    <p>Dashboard</p>
                </div>
            </div-->
            <img src="<?php echo base_url("gt-images/step2.png"); ?>" class="img-responsive" style="width: 100%;"><br><br>
        </div>
        <div class="loginmodal-container registration-container registration-container1" style="max-width:585px;padding: 26px !important;">
          <br>
          <?php echo form_open(base_url('global-tenders-registration2')); ?>
            <div class="row">
              <label class="col-md-3 col-sm-3"><span>Name*</span></label>
              <div class="col-md-9 col-sm-9">
                <div class="row">
                  <div class="form-group col-md-6 col-sm-6">
                    <?php echo form_input(array("name"=>'first_name',"value"=>set_value('first_name'),"class"=>"form-control","placeholder"=>"First Name ")); ?>
                    <?php echo form_error('first_name', '<div style="color:red;">', '</div>'); ?>
                  </div>
                  <div class="form-group col-md-6 col-sm-6">
                    <?php echo form_input(array("name"=>'last_name',"value"=>set_value('last_name'),"class"=>"form-control","placeholder"=>"Last Name ")); ?>
                    <?php echo form_error('last_name', '<div style="color:red;">', '</div>'); ?>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <label class="col-md-3 col-sm-3"><span>Company*</span></label>
              <div class="form-group col-md-9 col-sm-9">
                <?php echo form_input(array("name"=>'organization',"value"=>set_value('organization'),"class"=>"form-control","placeholder"=>"Company")); ?>
                <?php echo form_error('organization', '<div style="color:red;">', '</div>'); ?>
              </div>
            </div>
            <div class="row">
              <label class="col-md-3 col-sm-3"><span>Country*</span></label>
              <div class="form-group col-md-9 col-sm-9">
                <?php $countryarray = $this->config->item("countryarray");
                // echo form_dropdown('country', $countryarray, set_value('country'), array("id"=>"country","class"=>"form-control")); ?>
                <select name="country" id="country" class="form-control">
                <?php if($countryarray){ foreach ($countryarray as $key => $value) : ?>
                  <option value="<?php echo ($key!="")?$value:""; ?>" <?php echo ($value == set_value('country'))?'selected':""; ?>><?php echo $value; ?></option>
                <?php endforeach; } ?>
                </select>
                <?php echo form_error('country', '<div style="color:red;">', '</div>'); ?>
              </div>
            </div>
            <div class="row">
              <label class="col-md-3 col-sm-3"><span>Contact Number*</span></label>
              <div class="form-group col-md-9 col-sm-9">
                <?php echo form_input(array("name"=>'mobile_no',"value"=>set_value('mobile_no'),"class"=>"form-control","placeholder"=>"Contact Number")); ?>
                <?php echo form_error('mobile_no', '<div style="color:red;">', '</div>'); ?>
              </div>
            </div>
            <div class="row">
              <label class="col-md-3 col-sm-3"><span>Keywords</span></label>
              <div class="form-group col-md-9 col-sm-9">
                <?php echo form_dropdown('product_services[]',array() ,set_value('product_services'), 'class="form-control select2_advs" placeholder="Keywords" multiple=""'); ?>
                <?php echo form_error('product_services', '<div style="color:red;">', '</div>'); ?>
              </div>
            </div>
            <div class="row">
              <label class="col-md-3 col-sm-3"><span>Sector*</span></label>
              <div class="form-group col-md-9 col-sm-9">
                <?php $sector = $this->config->item("sector_industry");
                  //$sector = asort($sector); 
                echo form_dropdown('sector', $sector, set_value('sector'), 'id="sector" class="form-control"'); ?>
                <?php echo form_error('sector', '<div style="color:red;">', '</div>'); ?>
              </div>
            </div>
            <div class="row">
              <label class="col-md-3 col-sm-3"></label>
              <div class="col-md-9 col-sm-9">
                <input type="submit" class="login loginmodal-submit" value="Proceed to Dashboard">
              </div>
              <div class="col-md-12">
                <?php echo userRegistrationSkipLink(); ?>
              </div>
            </div>
          </form>
          <script src="<?php echo base_url("assets/user/js/select2.full.js"); ?>"></script>
          <script type="text/javascript">
            $(".select2_advs").select2({
                tags: true,
                tokenSeparators: [","],
            });
          </script>
        </div>
      </div>
    </div>
    <script type="text/javascript" src="<?php echo base_url("new-gt/tenders/js/tracker.js"); ?>"></script>
  </body>
</html>