<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>Global Tender</title>
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/bootstrap4/bootstrap.min.css"); ?>">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/bootstrap-glyphicons.css"); ?>">
    <link href="<?php echo base_url("assets/user/css/select2.css"); ?>" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style.css"); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/googlefonts.css"); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/select2.min.css"); ?>" type="text/css">
    <!--[if lt IE 9]
      < script src = "//html5shiv.googlecode.com/svn/trunk/html5.js"); ?>" > < /script>
    <![endif]-->
    <!--[if IE 9]>
      <script src="js/media.match.min.js"></script>
    <![endif]-->
    <script src="<?php echo base_url("assets/user/js/jquery.min.js"); ?>"></script>
  </head>

  <body>
    <div id="main-wrapper">
      <div class="col-md-12 text-center"><br>
        <div class="reg-progress">
          <h3>Complete your registration</h3>
          <p class="text-left" style="margin-bottom:2px;"><strong>Step 3/3 : Advance information</strong></p>
          <div class="progress">
            <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="40"
            aria-valuemin="0" aria-valuemax="100" style="width:100%; background-color: #47E08A;">
            </div>
          </div>
        </div>
        <div class="loginmodal-container registration-container registration-container1" style="max-width:585px;">
          <br>
          <?php echo form_open(base_url('global-tenders-registration3')); ?>
            <div class="row">
              <label class="col-md-3 col-sm-3"><span>Keywords</span></label>
              <div class="form-group col-md-9 col-sm-9">
                <?php echo form_dropdown('product_services[]',array() ,set_value('product_services'), array("class"=>"form-control select2_advs","placeholder"=>"Keywords","multiple"=>"")); ?>
                <?php echo form_error('product_services', '<div style="color:red;">', '</div>'); ?>
              </div>
            </div>
            <div class="row">
              <label class="col-md-3 col-sm-3"><span>Cpv</span></label>
              <div class="form-group col-md-9 col-sm-9">
                <input type="hidden" name="userid" value="<?php echo $this->userid; ?>" />
                <?php echo form_input('cpv', set_value('cpv'), array("class"=>"form-control","placeholder"=>"CPV","id"=>"searchQuery","data-val"=>"","data-check"=>"0")); ?>
                <div id="searchQueryResult" style="border: 1px solid; display: none; vertical-align: top; z-index: 1;background-color: #fff;">
                    <div class="row">
                        <div class="ui-autocomplete col-md-8 pull-left" style="overflow-y: scroll;height: 150px;">
                            <p style="color:#000;font-weight: bold;font-size: 15px;">Searching Criteria</p>
                            <ul id="searchQueryResultUl" style="list-style-type: none;margin-left: 0;padding: 1%;"></ul>
                        </div>
                        <div class="col-md-4 pull-right" style="overflow-y: scroll;height: 150px;">
                            <p style="color: #000;font-weight: bold;font-size: 13px;">Selected Criteria</p>
                            You Selected :
                            <ul id="selectedCPVResultUl" style="list-style-type:none;"></ul>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <span class="pull-right">
                                <button type="button" id="cancel_cpv">Cancel</button>
                                <button type="button" id="done_cpv">Done</button>
                            </span>
                        </div>
                    </div>
                </div>
                <?php echo form_error('cpv', '<div style="color:red;">', '</div>'); ?>
              </div>
            </div>
            <div class="row">
              <label class="col-md-3 col-sm-3"><span>Sector</span></label>
              <div class="form-group col-md-9 col-sm-9">
                <?php $sector = $this->config->item("sector_industry"); ?>
                <?php //echo form_dropdown('sector', $sector, set_value('sector'), array("class"=>"form-control","placeholder"=>"Sector")); ?>
                <select class="form-control" name="sector">
                  <option value="">Select Sector</option>
                  <?php if($sector){ foreach($sector as $key=>$value) : ?>
                    <option value="<?php echo $key ?>"><?php echo $value; ?></option>
                  <?php endforeach; } ?>
                </select>
                <?php echo form_error('sector', '<div style="color:red;">', '</div>'); ?>
              </div>
            </div>
            <div class="row">
              <label class="col-md-3 col-sm-3"><span>Target Regions</span></label>
              <div class="form-group col-md-9 col-sm-9">
                <select class="form-control select2" name="region_name[]" data-placeholder="Region" multiple>
                  <option value="">Select Regions</option>
                  <?php if($this->config->item("country_region")){ foreach($this->config->item("country_region") as $key=>$value) : ?>
                    <option value="<?php echo $value ?>"><?php echo $value ?></option>
                  <?php endforeach; } ?>
                </select>
                <?php echo form_error('region_name', '<div style="color:red;">', '</div>'); ?>
              </div>
            </div>
            <div class="row">
              <label class="col-md-3 col-sm-3"><span>Email Alert</span></label>
              <div class="form-group col-md-9 col-sm-9">
                <?php //echo form_checkbox('email_alert', set_value('email_alert')); ?>
                <input type="checkbox" name="email_alert" />
                <b class="form-control">Please tick to receive email alerts</b>
                <?php echo form_error('email_alert', '<div style="color:red;">', '</div>'); ?>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <input type="submit" class="login loginmodal-submit" value="Submit">
              </div>
              <div class="col-md-12">
                <?php echo userRegistrationSkipLink(); ?>
              </div>
            </div>
          </form>          
          <script src="<?php echo base_url("js/cpv_select.js"); ?>"></script>
          <script src="<?php echo base_url("assets/user/js/select2.full.js"); ?>"></script>
          <script type="text/javascript">
            $(".select2").select2({
                tags: false
            });
            $(".select2_advs").select2({
                tags: true,
                tokenSeparators: [","],
            });
          </script>
        </div>
      </div>
    </div> <!-- end #main-wrapper -->
  </body>
</html>