<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
class Tender_Search_Model extends CI_Model
{
    public function getRows($post=array(),$where='',$params = array(),$table='',$count=0)
    {
        //echo "<pre>";print_r($post);echo "</pre>";//unset($post["omit_region_name"][0]);
        if(isset($post['search_notice_type']) && $post['search_notice_type']!=""){
            $post['notice_type'] = $post['search_notice_type'];
        }

        if(isset($post['region_name']) && !is_array($post['region_name'])){
            $post['region_name'] = array($post['region_name']);
        }
        //$this->db->cache_on();
        $fields = $query = $wh = $whor = $nt = $ec = $bt = $sd = $osd = $tf = $dc = '';
        $s=$regi=$con=$regcon=0;
        $whorb=true;
        if($count==0){
            if($table=="tenders_free"){
                $fields = "T.date_c,T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type,T.p_id,T.summery";
            }else{
                $infodb = $this->load->database('info', TRUE);
                $fields = "T.date_c,T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type";
            }
        }else{
            if($table!="tenders_free"){
                $infodb = $this->load->database('info', TRUE);
            }
            $fields = "T.posting_id";
        }
        $query .= 'select '.$fields.' from '.$table.' as T ';
        if((isset($post['upload_start']) && $post['upload_start']!="") && (isset($post['upload_end']) && $post['upload_end']!=""))
        {
            $se = 'T.date_c >=\''.$post['upload_start'].'\' and T.date_c <=\''.$post['upload_end'].'\'';
            $where.=($se)?" ( ".$se." )":"";
        }else if(isset($post['date_c']) && $post['date_c']!='')
        {
            $dc=' T.date_c = \''.$post['date_c'].'\'';
            $where.=$dc;//($dc)?" and ".$dc:"";
        }else{
            if((isset($post['deadline']) && $post['deadline']!='') && (isset($post['tender_type']) && $post['tender_type']!='')) {
                $where.= $this->dateFunctions($post['deadline']);
            }else if(isset($post['deadline']) && $post['deadline']!=''){
                $where.= $this->dateFunctions($post['deadline']);
            }else if(isset($post['uploaded_at']) && $post['uploaded_at']!=''){
                $where.= $this->dateFunctions($post['uploaded_at']);;
            }else{
                $tender_type = (isset($post['tender_type']) && $post['tender_type']!="")?$post['tender_type']:"all";
                $where.= $this->dateFunctions($tender_type);
            }
        }

        $wh .= ($where)?' where '.$where:"";


        if(isset($post['notice_type']) && $post['notice_type']!=''){

            $nt= $post['notice_type'];
            $wh.=($nt)?" and ( T.notice_type IN (".$nt.") )":"";
        }

        if((isset($post['est_cost_condition']) && $post['est_cost_condition']!='') && (isset($post['est_cost']) && $post['est_cost']!='')){

            if($post['est_cost_condition']=="greater_equal"){

                $ec=' T.est_cost >= '.$post['est_cost'];
            }

            if($post['est_cost_condition']=="equal"){

                $ec=' T.est_cost = '.$post['est_cost'];
            }

            if($post['est_cost_condition']=="less_equal"){

                $ec=' T.est_cost <= '.$post['est_cost'];
            }

            $wh.=($ec)?" and ".$ec:"";

        }

        if(isset($post['bidding_type']) && $post['bidding_type']!=''){

            $bt=' T.global = '.$post['bidding_type'];
            $wh.=($bt)?" and ".$bt:"";
        }

        if(isset($post['funding_agency']) && $post['funding_agency']!=''){

            if($post['funding_agency']=="All Funding Agency"){

                $fa=' T.mfa="1"';
            }else{
                $fa=' T.mfa="1" and T.financier = "'.$post['funding_agency'].'"';
            }

            $wh.=($fa)?" and (".$fa.")":"";

        }

        if(isset($post['keyword'])){

            if(is_array($post['keyword'])){
                $post['keyword'] = implode(",", $post['keyword']);
            }
            if($post['keyword']!=""){
                $kwrd = str_replace(array('(',')',"?"), "", $post['keyword']);

                $keywords = explode(",", $kwrd);
                /*if($this->userid=="1472371501"){
                    print_r($keywords);
                }*/

                if (is_array($keywords) && !empty($keywords)){

                    foreach ($keywords as $key => $value) :
                        $k1 = explode(" ", trim($value));

                        $sd .= ($key==0)?"":" or ";
                        $sd .= ' T.short_desc REGEXP "[[:<:]]'.trim($value).'[[:>:]]" ';

                        if(count($k1)>1){

                            $sd.=' or (';
                            foreach ($k1 as $key1 => $value1) {

                                $k2 = trim($value1);
                                $sd .= ($key1==0)?"":" and ";
                                $sd .= ' T.short_desc REGEXP "[[:<:]]'.$k2.'[[:>:]]" ';
                            }
                            $sd.=' ) ';
                        }
                    endforeach;
                    //$kw = file_get_contents("http://www.infostores.biz/globaltenders/searchbykeyword.php?keyword=".$keywords);
                    //print_r(explode(',',$kw));
                    $whor.=($sd)?(($whorb)?"":" or ")." ( ".$sd." )":"";
                    $whorb=false;
                    //$wh.=($kw)?" and ( T.posting_id IN (".$kw.") )":"";
                }
            }
        }

        if(isset($post['omit_keyword']) && $post['omit_keyword']!=""){

            $kwrd1 = str_replace(array('(',')'), "", $post['omit_keyword']);
            //echo $kwrd;die;
            $keywords1 = explode(",", $kwrd1);//$post['keyword'];
            //print_r($keywords1);
            if (is_array($keywords1) && !empty($keywords1)){

                foreach ($keywords1 as $key => $value) :
                    $k2 = explode(" ", trim($value));

                    $osd .= ($key==0)?"":" and ";
                    $osd .= ' T.short_desc NOT REGEXP "[[:<:]]'.trim($value).'[[:>:]]" ';

                    if(count($k2)>1){

                        $osd.=' or (';
                        foreach ($k2 as $key1 => $value1) {

                            $k3 = trim($value1);
                            $osd .= ($key1==0)?"":" or ";
                            $osd .= ' T.short_desc NOT REGEXP "[[:<:]]'.$k3.'[[:>:]]" ';
                        }
                        $osd.=' ) ';
                    }
                endforeach;
                $whor.=($osd)?(($whorb)?"":" and ")." ( ".$osd." )":"";
                $whorb=false;
            }
        }

        if ($table=="tenders_free") {

            $tf=' T.tstatus = 1';
            $wh.=($tf)?" and ( ".$tf." )":"";
        }

        if (isset($post['sector'][0]) && $post['sector'][0]=='') {

            unset($post['sector'][0]);
        }

        if (isset($post['region_name'][0]) && $post['region_name'][0]=='') {

            unset($post['region_name'][0]);
        }

        if (isset($post['location'][0]) && $post['location'][0]=='') {

            unset($post['location'][0]);
        }

        if ((isset($post['sector']) && $post['sector']!='') || (isset($post['omit_sector']) && $post['omit_sector']!='')) {

            $wl1=$owl1='';$wl1key=$owl1key=true;
            $sec = isset($post['sector'])?$post['sector']:array();
            $osec = isset($post['omit_sector'])?$post['omit_sector']:array();
            if(is_array($sec) && !empty($sec)){

                foreach ($sec as $key => $value) :

                    $wl1.=(($wl1key)?"":" or ").' ( T.tender_sector like "'.$value.'%" or T.tender_sector like "%,'.$value.'%" ) ';
                    $wl1key = false;
                endforeach;
            }
            if(is_array($osec) && !empty($osec)){

                if(is_array($osec) && !empty($osec)){

                    foreach ($osec as $key => $value) :

                        $owl1.=(($owl1key)?"":" and ").' ( T.tender_sector not like "'.$value.'%" and T.tender_sector not like "%,'.$value.'%" ) ';
                        $owl1key=false;
                    endforeach;
                }

            }
            $wh.=($wl1)?" and ( ".$wl1." )":"";
            $wh.=($owl1)?" and ( ".$owl1." )":"";
        }

        /*if (isset($post['omit_sector']) && $post['omit_sector']!='') {

            $wl1='';$wlo1key=true;
            $sec = $post['omit_sector'];

            if(is_array($sec) && !empty($sec)){

                foreach ($sec as $key => $value) :

                        $wl1.=(($wlo1key)?"":" and ").' ( T.tender_sector not like "'.$value.'%" or T.tender_sector not like "%,'.$value.'%" ) ';
                        $wlo1key=false;
                endforeach;

                $wh.=($wl1)?" and ( ".$wl1." )":"";
            }
        }*/

        if ((isset($post['region_name']) && $post['region_name']!='') || (isset($post['omit_region_name']) && $post['omit_region_name']!='')) {

            $wl2=$owl2='';$wl2key = $owl2key = true;
            $rn = isset($post['region_name'])?$post['region_name']:array();
            $orn = isset($post['omit_region_name'])?$post['omit_region_name']:array();

            if(is_array($rn) && !empty($rn)){

                foreach ($rn as $key => $value) :
                    if(preg_match('/REG/',$value)){

                        $reg = str_replace("REG","",$value);

                        $wl2.=(($wl2key)?"":" or ").' ( T.region like "%'.$reg.'%" or T.region like "%,'.$reg.'%" ) ';
                        $wl2key = false;

                    }

                    if(!preg_match('/REG/',$value)){

                        $wl2.=(($wl2key)?"":" or ").' T.country like "%'.$value.'%" ';
                        $wl2key = false;
                    }

                endforeach;
            }
            if(is_array($orn) && !empty($orn)){

                foreach ($orn as $key => $value) :
                    if(preg_match('/REG/',$value)){

                        $reg = str_replace("REG","",$value);
                        $owl2.= (($owl2key)?"":" and ").' (T.region not like "%'.$reg.'%" and T.region not like "%,'.$reg.'%" ) ';
                        $owl2key = false;

                    }
                    if(!preg_match('/REG/',$value)){

                        $owl2.=(($owl2key)?"":" and ").' T.country not like "%'.$value.'%" ';
                        $owl2key = false;
                    }
                endforeach;
            }
            $wh.=($wl2)?" and ( ".$wl2." )":"";
            $wh.=($owl2)?" and ( ".$owl2." )":"";
        }

        /*if (isset($post['omit_region_name']) && $post['omit_region_name']!='') {

            $wl2='';$wlo2key=true;
            $rn = $post['omit_region_name'];

            if(is_array($rn) && !empty($rn)){

                foreach ($rn as $key => $value) :
                    if(preg_match('/REG/',$value)){

                        $reg = str_replace("REG","",$value);

                            $wl2.= (($wlo2key)?"":" and ").' (T.region not like "%'.$reg.'%" or T.region not like "%,'.$reg.'%" ) ';
                            $wlo2key = false;

                        $regi=1;

                    }

                    if(!preg_match('/REG/',$value)){

                            $wl2.=(($wlo2key)?"":" and ").' T.country not like "%'.$value.'%" ';
                            $wlo2key = false;
                    }

                endforeach;
                $wh.=($wl2)?" and ( ".$wl2." )":"";
            }
        }*/

        if(isset($post['cpv']) && $post['cpv']!=""){

            $wl3='';
            $cpv = explode(",", $post['cpv']);
            if(is_array($cpv) && !empty($cpv)){
                foreach ($cpv as $key => $value) :
                    $val = rtrim($value,'0');
                    if(strlen($value)==7){

                        $val = "0".$val;
                    }

                    if(strlen($value)==8){

                        if(strlen($val)==1){
                            $val = $val."0";
                        }
                    }
                    if($key==0){

                        $wl3.=' T.cpv like "'.$val.'%" or T.cpv like "%,'.$val.'%" ';
                    }else{
                        $wl3.=' or T.cpv like "'.$val.'%" or T.cpv like "%,'.$val.'%" ';
                    }

                endforeach;
                $whor.=($wl3)?(($whorb)?"":" or ")." ( ".$wl3." )":"";
                $whorb=false;
            }
        }

        if(isset($post['location']) && $post['location']!="")
        {
            $wl4='';
            $location = $post['location'];
            foreach ($location as $key => $value) :
                $wl4=' and T.region like "%'.$value.'%" or T.region like "%,'.$value.'%" ';
            endforeach;
            $wh.=($wl4)?" and ( ".$wl4." )":"";
        }

        if(isset($post['posting_id']) && $post['posting_id']!='')
        {
            $query.=' where T.posting_id IN ( '.$post['posting_id'].' ) ';
        }else{
            $query.=$wh.(($whor!="")?" and ( ".$whor." ) ":"");
        }

        $query.=' order by T.posting_id desc ';
        
        if(array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['start'].', '.$params['limit'];
        }

        if(!array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['limit'];
        }

        //echo $query."<br>";
        if($table=="tenders_free")
        {
            $query=$this->db->query($query);
        }else{
            $query=$infodb->query($query);
            $this->session->set_userdata('tender_search_query',$infodb->last_query());
        }

        //echo "<pre>";print_r($query->result_array());die;
        if($count==0){
            //echo $infodb->last_query();
            $result = $query->result_array();
            //echo "<pre>"; print_r($result);echo "</pre>";die;
        }else{
            $result = $query->num_rows();
            //echo "Count = ".$result."<br>";
        }

        //$this->otherFilters($query->result_array(),$other);
        $query->free_result();
        return $result;
    }

    public function advanceTendersSearch($get=array())
    {
        //echo "<pre>";print_r($get);
        if($get){
            //$this->session->unset_userdata("admin_advance_tender_search");
            $this->session->set_userdata("admin_advance_tender_search",$get);
        }
        $where=$cq1=$cq2='';
        $like=0;
        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;
        if($page==0){
            $offset = 0;
            $where1 = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where1 = array('start'=>$offset,'limit'=>$this->perPage);
        }
        $t1=$t2=array(); $c1=$c2='';
        if(isset($get['tender_type']))
        {
            //echo "0<br>";
            if($get['tender_type']=="all" || $get['tender_type']=="")
            {
                //echo "00<br>";
                $c1 = $this->search->getRows($get,$where,array(),'tenders',1);
                $c2 = $this->search->getRows($get,$where,array(),'tenders_archive',1);
                $totalRec=$c1+$c2;
                $t1 = $this->search->getRows($get,$where,$where1,'tenders',0);
                $t2 = $this->search->getRows($get,$where,$where1,'tenders_archive',0);
                $data1['post'] = array_merge($t1,$t2);
            }else{
                //echo "01<br>";
                if($get['tender_type']=="live")
                {
                    //echo "010<br>";
                    $c1 = $this->search->getRows($get,$where,array(),'tenders',1);
                    $totalRec = $c1;
                    $data1['post'] = $this->search->getRows($get,$where,$where1,'tenders',0);
                }else{
                    //echo "011<br>";
                    $c1 = $this->search->getRows($get,$where,array(),'tenders_archive',1);
                    $totalRec = $c1;
                    $data1['post'] = $this->search->getRows($get,$where,$where1,'tenders_archive',0);
                }
            }
        }else{
            //echo "1<br>";
            $c1 = $this->search->getRows($get,$where,array(),'tenders',1);
            $c2 = $this->search->getRows($get,$where,array(),'tenders_archive',1);
            $totalRec=$c1+$c2;
            if(($c1!=0) && ($c2!=0)){
                $where1['limit'] = ($where1['limit']/2);
                if(isset($where1['start'])){
                    $where1['start'] = ($where1['start']/2);
                }
                $t1 = $this->search->getRows($get,$where,$where1,'tenders',0);
                $t2 = $this->search->getRows($get,$where,$where1,'tenders_archive',0);
            }else if(($c1!=0) && ($c2==0)){
                $t1 = $this->search->getRows($get,$where,$where1,'tenders',0);
            }else if(($c1==0) && ($c2!=0)){
                $t2 = $this->search->getRows($get,$where,$where1,'tenders_archive',0);
            }

            $data1['post'] = array_merge($t1,$t2);
        }
        //echo "<pre>";print_r($data1);die;
        $config=array(
                'target' => '#postList',
                'base_url' => base_url('admin/tendersearch') ,
                'total_rows' => $totalRec,
                'per_page' => $this->perPage,
                'full_tag_open' => "<ul class='pagination pagination-sm no-margin pull-right'>",
                'full_tag_close' => "</ul>",
                'first_tag_open' => '<li>',
                'first_tag_close' => '</li>',
                'last_tag_open' => '<li>',
                'last_tag_close' => '</li>',
                'next_tag_open' => '<li>',
                'next_tag_close' => '</li>',
                'prev_tag_open' => '<li>',
                'prev_tag_close' => '</li>',
                'num_tag_open' => '<li>',
                'num_tag_close' => '</li>',
                'cur_tag_open' => "<li class='active'><a>",
                'cur_tag_close' => "</a></li>"
            );
        $this->pagination->initialize($config);
        //$data1['html'] = getTenders($data1["post"],'tenders');
        $data1['links'] = $this->pagination->create_links();
        $data1['h1'] = $this->pagination->totalRecords();
        $data1['h2'] = $this->pagination->noOfRecords();
        //$data1['q'] = base64_encode($c1['query'].(($c2['query'])?"UNION ALL ".$c2['query']:''));
        //echo "<pre>";print_r($data1);die;
        return $data1;
    }
    public function dateFunctions($sid='')
    {
        switch ($sid) {
            case 'today':
                $today = date("Y-m-d");
                return 'T.doc_last = "'.$today.'" ';//array("T.doc_last"=>$today);
                break;
            case 'up_today':
                $today = date("Y-m-d");
                return 'T.date_c = "'.$today.'" ';//array("T.doc_last"=>$today);
                break;
            case 'tomorrow':
                $tomorrow=Date('Y-m-d', strtotime("+1 days"));
                return 'T.doc_last = "'.$tomorrow.'" ';//array("T.doc_last"=>$tomorrow);
                break;
            case 'up_yesterday':
                $tomorrow=Date('Y-m-d', strtotime("-1 days"));
                return 'T.date_c = "'.$tomorrow.'" ';
                break;
            case 'within7days':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("+7 days"));
                return 'T.doc_last >= "'.$today.'" and T.doc_last <= "'.$tomorrow.'" ';//array("T.doc_last >="=>$today,"T.doc_last <="=>$tomorrow);
                break;
            case 'within_last_weak':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("-7 days"));
                return ' T.date_c >= "'.$tomorrow.'" and T.date_c <= "'.$today.'"';//array("T.doc_last >="=>$today,"T.doc_last <="=>$tomorrow);
                break;
            case 'within14days':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("+14 days"));
                return 'T.doc_last >= "'.$today.'" and T.doc_last <= "'.$tomorrow.'" ';//array("T.doc_last >="=>$today,"T.doc_last <="=>$tomorrow);
                break;
            case 'thismonth':
                $timestamp    = strtotime(date("Y-m-d"));
                $first_second = date('Y-m-d', $timestamp);
                $last_second  = date('Y-m-t', $timestamp);
                return 'T.doc_last >= "'.$first_second.'" and T.doc_last <= "'.$last_second.'" ';//array("T.doc_last >="=>$first_second,"T.doc_last <="=>$last_second);
                break;
            case 'within_last_month':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("-30 days"));
                return 'T.date_c >= "'.$tomorrow.'" and T.date_c <= "'.$today.'"';//array("T.doc_last >="=>$first_second,"T.doc_last <="=>$last_second);
                break;
            case 'nextmonth':
                $timestamp    = strtotime(date("Y-m-d")."+1 month");
                $first_second = date('Y-m-01', $timestamp);
                $last_second  = date('Y-m-t', $timestamp);
                return 'T.doc_last >= "'.$first_second.'" and T.doc_last <= "'.$last_second.'" ';//array("T.doc_last >="=>$first_second,"T.doc_last <="=>$last_second);
                break;
            case 'live':
                $today = date("Y-m-d");
                return 'T.doc_last >= "'.$today.'" ';//array("T.doc_last >"=>$today);
                break;
            case 'archive':
                $today = date("Y-m-d");
                return 'T.doc_last <= "'.$today.'" ';//array("T.doc_last <="=>$today);
                break;
            case 'all':
                $today = date("Y-m-d");
                return '( T.doc_last <= "'.$today.'" or T.doc_last > "'.$today.'" )';//array("T.doc_last <="=>$today);
                break;
            default:
                return array();
                break;
        }
    }
}