<div class="content-wrapper">
    <div class="clearfix">&nbsp;</div>
    <section class="content">
        <div class="row">
            <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <?php echo $this->session->flashdata('message'); ?>
            </div>
            <div class="alert alert-warning alert-dismissible" role="alert" <?php if($this->session->flashdata('emessage')==''){ ?> style="display:none" <?php } ?> >
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <?php echo $this->session->flashdata('emessage'); ?>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-heading box-primary">
                        <span class="panel-title">Adcance Tender Search Result</span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("tender_search/downloadExcelQuery"); ?>" class="btn btn-primary" target="_blank" >Query <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("tender_search/downloadExcelEight"); ?>" class="btn btn-primary">Excel 8 <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("tender_search/downloadExcelSeven"); ?>" class="btn btn-primary">Excel 7 <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("tender_search/downloadExcelSix"); ?>" class="btn btn-primary">Excel 6 <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("tender_search/downloadExcelFive"); ?>" class="btn btn-primary">Excel 5 <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("tender_search/downloadExcelFour"); ?>" class="btn btn-primary">Excel 4 <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("tender_search/downloadExcelThree"); ?>" class="btn btn-primary">Excel 3 <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("tender_search/downloadExcelTwo"); ?>" class="btn btn-primary">Excel 2 <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("tender_search/downloadExcelOne"); ?>" class="btn btn-primary">Excel 1 <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                    </div>
                    <div class="panel-body">
                        <table id="example" class="table table-hover table-primary" width="100%" cellspacing="0">
                            <thead align="center">
                                <tr><td colspan="7"><?php echo (isset($h1)?$h1:""); ?></td></tr>
                                <tr><td colspan="7"><?php echo (isset($h2)?$h2:""); ?></td></tr>
                            </thead>
                            <thead>
                                <tr>
                                    <th>posting id</th>
                                    <th>Region</th>
                                    <th>Sector</th>
                                    <th>CPV</th>
                                    <th>Notice Type</th>
                                    <th>Est. value</th>
                                    <th>Doc Last</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php 
                                $country = $this->config->item("countryarray");
                                $notice_type = $this->config->item("notice_type");
                                $sector_industry = $this->config->item("sector_industry");
                                if($post){ foreach ($post as $key => $value) : ?>
                                    <tr>
                                        <td><?php echo $value['posting_id']; ?></td>
                                        <td><?php echo $value['region']; ?></td>
                                        <td><?php 
                                            $ts=array();
                                            $exp = explode(",", $value['tender_sector']);
                                            foreach ($exp as $key1 => $value1) {
                                                if($value1!="")
                                                {
                                                    if(array_key_exists($value1, $sector_industry))
                                                    {
                                                        array_push($ts, $sector_industry[$value1]);
                                                    }
                                                }
                                            }
                                            echo implode(",", $ts);
                                         ?></td>
                                        <td><?php echo $value['cpv']; ?></td>
                                        <td><?php echo (array_key_exists($value["notice_type"], $notice_type)?$notice_type[$value["notice_type"]]:"notice type name"); ?></td>
                                        <td><?php echo $value['est_cost']; ?></td>
                                        <td><?php echo $value['doc_last']; ?></td>
                                    </tr>
                                <?php endforeach; } ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="panel-footer clearfix">
                        <div class="col-md-2">
                                <select name="tender_length" id="tender_admin_length" class="pull-left form-control">
                                    <option value="10" <?php echo ($this->perPage==10)?'selected':""; ?>>10</option>
                                    <option value="20" <?php echo ($this->perPage==20)?'selected':""; ?>>20</option>
                                    <option value="50" <?php echo ($this->perPage==50)?'selected':""; ?>>50</option>
                                    <option value="100" <?php echo ($this->perPage==100)?'selected':""; ?>>100</option>
                                </select>
                            </div>
                            <div class="col-md-10">
                                <div class="text-center" id="links"><?php echo (isset($links))?$links:""; ?></div>
                            </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>