<?php $admin_type = $this->session->userdata('admin_type'); ?>
<div class="content-wrapper">
    <div class="clearfix">&nbsp;</div>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="panel panel-primary">
                    <?php if($admin_type=="parent"){ ?>
                    <div class="panel-heading box-primary">
                        <span class="panel-title">Users Registration List</span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("admin/saveUsersAsExcel"); ?>" class="btn btn-primary">CSV <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("admin/saveUsersAsPDF"); ?>" class="btn btn-primary">PDF <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("admin/saveUsersAsText"); ?>" class="btn btn-primary">TXT <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("user_search/downloadExcelQuery"); ?>" class="btn btn-primary" target="_blank" >Query <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                    </div>
                    <?php } ?>
                    <div class="panel-body">

                        <table id="" class="table table-hover" width="100%" cellspacing="0">
                            <thead align="center">
                                <tr class="bg-primary"><td colspan="6"><?php echo (isset($h1)?$h1:""); ?></td><td colspan="4">&nbsp;</td></tr>
                                <tr class="bg-primary">
                                    <td colspan="6"><?php echo (isset($h2)?$h2:""); ?></td>
                                    <td colspan="4">
                                        <button type="button" id="popupMessage" class="btn btn-warning btn-sm" title="Popup Message on dashboard"><i class="fa fa-paper-plane"></i> Send Message</button>
                                        <button type="button" id="scheduleMail" class="btn btn-warning btn-sm" title="Schedule Mail"><i class="fa fa-clock-o"></i> Schedule Mail</button>
                                        <button type="button" id="multiple_email_alert_setting_popup" class="btn btn-warning btn-sm" title="Email Alert"><i class="fa fa-plus"></i> Email Alert</button>
                                    </td>
                                </tr>
                            </thead>
                            <thead>
                                <tr class="bg-warning">
                                    <th><input type="checkbox" id="check-all" name="" /></th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Company</th>
                                    <th>Country</th>
                                    <th>Ac/Inac</th>
                                    <th>Reg. Date</th>
                                    <th>Alt. St. Date</th>
                                    <th>Alt. End Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if($post){ foreach ($post as $key => $value) : ?>
                                    <tr id="<?php echo "user_".$value['userid']; ?>" style="<?php echo ($value['email_alert']==0)?'background-color: #ffcccc':'background-color: #c9ffb3'; ?>">
                                        <td><input type="checkbox" name="userid_record" value="<?php echo $value['userid']; ?>" class="check-user" data-id="<?php echo $value['userid']; ?>" /></td>
                                        <td class="userid" data-id="<?php echo $value['userid']; ?>" data-name="<?php echo $value['title']." ".$value['first_name']." ".$value['last_name']; ?>" data-frq="<?php echo $value['frequency']; ?>" data-frqlt="<?php echo $value['frequency_limit']; ?>">
                                            <?php echo $value['title']." ".$value['first_name']." ".$value['last_name']." (".$value['client_status'].")"; ?><br>
                                            <!--span class="action" style="display: none;">
                                                <a href="<?php echo base_url("admin/user-profile/".$value['userid']); ?>" class="btn btn-link" target="_blank" title="View Users Profile."> View</a>
                                                <a href="<?php echo base_url("admin/edit-user-profile/".$value['userid']); ?>" class="btn btn-link" target="_blank" title="Edit Users Profile"> Edit</a>
                                                <a href="javascript:void(0)" class="btn btn-link send_sample" data-id="<?php echo $value['userid'] ?>" data-frq="<?php echo $value['frequency'] ?>" data-frqlt="<?php echo $value['frequency_limit'] ?>">Email Alert</a>
                                            </span-->
                                        </td>
                                        <td><?php echo $value['email']; ?></td>
                                        <td><?php echo $value['organization']; ?></td>
                                        <td><?php echo $value['country']; ?></td>
                                        <td><input type="checkbox" name="email_alert" data-userid="<?php echo $value['userid']; ?>" class="email_alert" value="<?php echo $value['email_alert']; ?>" <?php echo ($value['email_alert']==1)?"checked":""; ?> /></td>
                                        <td><?php echo ($value['reg_date']!="0000-00-00 00:00:00")?date("d-m-Y",strtotime($value['reg_date'])):""; ?></td>
                                        <td class="<?php echo "alert_start_".$value['userid']; ?>"><?php echo ($value['alert_start']!="0000-00-00 00:00:00")?date("Y-m-d",strtotime($value['alert_start'])):""; ?></td>
                                        <td class="<?php echo "alert_end_".$value['userid']; ?>"><?php echo ($value['alert_end']!="0000-00-00 00:00:00")?date("Y-m-d",strtotime($value['alert_end'])):""; ?></td>
                                        <td>
                                            <button type="button" name="" data-userid="<?php echo $value['userid']; ?>" class="editAlert"><i class="fa fa-pencil"></i></button>
                                        </td>
                                    </tr>
                                <?php endforeach; } ?>
                            </tbody>
                        </table>
                    </div><!-- /.panel-body -->
                    <div class="panel-footer clearfix">
                        <div class="row">
                            <div class="col-md-2">
                                <select name="tender_length" id="tender_admin_length" class="pull-left form-control">
                                    <option value="10" <?php echo ($this->perPage==10)?'selected':""; ?>>10</option>
                                    <option value="20" <?php echo ($this->perPage==20)?'selected':""; ?>>20</option>
                                    <option value="50" <?php echo ($this->perPage==50)?'selected':""; ?>>50</option>
                                    <option value="100" <?php echo ($this->perPage==100)?'selected':""; ?>>100</option>
                                    <option value="1000" <?php echo ($this->perPage==1000)?'selected':""; ?>>1000</option>
                                    <option value="2000" <?php echo ($this->perPage==2000)?'selected':""; ?>>2000</option>
                                </select>
                            </div>
                            <div class="col-md-10">
                                <div class="text-center" id="links"><?php echo (isset($links))?$links:""; ?></div>
                            </div>
                        </div>
                    </div>
                </div><!-- /.panel -->
            </div>
        </div>
    </section>
</div><!-- ./wrapper -->

<script src="<?php echo base_url("assets/admin/plugins/ckeditor/ckeditor.js"); ?>"></script>
<script src="<?php echo base_url("assets/admin/plugins/ckeditor/adapters/jquery.js"); ?>"></script>
<form id="allocateAdminToUserForm" method="post" action="<?php base_url('partner_search/allocateAdminToPartners'); ?>" enctype="multipart/form-data">
    <input type="hidden" name="userid" id="userid" value="">
    <input type="hidden" name="admin_name" id="admin_name" value="">
</form>
<?php echo popupHtml("popup_message_popup","Send Message","sendMessageForm",array("id"=>"sendMessageForm")); ?>
<?php echo popupHtml("addUserNotes","Write Note","",'','modal-lg'); ?>
<?php echo popupHtml("editAlertDate","Set Alerts Date","editAlertDateForm"); ?>
<?php echo popupHtml("schedule_mail_popup","Schedule Email","scheduleMailForm",array("id"=>"scheduleMailForm")); ?>
<?php echo popupHtml("preview_schedule_mail_popup","Schedule Email Preview & Edit",""); ?>
<?php echo popupHtml("sendSampleModal","Email Alerts Setting","sendSampleModalContent"); ?>
<?php echo popupHtml("allSendEmailSemples","Send Email","allSendEmailSemplesBody"); ?>
<?php echo popupHtml("tenderLimitPopup","Set Tender Limit",""); ?>
<!--div class="modal fade" id="editAlertDate" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form method="post" action="<?php echo base_url("admin/editAlertDates"); ?>" id="editAlertDateForm">
                <input type="hidden" name="userid" id="subscriptionuserid" value="" />
                <div class="modal-header" style="background-color: #357CA5;">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" style="color: white;">Set Alerts Date</h4>
                </div>
                <div class="modal-body">
                </div>
                <div class="modal-footer" style="background-color: #357CA5;">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal modal-primary fade" id="sendSampleModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form id="setMailSettings">
                <input type="hidden" id="sendSampleuserid" value="" />
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <div class="row">
                        <div class="col-md-5">
                            <h4 class="modal-title" style="color: white;">Email Alerts Settings</h4>
                        </div>
                        <div class="col-md-5">
                            <h4 class="user_name" style="color: white;"></h4>
                        </div>
                    </div>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-4">
                            <a href="javascript:void(0)" id="sendEmailSamples" class="btn btn-primary ssEmailSamples" data-id="">Send Samples</a>
                        </div>
                        <div class="col-md-4">
                            <a href="javascript:void(0)" id="sentEmailSamples" class="btn btn-primary ssEmailSamples" data-id="">Sent Mail</a>
                        </div>
                        <div class="col-md-4">
                            <a href="javascript:void(0)" id="sendQuickEmail" class="btn btn-primary ssEmailSamples" data-id="">Send Quick Email</a>
                        </div>
                    </div>
                </div>

                <div class="modal-header">
                    <h4 class="modal-title" style="color: white;">Email Frequency Settings</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="group-control">
                                <label class="col-md-4">Send Mail Frequency</label>
                                <div class="col-md-8">
                                    <select class="form-control" name="frequency" id="frequency">
                                        <option value="">Select Frequency</option>
                                        <?php $frequency = $this->config->item("frequency");
                                         if($frequency){ foreach($frequency as $value) : ?>
                                            <option value="<?php echo $value; ?>"><?php echo ucwords($value); ?></option>
                                        <?php endforeach; } ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="clearfix">&nbsp;</div>
                        <div class="col-md-12">
                            <div class="group-control">
                                <label class="col-md-4">E-mail Frequency Limit</label>
                                <div class="col-md-8">
                                    <input type="checkbox" name="frequency_limit" id="frequency_limit">  Check for All (Default 10)
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix">&nbsp;</div>
                    <div class="row">
                        <div class="col-md-6">
                            <button type="button" class="btn btn-default col-md-12" data-dismiss="modal">Close</button>
                        </div>
                        <div class="col-md-6">
                            <button type="submit" class="btn btn-primary col-md-12">Save</button>
                        </div>
                    </div>
                </div>
            </form>

            <div class="modal-header">
                <h4 class="modal-title" style="color: white;">Send Template Emails</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="group-control">
                            <label class="col-md-4">Select Mail Template</label>
                            <div class="col-md-8">
                                <select class="form-control" name="predefine_templates" id="predefine_templates">
                                    <option value="">Select Template</option>
                                    <option value="template1">Subscription USD</option>
                                    <option value="template2">Subscription INR</option>
                                    <option value="template3">RM - alert</option>
                                    <option value="template4">RM - no alert</option>
                                    <option value="template5">Follow up 1</option>
                                    <option value="template6">Follow up 2</option>
                                    <option value="template7">Follow up 3</option>
                                    <option value="template8">Follow up 4</option>
                                    <option value="template9">Services</option>
                                    <option value="template10">Analytics</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="clearfix">&nbsp;</div>
                    <div class="row">
                        <div class="col-md-6">
                            <button type="button" class="btn btn-default col-md-12 predefine_templates_send_preview" data-edit="0" >Send</button>
                        </div>
                        <div class="col-md-6">
                            <button type="button" class="btn btn-primary col-md-12 predefine_templates_send_preview" data-edit="1" >Preview & Edit</button>
                        </div>
                    </div>
            </div>
        </div>
    </div>
</div>

<div class="modal modal-primary fade bs-example-modal-lg" id="allSendEmailSemples" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="mail_title" style="color: white;"></h4>
                <input type="hidden" name="sample_userid" value="" />
            </div>
            <div class="modal-body">
                <div id="loader" class="text-center" style="display: none; border: 1;">
                    <img src="http://www.globaltenders.com/tenders/gt-images/globe-earth-animation-15-2.gif" alt="loading" style="height: 150px;">
                </div>
            </div>
            <div class="modal-body" id="allSendEmailSemplesBody">
            </div>
        </div>
    </div>
</div-->


<script type="text/javascript">
    $('.userid').hover(function() { 
        $(this).find(".action").show(); 
    }, function() { 
        $(this).find(".action").hide(); 
    });
</script>
<script type="text/javascript">
    var site_url = '<?php echo base_url(); ?>';
    /*$(".email_alert").on("click",function(){
        var userid = $(this).attr("data-userid");
        $.ajax({
            type: "post",
            url: site_url+"email_alerts/activeEmailAlerts",
            data: 'userid='+userid,
            success: function(result){
                if(result.email_alert==1){
                    $(".alert_start_"+userid).html(result.alert_start);
                    $(".alert_end_"+userid).html(result.alert_end);
                }
            }
        })
    });*/

    $(".editAlert").on("click",function(){
        var userid = $(this).attr("data-userid");
        $.ajax({
            url : site_url+"email_alerts/editAlertDatesPopup",
            type : "POST",
            data : "userid="+userid,
            success:function(result){
                $("#editAlertDate .modal-body").html(result.html);
                $("#editAlertDate").modal("show");
                $('.datetimepicker').datetimepicker();
            }
        });
    });

    $("#editAlertDateForm").on("submit",function(e){
        e.preventDefault();
        var alert_start_popup = $("#alert_start_popup").val();
        var alert_end_popup = $("#alert_end_popup").val();
        var userid = $("#userid_popup").val();
        $.ajax({
            url : site_url+"email_alerts/editAlertDates",
            type : "POST",
            data : "alert_start="+alert_start_popup+"&alert_end="+alert_end_popup+"&userid="+userid,
            success:function(result){
                $("#editAlertDate").modal("hide");
                $(".alert_start_"+result.userid).html(result.alert_start);
                $(".alert_end_"+result.userid).html(result.alert_end);
                $("input[data-userid='"+result.userid+"']").prop("checked",true);
            }
        });
    });

    $(".selectAdmin").on("change",function(){
        var site_url = '<?php echo base_url(); ?>';
        var userid = $(this).find(':selected').attr("data-userid");
        var adminid = $(this).find(':selected').attr("data-adminid");
        var value='';
        if(adminid!="")
        {
            value = 1;
        }else{
            value = 0;
        }
        //alert(userid+" "+adminid);
        $.ajax({
            type: "post",
            url: site_url+"email_alerts/allotUsers",
            data: 'userid='+userid+'&adminid='+adminid+'&value='+value,
            success: function(result){
                //$(".name_"+userid).html(result.name);
            }
        });
    });

    $(function(){
        $.contextMenu({
            selector: '.userid', 
            trigger: 'hover',
            delay: 500,
            autoHide: true,
            build: function($triggerElement, e){
                var id = $triggerElement.attr("data-id");
                var name = $triggerElement.attr("data-name");
                var frq = $triggerElement.attr("data-frq");
                var frqlt = $triggerElement.attr("data-frqlt");
                return {
                    callback: function(){},
                    items: {
                        "view_tenders": {name: '<a href="'+site_url+'admin/viewed-tenders/'+id+'" class="btn btn-link" target="_blank" title="View tenders list which are user visited."> View Tenders</a>',icon:'fa-list',isHtmlName: true},
                        "view": {name: '<a href="'+site_url+'admin/user-profile/'+id+'" class="btn btn-link" target="_blank" title="View Users Profile."> View</a>',icon:'fa-eye',isHtmlName: true},
                        "edit": {name: '<a href="'+site_url+'admin/edit-user-profile/'+id+'" class="btn btn-link" target="_blank" title="Edit Users Profile"> Edit</a>',icon:'fa-pencil',isHtmlName: true},
                        "sample": {name: '<a href="javascript:void(0)" class="btn btn-link send_sample" data-id="'+id+'" data-name="'+name+'" data-frq="'+frq+'" data-frqlt="'+frqlt+'">Email Alert</a>',icon:'fa-envelope-o',isHtmlName: true},
                        "limit": {name: '<a href="javascript:void(0)" class="btn btn-link limit_tender" data-id="'+id+'">Limit</a>',icon:'fa-battery-quarter',isHtmlName: true},
                        //"Notes": {name: '<a href="javascript:void(0)" class="btn btn-link addUserNotes" data-id="'+id+'">Notes</a>',icon:'fa-sticky-note-o',isHtmlName: true},
                        "Notes": {name: '<a href="'+site_url+'admin/user-notes/'+id+'" target="_blank" class="btn btn-link" data-id="'+id+'">Notes</a>',icon:'fa-sticky-note-o',isHtmlName: true},//addUserNotes
                    }
                };
            }
        });
    });
</script>