<?php $admin_type = $this->session->userdata('admin_type'); ?>
<div class="content-wrapper">
    <div class="clearfix">&nbsp;</div>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-heading box-primary">
                        <span class="panel-title">Users Viewed Tenders</span>
                        <?php if($admin_type && $admin_type=="parent"){ ?>
                        <span class="pull-right">
                            <a href="<?php echo base_url("admin/view-tender-search/".$userid); ?>" class="btn btn-primary"><i class="fa fa-file-pdf-o"></i> Advance Search </a>
                        </span>
                        <?php } ?>
                        <span class="pull-right">
                            <a href="javascript:void(0)" class="btn btn-primary download_excel3" data-userid="<?php echo $userid; ?>"><i class="fa fa-file-pdf-o"></i> Excel 3 Advance </a>
                            <?php //echo base_url("admin/view-tender-excel3/".$userid); ?>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("admin/view-tender-excel3?userid=".$userid."&maj_org_default=on"); ?>" class="btn btn-primary" data-userid="<?php echo $userid; ?>"><i class="fa fa-file-pdf-o"></i> Excel 3 </a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("admin/view-tender-excel2"); ?>" class="btn btn-primary"><i class="fa fa-file-pdf-o"></i> Excel 2 </a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("admin/view-tender-excel1"); ?>" class="btn btn-primary"><i class="fa fa-file-pdf-o"></i> Excel 1 </a>
                        </span>
                    </div>
                    <div class="panel-body">
                        <table id="example5" class="display nowrap" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>User ID</th>
                                    <th>Ref. No.</th>
                                    <th>Date</th>
                                    <th>Sector</th>
                                    <th>Country</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if(!empty($tender)){ foreach ($tender as $key => $value): ?>
                                <tr>
                                    <td><?php echo $value['userid']; ?></td>
                                    <td><?php echo anchor(base_url("full-detail/".$value['posting_id']), $value['posting_id'], array("target"=>"_blank")); ; ?></td>
                                    <td><?php echo $value['seen_date']; ?></td>
                                    <td><?php echo word_wrap(str_replace(",", ", ", $value['sector']),20); ?></td>
                                    <td><?php echo $value['country']; ?></td>
                                </tr>
                                <?php endforeach; } ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- /.panel-body -->
                </div>
                <!-- /.panel -->
            </div>
        </div>
    </section>
</div>

<?php echo popupHtml("download_excel3_search","Excel 3 Search","excel3SearchPopup"); ?>
<!-- ./wrapper -->
<script type="text/javascript">
    $(".download_excel3").on("click",function(){
        $("#download_excel3_search").find("#userid").val($(this).attr("data-userid"));
        $("#download_excel3_search").find("#date_c_start").val('');
        $("#download_excel3_search").find("#date_c_end").val('');
        $("#download_excel3_search").modal("show");
    });
</script>

<!--div class="content-wrapper">
    <div class="clearfix">&nbsp;</div>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-body">

                        <table id="" class="table table-hover" width="100%" cellspacing="0">
                            <thead align="center">
                                <tr class="bg-primary"><td colspan="6"><?php echo (isset($h1)?$h1:""); ?></td><td colspan="4">&nbsp;</td></tr>
                                <tr class="bg-primary">
                                    <td colspan="6"><?php echo (isset($h2)?$h2:""); ?></td>
                                    <td colspan="4"></td>
                                </tr>
                            </thead>
                            <thead>
                                <tr class="bg-warning">
                                    <th><input type="checkbox" id="check-all" name="" /></th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Country</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if($post){ foreach ($post as $key => $value) : ?>
                                    <tr id="<?php echo "user_".$value['userid']; ?>" style="">
                                        <td><input type="checkbox" name="userid_record" value="<?php echo $value['userid']; ?>" class="check-user" data-id="<?php echo $value['userid']; ?>" /></td>
                                        <td class="userid" data-id="<?php echo $value['userid']; ?>" data-name="<?php echo $value['title']." ".$value['first_name']." ".$value['last_name']; ?>">
                                            <?php echo $value['title']." ".$value['first_name']." ".$value['last_name']; ?><br>
                                        </td>
                                        <td><?php echo $value['email']; ?></td>
                                        <td><?php echo $value['country']; ?></td>
                                    </tr>
                                <?php endforeach; } ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="panel-footer clearfix">
                        <div class="row">
                            <div class="col-md-2">
                                <select name="tender_length" id="tender_admin_length" class="pull-left form-control">
                                    <option value="10" <?php echo ($this->perPage==10)?'selected':""; ?>>10</option>
                                    <option value="20" <?php echo ($this->perPage==20)?'selected':""; ?>>20</option>
                                    <option value="50" <?php echo ($this->perPage==50)?'selected':""; ?>>50</option>
                                    <option value="100" <?php echo ($this->perPage==100)?'selected':""; ?>>100</option>
                                </select>
                            </div>
                            <div class="col-md-10">
                                <div class="text-center" id="links"><?php echo (isset($links))?$links:""; ?></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

<script src="<?php //echo base_url("assets/admin/plugins/ckeditor/ckeditor.js"); ?>"></script>
<script src="<?php //echo base_url("assets/admin/plugins/ckeditor/adapters/jquery.js"); ?>"></script-->