<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php echo $title; ?></title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.5 -->
    <link rel="stylesheet" href="<?php echo base_url("assets/admin/bootstrap/css/bootstrap.min.css"); ?>">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/AdminLTE.min.css"); ?>">
    <!-- iCheck -->
    <link rel="stylesheet" href="<?php echo base_url("assets/admin/plugins/iCheck/square/blue.css"); ?>">
    <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/skins/_all-skins.min.css"); ?>">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.11/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.2.2/css/buttons.dataTables.min.css">
    <link rel="stylesheet" type="text/css" href="<?php echo base_url("css/select2.min.css"); ?>" />
    <!-- <link rel="stylesheet" type="text/css" href="<?php //echo base_url("formvalidation/css/formValidation.css"); ?>" /> -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/css/bootstrap-datetimepicker.css" rel="stylesheet">
    <link href="https://swisnl.github.io/jQuery-contextMenu/dist/jquery.contextMenu.css" rel="stylesheet" type="text/css" />
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <!-- jQuery 2.1.4 -->
    <script src="<?php echo base_url("assets/admin/plugins/jQuery/jQuery-2.1.4.min.js"); ?>"></script>
    <!-- Bootstrap 3.3.5 -->
    <script src="<?php echo base_url("assets/admin/bootstrap/js/bootstrap.min.js"); ?>"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/js/bootstrap-datetimepicker.min.js"></script>
    <script src="<?php echo base_url("formvalidation/js/formValidation.min.js"); ?>"></script>
    <script src="<?php echo base_url("formvalidation/js/framework/bootstrap.min.js"); ?>"></script>
    <script src="https://swisnl.github.io/jQuery-contextMenu/dist/jquery.contextMenu.js" type="text/javascript"></script>
    
<style type="text/css">
    .c_menu{
        position: absolute;
        width: 200px;
        padding: 2px;
        margin: 0;
        display: none;
        border: 1px solid #bbb;
        background: #eee;
        background: -webkit-linear-gradient(to bottom, #fff 0%, #e5e5e5 100px, #e5e5e5 100%);
        background: linear-gradient(to bottom, #fff 0%, #e5e5e5 100px, #e5e5e5 100%);
        z-index: 999999;
        border-radius: 3px;
        box-shadow: 1px 1px 4px rgba(0,0,0,.2);
        -webkit-transform: translate(0, 15px) scale(.95);
        transform: translate(0, 15px) scale(.95);
        transition: transform 0.1s ease-out, opacity 0.1s ease-out;
    }
    .c_menu ul{
        list-style: none;
        padding: 0;
        margin:0;
    }
    .c_menu ul a{
        text-decoration: none;
    }
    .c_menu ul li{
        width: 100%;
        height: 30px;
        padding: 3%;
        background-color: #ECF0F5;
        color: #000;
    }
    .c_menu ul li:hover{
        color: #fff;
        outline: none;
        background-color: #2E3940;
        background: -webkit-linear-gradient(to bottom, #5D6D79, #2E3940);
        background: linear-gradient(to bottom, #5D6D79, #2E3940);
        border: 1px solid #2E3940;
    }

    .c_menu li ul { 
        display: none;
        top: 175px;
     }

    .c_menu ul li a {
      display: block;
      text-decoration: none;
      white-space: nowrap;
      color: #fff;
    }
    .c_menu ul li a:hover { background: #a0e4fd; }

    .c_menu li:hover > ul {
        margin-left: 93%;
        width: 100%;
        height: 30px;
        padding: 3%;
        display: block;
        position: absolute;
    }
    .c_menu li:hover li { float: none; }
    .c_menu li:hover a { background: #1bc2a2; }
    .c_menu li:hover li a:hover { background: #a0e4fd; }
    .c_menu .main-navigation li ul li { border-top: 0; }

    ul ul ul {
        left: 100%;
        top: auto;
    }

    ul:before,
    ul:after {
        content: " "; /* 1 */
        display: table; /* 2 */
    }

    ul:after { clear: both; }


    .small-box h3{font-size:20px; color:#fff; margin: 0 0 5px 0;}
    .small-box p{font-size:14px; color:#000;}
    .direct-chat-messages, .direct-chat-contacts{height:272px;}
    .users-reg-list li{line-height:30px; padding:5px 10px;}
    .chat_sidebar-widget{position: fixed; top: 50px;}

    @media only screen and (max-width : 540px)
            {
                .chat-sidebar
                {
                    display: none !important;
                }
               
                .chat-popup
                {
                    display: none !important;
                }
            }
           
            body
            {
                background-color: #e9eaed;
            }
           
            .chat-sidebar
            {
                width: 200px;
                position: fixed;
                height: 100%;
                right: 0px;
                top: 0px;
                padding-top: 10px;
                padding-bottom: 10px;
                border: 1px solid rgba(29, 49, 91, .3);
            }
           
            .sidebar-name
            {
                padding-left: 10px;
                padding-right: 10px;
                margin-bottom: 4px;
                font-size: 12px;
            }
           
            .sidebar-name span
            {
                padding-left: 5px;
            }
           
            .sidebar-name a
            {
                display: block;
                height: 100%;
                text-decoration: none;
                color: inherit;
            }
           
            .sidebar-name:hover
            {
                background-color:#e1e2e5;
            }
           
            .sidebar-name img
            {
                width: 32px;
                height: 32px;
                vertical-align:middle;
            }
           
            .popup-box
            {
                display: none;
                position: fixed;
                bottom: 0px;
                right: 220px;
                height: 285px;
                background-color: rgb(237, 239, 244);
                width: 300px;
                border: 1px solid rgba(29, 49, 91, .3);
            }
           
            .popup-box .popup-head
            {
                background-color: #F39C12;
                padding: 5px;
                color: white;
                font-weight: bold;
                font-size: 14px;
                clear: both;
            }
           
            .popup-box .popup-head .popup-head-left
            {
                float: left;
            }
           
            .popup-box .popup-head .popup-head-right
            {
                float: right;
                opacity: 0.5;
            }
           
            .popup-box .popup-head .popup-head-right a
            {
                text-decoration: none;
                color: inherit;
            }
           
            .popup-box .popup-messages
            {
                height: 100%;
                overflow-y: scroll;
            }
           
            .popup-box .popup-messages .message
            {
                position: fixed;
                bottom: 5px;
                width: 283px;
            }
</style>
  </head>