<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Tracker extends MY_Controller {

	public function __construct()
	{
		parent::__construct();
        $this->load->helper('directory');
        $this->load->helper('file');
	}

    /*
    *   function used to track the online users landing on website.
    */
    public function tonuApi()
    {
    	if(!is_dir('assets/users/lu/0/'.DATE)) {
    		mkdir('assets/users/lu/0/'.DATE, 0777, true);
    	}
    	//print_r($this->userinfo);
    	$_GET['track'][DATE][0] = array("origin"=>$_GET['origin'],"pathname"=>$_GET['pathname'],"IP"=>IPA,"time"=>NOW);
    	if (isset($_GET['search']) && $_GET['search']!="") {
    		$_GET['track'][DATE][0]['search'] = $_GET['search'];
    	}
    	if(isset($this->userinfo[0]) && $this->userinfo[0]) {
    		$_GET['country'] = $this->userinfo[0]['country'];
            $_GET['email'] = $this->userinfo[0]['email'];
        }
    	$_GET['created_at'] = NOW;
    	unset($_GET['origin'],$_GET['pathname']);
        if($_GET['name'] == "") {
            $_GET['name'] = $this->userinfo[0]['first_name']." ".$this->userinfo[0]['last_name'];
        }
        $response = json_encode($_GET);
        if(isset($_GET['id']) && $_GET['id']!="") {
            if($this->userinfo[0]) {
                if($this->userinfo[0]['userid'] == $_GET['id']) {
                    //$fp = fopen(base_url('assets/users/lu/0/results.json'), 'w');
                    $file = 'assets/users/lu/0/'.DATE.'/'.$_GET['id'].'.json';
                    if(is_file($file)) {
                        unset($_GET['created_at']);
                    	$string = read_file($file);

                    	$array = json_decode($string,true);
                        if($array['name'] == "" || $array['name'] == " ") {
                            $array['name'] = $this->userinfo[0]['first_name']." ".$this->userinfo[0]['last_name'];
                        }
                        if($array['country'] == "") {
                            $array['country'] = $this->userinfo[0]['country'];
                        }
                        $length = count($array['track'][DATE]);
                        if($array['track'][DATE][$length-1]['time'] != $_GET['track'][DATE][0]['time']) {
                            array_push($array['track'][DATE], $_GET['track'][DATE][0]);
                            $response = json_encode($array);
                        }else{
                            $response = array();
                        }
                    	//print_r($response);die;
                    }
                    // print_r($response);
                    if($response) {
                        if ( ! write_file(FCPATH .$file, $response))
                        {
                            echo 0;
                        }
                        else
                        {
                            echo 1;
                        }
                    }
                }
            }
        }die;
        // else{
        //     $fp = fopen(base_url('assets/users/nlu/0/results.json'), 'w');
        // }
    }

    public function luSaveEvents()
    {
        if (isset($_POST['userid']) && $_POST['userid']=="1472371501") {
            $file = 'assets/users/lu/0/'.DATE.'/'.$_POST['userid'].'.json';
            if(is_file($file)) {
                $string = read_file($file);
                $array = json_decode($string,true);
                $page = $array['track'][DATE][count($array['track'][DATE])-1];
                $rec = array('record' => $_POST['recording'], 'click' => $_POST['data']);
                if(! isset($page['events'])) {
                    //print_r(json_encode($rec));
                    $array['track'][DATE][count($array['track'][DATE])-1]['events'][] = $rec;
                    $response = json_encode($array);
                }else{
                    $events = $array['track'][DATE][count($array['track'][DATE])-1]['events'];
                    array_push($events, $rec);
                    $array['track'][DATE][count($array['track'][DATE])-1]['events'][] = $events;
                    $response = json_encode($array);
                }

                /*if($response) {
                    if ( ! write_file(FCPATH .$file, $response))
                    {
                        echo 0;
                    }
                    else
                    {
                        echo 1;
                    }
                }*/
            }
        }
    }

    /*
    *   function used to track the offline users landing on website.
    *   
    */
    public function toffuApi()
    {
        if(!is_dir('assets/users/nlu/0/'.DATE)) {
            mkdir('assets/users/nlu/0/'.DATE, 0777, true);
        }
        $_GET['track'][DATE][0] = array("origin"=>$_GET['origin'],"pathname"=>$_GET['pathname'],"IP"=>IPA,"time"=>NOW);
        if (isset($_GET['search']) && $_GET['search']!="") {
            $_GET['track'][DATE][0]['search'] = $_GET['search'];
        }
        $_GET['created_at'] = NOW;
        $response = json_encode($_GET);
        if(isset($_GET['id']) && $_GET['id']=="") {
            $file = 'assets/users/nlu/0/'.DATE.'/'.IPA.'.json';
            if(is_file($file)) {
                unset($_GET['created_at']);
                $string = read_file($file);

                $array = json_decode($string,true);
                $length = count($array['track'][DATE]);
                if($array['track'][DATE][$length-1]['time'] != $_GET['track'][DATE][0]['time']) {
                    array_push($array['track'][DATE], $_GET['track'][DATE][0]);
                    $response = json_encode($array);
                }else{
                    $response = array();
                }
                //print_r($response);die;
            }
            if($response) {
                if ( ! write_file(FCPATH .$file, $response))
                {
                    echo 0;
                }
                else
                {
                    echo 1;
                }
            }
        }
    }

    public function nluSaveEvents()
    {
        echo base_url(uri_string());
        if (isset($_POST['userid']) && $_POST['userid']=="" && IPA=="27.57.185.93") {
            $file = 'assets/users/nlu/0/'.DATE.'/'.IPA.'.json';
            if(is_file($file)) {
                $string = read_file($file);
                $array = json_decode($string,true);
                $page = $array['track'][DATE][count($array['track'][DATE])-1];
                $rec = array('record' => $_POST['recording'],"time" => $_POST['t']);
                $event = array('click' => $_POST['data']);
                if(! isset($page['events'])) {
                    $a = array();
                    array_push($a, $rec);
                    array_push($a, $event);
                    print_r($a);
                    $array['track'][DATE][count($array['track'][DATE])-1]['events'] = $a;
                    $response = json_encode($array);
                    print_r($response);
                }else{
                    $events = $array['track'][DATE][count($array['track'][DATE])-1]['events'];
                    array_push($events, $rec);
                    array_push($events, $event);
                    //array_push($events, $a);
                    $array['track'][DATE][count($array['track'][DATE])-1]['events'] = $events;
                    $response = json_encode($array);
                }

                if($response) {
                    if ( ! write_file(FCPATH .$file, $response))
                    {
                        echo 0;
                    }
                    else
                    {
                        echo 1;
                    }
                }
            }
        }
    }
    /*
    *   Track the mail on open.
    *   Function Checks if the mail is opend from ex. gmail,yahoo etc.. will track the user.
    */
    public function tomFun($value='')
    {
        if($this->common->getsData($_GET['t'],array("userid"=>$_GET['id']))) {
            $this->common->updateData($_GET['t'],array("isOpened"=>1,"openedDate"=>NOW),array("userid"=>$_GET['id']));
        }
        return base_url("gt-images/transparent.png");
    }

}

/* End of file tracker.php */
/* Location: .//C/Users/ABC/AppData/Local/Temp/fz3temp-2/tracker.php */