<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

if (!function_exists('template1'))
{
    function template1($userdata)
    {
        $CI = & get_instance();
        $data['user']=$userdata;
        $html=$CI->load->view("email-templates/automatic-24-hours-Except-India",$data,true);
        return $html;
    }
}

if (!function_exists('template2'))
{
    function template2($userdata)
    {
        $CI = & get_instance();
        $data['user']=$userdata;
        $html=$CI->load->view("email-templates/automatic-24-hours-india",$data,true);
        return $html;
    }
}

if (!function_exists('template3'))
{
    function template3($userdata)
    {
        //print_r($userdata);die;
        $CI = & get_instance();
        $country_region = $CI->config->item("country_region");
        $product_services = ($userdata["product_services"]=="")?"No Keyword Saved!":$userdata["product_services"];
        $saved_cpv = ($userdata["saved_cpv"]=='[""]' || $userdata["saved_cpv"]=="")?"No CPV Saved!":$userdata["saved_cpv"];
        $region_name=array();
        foreach (explode(",", $userdata["region_name"]) as $key => $value) {
            $region_name[] = (array_key_exists($value, $country_region)?$country_region[$value]:"worldwide");
        }
        $html='<p>Dear '.$userdata["first_name"].'</p>

                <p>Greetings from GlobalTenders!</p>

                <p>I&#39;m '.ucwords($userdata["admin_name"]).', your relationship manager. I&#39;ll be helping you search for business opportunities and trade leads to expand your business.</p>

                <p>You have opted to receive alerts for the following &ndash;</p>

                <p><strong>Products/Services</strong> &ndash;'.$product_services.'</p>

                <p><strong>CPV</strong> - '.str_replace(array("[","]"), "", $saved_cpv).'</p>

                <p><strong>Target Regions</strong> - '.implode(",", $region_name).'</p>

                <p>Please let me know if any modifications are required. You can modify the same through your dashboard.</p>

                <p>Please feel free to contact me for all queries.</p>

                <p>Best Regards,</p>

                <p>'.ucwords($userdata["admin_name"]).'</p>';
        return $html;
    }
}

if (!function_exists('template4'))
{
    function template4($userdata)
    {
        $CI = & get_instance();
        $country_region = $CI->config->item("country_region");
        $product_services = ($userdata["product_services"]=="")?"No Keyword Saved!":$userdata["product_services"];
        $saved_cpv = ($userdata["saved_cpv"]=='[""]' || $userdata["saved_cpv"]=="")?"No CPV Saved!":$userdata["saved_cpv"];
        $region_name=array();
        foreach (explode(",", $userdata["region_name"]) as $key => $value) {
            $region_name[] = (array_key_exists($value, $country_region)?$country_region[$value]:"worldwide");
        }
        $html='<p>Dear '.$userdata["first_name"].'</p>

                <p>Greetings from GlobalTenders!</p>

                <p>I&#39;m '.ucwords($userdata["admin_name"]).', your relationship manager. I&#39;ll be helping you search for business opportunities and trade leads to expand your business.</p>

                <p>You have opted to receive alerts for the following &ndash;</p>

                <p><strong>Products/Services</strong> &ndash; '.$product_services.'</p>

                <p><strong>CPV</strong> - '.str_replace(array("[","]"), "", $saved_cpv).'</p>

                <p><strong>Target Regions</strong> - '.implode(",", $region_name).'</p>

                <p>Please let me know if any modifications are required. You can modify the same through your dashboard.</p>

                <p>Please feel free to contact me for all queries.</p>

                <p>Best Regards,</p>

                <p>'.ucwords($userdata["admin_name"]).'</p>';
        return $html;
    }
}

if (!function_exists('template5'))
{
    function template5($userdata)
    {
        $html='<p>Dear&nbsp;'.ucwords($userdata["first_name"]).'</p>

            <p>I thought I&#39;d just drop in a quick&nbsp;follow&nbsp;up&nbsp;note regarding your subscription as we haven&#39;t heard from you.</p>

            <p>Please feel free to contact us for all queries.</p>

            <p>Best Regards</p>

            <p>'.ucwords($userdata["admin_name"]).'</p>';
        return $html;
    }
}

if (!function_exists('template6'))
{
    function template6($userdata)
    {
        $html='<p>Hi '.ucwords($userdata["first_name"]).',</p>

                <p>Worrying about what&#39;s going around in other parts or what your competitors are upto?</p>

                <p>Even when a majority of businesses are consolidating, you can expand your business by finding lots of business opportunities on Global Tenders!</p>

                <p>Spending time searching for portals where you can find similar information for free? Why spend majority of your time searching for information when you should be spending your time acting on the information.</p>

                <p>Get complete and immediate access to worldwide business opportunities rather than manually searching the market for budget friendly deals.</p>

                <p>Best Regards,</p>

                <p>'.ucwords($userdata["admin_name"]).'</p>';
        return $html;
    }
}

if (!function_exists('template7'))
{
    function template7($userdata)
    {
        $html='<p>Hi '.ucwords($userdata["first_name"]).',</p>

                <p>Can you let me know where this is at on your side. If the subscription is delayed, I can contact you again at a later stage.&nbsp;</p>

                <p>You can also avail a free trial to test our services.</p>

                <p>Best Regards,</p>

                <p>'.ucwords($userdata["admin_name"]).'</p>';
        return $html;
    }
}

if (!function_exists('template8'))
{
    function template8($userdata)
    {
        $html='<p>Hi '.ucwords($userdata["first_name"]).',</p>

                <p>A couple of weeks ago you had filled our subscription form to find new business opportunities using Global Tenders.</p>

                <p>We haven&rsquo;t heard from you since then.</p>

                <p>This will be my last outreach to you so I would appreciate if you can tell me if this is moving forward and how far along are you?</p>

                <p>Please note that you would not able to use the dashboard features.</p>

                <p>Please choose any of the paid packages to activate your account.</p>

                <p>Best Regards,</p>

                <p>'.ucwords($userdata["admin_name"]).'</p>';
        return $html;
    }
}

if (!function_exists('template9'))
{
    function template9($userdata)
    {
        $html='<p>Hi '.ucwords($userdata["first_name"]).',<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Confused whether to upgrade your account or not?<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Some of the services we offer are &ndash;<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.&nbsp; Analytics<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.&nbsp; Dashboard<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.&nbsp; Email Alerts<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.&nbsp; Tender Notices, Project Information, Procurement News , Contract Awards<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.&nbsp; Advanced Search<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.&nbsp; Tender Historical Report<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.&nbsp; Dedicated Relationship Manager<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 8.&nbsp; Automated Bid Opportunities<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 9.&nbsp; Original Document<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 10. Corrigendum<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 11. Joint Ventures and Consortiums<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 12. Document Procurement<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 13. Bid Consultancy<br />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 14. Country Profiling</p>

                    <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Click here for a details view of our services - http://www.globaltenders.com/global-tenders-services.php</p>

                    <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Best Regards,</p>

                    <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; '.ucwords($userdata["admin_name"]).'</p>';
        return $html;
    }
}

if (!function_exists('template10'))
{
    function template10($userdata)
    {
        $html='<p>Dear&nbsp;'.ucwords($userdata["first_name"]).',</p>

            <p>Global Tenders provides complete analytics of your products and services.</p>

            <p>We shall sending you detailed trends of tendering of your products and services from all over the world.</p>

            <p>It shall contain the number of notices released in the past, a short description, country wise data, names of organizations and the number of notices released by them.</p>

            <p>It shall also contain detailed information regarding related products and services and their past trends.</p>

            <p>It will help you in backdated research and future forecasting.</p>

            <p>Ask for a sample report now &ndash; http://www.globaltenders.com/global-tenders-analytics.php</p>

            <p>Best Regards,</p>

            <p>'.ucwords($userdata["admin_name"]).'</p>';
        return $html;
    }
}

if (!function_exists('editTemplate'))
{
    function editTemplate($post,$userdata)
    {
        $template = $post['template']($userdata);
        $html='
            <div class="row">
                <form id="sendMailEditedTemplate" method="post">
                    <div class="col-md-offset-1 col-md-10">
                        <div class="col-md-12">
                            <label class="col-md-12">Edit Template</label>
                            <div class="col-md-12">
                                <input type="hidden" name="userid" value="'.$post["userid"].'" />
                                <input type="hidden" name="template" value="'.$post['template'].'" />
                                <textarea name="edit_template" id="ckeditor_full" class="form-control">'.$template.'</textarea>
                            </div>
                        </div>
                        <div class="clearfix">&nbsp;</div>
                        <div class="col-md-12">
                            <div class="col-md-6">
                                <button type="button" class="btn btn-default col-md-12" data-dismiss="modal">Close</button>
                            </div>
                            <div class="col-md-6">
                                <input type="submit" class="btn btn-block btn-primary" value="Submit" />
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <script>
                  $("textarea#ckeditor_full").ckeditor({
                    toolbarGroups: [
                        { name: "document",    groups: [ "mode", "document" ] },            // Displays document group with its two subgroups.
                        { name: "basicstyles", groups: [ "basicstyles", "cleanup" ] },
                        { name: "links" }
                    ]
                  });
            </script>
        ';
        return $html;
    }
}

if(!function_exists('sendEmailRelatedFieldsForm'))
{
    function sendEmailRelatedFieldsForm($userid)
    {
        $CI = & get_instance();
        $html = '';
        $html='<div class="row">
            <form id="sendSampleFrom" method="post">
                <div class="col-md-offset-1 col-md-10">
                    <div class="col-md-12">
                        <label class="col-md-3">Select Number Of Tenders</label>
                        <div class="col-md-9">
                            <input type="hidden" name="userid" value="'.$userid.'">
                            <select name="no_of_tenders" class="form-control">
                                <option value="10">10</option>
                                <option value="20">20</option>
                                <option value="50">50</option>
                            </select>
                        </div>
                    </div>
                    <!--div class="col-md-12">
                        <label class="col-md-3">Select keywords</label>
                        <div class="col-md-9">
                            <input type="text" name="keywords" id="keywords" placeholder="Insert Multiple keyword "," saperated." class="form-control" />
                        </div>
                    </div-->
                    <div class="clearfix">&nbsp;</div>
                    <div class="col-md-12">
                        <div class="col-md-6">
                            <button type="button" class="btn btn-default col-md-12" data-dismiss="modal">Close</button>
                        </div>
                        <div class="col-md-6">
                            <input type="submit" class="btn btn-block btn-primary" value="Submit" />
                        </div>
                    </div>
                </div>
            </form>
        </div>';
        return $html;
    }
}


if(!function_exists('allSentEmailList'))
{
    function allSentEmailList($tender='',$template='',$userid='')
    {
        //print_r($data);
        $html='';
        $html='<section class="content">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box box-primary">
                                <div class="box-body no-padding">
                                    <div class="mailbox-read-message">
                                        <div class="row">
                                            <div class="col-md-12" id="SempleTemplate">
                                                <div class="panel panel-primary">
                                                    <div class="panel-body">
                                                        <table id="example1" class="display nowrap" width="100%" cellspacing="0">
                                                            <thead>
                                                                <tr>
                                                                    <th>Template</th>
                                                                    <th>Date</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>';
                                                                if(!empty($tender)){ foreach ($tender as $key => $value):
                                                            $html.='<tr>
                                                                    <td>'.$value["template"].'</td>
                                                                    <td>'.$value["date"].'</td>
                                                                </tr>';
                                                                endforeach; }else{
                                                                $html.='<tr>
                                                                    <td colspan="2"><h1 class="text-center">No Template Send To This User.</h1></td>
                                                                    <td></td>
                                                                </tr>';
                                                                }
                                                    $html.='</tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <script>
                    $("#example1").DataTable();
                </script>';
        return $html;
    }
}

if(!function_exists('sendQuickEmailFrom'))
{
    function sendQuickEmailFrom($data)
    {
        $html='';
        $html.='<section class="content">
                    <div class="row">
                        <form id="sendQuickEMailForm" method="post">
                            <div class="col-md-offset-1 col-md-10">
                                <div class="col-md-12">
                                    <label class="col-md-12">Subject</label>
                                    <div class="col-md-12">
                                        <input type="hidden" name="userid" value="'.$data["userid"].'" />
                                        <input type="hidden" name="email" value="'.$data["email"].'" />
                                        <input type="text" name="subject" placeholder="Enter Subject" class="form-control" />
                                    </div>
                                </div>
                                <!--div class="clearfix">&nbsp;</div>
                                <div class="col-md-12">
                                    <label class="col-md-12">From</label>
                                    <div class="col-md-12">
                                        <input type="text" name="from" placeholder="Enter Email-id" class="form-control" />
                                    </div>
                                </div-->
                                <div class="clearfix">&nbsp;</div>
                                <div class="col-md-12">
                                    <label class="col-md-12">Edit Template</label>
                                    <div class="col-md-12">
                                        <textarea name="edit_template" id="ckeditor_full" placeholder="Enter Your Message Hear" class="form-control" rows="15"></textarea>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="col-md-12">
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-default col-md-12" data-dismiss="modal">Close</button>
                                    </div>
                                    <div class="col-md-6">
                                        <input type="submit" class="btn btn-block btn-primary" value="Submit" />
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </section>
                <script>
                      $("textarea#ckeditor_full").ckeditor({
                        toolbarGroups: [
                            { name: "document",    groups: [ "mode", "document" ] },            // Displays document group with its two subgroups.
                            { name: "basicstyles", groups: [ "basicstyles", "cleanup" ] },
                            { name: "links" }
                        ]
                      });
                </script>';
        return $html;
    }
}

// ------------------------------------------------------------------------
/* End of file translate_helper.php */
/* Location: ./system/helpers/translate_helper.php */