<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

if (!function_exists('testing'))
{
    function testing()
    {
        $CI = & get_instance();
        $userid = $CI->config->item("testuserids");
        if(in_array($CI->userid, $userid)) {
            return true;
        }else{
            return false;
        }
    }
}

if (!function_exists('setSessionsMsg'))
{
    function setSessionsMsg()
    {
        $CI = & get_instance();
        $html = '';
        if($CI->userid == 1472371501) {
            // var_dump($CI->session->flashdata('message'));
            // var_dump($CI->session->flashdata('emessage'));
        }
        $html = '<div class="alert alert-success alert-dismissible" role="alert" '; if(!$CI->session->flashdata('message')){ $html .= ' style="display:none;"';  } $html .= ' style="background-color: #8c8c8c; border:none; padding-top:5px; padding-bottom:5px;">';
                   $html .= '<!--button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button--><p style="font-size:16px;">'.
                    $CI->session->flashdata('message');
        $html .= '</p></div>
                    <div class="alert alert-danger alert-dismissible" role="alert"'; if(!$CI->session->flashdata('emessage')){ $html .= ' style="display:none"'; } $html .= '>';
                $html .= '<!--button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button--><p>'.
                    $CI->session->flashdata('emessage');
        $html .= '</p></div>';
        return $html;
    }
}


if (!function_exists('checkSuspendUser'))
{
    function checkSuspendUser()
    {
        $CI =& get_instance();
        $user = $CI->userinfo;
        //$html = '';
        if(isset($user[0])) {
            $user = $user[0];
            if($user["suspend"] == 1) {
                //$CI->session->set_flashdata("emessage","Your account is currently inactive. Please contact us on care@globaltenders to activate it.");
                //$html= '<div class="col-md-12"><div class="alert alert1 text-white alert-hover" style="background-color:#000;" role="alert">Your account is currently inactive. Please contact us on care@globaltenders to activate it.</div></div>';
                return 1;
            }
        }
    }
}


if (!function_exists('setUpgradeLinks'))
{
    function setUpgradeLinks()
    {
        $CI =& get_instance();
        $user = $CI->userinfo;
        if(isset($user[0])) {
            $user = $user[0];
            if(in_array($user['country'],explode(",", "Albania,Andorra,Austria,Belgium,Bosnia and Herzegovina,Bulgaria,Croatia,Czech Republic,Denmark,Estonia,Finland,France,Germany,Greece,Hungary,Iceland,Ireland,Italy,Kosovo,Latvia,Liechtenstein,Lithuania,Luxembourg,Macedonia,Malta,Monaco,Montenegro,Netherlands,Norway,Poland,Portugal,Romania,San Marino,Serbia,Slovakia,Slovenia,Spain,Sweden,Switzerland,Gibraltar"))) {
                return "https://www.globaltenders.com/global-tenders-upgrade-europe.php";
            }else if($user['country'] == "United Kingdom"){
                return "https://www.globaltenders.com/global-tenders-upgrade-uk.php";
            }else if($user['country'] == "India"){
                return "https://www.globaltenders.com/global-tenders-upgrade-india.php";
            }else if($user['country'] == "Australia"){
                return "https://www.globaltenders.com/global-tenders-upgrade-australia.php";
            }else if($user['country'] == "Canada"){
                return "https://www.globaltenders.com/global-tenders-upgrade-canada.php";
            }else if($user['country'] == "Russia"){
                return "https://www.globaltenders.com/global-tenders-upgrade-russia.php";
            }else{
                return "https://www.globaltenders.com/global-tenders-upgrade.php";
            }
        }
    }
}

if(!function_exists('getPageLinks')) {
    function getPageLinks($userid='')
    {
        $CI =& get_instance();
        $user = $CI->common->getsData("user",array("userid"=>$userid));
        if(isset($user)) {
            if(in_array($user['country'],explode(",", "Albania,Andorra,Austria,Belgium,Bosnia and Herzegovina,Bulgaria,Croatia,Czech Republic,Denmark,Estonia,Finland,France,Germany,Greece,Hungary,Iceland,Ireland,Italy,Kosovo,Latvia,Liechtenstein,Lithuania,Luxembourg,Macedonia,Malta,Monaco,Montenegro,Netherlands,Norway,Poland,Portugal,Romania,San Marino,Serbia,Slovakia,Slovenia,Spain,Sweden,Switzerland,Gibraltar"))) {
                return "https://www.globaltenders.com/package-offer/global-tenders-offer-EUR.php";
            }else if($user['country'] == "United Kingdom"){
                return "https://www.globaltenders.com/package-offer/global-tenders-offer-GBP.php";
            }else if($user['country'] == "Australia"){
                return "https://www.globaltenders.com/package-offer/global-tenders-offer-AUD.php";
            }else if($user['country'] == "Canada"){
                return "https://www.globaltenders.com/package-offer/global-tenders-offer-CAD.php";
            }else if($user['country'] == "Russia"){
                return "https://www.globaltenders.com/package-offer/global-tenders-offer-roubles.php";
            }else{
                return "https://www.globaltenders.com/package-offer/global-tenders-offer-USD.php";
            }
        }
    }
}

if (!function_exists('checkUserVarification'))
{
    function checkUserVarification()
    {
        $CI =& get_instance();
        $user = $CI->userinfo;
        $html = '';
        if(isset($user[0])) {
            $user = $user[0];
            if($user['email_domain'] == "corporate") {
                $user_registration_status = $CI->common->getsData("user_registration_status",array("userid"=>$CI->userid));
                if($user_registration_status && $user_registration_status['register_pages_no'] == 1 && $user['varify'] == 1) {
                    $html .= '<div class="col-md-12"><div class="alert alert1" style="background-color:#000;" role="alert"><a href="'.base_url("global-tenders-registration2").'" class="text-white alert-hover">Your account has been verified. Please complete your profile to activate the free trial.</a></div></div>';
                }else if($user_registration_status && $user_registration_status['register_pages_no'] == 1 && $user['varify'] == 0) {
                    $html .= '<div class="col-md-12"><div class="alert alert1" role="alert" style="background-color:#000;"><a href="'.base_url("global-tenders-registration2").'" class="text-white alert-hover"> Your account has been successfully created. Please complete your profile and verify your id to activate the Dashboard Features.</a></div></div>';
                }else if($user_registration_status && $user_registration_status['register_pages_no'] == 2 && $user['varify'] == 0) {
                    $html .= '<div class="col-md-12"><div class="alert alert1 text-white" style="background-color:#000;" role="alert">
                                Your dashboard has been customized. Please verify your id to activate it. ';
                                    $html .= '<a href="javascript:void(0)" class="btn btn-xs btn-danger send_verification_mail" title="Resend Verification Mail.">Resend Verification Mail.</a>';
                    $html .= '</div></div>';
                }
                //print_r($user);
            }

            if($user['email_domain'] == "corporate taken" || $user['email_domain'] == "generic"){
                $user_registration_status = $CI->common->getsData("user_registration_status",array("userid"=>$CI->userid));
                if($user_registration_status && $user_registration_status['register_pages_no'] == 2 && $user['varify']==0){
                    $html .= '<div class="col-md-12">
                                <div class="alert alert1 text-white" style="background-color:#000;" role="alert">
                                    Your dashboard has been customized. Please verify your id to activate it. ';
                                    $html .= '<a href="javascript:void(0)" class="btn btn-xs btn-danger send_verification_mail" title="Resend Verification Mail.">Resend Verification Mail.</a>';
                                    //if($CI->userid == 1472371501) {}
                                $html .= '</div>
                            </div>';
                }else if($user_registration_status && $user_registration_status['register_pages_no'] == 1 && $user['varify'] == 0){
                    $html .= '<div class="col-md-12"><div class="alert alert1" style="background-color:#000;" role="alert"><a href="'.base_url("global-tenders-registration2.php").'" class="text-white alert-hover">verify your account to use the Dashboard Features.</a></div></div>';
                }
            }
        }
        return $html;
    }
}

if (!function_exists('showExpiryMessage'))
{
    function showExpiryMessage()
    {
        $CI =& get_instance();
        $user = $CI->userinfo;
        if(isset($user[0])) {
            $user = $user[0];
            if(isset($user['newpunp']) && $user['newpunp']=="paid") {
                $expiry_date = strtotime("-7days",strtotime($user['expiry_date']));
                $now = strtotime(NOW);
                    //echo date("d",$diff);
                if($now > $expiry_date && $now < strtotime($user['expiry_date'])) {
                    $diff=strtotime($user['expiry_date'])-$now;
                    return '<div class="alert alert-danger text-white btn-top-dashboard" style="background-color:#db3236;border-color:#db3236;border-radius:4px;margin-bottom:8px;" role="alert">
                                Your account will expire in '.date("j",$diff).' days
                            </div>';
                }else if(strtotime($user['expiry_date']) < $now) {
                    return '<div class="alert alert-danger text-white btn-top-dashboard" style="background-color:#db3236;border-color:#db3236;border-radius:4px;margin-bottom:8px;" role="alert">
                                Your account expired'.(($user['expiry_date']!="0000-00-00")?' on '.date("d-m-Y",strtotime($user['expiry_date'])):"").'
                            </div>';
                }
            }
            //print_r($user);
        }
    }
}

if (!function_exists('showPopupMessag'))
{
    function showPopupMessag()
    {
        $CI =& get_instance();
        $user = $CI->db->query("SELECT * FROM popupMessage WHERE userid = ".$CI->userid." order by created_at desc limit 1")->result_array();
        if(isset($user[0]) && $user[0]) {
            /*if($CI->userinfo) {
                $user[0]['expiry_date'] = $CI->userinfo[0]['expiry_date'];
            }*/
            $user = $user[0];
            $show = 0;
            if($user['isCanceled']==0 && $user['popup_date'] != "0000-00-00" && strtotime($user['popup_date']) > strtotime(DATE)) {
                $show = 1;
            }else{
                return false;
            }
            /*else if($user['isCanceled']==0 && $user['popup_date'] != "0000-00-00" && strtotime($user['popup_date']) <= strtotime(NOW)) {
                return false;
            }else if($user['isCanceled']==0 && $user['popup_date'] == "0000-00-00"){
                $show = 1;
            }*/

            if($show == 1 && $user['message']!="") {
                return '<div class="col-md-12 col-md-12 col-lg-10 col-lg-offset-1 col-sm-12 col-xs-12 col-rnopad '.(($user['is_checked'] == 0)?'popup-message':'').'">
                            <a href="javascript:void(0)" onclick="message_seen(1,'.$user['pmid'].');" data-pmid="'.$user['pmid'].'" class="pull-right message_seen" style="top:0px;margin:8px;color:gray;">X</a>
                            <div class="well">'.$user['message'].'</div>
                        </div>';
            }
        }
    }
}

if (!function_exists('tackATourButton'))
{
    function tackATourButton()
    {
        $CI =& get_instance();
        $user = $CI->userinfo;
        if(isset($user[0])) {
            $user = $user[0];
            $tomorrow = strtotime("+1 days",strtotime($user['reg_date']));
            $show_demo_status = $CI->common->getsData("users_info",array("userid"=>$CI->userid));
            if($tomorrow > strtotime(NOW) || $show_demo_status['show_demo_status'] == 1) {
                return false;//'<li style="margin-right:10px;"><a href="javascript:void(0)" onclick="tour.restart()" class="btn btn-warning btn-top-dashboard">Demo</a></li>';
            }else{
                return false;
            }
        }
    }
}

if (!function_exists('getUserName'))
{
    function getUserName($field)
    {
        $CI =& get_instance();
        $user = $CI->userinfo;
        if(isset($user[0])) {
            $user = $user[0];
            if($field == "name") {
                return ucwords($user['first_name']." ".$user['last_name']);
            }else if($field == "varify") {
                return $user['varify'];
            }else{
                return $user[$field];
            }
        }else{
            return "Not Logged In.";
        }
    }
}

if (!function_exists('getUsersStatus')) {
    function getUsersStatus()
    {
        $CI =& get_instance();
        $data = $CI->userinfo;
        if(isset($data[0])) {
            $data = $data[0];
            $now = strtotime(date("Y:m:d H:i:s"));
            $start = strtotime($data['renewal_date']);
            $end = strtotime($data['expiry_date']);
            if($start<=$now && $now<=$end && $data['newpunp']=="paid")
            {
                return TRUE;
            }else{
                return  FALSE;
            }
        }else{
            return FALSE;
        }
    }
}

if(!function_exists('groupList')) {
    function groupList($profile=array())
    {
        $html = '';
        $CI =& get_instance();
        $group = $CI->common->getData("mail_group");
        $old_ids = array();
        $html = '<select class="form-control select2" name="group[]" id="group" multiple>
                    <option value="" disabled>Select Group</option>';
                    if($group){ foreach($group as $key=>$value) :
                        $ids = explode(",", $value['emailIds']);
                        $id = ((in_array($profile['email'], $ids))?'selected':'');
                        if($id == "selected") {
                            array_push($old_ids, $value['mailid']);
                        }
                        $html .= '<option value="'.$value['mailid'].'"'.$id.'>'.$value['groupName'].'</option>';
                    endforeach; }
        $html .= '</select>
                <input type="hidden" name="old_group" id="old_group" value="'.implode(",", $old_ids).'">';
        return $html;
    }
}

if (!function_exists('createTendersPage'))
{
    function createTendersPage($get=array())
    {
        $html='';
        $CI = & get_instance();
        $data = $CI->tender->getTendersContent($get);
        $html.='<table border="1" width="100%" cellspacing="0" cellpadding="5">
                    <thead>
                        <tr>
                            <td colspan="3" width="100%" align="center" valign="top" bgcolor="#4b7daf">
                                <font color="#ffffff"><b id="h1">'.((isset($data['h1']))?$data['h1']:"0 Record Matches Your Request").'</b><br><b id="h2">'.((isset($data['h2']))?$data['h2']:"Showing 0 - 0 Records").'</b></font>
                            </td>
                        </tr>
                    </thead>
                    <tbody id="loader" style="display: none; border: 0;">
                        <tr>
                            <td align="center">
                                <img src="'.base_url("gt-images/globe-earth-animation-15-2.gif").'" style="height: 150px;" />
                            </td>
                        </tr>
                    </tbody>
                    <tbody id="content">'.((isset($data['html']))?$data['html']:"").'</tbody>
                    <tfooter>
                        <tr>
                            <td colspan="3" width="100%" valign="top">
                                <center id="links">'.((isset($data['links']))?$data['links']:"").'</center>
                            </td>
                        </tr>
                    </tfooter>';
        $html.='</table>';
        return $html;
    }
}

if (!function_exists('getLoaderHtml'))
{
    function getLoaderHtml()
    {
        $html = '<tbody id="loader" style="display: none; border: 1;">
                    <tr>
                        <td class="text-center" colspan="1">
                            <img src="'.base_url("gt-images/globe-earth-animation-15-2.gif").'" alt="loading" style="height: 150px;" />
                        </td>
                    </tr>
                </tbody>';
        return $html;
    }
}

if (!function_exists('paginationLinks')) {
    function paginationLinks($links)
    {
        $CI =& get_instance();
        $html = '<tr>
                    <td class="table-footer">
                        <div class="col-md-4 col-sm-4 col-xs-4">
                            <select name="tender_length" id="tender_length" class="pull-left form-control">
                                <option value="10" '.(($CI->perPage==10)?'selected':"").'>10</option>
                                <option value="20" '.(($CI->perPage==20)?'selected':"").'>20</option>
                                <option value="50" '.(($CI->perPage==50)?'selected':"").'>50</option>
                                <option value="100" '.(($CI->perPage==100)?'selected':"").'>100</option>
                            </select>
                        </div>
                        <div class="col-md-8 col-sm-8 col-xs-8">
                            <nav class="pull-right" id="links">
                                '.((isset($links))?$links:"").'</nav>
                        </div>
                    </td>
                </tr>';
        return $html;
    }
}

if (!function_exists('getTenders'))
{
    function getTenders($results='',$table='',$filters=array())
    {
        $CI = & get_instance();
        $hl_keyword = array();

        if(isset($_GET['keyword'])){
            if(is_array($_GET['keyword'])){
                $_GET['keyword'] = implode(",", $_GET['keyword']);
            }
            if($CI->userid=="1472371501"){
                // print_r($other);
                // $hl_keyword = $CI->common->getKeywordArray($_GET['keyword']);
            }
            $hl_keyword = array_unique(explode(",", trim($_GET['keyword'])));
        }
        //print_r($hl_keyword);
        $html='';
        //$logged_in = $CI->session->userdata("is_user_logged_in");
        $lsstatus = $CI->lsstatus;
        $data = array();
        $country = $CI->config->item("countryarray");
        $notice_type = $CI->config->item("notice_type");
        $sector_industry = $CI->config->item("sector_industry");
        if($results){
            foreach ($results as $key => $value) :
                $html.='<tr id="tender_'.$value["posting_id"].'" ><td><table class="table table-bot-border"><tbody>';
                        if(isset($filters['delete']) && $filters['delete']==1)
                        {
                    $html.='<tr>
                                <td class="style5" style="width:100%; vertical-align:top; text-align:right;">
                                    <a href="javascript:void(0)" class="delete_tender" data-id="'.$value["posting_id"].'"><i class="glyphicon glyphicon-trash"></i></a>
                                </td>
                            </tr>';
                        }
                   $html.='<tr><td><table class="table"><tbody><tr><td style="width:30%; vertical-align:top; text-align:left;"><b>Notice Type:</b></td><td style="width:25%; vertical-align:top; text-align:left;">'.(array_key_exists($value["notice_type"], $notice_type)?$notice_type[$value["notice_type"]]:$value["notice_type"]).'</td><td style="width:15%; vertical-align:top; text-align:left;"><b> Country :</b></td><td style="width:30%; vertical-align:top; text-align:left;">'.(array_key_exists($value["country"], $country)?$country[$value["country"]]:"").'</td></tr></tbody></table></td></tr>
                            <tr><td><table class="table"><tbody><tr><td style="width:30%; vertical-align:top; text-align:left;"><b>Sector:</b></td><td style="width:70%; vertical-align:top; text-align:left;">';
                                $ts=array();
                                $exp = explode(",", $value['tender_sector']);
                                foreach ($exp as $key1 => $value1) {
                                    if($value1!="")
                                    {
                                        if(array_key_exists($value1, $sector_industry))
                                        {
                                            array_push($ts, $sector_industry[$value1]);
                                        }
                                    }
                                }
                                $html.=implode(",", $ts);
                                $html.='</td></tr></tbody></table></td></tr><tr><td><table class="table"><tbody><tr><td style="width:30%; vertical-align:top; text-align:left;"><b>Short Description:</b></td><td style="width:70%; vertical-align:top; text-align:left;">';
                                if($CI->userid=="1472371501"){
                                    // print_r($hl_keyword);
                                    // $replace=$hl_keyword;
                                    $replace = $pattern = array();
                                    foreach ($hl_keyword as $key1 => $value1) {
                                        $pattern[] = $value1;
                                        $replace[$key1]='<a href="'.base_url("gt-search?keyword=".$value1).'"><b style="color:#003497">'.$value1.'</b></a>';
                                    }
                                    $html.=str_ireplace($pattern,$replace,$value["short_desc"]);
                                }else{
                                    if($hl_keyword){
                                        $replace=array_flip(array_flip($hl_keyword));
                                        $pattern=array();
                                        $c=0;
                                        foreach ($hl_keyword as $key1 => $value1) {
                                            if($value1!=""){
                                                $exp1 = explode(" ", $value1);
                                                /*if(count($exp1)>1){
                                                    foreach ($exp1 as $key2 => $value2) {
                                                        $pattern[]='/\b(' . trim($value2) . ')(?!>)\b/i';
                                                        $replace[$c]='<a href="'.base_url("gt-search?keyword=".$value2).'"><b style="color:#003497">$1</b></a>';
                                                        $c++;
                                                    }
                                                }else{*/
                                                    $pattern[]='/\b(' . trim($value1) . ')(?!>)\b/i';
                                                    $replace[$key]='<a href="'.base_url("gt-search?keyword=".$value1).'"><b style="color:#003497">$1</b></a>';
                                                    //$c++;
                                                //}
                                            }
                                        }
                                        //$html.=str_replace($value, '<font color="red">'.$value.'</font>', $value["short_desc"]);
                                        $html.=preg_replace($pattern,$replace,$value["short_desc"]);
                                    }else{
                                        $html.=$value["short_desc"];
                                    }
                                }
                                $html.='</tr></tbody></table></td></tr><tr><td><table class="table"><tbody><tr><td style="width:30%; vertical-align:top; text-align:left;"><b>Action Deadline:</b></td><td style="width:25%; vertical-align:top; text-align:left;">'.date("d M Y",strtotime($value["doc_last"])).'</td>';//<td style="width:50%; vertical-align:top; text-align:left;"></td>
                                $html.='<td style="width:15%; vertical-align:top; text-align:left;"><b>Estimated Cost:</b></td><td style="width:30%; vertical-align:top; text-align:left;">';
                                    if($value["est_cost"]!='' && $value["est_cost"]!=0){ 
                                        $html.= $value["currency"]." ".$value["est_cost"];
                                    }else{
                                        $html.= 'NA';
                                    }
                                $html.='</td>';
                                //$html.='<!--td style="width:15%; vertical-align:top; text-align:left;"><b>Ref. no.:</b></td><td style="width:30%; vertical-align:top; text-align:left;">'.$value["posting_id"].'</td-->';
                                $html.='</tr></tbody></table></td></tr>
                                        <tr><td><table class="table"><tbody><tr>';
                                if(isset($filters['showDetailButton']) && $filters['showDetailButton']==1) {
                                    $html.='';
                                }else{
                                    //<td style="width:30%; vertical-align:top; text-align:left;"><b>View Details:</b></td>
                                    $html.='<td align="center" style="';
                                    if($table=="tenders_free"){
                                        $html.='"><a href="'.base_url("free-tender-detail/".$value["posting_id"]).'">';// data="'.$lsstatus['status'].'"
                                    }else{
                                        if($value["est_cost"]!='' && $value["est_cost"]!=0)
                                        {
                                            $html.="width:25%; vertical-align:top;";
                                        }
                                        /*if($lsstatus['status']==0){
                                            $html.='"><a href="'.$lsstatus['action'].'">';// data="'.$lsstatus['status'].'"
                                        }else if($lsstatus['status']==1){
                                            $html.='"><a href="'.$lsstatus['action'].'" id="'.(($lsstatus["action"]!="")?$lsstatus["action"]:"saveSearchOnDashboard").'">';// data="'.$lsstatus['status'].'"
                                        }else{*/
                                            //$html.='"><a href="http://globaltenders.com/auth.php?action=detail&id='.$value["posting_id"].'">';// data="'.$lsstatus['status'].'"
                                            $html.='"><a href ="'.base_url("full-detail/".$value["posting_id"]).'" class="btn btn-default" style="border-radius: 50px;" target="_blank">';
                                        //}
                                    }
                                $html.='<b style="color:#006699">View Details </b></a></td>';
                            }
                       $html.='</tr></tbody></table></td></tr></tbody></table></td></tr>';
            endforeach;
        }else{
            $html = '<tr align="center"><td><h1>No Tender Found! </h1></td></tr>';
        }
        return $html;
    }
}

if (!function_exists('searchBar'))
{
    function searchBar($results=array())
    {
        $html='';
        $CI = & get_instance();
        $menu = $CI->session->userdata("is_static_menu");
        $html = '<form class="form-search" method="GET" action="'.base_url("gt-search").'">
                    <div class="input-group">
                        <input type="text" class="form-control" name="keyword" placeholder="Search Tender Notices" maxlength="60">
                        <span class="input-group-btn">
                            <button type="submit" class="btn btn-default">
                                <span class="glyphicon glyphicon-search"></span>Search
                            </button>
                        </span>
                    </div>
                </form>';
        return $html;
    }
}

if (!function_exists('setUsersValidity'))
{
    function setUsersValidity()
    {
        $CI =& get_instance();
        $user = $CI->userinfo;
        $html = '';
        if(isset($user[0])) {
            $user = $user[0];
            $subscription = $CI->common->subscriptionStatus();//(isset($_COOKIE["subscription"]))?$_COOKIE["subscription"]:0;
            $subtime = $CI->common->subscriptionTime();//(isset($_COOKIE["subtime"]))?$_COOKIE["subtime"]:0;
            if($subscription==1){
                $expiry_date = strtotime($user['expiry_date']);
                $now = strtotime(NOW);
                $seven_days_before = strtotime("-7days",strtotime($user['expiry_date']));
                $class = ($expiry_date<$now || $seven_days_before<$now)?'bg-danger':'bg-success';
                $style = ($expiry_date<$now || $seven_days_before<$now)?'background-color:#db3236 !important;border-color:#db3236;':'';
                $html .= '<div class="p-3 mb-2 '.$class.' text-white btn-top-dashboard" style="color:#fff;padding:12px;margin-top:10px;height:auto !important;'.$style.'">';
                $val = ($subtime==1 && $expiry_date>$now)?(($user["expiry_date"]!="0000-00-00")?'<b> Validity: </b>'.date("d M Y",strtotime(isset($user["expiry_date"])?$user["expiry_date"]:$_SESSION["expiry_date"])):"0000-00-00"):'<p><a href="http://www.globaltenders.com/global-tenders-intro-offer.php" style="color:#FFF;">Your subscription has expired.</a></p>';//'.base_url("global-tenders-upgrade").'
                $html.=$val;
                $html .= '</div>';
            }
            return $html;
        }
    }
}

if (!function_exists('corporateLeftTendersCount'))
{
    function corporateLeftTendersCount()
    {
        $CI =& get_instance();
        $user = $CI->userinfo;
        $html = '';
        if(isset($user[0])) {
            $user = $user[0];
            $subscription = $CI->common->subscriptionStatus();
            $subtime = $CI->common->subscriptionTime();

            if($user){
                $user_mail_type = $CI->common->getsData("user_mail_type",array("userid"=>$CI->userid),array("no_of_tender","no_of_tender_count","seen_tenders"));
                $tender_view_limit = $CI->common->getsData("tender_view_limit",array("userid"=>$CI->userid));
            }

            if($subscription!=1 && $subtime!=1){
                if($user['email_domain']=="corporate")
                {
                    if($user_mail_type['no_of_tender']>0){
                        if($user_mail_type['no_of_tender']>$user_mail_type['no_of_tender_count']){
                                    $html.='<div class="btn-success"><b> Free Limit: </b>'.$user_mail_type['no_of_tender_count']."/".$user_mail_type['no_of_tender'].'</div>';
                        }else if($user_mail_type['no_of_tender'] == $user_mail_type['no_of_tender_count']){
                                    $html.='<div class="btn-danger"><b> Free Limit: </b>'.$user_mail_type['no_of_tender_count']."/".$user_mail_type['no_of_tender'].'<div>';
                            $equal = 1;
                        }
                    }
                }
            }
            return $html;
        }
    }
}

if (!function_exists('accountInformation'))
{
    function accountInformation()
    {
        $data = array();
        $CI = & get_instance();
        $user = $CI->userinfo;
        $html = '';
        if(isset($user[0])) {
            $user = $user[0];
            //$user = $CI->common->getsData("user",array("userid"=>$CI->userid,"email_domain"=>"corporate"),array("email_domain","email_domain_status"));
        }
        $user_mail_type = $tender_view_limit = array();
        if($user && $user['email_domain'] == "corporate"){
            $user_mail_type = $CI->common->getsData("user_mail_type",array("userid"=>$CI->userid),array("no_of_tender","no_of_tender_count","seen_tenders"));
            $tender_view_limit = $CI->common->getsData("tender_view_limit",array("userid"=>$CI->userid));
        }
        $html='';
        // $subscription = (isset($_COOKIE["subscription"]))?$_COOKIE["subscription"]:0;
        // $subtime = (isset($_COOKIE["subtime"]))?$_COOKIE["subtime"]:0;
        $subscription = $CI->common->subscriptionStatus();
        $subtime = $CI->common->subscriptionTime();
        //$userinfo = ($CI->userinfo)?$CI->userinfo[0]:'';
        $html='<div class="panel-heading" style="text-align:center;background-color: #337ab7;color: white;">
                    <span class="glyphicon glyphicon-log-in"></span>&nbsp;&nbsp;Account Information
                </div>
                <div class="panel-body" style="padding:0;">
                    <div class="col-sm-12">
                        <div class="row" style="padding-top:12px">
                            <div class="col-sm-4">
                                <b>Name: </b>
                            </div>
                            <div class="col-sm-8">'.((isset($_COOKIE["first_name"]))?$_COOKIE["first_name"]:"")." ".((isset($_COOKIE["last_name"]))?$_COOKIE["last_name"]:"").'</div>
                        </div>
                        <div style="padding-top:12px">
                            <b>Last Login:</b>'.((isset($_COOKIE["last_login"]))?date("d M Y",strtotime($_COOKIE["last_login"])):"").'</div>';
                             if($subscription==1){
                                $html.='<div style="padding-top:12px"><b> Validity: </b>';
                                $val = ($subtime==1)?(($_COOKIE["expiry_date"]!="0000-00-00")?date("d M Y",strtotime(isset($_COOKIE["expiry_date"])?$_COOKIE["expiry_date"]:$_SESSION["expiry_date"])):"0000-00-00"):'<p><a href="http://www.globaltenders.com/global-tenders-intro-offer.php" style="color:red;">Your subscription has expired.</a></p>';//'.base_url("global-tenders-upgrade").'
                                $html.=$val;
                                $html.='</div>';
                            }else{
                                //$html.='Free<p><a href="'."http://www.globaltenders.com/global-tenders-intro-offer.php".'">(Upgrade for PRO features.)</a></p><p style="text-align: center"><a href="http://www.globaltenders.com/why-upgrade.php"><b>Why Upgrade</b></a></p>';
                            }
                        if($subscription!=1 && $subtime!=1){
                            /*if($CI->userid == "1496127295"){
                                $equal = 0;
                                echo "<pre>";
                                print_r ($user);
                                print_r ($user_mail_type);
                                print_r ($tender_view_limit);
                                echo "</pre>";*/
                                if($user['email_domain']=="corporate")
                                {
                                    if($user_mail_type['no_of_tender']>0){
                                        $html.='<div style="padding-top:12px">
                                                <b> Free Limit: </b>';
                                        if($user_mail_type['no_of_tender']>$user_mail_type['no_of_tender_count']){
                                                    $html.=$user_mail_type['no_of_tender_count']."/".$user_mail_type['no_of_tender'];
                                        }else if($user_mail_type['no_of_tender'] == $user_mail_type['no_of_tender_count']){
                                                    $html.=$user_mail_type['no_of_tender_count']."/".$user_mail_type['no_of_tender'];
                                            $equal = 1;
                                        }
                                        $html.='</div>';
                                    }
                                }

                                //if($equal==1){
                                $view_limit = false;
                                if($tender_view_limit){
                                    if($tender_view_limit['perday_tender'] !=0 || $tender_view_limit['total_tender'] !=0){
                                        $html.='<div style="padding-top:12px">
                                            <b> Notices : </b> (';//(Perday,All)
                                            $view_limit = true;
                                    }
                                }
                                if($view_limit){
                                    if($tender_view_limit){
                                        if($tender_view_limit['perday_tender']>0){
                                            if($tender_view_limit['perday_tender_count']<$tender_view_limit['perday_tender']){
                                                $html.=$tender_view_limit['perday_tender_count']."/".$tender_view_limit['perday_tender'].",";
                                            }
                                        }

                                        if($tender_view_limit['total_tender']>0){
                                            if($tender_view_limit['total_tender']>$tender_view_limit['total_tender_count']){
                                                $html.=$tender_view_limit['total_tender_count']."/".$tender_view_limit['total_tender'];
                                            }
                                        }
                                        $html.=' )</div>';
                                    }
                                }
                            //}
                        }
                $html.='<div style="padding-top: 4px; padding-bottom: 0px; color: silver; text-align: center;">
                            <span> IP: '.$_SERVER['REMOTE_ADDR'].'</span>
                        </div><br>
                    </div>
                </div>';
        return $html;
    }
}

if(!function_exists('getUserName'))
{
    function getUserName($userid='')
    {
        $CI =& get_instance();
        if($userid!=""){
            //$name = $CI->common->getsData("user",array("userid"=>$userid),array("first_name","last_name"));
            $name = getUserName("name");
            return "(<b>".$name."</b>)";
        }
    }
}

if (!function_exists('getFileSize'))
{
    function getFileSize($bytes='')
    {
        if ($bytes >= 1073741824)
        {
            $bytes = number_format($bytes / 1073741824, 2) . ' GB';
        }
        elseif ($bytes >= 1048576)
        {
            $bytes = number_format($bytes / 1048576, 2) . ' MB';
        }
        elseif ($bytes >= 1024)
        {
            $bytes = number_format($bytes / 1024, 2) . ' kB';
        }
        elseif ($bytes > 1)
        {
            $bytes = $bytes . ' bytes';
        }
        elseif ($bytes == 1)
        {
            $bytes = $bytes . ' byte';
        }
        else
        {
            $bytes = '0 bytes';
        }

        return $bytes;
    }
}
// ------------------------------------------------------------------------
/* End of file translate_helper.php */
/* Location: ./system/helpers/translate_helper.php */