<?php 
class Admin_Model extends CI_Model
{
	public function getFreeTenderInfo($where=array())
	{
		$this->db->select("T.*,C.country_name");
		$this->db->from("tenders_free as T");
		$this->db->join("country as C","T.country=C.country_code","left");
		if($where){
			$this->db->where($where);
		}
		$res = $this->db->get()->result_array();
		return $res;
	}
	public function insertCategories($post=array(),$table='')
	{
		//echo "<pre>";
		$res = false;
		$userdata = array();
		$category = $this->common->getField($table,$post);
		if(isset($category['category']) && $category['category'])
		{
			foreach ($category['category'] as $key => $value) {
				//echo $value;
				if($value)
				{
					$category = array("category"=>$value);
					$this->common->insertData($table,$category);
					$res = true;
				}
			}
		}
		return $res;
	}
	public function insertSubcategories($post=array(),$table='')
	{
		//echo "<pre>";
		$res = false;
		$userdata = array();
		$category = $this->common->getField($table,$post);
		if(isset($category['subcategory']) && $category['subcategory'])
		{
			foreach ($category['subcategory'] as $key => $value) {
				//print_r($category);
				//echo $value;
				if($value)
				{
					$category["subcategory"] = $value;
					//print_r($category);
					$this->common->insertData($table,$category);
					$res = true;
				}
			}
		}
		return $res;
	}
	public function getAllCategory()
	{
		$allcat = $scat = array();
		$cat = $this->common->getData('category');
		$subcat = $this->getCategories();
		if($cat)
		{
			foreach ($cat as $key => $value)
			{
				if(!empty($subcat))
				{
					foreach ($subcat as $key1 => $value1)
					{
						if($value['c_id']==$value1['c_id'])
						{
							$id = $value['c_id'];
							$scat[$id][] = $value1;
						}
					}
				}else{
					$scat[$key] = array();
				}
			}
			foreach ($cat as $key => $value)
			{
				if(!empty($scat))
				{
					$allcat[] = $value;
					foreach ($scat as $key1 => $value1)
					{
						if($value['c_id'] == $key1)
						{
							$allcat[$key]['subcategory'] = $value1;
						}
					}
				}
			}
		}
		return $allcat;
	}
	public function getCategories($where=array())
	{
		$this->db->select("*");
		$this->db->from("subcategory as SC");
		$this->db->join("category_by as CB","CB.cb_id=SC.cb_id","left");
		if($where)
		{
			$this->db->where($where);
		}
		$res = $this->db->get()->result_array();
		return $res;
	}
	public function deleteCategory($post=array())
	{
		//print_r($post);
		if($post['type']=="category")
		{
			//echo "cat";
			$this->common->deletedata('category',array('c_id'=>$post['id']));
			if($this->db->affected_rows()>=1){ $res = 1; }else{ $res = 0; }
				if($res==1){
					$this->common->deletedata('subcategory',array('c_id'=>$post['id']));
				}
		}else{
			//echo "subcat";
			$this->common->deletedata('subcategory',array('sc_id'=>$post['id']));
			if($this->db->affected_rows()>=1){ $res = 1; }else{ $res = 0; }
		}
		//echo "delete = ".$this->db->affected_rows();die;
		if($res=1)
		{
			return true;
		}else{
			return false;
		}
	}
	public function addTender()
	{
		$filepath=$filepath1=$tenderdata=array();
		//echo "<pre>";print_r($_POST);
		$file_path = "assets/admin/documents/".$_POST['posting_id'];
		if(!is_dir($file_path))
		{
			mkdir($file_path,0777);
		}
		$tenderdata = $this->common->getField('tenders_free',$_POST);
		if(isset($_POST['mfa']) && $_POST['mfa']=="on")
		{
			$tenderdata['mfa'] = 1;
		}
		if(isset($_POST['cpv']) && $_POST['cpv']!="")
		{
			$tenderdata['cpv'] = implode(',', $_POST['cpv']);
		}
		if(isset($_POST['tender_sector']) && $_POST['tender_sector']){
			$tenderdata['tender_sector'] = implode(',', $_POST['tender_sector']);
		}
		$tenderdata['tender_start_date'] = date('Y-m-d H:i:s',strtotime($tenderdata['tender_start_date']));
		$tenderdata['doc_last'] = date('Y-m-d H:i:s',strtotime($tenderdata['doc_last']));
		$tenderdata['date'] = date('Y-m-d H:i:s');
		if($_FILES['document_file']['name'][0]!=''){
			$file = $_FILES['document_file'];
		}else{
			$file = '';
		}
		$filepath1='';
		if($file!="")
		{
			$filepath1 = $this->uploadTenderImages($_FILES['document_file'],$file_path,$_POST['posting_id']);
		}
		$document_file = $filepath1;
		//print_r(json_encode($document_file));
		$tenderdata['document_file'] = json_encode($document_file);
		//echo "<pre>";print_r($tenderdata);die;
		$res = $this->common->insertData('tenders_free',$tenderdata);
		return $res;
	}
	public function uploadTenderImages($files=array(),$file_path='',$tenderid='')
	{
		$filepath=$filepath1=array();
		//$allowedExts = array("jpg","jpeg","png","gif","pdf","doc","docx","xls","xlsx","ppt","JPG","JPEG","PNG","GIF","PDF","DOC","DOCX","XLS","XLSX","PPT");
		//echo "<pre>";print_r($files);
		if(!empty($files))
		{
			if(isset($files) && $files['name'])
			{
				foreach ($files['name'] as $key => $value) {
					$ext = pathinfo($files['name'][$key], PATHINFO_EXTENSION);
					/*if(in_array($ext,$allowedExts))
					{*/
						if(!is_dir($file_path))
						{
							mkdir($file_path,0777);
						}
		    			$name = $_POST['file_name'][$key];//strtotime(date('Y-m-d H:i:s'));
		    			$file_size = $files['size'][$key];
						$file_name = $name.".".$ext;
						$filepath = $this->fileUploadConfig($file_path,$files,$file_name,$tenderid,$key);
						$filepath1[] = array("document_file"=>$name,"file_path"=>$filepath,"file_size"=>$file_size);//$filepath;
						$filepath=array();
					//}
				}
			}
		}
		return $filepath1;
	}
	public function fileUploadConfig($file_path,$files=array(),$file_name='',$tenderid='',$key='')
	{
		$filepath=array();
		//$file_path2 = $file_path1."/".$value['path'];
		if(!is_dir($file_path))
		{
			mkdir($file_path,0777);
		}
		$imagedetails = getimagesize($files['tmp_name'][$key]);
		move_uploaded_file ($files['tmp_name'][$key],$file_path."/".$file_name);
	    $filepath[] = $file_path."/".$file_name;
		return $filepath;
	}
	public function advanceUserSearch($post=array())
	{
		$this->db->select("*");
		$this->db->from("user as U");
		($_POST['name']!="")?$this->db->like("first_name",$post['name'],"both"):"";
		($_POST['email']!="")?$this->db->or_like("email",$post['email'],"both"):"";
		($_POST['phone']!="")?$this->db->or_like("phone",$post['phone'],"both"):"";
		($_POST['country']!="")?$this->db->or_like("country",$post['country'],"both"):"";
		($_POST['date']!="")?$this->db->or_like("date",$post['date'],"both"):"";
		$res = $this->db->get()->result_array();
		return $res;
	}
	public function checkDate($date='')
	{
		$months1 = array( 1 => 'jan', 2 => 'feb', 3 => 'mar', 4 => 'apr', 5 => 'may', 6 => 'jun', 7 => 'jul', 8 => 'aug',9 => 'sep', 10 => 'oct', 11 => 'nov',12 => 'dec');
		$months2 = array( 1 => 'january', 2 => 'february', 3 => 'march', 4 => 'april',5 => 'may', 6 => 'june', 7 => 'july', 8 => 'august', 9 => 'september', 10 => 'october', 11 => 'november',12 => 'december');
		$d = false;
		if($date!="")
		{
			if(!is_integer($date))
			{
				if(strlen($date)==3)
				{
					if($key = array_search($date, $months1))
					{
						$d = ((strlen($key)==1)?"-0".$key."-":((strlen($key)==1)?"-".$key."-":false));
					}
				}
				if(strlen($date)>3)
				{
					if($key = array_search($date, $months2))
					{
						$d = ((strlen($key)==1)?"-0".$key."-":((strlen($key)==1)?"-".$key."-":false));
					}
					//$d = "-".strtotime(date("F",$date))."-";
				}
			}else if((strlen($date)<=2) && ($date<=31))
			{
				$d = $date."-";
			}else if((strlen($date)>=3) && ($date<=12))
			{
				$d = "-".$date;
			}
		}
		return $d;
	}
	public function getSubAdminInfo($where=array())
	{
		//$query = $this->db->query("select A.*,(select count(*) from user as U1 where A.admin_name=U1.admin_name) as count from admin as A left outer join user as U on A.admin_name=U.admin_name where A.admin_type='child' group by A.admin_name");
		$this->db->select("A.*,count(U.userid) as count");
		$this->db->from("admin as A");
		$this->db->join("user as U","A.admin_name=U.admin_name","left");
		$this->db->where("A.admin_type !=","parent");
		if($where){
			$this->db->where($where);
		}
		$this->db->group_by("A.admin_name");
		$res = $this->db->get()->result_array();
		return $res;
		//$res = $query->result_array();
		//echo "<pre>"; print_r($res);die;
	}
	public function getAllUserRegistration($get=array())
	{
		$page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;
        if($page==0){
            $offset = 0;
            $where = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where = array('offset'=>$offset,'limit'=>$this->perPage);
        }
        $totalRec = $this->getUsersContents(array(),1);
        $data1['post'] = $this->getUsersContents($where,0);
		//$totalRec = $this->db->get()->num_rows();
		//$data1['post'] = $this->db->get()->result_array();
		//echo "<pre>";print_r($data1);die;echo $this->db->last_query();die;
        $config=array(
        		'target' => '#postList',
        		'base_url' => base_url('admin/users') ,
        		'total_rows' => $totalRec,
                'per_page' => $this->perPage,
                'full_tag_open' => "<ul class='pagination pagination-sm no-margin pull-right'>",
                'full_tag_close' => "</ul>",
                'first_tag_open' => '<li>',
                'first_tag_close' => '</li>',
                'last_tag_open' => '<li>',
                'last_tag_close' => '</li>',
                'next_tag_open' => '<li>',
                'next_tag_close' => '</li>',
                'prev_tag_open' => '<li>',
                'prev_tag_close' => '</li>',
                'num_tag_open' => '<li>',
                'num_tag_close' => '</li>',
                'cur_tag_open' => "<li class='active'><a>",
                'cur_tag_close' => "</a></li>"
        	);
        $this->pagination->initialize($config);
        //$data1['html'] = getTenders($data1["post"],'tenders');
        $data1['links'] = $this->pagination->create_links();
        $data1['h1'] = $this->pagination->totalRecords();
        $data1['h2'] = $this->pagination->noOfRecords();
        //echo "<pre>";print_r($data1);die;
        return $data1;
	}
	public function getUsersContents($params=array(),$count='')
	{
		$this->db->select("*");
		$this->db->from("user as U");
		$this->db->join("country as C","U.country=C.country_code","left");
		$this->db->join("package as P","U.package=P.p_id","left");
		if(isset($params['limit']) && isset($params['offset']))
		{
			$this->db->limit($params['limit'],$params['offset']);
		}
		if(isset($params['limit']) && !isset($params['offset']))
		{
			$this->db->limit($params['limit']);
		}
		$query = $this->db->get();
        if($count==0){
            $result = $query->result_array();
        }else{
            $result = $query->num_rows();
        }
        return $result;
	}

	public function deleteAdmin($post=array())
	{
		$this->common->deletedata("admin",array("adminid"=>$post['adminid']));
		if($this->db->affected_rows())
		{
			return true;
		}else{
			return false;
		}
	}

    public function getUserDashboardSearchFields($userid='')
    {
        $this->db->select("U.*,SC.saved_cpv,OUI.download_excel_limit,OUI.download_excel_status");
        $this->db->from($this->search_table." as U");
        $this->db->join("saved_cpv as SC","U.userid=SC.userid","left");
        $this->db->join("users_other_info as OUI","U.userid=OUI.userid","left");
        $this->db->where("U.userid",$userid);
        $res = $this->db->get()->result_array();
        if($res){
            return $res[0];
        }else{
            return false;
        }
    }

    public function getCountryJson()
    {
    	
		$countryarray = $this->config->item("countryarray");
		$result = $this->db->query("select count(userid) as count,country from user group by country")->result_array();
		$array = array();
		foreach ($result as $key => $value) {
			if(false !== $key1 = array_search(strtolower($value['country']), array_map("strtolower",$countryarray))){
				$array[$key1] = $value['count'];
			}
		}
		return json_encode($array);
    }

    public function getErrorRequest()
    {
    	$this->db->select("ER.*,A.admin_name");
    	$this->db->from("error_request as ER");
    	$this->db->join("admin as A","ER.adminid=A.adminid","left");
    	$this->db->order_by("date","desc");
    	$res = $this->db->get()->result_array();
    	return $res;
    }

    public function getNotes($post = array(),$count=0)
    {
    	/*$this->db->select("UN.*,U.first_name,U.last_name");
    	$this->db->from("user_notes as UN");
    	$this->db->join("user as U","UN.userid=U.userid","left");
    	$this->db->where("reminder_status",0);
    	$this->db->where("reminder_date",date("Y-m-d"));
    	$res = $this->db->get()->result_array();
    	return $res;*/
    	$query = 'SELECT UN.*,U.first_name,U.last_name,A.admin_name from user_notes as UN 
    				left join user as U on UN.userid=U.userid 
    				left join admin as A on UN.created_by=A.adminid 
    				where 1=1 ';//reminder_status=0
    	if(isset($post['picked_date']) && $post['picked_date']!=''){
    		$now = $post['picked_date'];
    		$query .= 'and (DATE(reminder_date) = DATE("'.$now.'")) and (DATE(reminder_date) != DATE("0000-00-00"))';
    	}else{
    		$now = date("Y-m-d");
    		$query .= 'and (DATE(reminder_date) = DATE("'.$now.'")) and (DATE(reminder_date) != DATE("0000-00-00"))';// or DATE(reminder_date) < DATE("'.$now.'")
    	}

    	if(isset($post['email']) && $post['email']!=""){
    		$query .= 'and U.email = "'.$post['email'].'"';
    	}

    	if(isset($post['country']) && $post['country']!=""){
    		$query .= 'and U.country = "'.$post['country'].'"';
    	}

    	if($this->admintype!="parent"){
    		$query .= 'and U.admin_name = "'.$this->adminname.'"';
    	}
    	$query .= ' order by reminder_date asc ';
    	if($count==1){
    		$res = $this->db->query($query)->num_rows();
    	}else{
    		$res = $this->db->query($query)->result_array();
    	}
    	//echo $this->db->last_query();print_r($res);die;
    	return $res;
    }
}
?>