<div class="content-wrapper">
    <div class="clearfix">&nbsp;</div>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-heading box-primary">
                        <span class="panel-title">Banners</span>
                        <span class="pull-right">
                            <button class="btn btn-sm btn-warning" data-toggle="modal" data-target="#exampleModal" data-whatever="@getbootstrap">Add Banner</button>
                        </span>
                    </div>
                    <div class="panel-body">
                        <table id="example1" class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>S.no</th>
                                    <th>Image</th>
                                    <th>Image Name</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if(!empty($banner)){ foreach ($banner as $key => $value) :
                                    ?>
                                    <tr class="odd gradeX" id="<?php echo "banner_".$value['b_id']; ?>">
                                        <td><?php echo $key+1; ?></td>
                                        <td> <img src="<?php echo base_url($value['path']); ?>" style="height: 50px" ></td>
                                        <td><?php echo $value['image_name']; ?></td>
                                        <td>
                                            <button class="btn btn-danger btn-sm deleteBanner" data-id="<?php echo $value['b_id']; ?>"><i class="fa fa-trash-o"></i></button>
                                        </td>
                                    </tr>
                                <?php endforeach; } ?>
                            </tbody>
                        </table>
                    </div><!-- /.panel-body -->
                </div><!-- /.panel -->
            </div>
        </div>
    </section>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form method="post" action="<?php echo base_url("flower_admin/uploadBannerImage"); ?>" id="uploadBannerForm" enctype="multipart/form-data">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="exampleModalLabel">Upload Banner Image</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="recipient-name" class="form-control-label">Image:</label>
                        <input type="file" name="image" id="upload">
                        <input type="hidden" id="status">
                        <div id="error"></div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" id="upload_button" class="btn btn-primary">Save Image</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script type="text/javascript">
$(function () {
    $(".deleteBanner").on("click",function(){
        var id = $(this).attr("data-id");
        var site_url = '<?php echo base_url(); ?>';
        if(confirm("Want to delete?"))
        {
            $.ajax({
                url: site_url+"flower_admin/deleteBanner",
                type: 'POST',
                data: 'b_id='+id,
                success: function(data){
                    if(data==1)
                    {
                        $("#banner_"+id).remove();
                    }
                }
            });
        }
    });

    $("#uploadBannerForm").on("submit",function(e){
        var status =$("#status").attr("value");
        if(status=="0")
        {
            e.preventDefault();
        }else{
        }
    });

    $("#upload").on("change",function(){
        var fileUpload = $("#upload")[0];
        var regex = new RegExp("([a-zA-Z0-9\s_\\.\-:])+(.jpg|.png|.gif)$");
        if (regex.test(fileUpload.value.toLowerCase())) {
            if (typeof (fileUpload.files) != "undefined") {
                var reader = new FileReader();
                reader.readAsDataURL(fileUpload.files[0]);
                reader.onload = function (e) {
                    var image = new Image();
                    image.src = e.target.result;
                    image.onload = function () {
                        var height = this.height;
                        var width = this.width;
                        //alert(height+" "+width);
                        if (height < 278 || width < 773) {
                            //alert("File size must be (1600*499).");
                            $("#error").html('<p style="color:red;">File size must be (773*278).</p>');
                            $("#upload_button").prop("disabled",true);
                            status = "0";
                            $("#status").attr("value","0");
                            return false;
                        }else{
                            //alert("Uploaded image has valid Height and Width.");
                            $("#error").html('<p style="color:green;">Uploaded image has valid Height and Width.</p>');
                            $("#upload_button").prop("disabled",false);
                            status = "1";
                            $("#status").attr("value","1");
                            return true;
                        }
                    };
                }
            } else {
                //alert("This browser does not support HTML5.");
                $("#error").html('<p style="color:red;">This browser does not support HTML5.</p>');
                $("#upload_button").prop("disabled",true);
                status = "0";
                $("#status").attr("value","0");
                return false;
            }
        } else {
            //alert("Please select a valid Image file.");
            $("#error").html('<p style="color:red;">Please select a valid Image file.</p>');
            $("#upload_button").prop("disabled",true);
            status = "0";
            $("#status").attr("value","0");
            return false;
        }
    });
});
</script>