<!DOCTYPE html>
<html>
<head>
	<title></title>
	<link rel="stylesheet" href="<?php echo base_url("assets/admin/bootstrap/css/bootstrap.min.css"); ?>">
	<link rel="stylesheet" href="<?php echo base_url("assets/admin/css/AdminLTE.min.css"); ?>">
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.11/css/jquery.dataTables.min.css">
	<script src="<?php echo base_url("assets/admin/plugins/jQuery/jQuery-2.1.4.min.js"); ?>"></script>
    <script src="<?php echo base_url("assets/admin/bootstrap/js/bootstrap.min.js"); ?>"></script>
</head>
<body>
    <section class="content">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div class="panel panel-primary">
                    <div class="panel-heading box-primary">
                        <span class="panel-title">Users</span>
                    </div>
                    <div class="panel-body">
						<table id="datatable1" class="table table-striped table-bordered" cellspacing="0" width="100%">
					        <thead>
					            <tr>
					                <th>First Name</th>
					                <th>Last Name</th>
					            </tr>
					        </thead>
					        <tbody>
					        	<?php if($users){ foreach ($users as $key => $value) : ?>
						        	<tr>
						        		<td><?php echo $value['first_name']; ?></td>
						        		<td><?php echo $value['last_name']; ?></td>
						        	</tr>
						        <?php endforeach; } ?>
					        </tbody>
					    </table>
					</div>
                    <!-- /.panel-body -->
                </div>
                <!-- /.panel -->
            </div>
        </div>
    </section>
	<script src="<?php echo base_url("assets/admin/plugins/datatables/jquery.dataTables.min.js"); ?>"></script>
	<script>
		$(function () {
			$("#datatable").DataTable();
		});
	</script>
</body>
</html>