<div class="content-wrapper">
  <div class="clearfix">&nbsp;</div>
  <section class="content">
    <div class="row">
      <div class="col-md-12">
        <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
          <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <?php echo $this->session->flashdata('message'); ?>
        </div>
        <div class="panel panel-primary">
          <div class="panel-heading box-primary">
            <span class="panel-title">Write Notes</span>
            <span class="pull-right">
                <a href="javascript:void(0)" class="btn btn-primary write_notes"><i class="fa fa-plus"></i> Add Notes</a>
                <a href="<?php echo base_url("admin/downloadNotesExcel"); ?>" class="btn btn-primary pull-right"><i class="fa fa-download"></i> download Notes</a>
            </span>
          </div>
          <div class="panel-body">
            <table id="example1" class="table table-bordered table-striped">
              <thead>
                <tr>
                  <th>SR.No.</th>
                  <th>Created By</th>
                  <th>Title</th>
                  <th>Description</th>
                  <th>Last Edited By</th>
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <?php if(!empty($notes)){ foreach ($notes as $key => $value):
                ?>
                <tr id="<?php echo "notes_".$value['nid']; ?>">
                  <td><?php echo $key+1; ?></td>
                  <td><?php echo $value['created_by']; ?></td>
                  <td id="<?php echo "id_".$value['nid']; ?>"><?php echo $value['title']; ?></td>
                  <td id="<?php echo "description_".$value['nid']; ?>"><?php echo $value['description']; ?></td>
                  <td><?php echo $value['updated_by']; ?></td>
                  <td>
                    <a href="javascript:void(0)" class="btn btx-xs edit_notes" title="Edit Notes" data-nid="<?php echo $value['nid']; ?>"><i class="fa fa-pencil"></i></a>
                    <a href="javascript:void(0)" class="btn btx-xs ajax_delete" title="Delete Notes" data-table="notes" data-value="<?php echo "nid_".$value['nid']; ?>"><i class="fa fa-trash"></i></a>
                  </td>
                </tr>
                <?php endforeach; } ?>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>

<div class="modal fade" tabindex="-1" id="write_notes_popup" role="dialog" aria-labelledby="mySmallModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form action="<?php echo base_url("admin/writeNotes"); ?>" method="post" enctype="multipart/form-data" id="writeNotesForm">
                <input type="hidden" name="nid" id="nid" value="" />
                <input type="hidden" name="status" id="status" value="" />
                <input type="hidden" name="updatedid" value="<?php echo $this->adminid; ?>" />
                <input type="hidden" name="updated_date" value="<?php echo date("Y-m-d H:i:s"); ?>" />
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Write Notes</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <div class="col-md-2">Title</div>
                        <div class="col-md-10">
                            <input type="text" class="form-control" name="title" id="title" />
                        </div>
                    </div>
                    <div class="clearfix">&nbsp;</div>
                    <div class="form-group">
                        <div class="col-md-2">Description</div>
                        <div class="col-md-10">
                            <textarea name="description" class="form-control ckeditor_full" id="description"></textarea>
                        </div>
                    </div>
                    <div class="clearfix">&nbsp;</div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    <button type="Submit" class="btn btn-primary">Save changes</button>
                </div>
            </form>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(".write_notes").on("click",function(){
        //$("#writeNotesForm").attr("action",'<?php echo base_url("admin/writeNotes"); ?>');
        $("#status").val("add");
        $("#write_notes_popup").modal("show");
    });
    $(".edit_notes").on("click",function(){
        var nid = $(this).attr("data-nid");
        var title = $("#id_"+nid).text();
        var description = $("#description_"+nid).text();
        $("#status").val("edit");
        $("#nid").val(nid);
        $("#title").val(title);
        $("#description").val(description);
        $("#write_notes_popup").modal("show");
        //var data = $("#write_notes_popup").serialize();
        /*$.ajax({
            url: $("#writeNotesForm").attr("action"),
            type: "POST",
            data : data,
            success: function(result){
                if(result==1){
                    alert("Note Updated Successfully!");
                }else{
                    alert("Note Not Updated!");

                }
            }
        });*/
    });
</script>