<?php 
class Email_Alerts extends MY_Admin_Controller {

	Public function __construct() { 
		parent::__construct();
		$this->load->model("user_search/user_search_model","usearch");
		$this->load->model("tenders_templates/tenders_templates_model","template");
		$this->load->model("global_tender_dashboard/global_tender_dashboard_model","dashboard");
		$this->load->helper('template_helper');

		$this->load->dbutil();

		$this->delimiter = ",";
        $this->newline = "\r\n";
	}

	public function is_logged_in(){
		$is_admin_logged_in = $this->session->userdata('is_admin_logged_in');

		if(!isset($is_admin_logged_in) || $is_admin_logged_in != true){
			redirect(base_url("admin-login"));
		}
	}

	public function activeEmailAlerts(){

		$this->is_logged_in();
		$userid = $_POST['userid'];
		unset($_POST['userid']);

		$data = $this->common->getsData($this->search_table,array("userid"=>$userid));//"alert_start !="=>"0000-00-00 00:00:00","alert_end !="=>"0000-00-00 00:00:00",
		//print_r($data);
		if(($data['alert_start']=="0000-00-00 00:00:00") && ($data['alert_end']=="0000-00-00 00:00:00")){
			//echo "000";
			$now = date("Y-m-d H:i:s");
			$alert_end = strtotime("+60 day", strtotime($now));
			$_POST['userid'] = $userid;
			$_POST['alert_start'] = $now;
			$_POST['alert_end'] = date("Y-m-d H:i:s",$alert_end);
			$_POST['email_alert']=1;
			$_POST['frequency']="after3days";
			$_POST['frequency_limit']=0;
			$_POST['payment_status']="free";
		}else{
			//echo "001";
			if($data['email_alert']==1){
				$_POST['email_alert']=0;
			}else{
				$_POST['email_alert']=1;
			}
		}
		$email_alert_array = $this->common->getField("email_alert",$_POST);
		$this->common->updateData("email_alert",$email_alert_array,array("userid"=>$userid));
		if(!$this->common->getsData("email_alert",array("userid"=>$userid))){
			$post['userid'] = $userid;
			$post['email_alert']=$_POST['email_alert'];
			$post['email_sample']="";
			$post['frequency']="after3days";
			$post['frequency_limit']=0;
			$post['count_alert']=0;
			$post['payment_status']="free";
			$ea = $this->common->getField("email_alert",$post);
			$this->common->insertData("email_alert",$ea);
		}
		/*if(!$this->common->getsData("email_alert",array("userid"=>$userid))){
			//echo "insert ea";
			$ea = $this->common->getField("email_alert",$_POST);
			//print_r($ea);
			$this->common->insertData("email_alert",$ea);//array("userid"=>$userid,"email_alert"=>1)
		}else{
			//echo "update ea";
		}*/
		$user = $this->common->getField("user",$_POST);
		$this->common->updateData($this->search_table,$user,array("userid"=>$userid));

		if($this->db->affected_rows()){
			echo $this->common->jsonEncode($_POST);
		}
	}

	public function allotUsersPage($adminid=''){

		$this->is_logged_in();
		$data['users'] = $this->common->getData("user",array("admin_name"=>str_replace("%20", " ", $adminid))); //$this->alert->getAllotedUsers();
		
		$data['adminid'] = $adminid;
		
		$this->loadAdminHtml("allot-users","Users List",$data);
	}

	public function allotUsers(){

		$this->is_logged_in();
		$update = 0;
		//$admin = $this->common->getsData("admin",array("admin_name"=>$_POST['adminid']),array("admin_name"));
		$userid = explode(",", $_POST['userid']);
		$admin_name = $_POST['admin_name'];
		foreach ($userid as $key => $value) {
			$this->common->updateData($this->search_table,array("admin_name"=>$admin_name),array("userid"=>$value));
			$update=1;
		}
		echo $this->common->jsonEncode(array("success"=>$update));
	}

	public function editAlertDatesPopup(){

		$this->is_logged_in();
		$html='';
		$userInfo = $this->common->getsData("user",array("userid"=>$_POST['userid']),array("userid","alert_start","alert_end"));
		$html=editAlertDates($userInfo);
		echo $this->common->jsonEncode(array("html"=>$html));
	}

	public function dailyAlertSearchPage()
	{
		$data['countryarray'] = $this->config->item("countryarray");
		$this->loadAdminHtml("daily-alert-search","Daily Alert Search",$data);
	}

	public function dailyAlertReportResult()
	{
		$this->load->helper('directory');
		$this->load->helper('file');
		$data['email_link'] = directory_map( FCPATH ."assets/email_alert_csv");
		$data['unsub_link'] = directory_map( FCPATH ."assets/unsub_users_list");
		$this->loadAdminHtml("daily-alert-report","Daily Alert Report",$data);
	}

	public function dailyAlertSearchResult($limit='')
	{
		$post = $post1 = array();
		if($limit!="") {

            $post1['limit'] = $limit;
        }else{
            $post['limit'] = 0;
        }
        if(isset($_POST["search"]) && $_POST["search"] == 1) {

            unset($_POST["search"]);
            foreach ($_POST as $key => $value) {
                if($_POST[$key]!="") {

                    $post[$key] = $value;
                }
            }
            $this->session->set_userdata("dailyAlertSearch",$post);
        }else{
            $post = $this->session->userdata('dailyAlertSearch');
            if($limit!="") {
                
                $post['limit'] = $post1['limit'];
            }
        }
        $base_url = base_url("admin/daily-alert-search-result");
		$data = $this->alert->advanceDailyAlertSearch($post,$base_url);
		// echo "<pre>";
		// print_r ($data);
		// echo "</pre>";die;
		$this->loadAdminHtml("daily-alert-search-result","Daily Alert Search Result",$data);
	}

	public function editAlertDates(){

		$this->is_logged_in();
		$userid = $_POST['userid'];
		unset($_POST['userid']);
		$_POST['alert_start'] = date("Y-m-d H:i:s",strtotime($_POST['alert_start']));
		$_POST['alert_end'] = date("Y-m-d H:i:s",strtotime($_POST['alert_end']));
		$_POST['email_alert'] = 1;
		$this->common->updateData($this->search_table,$_POST,array("userid"=>$userid));

		if($this->db->affected_rows()){

			header('Content-type: application/json; charset=utf-8"');
			echo json_encode(array("alert_start"=>$_POST['alert_start'],"alert_end"=>$_POST['alert_end'],"userid"=>$userid));
		}
	}

	/* 
	*	This function run by cron and send the Tenders Alerts By CPV to users at 08:00 AM daily. 
	*/
	public function tendersAlertByCPVCJ(){die;
		$yesterday = date("Y-m-d",strtotime("-1 day",strtotime(date("Y-m-d"))));
		
		$cpv_users = $this->alert->getUsersCPV();
		// echo "<pre>";
		// print_r ($cpv_users);
		// echo "</pre>";die;
		$infodb = $this->load->database('info', TRUE);

		$html='';
		$post=$data=$data1=$sendAlertUsersList=$em=array();
		$count=$y=$n=0;
		if($cpv_users){
			//foreach ($cpv_users as $cpv_value) {
				foreach ($cpv_users as $key => $value) {

					/* Send Mail of Email Alert Expiring 1,3,7 Days Before Code Start */

					$now = date("Y-m-d");
					/*$threedaybefore = array(
											array("day"=>1,"date"=>date("Y-m-d",strtotime("-1 day",strtotime($value['alert_end'])))),
											array("day"=>3,"date"=>date("Y-m-d",strtotime("-3 day",strtotime($value['alert_end'])))),
											array("day"=>7,"date"=>date("Y-m-d",strtotime("-7 day",strtotime($value['alert_end'])))),
										);

					foreach ($threedaybefore as $key1 => $value1) {

						if ($now==$value1['date']){

							$expiry_html = "Dear ".$value['first_name'].",\n Your Email Alert Subscription is going to expire after ".$value1['day']." days on ".date("Y-m-d",strtotime($value['alert_end']));
							$this->common->sendMail($expiry_html,"contact@globaltenders.com","Email Alert Subscription Expiring Soon.");
						}
					}*/
					/* Send Mail of Email Alert Expiring 1,3,7 Days Before Code End */
					$today = strtotime(date("Y-m-d H:i:s"));
					$alert_end = strtotime($value['alert_end']);
					//if($value['userid'] == 1485708613){
						if($alert_end>=$today){

								$_GET['date_c_start'] = $yesterday;

						        $_GET['cpv'] = ($value['saved_cpv']!="" && $value['saved_cpv'] !='[""]')?implode(",", json_decode($value['saved_cpv'])):"";

						        if($value['sector_check']==1){

						            if($value['sector']!=""){

						                $_GET['sector'] = explode(",", $value['sector']);
						            }
						        }

						        if($value['omit_sector']!=""){
						            $_GET['omit_sector'] = explode(",", $value['omit_sector']);
						        }

						        $_GET['keyword'] = $value['product_services'];
						        $_GET['omit_keyword'] = $value['omit_product_services'];
						        if($value['region_name']!=""){

						            $_GET['region_name'] = explode(",", $value['region_name']);
						        }else{
						            $_GET['region_name'] = array();
						        }
						        if($value['omit_region_name']!=""){
						            $_GET['omit_region_name'] = explode(",", $value['omit_region_name']);
						        }else{
						            $_GET['omit_region_name'] = array();
						        }

						        $_GET['notice_type'] = $value['notice_type'];
						        //$_GET['check'] = 1;
						        $data1['count1'] = $this->tender->getRows($_GET,'',array(),"tenders",1);
						        if($value['frequency_limit']==0){
						        	$frequency_limit = 10;
						        	$not=10;
						        }else{
						        	$frequency_limit = $data1['count1'];
						        	$not="all";
						        }

						        $data1['post'] = $this->tender->getRows($_GET,'',array("limit"=>$frequency_limit),"tenders",0);
						        echo "Key = ".$key.", userid = ".$value['userid']."<br>";
								if(!empty($data1['post'])){
									$send_mail_content = '';
									echo "<pre>";print_r($value);echo "</pre>";
						        	$send_mail_content = implode(",",array_column($data1['post'], "posting_id"));
									$data1['userid'] = $value['userid'];
									$data1['action'] = "Unsubscribe";
									$data1['name'] = $value['first_name'];
									$data1['h1'] = $data1['count1'];
									$data1['count'] = $frequency_limit;//$data['count'];
									if($value['payment_status']=="free"){
										$html = $this->load->view("alert_template_cpv",$data1,true);
									}else{
										$html = $this->load->view("alert_template_cpv_paid",$data1,true);
									}

									$frequency = $value['frequency'];
									$mail_permission = 0;
									if($frequency=="" || $frequency=="daily"){
										$mail_permission=1;
									}else if($frequency=="weekly"){
										if(date("w",strtotime(date("Y-m-d")))==6){
											$mail_permission=1;
										}
									}else if($frequency=="bimonthly"){
										if(date("d",strtotime(date("Y-m-d")))==15){
											$mail_permission=1;
										}
									}else if($frequency=="monthly"){
										if(date("d",strtotime(date("Y-m-d")))==30){
											$mail_permission=1;
										}
									}else if($frequency=="ulternate"){
										$reg = strtotime($value['reg_date']);
										$now = strtotime($now);
										$day = date("d",$now-$reg);
										$mail_permission=(($day%2)==0)?1:0;
										
									}else if($frequency=="after3days"){
										$reg = strtotime($value['reg_date']);
										$now = strtotime($now);
										$day = date("d",$now-$reg);
										$mail_permission=(($day%3)==0)?1:0;
									}else{
										$mail_permission = 0;
									}
									echo "mail_permission = ".$mail_permission."<br>";
									if($mail_permission==1){
										$count++;
										array_push($sendAlertUsersList, array("first_name"=>$value['first_name'],"last_name"=>$value['last_name'],"email"=>$value['email'],"alert_start"=>$value['alert_start'],"alert_end"=>$value['alert_end'],"admin_name"=>$value['admin_name'],"frequency"=>$value['frequency'],"count_alert"=>$value['count_alert'],"not"=>$not));//,"count_st_log"=>$value['count_st_log']
										$bcc=array('rohan@globaltenders.com');
										/*if($value['admin_email']!="")
										{
											$admin_email = str_replace("globaltenders.com", "global-tenders.com", $value['admin_email']);
											array_push($bcc, $admin_email);
										}*/

										if($not!="all"){
											echo $html."<br>";
										}
										$email_send_to = $value['email'].((isset($value['extra_email']) && $value['extra_email']!="")?','.$value['extra_email']:"");
										
										array_push($em, $email_send_to);
										$res = $this->common->sendSMTPMail($html,"bids@global-tenders.com",$email_send_to,$bcc,"Global Business Opportunities for ".date("d-M-Y"));
										if($res){
											$this->db->query("UPDATE email_alert SET count_alert = count_alert + 1 WHERE userid = '".$value['userid']."'");
											$this->common->insertData("daily_mail_history",array("userid"=>$value['userid'],"send_mail_type"=>"daily_alert","send_mail_content"=>$send_mail_content,"send_date"=>date("Y-m-d H:i:s")));
										}
									}
								}
							
							$data1 = $post = array();
						}
						if($key%10==0){
							sleep(2);
							echo "Delay of 2 sec<br>";
						}
					//}
				}
			//}

			//print_r($em);
			$file=$file1='';
			if($sendAlertUsersList){
				$res=$res1=false;
				$now = date("Y-m-d");
				$filename=$now.".csv";
				$file.="Name,Activation Date, Expiry Date, Admin, Frequency, Number of Mails Sent, 10 or all\n";
				$file1.="Name,Activation Date, Expiry Date, Admin, Number of Alert Sent, Frequency\n";
				foreach ($sendAlertUsersList as $key => $value) {
					$file.=$value['first_name']." ".$value['last_name'].",".$value['alert_start'].",".$value['alert_end'].",".$value['admin_name'].",".$value['frequency'].",".$value['count_alert'].",".$value['not']."\n";//.",".$value['count_st_log']
					$file1.=$value['first_name']." ".$value['last_name'].",".$value['alert_start'].",".$value['alert_end'].",".$value['admin_name'].",".$value['count_alert'].",".$value['frequency']."\n";
				}
				if(!is_dir("assets/email_alert_csv/".DATE)){
					mkdir("assets/email_alert_csv/".DATE,0777);
				}
				//echo $file;
	            if(!is_file ("assets/csv_files/".$filename)){

	            	//echo "1";
			        fopen("assets/csv_files/".$filename, "w");
					file_put_contents ("assets/csv_files/".$filename, $file);

					$this->load->library('zip');
					$this->zip->add_data($filename, $file);
					$this->zip->archive("assets/csv_files/".$now.".zip");
					$this->zip->archive("assets/email_alert_csv/".DATE."/".$now.".zip");
					unlink("assets/csv_files/".$filename);
					$res=true;
				}
				if($res){

				    $this->email->from('admin@globaltenders.com');
			        $this->email->to(array("rohan@globaltenders.com"));
			        //$this->email->to("hw.sharma9@gmail.com");
				    $this->email->subject('Email alerts sent on '.$yesterday);
				    $this->email->message('Hello Download the attached file.');
				    $this->email->attach("assets/csv_files/".$now.".zip");

				    if($this->email->send()){

			    		unlink("assets/csv_files/".$now.".zip");
			    		
			    		$res1=true;
			    	}
			    	$this->zip->clear_data();
				}

				/*if($res1){

					if(!is_file ("assets/csv_files/"."CA-".$filename)){

						//echo "2";
				        fopen("assets/csv_files/"."CA-".$filename, "w");
						file_put_contents ("assets/csv_files/"."CA-".$filename, $file1);

						$this->load->library('zip');
						$this->zip->add_data("CA-".$filename, $file1);
						$this->zip->archive("assets/csv_files/"."CA-".$now.".zip");
						$this->zip->archive("assets/email_alert_csv/".DATE."/CA-".$now.".zip");
						unlink("assets/csv_files/"."CA-".$filename);
					}

					$this->email->clear(TRUE);
				    $this->email->from('admin@globaltenders.com');
			        $this->email->to(array("rohan@globaltenders.com"));
			        //$this->email->to("hw.sharma9@gmail.com");
				    $this->email->subject('Email alerts Count Alert sent on '.$yesterday);
				    $this->email->message('Hello Download the attached file.');
				    $this->email->attach("assets/csv_files/"."CA-".$now.".zip");

				    if($this->email->send()){

				    	//echo "3";
			    		unlink("assets/csv_files/"."CA-".$now.".zip");
			    	}
			    	$this->zip->clear_data();
				}*/
			}
			//echo "yes = ".$y."<br> no = ".$n;
		}
	}

	/*
	*	This function run by cron and send the information of number of users 
	*	are unsubscribed today at 12:00 AM daily.
	*/
	public function mailUnsubscribedUsersListCJ() {
		die;
		$now = date("Y-m-d",strtotime("-1 days",strtotime(date("Y-m-d"))));
		$res = false;

        $filename = "unsubscribed_at_".$now.".csv";
        $result = $this->usearch->advanceUsersSearch(array("unsubscrib_date"=>$now));
        //$result = $this->db->select("first_name,last_name,email,country,admin_name")->from("user")->where("unsubscrib_date",date("Y-m-d H:i:s"))->get()->result_array();//where("unsubscrib_date",date("Y-m-d H:i:s"))->
        //echo "<pre>";//echo $this->db->last_query();print_r($result);die;
        $admin=$admin_array=array();
        if($result['post'] && !empty($result['post'])){
	        foreach ($result['post'] as $key => $value) {
	        	$aname = $value['admin_name'];
	        	if($aname=="")
	        	{
	        		$aname="not_interested";
	        		$value['admin_name']="not_interested";
	        	}
        		if(!in_array($aname, $admin_array)){
        			array_push($admin_array, $value['admin_name']);
        			$admin[$aname]=array();
        		}
        		if(in_array($aname, $admin_array)){
        			unset($value['admin_name']);
        			array_push($admin[$aname], $value);
        		}
	        }
			$this->load->library('zip');
	        //print_r($admin);die;
	        $admins=$file=$admin_file='';
	        if($admin){
	        	if(!is_dir("assets/unsub_users_list/".DATE)){
					mkdir("assets/unsub_users_list/".DATE,0777);
				}
		        foreach ($admin as $key => $value) {
		        	//echo "key = ".$key;
		        	//print_r($value);
		        	//$file.=$value['first_name']." ".$value['last_name'].",".$value['email'].",".$value['country']."\n";
		        	$file.=$key."\n\n";
	        		$file.="Name,Email,Country\n";
		        	if($value){
			        	foreach ($value as $key1 => $value1) {
			        		$admins.=$value1['first_name']." ".$value1['last_name'].",".$value1['email'].",".$value1['country']."\n";
			        	}
			        	$file.=$admins."\n\n\n\n";
			        	$admins='';
			        }
		        	//echo $file;
		        	$admin_file.=$file;
			        $admin_name = str_replace(" ", "_", $key);

			        if($key=="not_interested"){
			        	$sub_admin_email = "rohan@globaltenders.com";
			        }else{
			        	$an = $this->common->getsData("admin",array("admin_name"=>$key),array("email"));
			        	$sub_admin_email = str_replace("globaltenders", "global-tenders", $an['email']);
			        }
			        //echo $sub_admin_email;

					if(!is_file ("assets/csv_files/".$admin_name.$filename)){

		            	//echo "1";
				        fopen("assets/csv_files/".$admin_name.$filename, "w");
						file_put_contents ("assets/csv_files/".$admin_name.$filename, $file);

						$this->zip->add_data($admin_name.$filename, $file);
						$this->zip->archive("assets/csv_files/".$admin_name.$now.".zip");
						$this->zip->archive("assets/unsub_users_list/".DATE."/".$admin_name.$now.".zip");
						unlink("assets/csv_files/".$admin_name.$filename);
						$res=true;
					}
			        //$res = $this->alert->createZipFile($admin_name.$filename,$file,$admin_name.$now);
					if($res){
						$this->email->clear(TRUE);
					    $this->email->from('admin@globaltenders.com',"Global Tenders");
				        $this->email->to($sub_admin_email);
					    $this->email->subject('Users List Unsubscried on '.$admin_name.$now);
					    $this->email->message('Hello Download the attached file.');
					    $this->email->attach("assets/csv_files/".$admin_name.$now.".zip");

					    if($this->email->send()){

				    		unlink("assets/csv_files/".$admin_name.$now.".zip");
				    		
				    	}
				    	$this->zip->clear_data();
					}
					$file='';
				}
				//echo "admin file = ".$admin_file;
				if(!is_file ("assets/unsub_users_list/".DATE."/".$filename)){
					fopen("assets/unsub_users_list/".DATE."/".$filename, "w");
					file_put_contents ("assets/unsub_users_list/".DATE."/".$filename, $file);

					$this->zip->add_data($filename, $admin_file);
					$this->zip->archive("assets/unsub_users_list/".DATE."/".$now.".zip");
					unlink("assets/unsub_users_list/".DATE."/".$filename);
				}
				$res = $this->alert->createZipFile($filename,$admin_file,$now);
				if($res){
					$this->email->clear(TRUE);
				    $this->email->from('admin@globaltenders.com',"Global Tenders");
			        $this->email->to(array("wiptech@worldinfopages.com","rohan@globaltenders.com"));
				    $this->email->subject('Users List Unsubscried on '.$now);
				    $this->email->message('Hello Download the attached file.');
				    $this->email->attach("assets/csv_files/".$now.".zip");

				    if($this->email->send()){

			    		unlink("assets/csv_files/".$now.".zip");
			    		
			    	}
			    	$this->zip->clear_data();
			    }
		    }
		}
		$this->resetTenderViewLimitTable();
	}

	/*
	*	Function send a mail to superadmin on every day with an excel file attached contains information
	*	of registered users within the day at 
	*/
	public function newUsersRegistrationAlertCJ(){
		die;
		$now = date("Y-m-d",strtotime("-1 days",strtotime(date("Y-m-d"))));//date("Y-m-d");
		$res = false;
		$this->load->dbutil();
		$delimiter = ",";
        $newline = "\r\n";
        $filename = $now.".csv";
        $query = "SELECT * FROM user where reg_date like '%".$now."%'";
        $result = $this->db->query($query." order by u_id asc");
        $result1 = $this->db->query($query." order by u_id asc")->result_array();
        //echo "<pre>";echo $this->db->last_query();print_r($result1);
        $data = $this->dbutil->csv_from_result($result, $delimiter, $newline);
        //force_download($filename, $data);
        if ( !file_exists(base_url("assets/csv_files/".$filename)) ) {
			$oldmask = umask(0);  // helpful when used in linux server  

			if(!is_dir("assets/csv_files")){

				mkdir ("assets/csv_files/", 0777);
			}

			if(!is_file ("assets/csv_files/".$filename)){

		        fopen("assets/csv_files/".$filename, "w");
				file_put_contents ("assets/csv_files/".$filename, $data);

				$this->load->library('zip');
				$this->zip->add_data($filename, $data);
				$this->zip->archive("assets/csv_files/".$now.".zip");
				$res=true;
			}
		}

		if($res){

		    $this->email->from('admin@globaltenders.com');
	        $this->email->to(array("wiptech@worldinfopages.com","rohan@globaltenders.com"));
		    $this->email->subject('Users List Registered Today');
		    $this->email->message('Hello Download the attached file.');
		    $this->email->attach("assets/csv_files/".$now.".zip");

		    if($this->email->send()){

	    		unlink("assets/csv_files/".$now.".zip");
	    		unlink("assets/csv_files/".$filename);
	    	}else{

	    		echo "not send";
	    	}
		}
	}

	/*
	*	Function send a mail to superadmin on every SUNDAY with an excel file attached contains information
	*	of registered users within the last week
	*/
	public function newUsersRegistrationWeekendAlertCJ(){
		die;
		$now = date("Y-m-d");
		if(date("w",strtotime(date("Y-m-d")))==7){

			$sunday = date("Y-m-d",strtotime("-7 days",strtotime(date("Y-m-d")))); // Seven Days Before Today
			$saturday = date("Y-m-d",strtotime("-0 days",strtotime(date("Y-m-d")))); // One Day Before Today
	    	//echo "Saturday";echo "<pre>".$sunday." = ".$saturday;
			$res = false;
			$this->load->dbutil();
			$delimiter = ",";
	        $newline = "\r\n";
	        $filename = "weekend-".$saturday.".csv";
	        $query = "SELECT * FROM user where reg_date>='".$sunday."' and reg_date<'".$saturday."'";
	        $result = $this->db->query($query." order by u_id asc");
	        $result1 = $this->db->query($query)->result_array();
	        //echo count($result1);echo $this->db->last_query();print_r($result1);
	        $data = $this->dbutil->csv_from_result($result, $delimiter, $newline);
	        //print_r($data);
	        //force_download($filename, $data);
	        if ( !file_exists(base_url("assets/csv_files/".$filename)) ) {

				$oldmask = umask(0);  // helpful when used in linux server  

				if(!is_dir("assets/csv_files")){

					mkdir ("assets/csv_files/", 0777);
				}

				if(!is_file ("assets/csv_files/".$filename)){

			        fopen("assets/csv_files/".$filename, "w");
					file_put_contents ("assets/csv_files/".$filename, $data);

					$this->load->library('zip');
					$this->zip->add_data($filename, $data);
					$this->zip->archive("assets/csv_files/".$saturday.".zip");
					$res=true;
				}
			}

			if($res){

			    $this->email->from('admin@globaltenders.com');
		        $this->email->to(array("wiptech@worldinfopages.com","rohan@globaltenders.com"));
		        //$this->email->to("hw.sharma9@gmail.com");
			    $this->email->subject('Users List Registered From Last Sunday to Saturday.');
			    $this->email->message('Hello Download the attached file.');
			    $this->email->attach("assets/csv_files/".$saturday.".zip");

			    if($this->email->send()){

		    		unlink("assets/csv_files/".$saturday.".zip");
		    		unlink("assets/csv_files/".$filename);
			    }
			}

		}
	}

	public function unsubscribeUserAlert(){

		if((isset($_GET['id']) && $_GET['id']) && (isset($_GET['name']) && $_GET['name'])){

			$this->loadHtml("unsubscribed-user","Home Page");
		}else{
			redirect(base_url());
		}
	}

	public function unsubscribeUserAlertSuccess(){

		if($data = $this->common->getsData("user",array("userid"=>$_POST['id']))){

			$this->common->updateData("user",array("email_alert"=>0),array("userid"=>$_POST['id']));
			if($this->db->affected_rows()){
				$this->common->updateData("email_alert",array("email_alert"=>0,"unsubscribe_by"=>1),array("userid"=>$_POST['id']));
				
				$bcc=array();
				if($adminemail = $this->common->getsData("admin",array("admin_name"=>$data['admin_name'])))
				{
					$admin_email = str_replace("globaltenders.com", "global-tenders.com", $adminemail['email']);
					array_push($bcc, $admin_email);
				}
				$html = "name = ".$_POST['name']." (".$data['email'].") userid = ".$_POST['id']." unsubscribed the mail alerts.<br><br> Reason = ".$_POST['reason'];
				$this->common->updateData("user",array("unsubscrib_date"=>date("Y-m-d H:i:s")),array("userid"=>$_POST['id']));
				if($this->db->affected_rows()){
					$this->common->sendSMTPMail($html,"freealerts@global-tenders.com","freealerts@global-tenders.com",$bcc,"Email Alert Unsubscribed by A User.");
				}
			}
			$this->session->set_flashdata("message","Thanks for providing reason.");
		}else{
			$this->session->set_flashdata("emessage","No User Found!");
		}
		redirect(base_url("unsubscribe-user/?action=Unsubscribe&name=".$_POST['name']."&id=".$_POST['id']));
	}

	public function userSearchPageEmailAlert(){

		$data['user_title'] = $this->config->item("title");
        $data['countryarray'] = $this->config->item("countryarray");
        $data['tender_sector'] = $this->config->item("sector_industry");
        $data['package'] = $this->config->item("package");
        $data['lead_sources'] = $this->config->item("lead_sources");
        $data['hear'] = $this->config->item("hear");
        $data['admins'] = $this->common->getData("admin",array("admin_type !="=>"parent"),array("adminid","admin_name"));
        $data['admin_type'] = $this->session->userdata('admin_type');
        $data['link'] = base_url("admin/email-usersearch");
        //echo "<pre>";print_r($data);die;
        $this->loadAdminHtml("user_search/user-search","Users Search Page",$data);
	}

    public function pageClickSearchPage()
    {
        $this->loadAdminHtml("user-page-click-search","Users Page Click Search");
    }

    public function userSearchEmailAlert($limit=''){

        $post = $post1 = array();
        $get=array();

        if($limit!=""){

            $post1['limit'] = $limit;
        }else{
            $post['limit'] = 0;
        }

        if(!empty($_POST)){

            if(isset($_POST["search"]) && $_POST["search"] == 1){

                unset($_POST["search"],$_POST["submit"]);
                foreach ($_POST as $key => $value) {

                    if($_POST[$key]!=""){

                        $post[$key] = $value;
                    }
                }
                $this->session->set_userdata("usearch",$post);
            }
        }else{
            $post = $this->session->userdata('usearch');
            if($limit!=""){

                $post['limit'] = $post1['limit'];
            }
        }
        $data = $this->usearch->advanceUsersSearch($post,base_url('admin/email-usersearch'));
        $data['admins'] = $this->common->getData("admin",array("admin_type !="=>"parent"),array("adminid","admin_name"));
        $this->loadAdminHtml("users-list","Users",$data);
    }

    /*
    *	This function run by cron job. This function check the users registered Resently and 
    *	sends mail to the user after 24 and 72 hours of registration.
    */
    public function sendEmailtoRegisteredUserCJ(){
    	die;
    	$html='';
    	$c=0;
    	$now = strtotime(date("Y-m-d H:i:s"));
    	$now1 = date("Y-m-d h:i:s a");
    	$yesterday = date("Y-m-d",strtotime("-3 day",strtotime(date("Y-m-d"))));
    	$users = $this->common->getData("user",array("reg_date <="=>date("Y-m-d"),"reg_date >="=>$yesterday),array("userid","title","package","account_status","last_name","reg_date","first_name","email","country","organization","email_domain"));

    	foreach ($users as $key => $value) {
    		if($value['account_status']!=1){
	    		
	    		$reg_time = date("Y-m-d h:i:s a",strtotime($value['reg_date']));
	    		$plus48h = strtotime("+48 hours",strtotime($value['reg_date']));
	    		$plus49h = strtotime("+49 hours",strtotime($value['reg_date']));
	    		$plus24h = strtotime("+24 hours",strtotime($value['reg_date']));
	    		$plus25h = strtotime("+25 hours",strtotime($value['reg_date']));
	    		$plus72h = strtotime("+72 hours",strtotime($value['reg_date']));
	    		$plus73h = strtotime("+73 hours",strtotime($value['reg_date']));
	    		$user_country = $value['country'];
	    		
	    		$data['user'] = $value;
	    		$subject = "Global Tenders ".$value['package']." Subscription - ".$value['first_name']." ".$value['last_name']." (".$value['organization']." )";

	    		if(($plus48h<=$now) && ($now<=$plus49h)){

	    			echo "mail after 48 hours<br>";
	    			echo "<pre>";print_r($value);echo "</pre>";
	    			echo "mail after 48 hours<br>";
	    			if($value['email_domain']=="generic") {
		    			if($user_country=="India") {
		    				$html = $this->load->view("email-templates/automatic-24-hours-india",$data,true);
		    			}else {
		    				$html = $this->load->view("email-templates/automatic-24-hours-Except-India",$data,true);
		    			}
		    		}else {
		    			$html = $this->load->view("email-templates/automatic-48-hours",$data,true);
		    		}
	    			echo "<br>subject = ".$subject;
	    			echo "<br>html = ".$html;
		    		$this->email->from("contact@globaltenders.com",'Global Tenders');
					$this->email->to($value['email']);
					$this->email->subject($subject);
					$this->email->message($html);
					$this->email->bcc(array("contact@globaltenders.com"));
					$this->email->send();
	    		}
			}
    	}
    }

    public function testTemplate()
    {
    	$data['user'] = array("title"=>"Mr.","first_name"=>"Harsh");
    	$html = $this->load->view("email-templates/check",$data,true);
    	echo $html;
    }

    public function sendEmailRelatedFieldsForm(){

    	$userid = $_POST['userid'];
    	$html = sendEmailRelatedFieldsForm($userid);
    	echo $this->common->jsonEncode(array("html"=>$html));die;
    }

    public function sendQuickEmailFrom(){

    	$userid = $_POST['userid'];
    	//$userdata = $this->common->getsData("user",array("userid"=>$userid),array("email","userid"));
    	$html = sendQuickEmailFrom($userid);
    	echo $this->common->jsonEncode(array("html"=>$html));die;
    }

    public function sendQuickEmail(){

    	$to=array();$send = 0;
    	$userid = explode(",", $_POST['userid']);
    	foreach ($userid as $key => $value) {
	    	$admin_email = $this->alert->getUsersAdminEmail($value);
	    	//$userdata = $this->common->getsData("user",array("userid"=>$value),array("email"));
	    	$udata = $this->alert->getUsersCPV(array("U.userid"=>$value),0,$this->search_table);
	    	if($udata){
		    	$userdata = $udata[0];
		    	array_push($to, $userdata['email']);

		    	if($admin_email['admin_email']!=""){

					$adminemail = str_replace("globaltenders.com", "global-tenders.com", $admin_email['admin_email']);
					array_push($to, $adminemail);
				}
				$subject = $_POST['subject'];
				$html=$_POST['edit_template'];

				$res = $this->common->sendSMTPMail($html,"freealerts@global-tenders.com",$to,"freealerts@global-tenders.com",$subject);
				// $res = $this->common->sendMailByCurl(array("message"=>$html,"from"=>"freealerts@globaltenders.email","to"=>$to,"subject"=>$subject,"bcc"=>'freealerts@globaltenders.email'));
				// $res = $res['status'];
				if($res){
				//if($this->email->send()){
					$this->common->insertData("st_log",array("userid"=>$value,"template"=>"sample","date"=>date("Y-m-d H:i:s")));
					$send = 1;
				}else{
					$send = 0;
				}
			}else{
				$send = 0;
			}
			sleep(2);
    	}
    	echo $send;
    }

    public function sendTenderSampleEmail(){

    	$send = 0;
    	$userid = explode(",", $_POST['userid']);
    	$no_of_tenders = $_POST['no_of_tenders'];
    	unset($_POST['no_of_tenders'],$_POST['userid']);
    	foreach ($userid as $key => $value) {
    		$data['post'] = $this->alert->usersSearchedTendersToSend(array("table"=>$this->search_table),$value,$no_of_tenders);
	    	//$data = $this->alert->getTendersContentForCPVAlerts($_POST);
	    	//$userdata = $this->common->getsData("user",array("userid"=>$value),array("email","first_name","last_name","organization"));
	    	$udata = $this->alert->getUsersCPV(array("U.userid"=>$value),0,$this->search_table);
	    	if($udata){
		    	$userdata = $udata[0];
				$data['h1'] = count($data['post']);
				$data['no_of_tenders'] = $no_of_tenders;
				//$data['count'] = $count;
				$html = $this->load->view("sample_alert_template",$data,true);
		    	$admin_email = $this->alert->getUsersAdminEmail($value);
				if($admin_email['admin_email']!=""){
					$adminemail = str_replace(".com", ".email", $admin_email['admin_email']);
				}else{
					$adminemail = "freealerts@globaltenders.email";
				}
				$subject = "Global Tenders - ".$userdata['first_name']." ".$userdata['last_name']." (".$userdata['organization'].")";
				$res = $this->common->sendMailByCurl(array("message"=>$html,"from"=>$adminemail,"to"=>$userdata['email'],"subject"=>$subject,"bcc"=>$adminemail));
				$res = $res['status'];
				//$res = $this->common->sendSMTPMail($html,$adminemail,$userdata['email'],array($adminemail),$subject);
				if($res){
				//if($this->email->send()){

					//$_POST['no_of_tenders'] = $no_of_tenders;
					//$this->saveSentTenderSampleEmail($_POST,$value);
					$eadata = $this->common->getsData("email_alert",array("userid"=>$value),array("email_sample"));
					if($eadata && $eadata['email_sample']!=""){

						$emailsample = json_decode($eadata['email_sample'],true);
						$new = array("template"=>"sample","date"=>date("Y-m-d H:i:s"));
						array_push($emailsample, $new);
						$email_sample = json_encode($emailsample);
					}else{
						$email_sample = json_encode(array(array("template"=>"sample","date"=>date("Y-m-d H:i:s"))));
					}
					$this->common->updateData("email_alert",array("email_sample"=>$email_sample),array("userid"=>$value));
					$this->common->insertData("st_log",array("userid"=>$value,"template"=>"sample","date"=>date("Y-m-d H:i:s")));
					$send = 1;
				}else{
					$send = 0;
				}
			}else{
				$send = 0;
			}
    		sleep(2);
    	}
    	echo $send;die;
    }

    public function saveSentTenderSampleEmail($post=array(),$userid=''){

    	$data=array();

		foreach ($post as $key => $value) {

			if($value=="" || (is_array($value) && empty($value) && $value="")){

				unset($post[$key]);
			}
		}

    	$alert_info = $this->common->getsData("email_alert",array("userid"=>$userid),array('email_sample'));
    	if($alert_info['email_sample']!=""){

    		$data = json_decode($alert_info['email_sample'],true);
    		array_push($data, $post);
    	}else{
    		$data = array($post);
    	}
    	$this->common->updateData("email_alert",array("email_sample"=>json_encode($data)),array("userid"=>$userid));
    }

    public function allSentEmailTemplateList(){

    	$template='';
    	$userid = $_POST['userid'];
    	/*$userdata = $this->common->getsData("email_alert",array("userid"=>$userid),array("email_sample"));
    	$data = json_decode($userdata['email_sample'],true);*/
    	$data = $this->common->getData("st_log",array("userid"=>$userid));
    	$html = allSentEmailList($data);

    	echo $this->common->jsonEncode(array("html"=>$html));die;
    }

    public function getSampleTemplate(){

    	$template='';
    	$userid = $_POST['userid'];
    	$id = $_POST['id'];
    	$userdata = $this->common->getsData("email_alert",array("userid"=>$userid),array("email_sample"));
    	$data = json_decode($userdata['email_sample'],true);
    	if(isset($data[$id]) && $data[$id]!=""){

    		$no_of_tenders = $data[$id]['no_of_tenders'];
    		unset($data[$id]['no_of_tenders']);
    		$data1 = $this->alert->getTendersContentForCPVAlerts($data[$id]);
    		//print_r($data1);
			$data1['h1'] = count($data1['post']);
			$data1['no_of_tenders'] = $no_of_tenders;
			$template = $this->load->view("sample_alert_template",$data1,true);

			echo $this->common->jsonEncode(array("html"=>$template));die;
    	}
    }

    public function updateUsersFrequency(){

    	$status = 0;
    	$message='';

    	if(isset($_POST['frequency_limit']) && $_POST['frequency_limit']=="on")
    	{
    		$_POST['frequency_limit']=1;
    	}else{
    		$_POST['frequency_limit']=0;
    	}

    	$data = $this->common->getsData("email_alert",array("userid"=>$_POST['userid'],"email_alert"=>1),array("email_alert"));
    	//header('Content-type: application/json; charset=utf-8"');

    	if(!empty($data) && $data['email_alert']==1){

	    	$this->common->updateData("email_alert",array("frequency"=>$_POST['frequency'],"frequency_limit"=>$_POST['frequency_limit']),array("userid"=>$_POST['userid']));

	    	if($this->db->affected_rows()){

	    		$status = 1;
	    		$message="Frequency Updation Successfully!";
	    	}else{
	    		$status = 2;
	    		$message="Not Updation Occureed!";
	    	}

	    }else{
	    	$status = 0;
	    	$message="Frequency Not Updated!, Cause User not found.";
	    }

	    echo $this->common->jsonEncode(array("status"=>$status,"message"=>$message));die;
    }

    public function deleteUsersSample(){

    	$userid = $_POST['userid'];
    	$id = $_POST['id'];
    	$userdata = $this->common->getsData("email_alert",array("userid"=>$userid),array("email_sample"));
    	$data = json_decode($userdata['email_sample'],true);
    	unset($data[$id]);
    	$deleted_data = $data;
    	$this->common->updateData("email_alert",array("email_sample"=>json_encode($deleted_data)),array("userid"=>$userid));

    	if($this->db->affected_rows()){ echo 1; }else{ echo 0; }

    }

    public function emailTrackMailSearchPage()
    {
    	$check = false;
    	$data = array();
    	if(isset($_GET) && $_GET){
    		$status = 0;
    		$query = 'Select ET.*,U.first_name,U.last_name from email_track as ET left join user AS U on ET.userid = U.userid';
    		$like = '';
    		if(isset($_GET['date']) && $_GET['date']!=""){
    			$status = 1;
    			$like .= (($check)?" and ":"").' ET.send_mail_date like "%'.$_GET['date'].'%"';
    			$check = true;
    		}
    		if(isset($_GET['template_name']) && $_GET['template_name']!=""){
    			$status = 1;
    			$like .= (($check)?" and ":"").' ET.template_name like "%'.$_GET['template_name'].'%"';
    			$check = true;
    		}
    		$query .= ($status==1)?' where '.$like:"";
    		$data['email_list'] = $this->db->query($query)->result_array();
    	}
    	$this->loadAdminHtml("email-track-mail","Email Track Mail",$data);
    }

    public function sendEmailTrackMail()
    {
    	$userid = explode(",", $_POST['emailTrackuserid']);
    	$send = 0;
    	foreach ($userid as $key => $value) {
	    	$udata = $this->alert->getUsersCPV(array("U.userid"=>$value),0,$this->search_table);
	    	if($udata){
		    	$userdata = $udata[0];
		    	$template = $this->template->dynamicTemplateFileContent($userdata,$_POST,'offer');
		    	$subject = $this->template->dynamicTemplateFileSubject($userdata,$_POST);
		    	
		        	$admin_name = $this->common->getsData("user",array("userid"=>$value),array("admin_name"));
		        	if($admin_name['admin_name'] != "") {
			        	$an = $this->common->getsData("admin",array("admin_name"=>$admin_name['admin_name']),array("email"));
			        	$sub_admin_email = str_replace("globaltenders", "global-tenders", $an['email']);
		        	}else{
		        		$sub_admin_email = "rohan@global-tenders.com";
		        	}
		        
		    	$result = $this->common->sendSMTPMail($template,$sub_admin_email,$userdata['email'],array($sub_admin_email),$subject);
		    	if($result==1)
	    		{
	    			$this->common->insertData("email_track",array("userid"=>$value,"send_mail_date"=>NOW,"template_name"=>$_POST['template'],"seen_count"=>0));
	    			$send = 1;
	    		}
		    }
	    }
	    if($send==1){
	    	echo "Email Sent";
	    }else{
	    	echo "Email Not Sent!, Cause Server Error.";
	    }die;
    }

    public function getTemplateEditForm()
    {
    	$userid = explode(",", $_POST['userid']);
    	if($_POST['edit']==1){
    		$userdata = array();
	    	if(count($userid)==1){
	    		$udata = $this->alert->getUsersCPV(array("U.userid"=>$_POST['userid']),0,$this->search_table);
	    		$userdata = isset($udata[0])?$udata[0]:array();
	    	}else{
	    		$userdata = array();
	    	}
	    	$template = editTemplate($_POST,$userdata); // template_helper
	    	echo $template;
	    }else{
	    	$send = 0;
	    	foreach ($userid as $key => $value) {
		    	$udata = $this->alert->getUsersCPV(array("U.userid"=>$value),0,$this->search_table);
		    	// echo $this->db->last_query();
		    	// print_r($udata);
		    	if($udata){
			    	$userdata = $udata[0];
			    	if($this->adminid=="002307bb8795bf4088173dc69be61929"){
			    		$template = $this->template->dynamicTemplateFileContent($userdata,$_POST,'templates');
			    	}else{
			    		$template = $_POST['template']($userdata);
			    	}
		    		$eadata = $this->common->getsData("email_alert",array("userid"=>$value),array("email_sample"));
		    		if($eadata && $eadata['email_sample']!=""){
						$emailsample = json_decode($eadata['email_sample'],true);
						$new = array("template"=>$_POST['template'],"date"=>date("Y-m-d H:i:s"));
						array_push($emailsample, $new);
						$email_sample = json_encode($emailsample);
					}else{
						$email_sample = json_encode(array(array("template"=>$_POST['template'],"date"=>date("Y-m-d H:i:s"))));
					}
					

					if($userdata['admin_email']){
						$adminemail = str_replace("globaltenders.com", "global-tenders.com", $userdata['admin_email']);
					}else{
						$adminemail = "rohan@global-tenders.com";
					}
					if($this->adminid=="002307bb8795bf4088173dc69be61929"){
			    		$subject = $this->template->dynamicTemplateFileSubject($userdata,$_POST);
			    	}else{
						$subject = $this->alert->getTemplateSubject($userdata,$_POST['template']);
					}
					$result = 0;
					if($userdata['suspend']!=1){
						//echo "not suspend";
						$ae="";//admin_email
						if($userdata['admin_email']!=""){
							$ae = $userdata['admin_email'];
						}else{
							$ae = str_replace("global-tenders.com","globaltenders.com",$adminemail);
						}
						$password = $this->common->getsData("admin",array("email"=>$ae));
						$result = $this->common->sendSMTPMail($template,$adminemail,$userdata['email'],array($adminemail),$subject,'',$password['smtp_password']);
						// echo $this->email->print_debugger();
						// echo "result = ".$result;
		    		}
		    		//die;
		    		if($result==1)
		    		{
		    			if($_POST['userid'] != 1472371501) {
			    			$this->common->insertData("st_log",array("userid"=>$value,"template"=>$_POST['template'],"date"=>date("Y-m-d H:i:s")));
							$this->common->updateData("email_alert",array("email_sample"=>$email_sample),array("userid"=>$value));
		    			}
		    			$send = 1;
		    		}else{
		    			$send = 0;
		    		}
		    	}
		    }
		    if($send==1){
		    	echo "Email Sent";
		    }else{
		    	echo "Email Not Sent!, Cause User not found or is suspended.";
		    }
	    }
	    die;
    }

    public function sendMailEditedTemplate()
    {
    	$send=0;
    	$userid = explode(",", $_POST['userid']);
    	foreach ($userid as $key => $value) {
	    	$udata = $this->alert->getUsersCPV(array("U.userid"=>$value),0,$this->search_table);
	    	if($udata){
		    	$userdata = $udata[0];
		    	$adminemail='';
		    	$edit_temp = $_POST['edit_template'];
		    	$temp = $_POST['template'];
		    	if($this->adminid=="002307bb8795bf4088173dc69be61929"){
		    		$template_array['template'] = $this->template->dynamicTemplateFileContent($userdata,$_POST);
		    		$template_array['subject'] = $this->template->dynamicTemplateFileSubject($userdata,$_POST);
		    	}else{
		    		$template_array = $this->alert->getMailSubjectTemplate($userdata,$edit_temp,$temp);
		    	}
		    	
		    	//$subject = $this->alert->getTemplateSubject($userdata,$_POST['template']);
		    	//echo $subject;die;
		    	if($userdata['admin_email'] && $userdata['admin_email']!="notinterested@globaltenders.com"){
					$adminemail = str_replace("globaltenders.com", "global-tenders.com", $userdata['admin_email']);
				}else{
					$adminemail = "rohan@global-tenders.com";
				}
				$result = 0;
				if($userdata['suspend']!=1){
					$password = $this->common->getsData("admin",array("email"=>$userdata['admin_email']));
					//print_r($password);die;
					$result = $this->common->sendSMTPMail($template_array['template'],$adminemail,$userdata['email'],array($adminemail),$template_array['subject'],'',$password['smtp_password']);
					// echo $result;
					// echo $this->email->print_debugger();die;
		    		//$result = $this->alert->sendTemplateOnMail($template_array['template'],$userdata['email'],$adminemail,$template_array['subject']);
				}
				if($result==1)
				{
					$this->common->insertData("st_log",array("userid"=>$value,"template"=>$_POST['template'],"date"=>date("Y-m-d H:i:s")));
					$send = 1;
				}else{
					$send = 0;
				}
				sleep(2);
			}
		}
		if($send==1){
	    	echo "Email Sent";
	    }else{
	    	echo "Email Not Sent?, Cause User not found or is suspended.";
	    }die;
    }

    /*
    *	Function sends the mail to admin the information of
    *	samples and templates send by Subadmin Yesterday. 
    */
    public function sentDailySTCJ()
    {	die;
    	$this->load->library('zip');
    	$now = date("Y-m-d",strtotime("-1 days",strtotime(date("Y-m-d"))));//date("Y-m-d");
		$res = false;
		$this->load->dbutil();
		$delimiter = ",";
        $newline = "\r\n";
        $filename = "ST_".$now.".csv";
        $query = "SELECT ST.*,U.first_name,U.last_name,U.email,U.organization,U.country,U.admin_name FROM st_log as ST left join user as U on ST.userid=U.userid where ST.date like '%".$now."%'";
        $result = $this->db->query($query." order by stid asc");
        $result1 = $this->db->query($query." order by stid asc")->result_array();

        $admin=$admin_array=array();
        if($result1 && !empty($result1)){
	        foreach ($result1 as $key => $value) {
	        	$aname = $value['admin_name'];
	        	if($aname=="")
	        	{
	        		$aname="not_interested";
	        		$value['admin_name']="not_interested";
	        	}
        		if(!in_array($aname, $admin_array)){
        			array_push($admin_array, $value['admin_name']);
        			$admin[$aname]=array();
        		}
        		if(in_array($aname, $admin_array)){
        			unset($value['admin_name']);
        			array_push($admin[$aname], $value);
        		}
	        }
	    }
	    $admins=$file=$admin_file='';
        if($admin){
        	if(!is_dir("assets/sent_daily_ST/".DATE)){
				mkdir("assets/sent_daily_ST/".DATE,0777);
			}
	        foreach ($admin as $key => $value) {
	        	//print_r($value);
	        	//$file.=$value['first_name']." ".$value['last_name'].",".$value['email'].",".$value['country']."\n";
	        	$file.=$key."\n\n";
        		$file.="Mail Sent Type,Name,Company,Country\n";
	        	if($value){
		        	foreach ($value as $key1 => $value1) {
		        		$admins.=str_replace("_", " ", $value1['template']).",".$value1['first_name']." ".$value1['last_name'].",".$value1['organization'].",".$value1['country']."\n";
		        	}
		        	$file.=$admins."\n\n\n\n";
		        	$admins='';
		        }

		        $admin_file.=$file;
		        $admin_name = str_replace(" ", "_", $key);

		        if($key=="not_interested"){
		        	$sub_admin_email = "rohan@globaltenders.com";
		        }else{
		        	$an = $this->common->getsData("admin",array("admin_name"=>$key),array("email"));
		        	$sub_admin_email = str_replace("globaltenders", "global-tenders", $an['email']);
		        }
		        //echo $sub_admin_email."<br>";

		        //$res = $this->alert->createZipFile($admin_name.$filename,$file,$admin_name.$now);
		        if(!is_file ("assets/csv_files/".$admin_name.$filename)){

	            	//echo "1";
			        fopen("assets/csv_files/".$admin_name.$filename, "w");
					file_put_contents ("assets/csv_files/".$admin_name.$filename, $file);

					$this->zip->add_data($admin_name.$filename, $file);
					$this->zip->archive("assets/csv_files/".$admin_name.$now.".zip");
					$this->zip->archive("assets/sent_daily_ST/".DATE."/".$admin_name.$now.".zip");
					unlink("assets/csv_files/".$admin_name.$filename);
					$res=true;
				}
				if($res){

					$this->email->clear(TRUE);
				    $this->email->from('admin@globaltenders.com',"Global Tenders");
			        //$this->email->to(array("rohan@globaltenders.com"));//"wiptech@worldinfopages.com",
			        $this->email->to($sub_admin_email);
				    $this->email->subject('Users List Sent Samples and Templates on '.$admin_name.$now);
				    $this->email->message('Hello Download the attached file.');
				    $this->email->attach("assets/csv_files/".$admin_name.$now.".zip");

				    if($this->email->send()){

			    		unlink("assets/csv_files/".$admin_name.$now.".zip");
			    	}
			    	$this->zip->clear_data();
				}
				$file='';
			}
			if(!is_file ("assets/sent_daily_ST/".DATE."/".$filename)){
				fopen("assets/sent_daily_ST/".DATE."/".$filename, "w");
				file_put_contents ("assets/sent_daily_ST/".DATE."/".$filename, $file);
				$this->zip->add_data($filename, $admin_file);
				$this->zip->archive("assets/sent_daily_ST/".DATE."/".$now.".zip");
				unlink("assets/sent_daily_ST/".DATE."/".$filename);
			}
			$res = $this->alert->createZipFile($filename,$admin_file,"ST_".$now);

			if($res){

				$this->email->clear(TRUE);
			    $this->email->from('admin@globaltenders.com');
		        $this->email->to(array("rohan@globaltenders.com","harsh.starwebindia@gmail.com"));//"wiptech@worldinfopages.com",
		        //$this->email->to("hw.sharma9@gmail.com");
			    $this->email->subject('Users List Sent Samples and Templates on '.$now);
			    $this->email->message('Hello Download the attached file.');
			    $this->email->attach("assets/csv_files/"."ST_".$now.".zip");

			    if($this->email->send()){

		    		//unlink("assets/csv_files/"."ST_".$now.".zip");
		    	}
		    	$this->zip->clear_data();
			}

		}
    }

    public function resetTenderViewLimitTable()
    {
    	$this->common->updateData("tender_view_limit",array("perday_tender_count"=>0));
    }

    /*
    *	Send Verified and Unverified users information to superadmin by Cron.
    */
    public function checkUsersVerifyStatusCJ()
    {	die;
    	//$now = date("Y-m-d",strtotime("-1 days",strtotime(date("Y-m-d"))));
    	$now = date("Y-m-d");
    	$this->load->dbutil();
    	$filename = "user_verify_status ".$now.".csv";
    	$users = $this->db->query("select userid,email,first_name,last_name,varify from user where DATE(reg_date) = '".DATE($now)."'")->result_array();
    	$verify = $unverify = $file = $title = '';
    	$verify_title="Verified Users\n\n";
    	$unverify_title="Unverified Users\n\n";
        $title="User id,Email,Name\n\n";
    	foreach ($users as $key => $value) {
    		if($value['varify']==1){
    			$verify.=$value['userid'].",".$value['email'].",".$value['first_name']." ".$value['last_name']."\n";
    		}else{
    			$unverify.=$value['userid'].",".$value['email'].",".$value['first_name']." ".$value['last_name']."\n";
    		}
    	}

    	$verify = $verify_title.$title.$verify;
    	$unverify = $unverify_title.$title.$unverify;

    	$file = $verify.$unverify;
    	//echo $file;
    	$res = $this->alert->createZipFile($filename,$file,$filename);
    	if($res){
	    	$this->email->clear(TRUE);
		    $this->email->from('admin@globaltenders.com',"Global Tenders");
	        $this->email->to("rohan@globaltenders.com");
		    $this->email->subject('Verify and Unverify users List of '.$now);
		    $this->email->message('Hello Download the attached file.');
		    $this->email->attach("assets/csv_files/".$filename.".zip");

		    if($this->email->send()){

	    		unlink("assets/csv_files/".$filename.".zip");
	    	}
	    	$this->zip->clear_data();
	    }

    }

    /*
    *	This function run by cron and send the scheduled mail to users at 12:00 PM daily.
    */
    public function sendScheduleMailCJ()
    {	
    	$this->load->helper("template_helper");
    	echo "<pre>";
    	$now=date("Y-m-d");
    	$today=date('Y-m-d',strtotime(date('Y-m-d')));
    	$mail_schedule=$this->common->getData("mail_schedule",array("DATE(schedule_time) >="=>date($now),"DATE(schedule_time) <="=>date($today)));
    	print_r($mail_schedule);
    	if($mail_schedule){
    		foreach ($mail_schedule as $key => $value) :
    			$udata = $this->alert->getUsersCPV(array("U.userid"=>$value['userid']),0);
    			print_r($udata);
    			if(isset($udata[0]) && !empty($udata[0])){
				    $userdata = $udata[0];
	    			if($value['templates']=="sample"){
	    				$subject = "Sample Tenders - ".$userdata['first_name']." ".$userdata['last_name']." ( ".$userdata['organization']." )";
	    				$data['post'] = $this->alert->usersSearchedTendersToSend(array(),$value['userid']);
	    				$data['h1'] = count($data['post']);
	    				$template = $this->load->view("sample_alert_template",$data,true);
	    			}else{
		    			if($value['edit_schedule']==1){
					    	$template = $this->alert->getTemplateHtml($userdata,$value['templates']);
					        $subject = $this->alert->getEditedSubject($userdata,$value['subject']);
		    			}else{
		    				$edit_template = $value['templates']($userdata);
		    				$template = $this->alert->getTemplateHtml($userdata,$edit_template);
					        $subject = $this->alert->getEditedSubject($userdata,$value['subject']);

		    			}
		    			echo $subject."<br><br> ".$template;
		    		}
		    		$admin_email = $this->alert->getUsersAdminEmail($value['userid']);
		    		$adminemail='';
					if($admin_email['admin_email']!=""){

						$adminemail = str_replace("globaltenders.com", "global-tenders.com", $admin_email['admin_email']);
					}else{
						$adminemail = "bids@global-tenders.com";
					}
		    		$res = $this->common->sendSMTPMail($template,$adminemail,$userdata['email'],array(),$subject);
	    			echo $this->email->print_debugger();
	    			if($res){
	    				echo "send<br>";
	    				$this->common->deleteData("mail_schedule",array("msid"=>$value['msid']));
	    			}else{
	    				echo "not send<br>";
	    			}
		    	}
    		endforeach;
    	}
    	$this->updateUsersEmailActivation();
    }

    public function updateUsersEmailActivation()
    {
    	echo "<pre>";
    	$now = strtotime(date("Y-m-d H:i:s"));$c=0;
    	$users = $this->common->getData("user",array(),array("userid","email","renewal_date","expiry_date","newacunac"));
    	foreach ($users as $key => $value) {
    		$alert_start = strtotime($value['renewal_date']);
    		$alert_end = strtotime($value['expiry_date']);
    		if($alert_start<=$now && $alert_end>=$now){
    			$c++;
    			print_r($value);
    			$this->common->updateData("user",array("newacunac"=>"active"),array("userid"=>$value['userid']));
    		}else{
    			$this->common->updateData("user",array("newacunac"=>"inactive"),array("userid"=>$value['userid']));
    		}
    	}echo "Count = ".$c;die;
    }

    public function tenderOffersRedirect()
    {
    	if (isset($_GET) && $_GET) {
    		if(isset($_GET['id']) && $_GET['id']!="") {
    			$this->db->query("UPDATE email_track SET seen_count = (seen_count+1) , seen_date = '".NOW."' WHERE userid = ".$_GET['id']." AND template_name = '".$_GET['t']."'");
    			$this->common->updateData("email_track",array("isOpened"=>1,"openedDate"=>NOW),array("userid"=>$_GET['id'],"isOpened"=>0));
    			redirect($_GET['o'],'refresh');
    		}
    	}
    }

    public function createKeywordFileCJ()
    {
    	// $infodb = $this->load->database('info', TRUE);
    	// $rows = $infodb->query('select 
    	// 						(select count(short_desc) from tenders where short_desc regexp "[[:<:]]airport[[:>:]]") as airport, 
    	// 						(select count(short_desc) from tenders where short_desc regexp "[[:<:]]airline[[:>:]]") as airline, 
    	// 						(select count(short_desc) from tenders where short_desc regexp "[[:<:]]software[[:>:]]") as software, 
    	// 						(select count(short_desc) from tenders where short_desc regexp "[[:<:]]medical[[:>:]]") as medical, 
    	// 						(select count(short_desc) from tenders where short_desc regexp "[[:<:]]it[[:>:]]") as it 
    	// 						from tenders limit 1')->result_array();
    	// echo "<pre>";
    	// print_r ($rows);
    	// echo "</pre>";die;
    	// $get = array();
    	// $get['date_c_start'] = "2018-11-27";
    	// $get['date_c_end'] = "2018-11-27";
    	$get['fields'] = "posting_id,short_desc";
    	// $this->db->query("truncate table user_keyword_search");
    	$users = $this->common->getData("user",array("newpunp"=>"paid","product_services != "=>"","userid"=>1472459172),array("userid","product_services"));
    	if ($users) {
    		foreach ($users as $user) {
		    	$product_services = explode(",", $user['product_services']);
		    	// $tenders = $this->tender->getRows($get,'',array(),"tenders",0);
		    	$count = array();
		    	// if ($tenders) {
		    	// 	foreach ($tenders as $key => $value) {
		    			if(isset($product_services) && $product_services!=""){
			                foreach ($product_services as $key3 => $value3) {
			                    // if(isset($value['short_desc']) && $value['short_desc']!=""){
			                    	// if (preg_match("/\b".preg_quote($value['short_desc'])."\b/i", $value3)) {
		                        	if (!array_key_exists($value3, $count)) {
		                        		$count[$value3] = 0;
		                        	}
		                        	$get['keyword'] = $value3;
		                        	$tenders = $this->tender->getRows($get,'',array(),"tenders",1);
		                        	echo "<pre> tenders";
		                        	print_r ($tenders);
		                        	echo "</pre>";
			                        // if (stristr($value['short_desc'], $value3,1) !== false) {
			                        // if (preg_match("~\b$value3\b~",$value['short_desc']) || preg_match ("/$value3/i", $value['short_desc'])) {
		                        	if ($tenders > 0) {
			                        	echo "matched ".$value3."<br>";
			                        	$count[$value3] = $tenders;
			                        }else{
			                        	echo "not matched ".$value3."<br>";
			                        }
			                    // }
			                }
					    	echo "<pre>";
					    	print_r ($count);
					    	echo "</pre>";die;
		    				// $this->common->insertData("user_keyword_search",array("userid"=>$user['userid'],"keyword_search"=>json_encode($count),"date"=>NOW));
			            }
		    	// 	}
		    	// }
		    	echo "<pre>";
		    	if ($count) {
		    		foreach ($count as $key => $value) {
		    			echo '<a href="'.base_url("gt-search?keyword[]=".$key."&postrange=".$get['date_c_start']." - ".$get['date_c_end']).'">'.$key.'</a><br>';
		    		}
		    	}
    		}
    	}
    	echo "</pre>";die;
    	//https://www.globaltenders.com/gt-search?status=menu&limit=0&omit_keyword=&notice_type=&cpv=&bidding_type=&tender_type=live&postrange=2018-11-27+-+2018-11-27&deadline=&posting_id=&est_cost_condition=&est_cost=
    }
    
}