<?php $admin_type = $this->session->userdata('admin_type'); ?>
<div class="content-wrapper">
    <div class="clearfix">&nbsp;</div>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-body">

                        <table id="" class="table table-hover" width="100%" cellspacing="0">
                            <thead align="center">
                                <tr class="bg-primary"><td colspan="6"><?php echo (isset($h1)?$h1:""); ?></td><td colspan="4">&nbsp;</td></tr>
                                <tr class="bg-primary">
                                    <td colspan="6"><?php echo (isset($h2)?$h2:""); ?></td>
                                    <td colspan="4"></td>
                                </tr>
                            </thead>
                            <thead>
                                <tr class="bg-warning">
                                    <!--th><input type="checkbox" id="check-all" name="" /></th-->
                                    <th>registration date</th>
                                    <th>date of sending</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Country</th>
                                    <th>Company</th>
                                    <?php if($this->admintype && $this->admintype=="parent"){ ?>
                                    <th>Admin Name</th>
                                    <?php } ?>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if($post){ foreach ($post as $key => $value) : ?>
                                    <tr id="<?php echo "user_".$value['userid']; ?>" style="">
                                        <!--td><input type="checkbox" name="userid_record" value="<?php //echo $value['userid']; ?>" class="check-user" data-id="<?php echo $value['userid']; ?>" /></td-->
                                        <td><?php echo date("d-m-Y", strtotime($value['reg_date'])); ?></td>
                                        <td><?php echo $value['send_date']; ?></td>
                                        <td><?php echo $value['title']." ".$value['first_name']." ".$value['last_name']; ?><br></td>
                                        <td><?php echo $value['email']; ?></td>
                                        <td><?php echo $value['country']; ?></td>
                                        <td><?php echo $value['organization']; ?></td>
                                        <?php if($this->admintype && $this->admintype=="parent"){ ?>
                                        <td><?php echo $value['admin_name']; ?></td>
                                        <?php } ?>
                                    </tr>
                                <?php endforeach; } ?>
                            </tbody>
                        </table>
                    </div><!-- /.panel-body -->
                    <div class="panel-footer clearfix">
                        <div class="row">
                            <div class="col-md-2">
                                <select name="tender_length" id="tender_admin_length" class="pull-left form-control">
                                    <option value="10" <?php echo ($this->perPage==10)?'selected':""; ?>>10</option>
                                    <option value="20" <?php echo ($this->perPage==20)?'selected':""; ?>>20</option>
                                    <option value="50" <?php echo ($this->perPage==50)?'selected':""; ?>>50</option>
                                    <option value="100" <?php echo ($this->perPage==100)?'selected':""; ?>>100</option>
                                </select>
                            </div>
                            <div class="col-md-10">
                                <div class="text-center" id="links"><?php echo (isset($links))?$links:""; ?></div>
                            </div>
                        </div>
                    </div>
                </div><!-- /.panel -->
            </div>
        </div>
    </section>
</div><!-- ./wrapper -->

<script src="<?php echo base_url("assets/admin/plugins/ckeditor/ckeditor.js"); ?>"></script>
<script src="<?php echo base_url("assets/admin/plugins/ckeditor/adapters/jquery.js"); ?>"></script>