<div class="content-wrapper">
    <section class="content"><br>
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="alert alert-danger alert-dismissible" role="alert" <?php if($this->session->flashdata('emessage')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('emessage'); ?>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-primary">
                    <div class="panel-heading box-primary">
                        <span class="panel-title">Edit Email Group</span>
                    </div>
                    <div class="panel-body">
                        <div class="col-md-12">
                            <form id="emailGroupForm" action="<?php echo base_url('email_group/editMailGroupPage'); ?>" method="post" enctype="multipart/form-data">
                                <input type="hidden" name="mailid" value="<?php echo $group['mailid']; ?>" />
                                <div class="row">
                                    <div class="form-group">
                                        <label class="col-md-3">Group Name</label>
                                        <div class="col-md-9">
                                            <input type="text" name="groupName" value="<?php echo $group['groupName']; ?>" class="form-control" />
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="row">
                                    <div class="form-group">
                                        <label class="col-md-3">Is Active</label>
                                        <div class="col-md-9">
                                            <input type="checkbox" name="isActive" <?php echo ($group['isActive']==1)?'checked':""; ?> />
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="row">
                                    <div class="form-group">
                                        <label class="col-md-3">Mobile Numbers</label>
                                        <div class="col-md-9">
                                            <textarea name="emailIds" class="form-control" placeholder="Enter the Email ids ',' saperated."><?php echo $group['emailIds']; ?></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix">&nbsp;</div>
                                <div class="row">
                                    <div class="form-group">
                                        <input type="submit" value="Update" class="btn btn-primary btn-block" />
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        $('#emailGroupForm').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            icon: {
                valid: 'glyphicon glyphicon-ok',
                invalid: 'glyphicon glyphicon-remove',
                validating: 'glyphicon glyphicon-refresh'
            },
            fields: {
                groupName: {
                    validators: {
                        notEmpty: {
                            message: 'The Group Name is required'
                        }
                    }
                },
            }
        });
    });
</script>