<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
class Global_Tender_Model extends CI_Model 
{
    public function getTenders($where=array(),$limit='', $start='',$like='')
    {
        $this->db->select("T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type");
        $this->db->from("tenders as T");
        $this->db->join("notice_type as NT","T.notice_type=NT.nt_id","left");
        //$this->db->join("bidding_type as BT","T.bidding_type=BT.bidding_type_code","left");
        $this->db->join("country as C","T.country=C.country_code","left");
        //$this->db->where("T.doc_last >",date("Y-m-d"));
        if($where){
            /*if($like==1)
            {
                $this->db->like($where,'both');
            }else{*/
                $this->db->where($where);
            //}
        }
        if($limit!='' && $start!='')
        {
            //echo $limit." - ".$start;
            $this->db->limit($limit, $start);
        }
        $res = $this->db->get()->result_array();
        if($where && $res){
            return $res[0];
        }else{
            return $res;
        }
    }
    public function freeTenders($where=array())
    {
        $this->db->select("T.*,NT.notice_type_name,C.country_name,BT.bidding_type_name");
        $this->db->from("tenders_free as T");
        $this->db->join("notice_type as NT","T.notice_type=NT.nt_id","left");
        $this->db->join("country as C","T.country=C.country_code","left");
        $this->db->join("bidding_type as BT","T.global=BT.bidding_type_code","left");
        //$this->db->where("T.doc_last >",date("Y-m-d"));
        if($where){
            $this->db->where($where);
        }
        $res = $this->db->get()->result_array();
        return $res;
    }

    /*  
    *   //  function returns all the tenders saved in tenders and tenders_archive table.
    *   $post = Gets all the parameters by which we have to search or filter the tenders
    *   $where = This is my coding fault it has no use hear I hava to remove it from all the website.
    *   $params = This contains the parameters which sets the limit and start of the tenders in query.
    *   $table = If users is searching free tenders its value will be tenders_free else tenders or tenders_archive.
    *   $st = st stands for search_type weather it is a search or filter. Filter $st = AND, Search $st = OR.
    */
    public function getRows($post=array(),$where='',$params = array(),$table='',$count=''){
        //print_r($post);print_r($params);die;
        if(isset($post['search_notice_type']) && $post['search_notice_type']!=""){
            $post['notice_type'] = $post['search_notice_type'];
        }

        if(isset($post['region_name']) && !is_array($post['region_name'])){
            $post['region_name'] = array($post['region_name']);
        }
        //$this->db->cache_on();
        $fields = $query = $wh = $whor = $nt = $ec = $bt = $sd = $tf = $dc = '';
        $s=$regi=$con=$regcon=0;
        $whorb=true;
        if($table=="tenders_free"){
            $fields = "T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type,T.p_id,T.summery";
        }else{
            $infodb = $this->load->database('info', TRUE);
            $fields = "T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type";
        }

        $query .= 'select '.$fields.' from '.$table.' as T ';
        if(isset($post['date_c']) && $post['date_c']!=''){

            $dc=' T.date_c = \''.$post['date_c'].'\'';
            $where.=$dc;//($dc)?" and ".$dc:"";
        }else{

            if((isset($post['deadline']) && $post['deadline']!='') && (isset($post['tender_type']) && $post['tender_type']!='')) {

                $where.= $this->dateFunctions($post['deadline']);
            }else if(isset($post['deadline']) && $post['deadline']!=''){
                $where.= $this->dateFunctions($post['deadline']);
            }else{
                $tender_type = (isset($post['tender_type']) && $post['tender_type']!="")?$post['tender_type']:"all";
                $where.= $this->dateFunctions($tender_type);
            }
        }

        $wh .= ($where)?' where '.$where:"";

        if(isset($post['notice_type']) && $post['notice_type']!=''){

            $nt= $post['notice_type'];
            $wh.=($nt)?" and ( T.notice_type IN (".$nt.") )":"";
        }

        if((isset($post['est_cost_condition']) && $post['est_cost_condition']!='') && (isset($post['est_cost']) && $post['est_cost']!='')){

            if($post['est_cost_condition']=="greater_equal"){

                $ec=' T.est_cost >= '.$post['est_cost'];
            }

            if($post['est_cost_condition']=="equal"){

                $ec=' T.est_cost = '.$post['est_cost'];
            }

            if($post['est_cost_condition']=="less_equal"){

                $ec=' T.est_cost <= '.$post['est_cost'];
            }

            $wh.=($ec)?" and ".$ec:"";

        }

        if(isset($post['bidding_type']) && $post['bidding_type']!=''){

            $bt=' T.global = '.$post['bidding_type'];
            $wh.=($bt)?" and ".$bt:"";
        }

        if(isset($post['funding_agency']) && $post['funding_agency']!=''){

            if($post['funding_agency']=="All Funding Agency"){

                $fa=' T.mfa="1"';
            }else{
                $fa=' T.mfa="1" and T.financier = "'.$post['funding_agency'].'"';
            }

            $wh.=($fa)?" and (".$fa.")":"";

        }

        if(isset($post['keyword']) && $post['keyword']!=""){

            $kwrd = str_replace(array('(',')','-'), "", $post['keyword']);
            //echo $kwrd;die;
            $keywords = explode(",", $kwrd);//$post['keyword'];
            //echo $keywords;
            if (is_array($keywords) && !empty($keywords)){

                foreach ($keywords as $key => $value) :
                    $k1 = explode(" ", trim($value));

                    $sd .= ($key==0)?"":" or ";
                    $sd .= ' T.short_desc REGEXP "[[:<:]]'.trim($value).'[[:>:]]" ';

                    if(count($k1)>1){

                        $sd.=' or (';
                        foreach ($k1 as $key1 => $value1) {

                            $k2 = trim($value1);
                            $sd .= ($key1==0)?"":" and ";
                            $sd .= ' T.short_desc REGEXP "[[:<:]]'.$k2.'[[:>:]]" ';
                        }
                        $sd.=' ) ';
                    }
                endforeach;
                //$kw = file_get_contents("http://www.infostores.biz/globaltenders/searchbykeyword.php?keyword=".$keywords);
                //print_r(explode(',',$kw));
                $whor.=($sd)?(($whorb)?"":" or ")." ( ".$sd." )":"";
                $whorb=false;
                //$wh.=($kw)?" and ( T.posting_id IN (".$kw.") )":"";
            }
        }

        if ($table=="tenders_free") {

            $tf=' T.tstatus = 1';
            $wh.=($tf)?" and ( ".$tf." )":"";
        }

        if (isset($post['sector'][0]) && $post['sector'][0]=='') {

            unset($post['sector'][0]);
        }

        if (isset($post['region_name'][0]) && $post['region_name'][0]=='') {

            unset($post['region_name'][0]);
        }

        if (isset($post['location'][0]) && $post['location'][0]=='') {

            unset($post['location'][0]);
        }

        if (isset($post['sector']) && $post['sector']!='') {

            $wl1='';
            $sec = $post['sector'];
            if(is_array($sec) && !empty($sec)){

                foreach ($sec as $key => $value) :

                    if($key==0){

                        $wl1.=' T.tender_sector like "'.$value.'%" or T.tender_sector like "%,'.$value.'%" ';
                    }else{
                        $wl1.=' or T.tender_sector like "'.$value.'%" or T.tender_sector like "%,'.$value.'%" ';
                    }
                endforeach;

                $wh.=($wl1)?" and ( ".$wl1." )":"";
            }
        }

        if (isset($post['region_name']) && $post['region_name']!='') {

            $wl2='';
            $rn = $post['region_name'];

            if(is_array($rn) && !empty($rn)){

                foreach ($rn as $key => $value) :
                    if(preg_match('/REG/',$value)){

                        $reg = str_replace("REG","",$value);

                        if($key==0){

                            $wl2.=' T.region like "%'.$reg.'%" or T.region like "%,'.$reg.'%" ';
                        }else{
                            $wl2.=' or T.region like "%'.$reg.'%" or T.region like "%,'.$reg.'%" ';
                        }

                        $regi=1;

                    }

                    if(!preg_match('/REG/',$value)){

                        if($key==0){

                            $wl2.=' T.country like "%'.$value.'%" ';
                        }else{
                            $wl2.=' or T.country like "%'.$value.'%" ';
                        }
                    }

                endforeach;
                $wh.=($wl2)?" and ( ".$wl2." )":"";
            }
        }

        if(isset($post['cpv']) && $post['cpv']!=""){

            $wl3='';
            $cpv = explode(",", $post['cpv']);
            if(is_array($cpv) && !empty($cpv)){
                foreach ($cpv as $key => $value) :
                    $val = rtrim($value,'0');
                    if(strlen($value)==7){

                        $val = "0".$val;
                    }

                    if(strlen($value)==8){

                        if(strlen($val)==1){
                            $val = $val."0";
                        }
                    }
                    if($key==0){

                        $wl3.=' T.cpv like "'.$val.'%" or T.cpv like "%,'.$val.'%" ';
                    }else{
                        $wl3.=' or T.cpv like "'.$val.'%" or T.cpv like "%,'.$val.'%" ';
                    }

                endforeach;
                $whor.=($wl3)?(($whorb)?"":" or ")." ( ".$wl3." )":"";
                $whorb=false;
            }
        }

        if(isset($post['location']) && $post['location']!="")
        {
            $wl4='';
            $location = $post['location'];
            foreach ($location as $key => $value) :
                $wl4=' and T.region like "%'.$value.'%" or T.region like "%,'.$value.'%" ';
            endforeach;
            $wh.=($wl4)?" and ( ".$wl4." )":"";
        }

        if(isset($post['posting_id']) && $post['posting_id']!='')
        {
            $query.=' where T.posting_id IN ( '.$post['posting_id'].' ) ';
        }else{
            $query.=$wh.(($whor!="")?" and ( ".$whor." ) ":"");
        }

        $query.=' order by T.posting_id desc ';
        
        if(array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['start'].', '.$params['limit'];
        }

        if(!array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['limit'];
        }

        //echo $query;
        if($table=="tenders_free")
        {
            $query=$this->db->query($query);
        }else{
            $query=$infodb->query($query);
        }

        //echo "<pre>";print_r($query->result_array());die;
        if($count==0){
            //echo "<pre>".$infodb->last_query();
            $result = $query->result_array();
        }else{
            $result = $query->num_rows();
        }

        //$this->otherFilters($query->result_array(),$other);
        //print_r($result);die;
        $query->free_result();
        return $result;
    }

    /*
    *   This Function returns the tenders from the tenders table.
    *   This query is used for filter the tenders
    *   This query is used for advance search, Dashboard Page and all other results on different pages.
    */
    public function getTendersContent($get=array(),$fp='')
    {
        $where='';
        $c1=$c2=$like=0;

        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;

        if(!$page){
            $offset = 0;
            $where1 = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where1 = array('start'=>$offset,'limit'=>$this->perPage);
        }
        $t1=$t2=array();
        
        if(isset($get['q']) && $get['q']!=""){
            if (strpos($get['q'], 'plus') !== false) {
                $exp = explode("plus", $get['q']);
                $c1 = $exp[0];
                $c2 = $exp[1];
            }else{
                $c1 = $get['q'];
            }
        }

        /*if(!isset($get['gtci']) && !isset($get['tender_type'])){
            $get['tender_type']="live";
        }*/

        if(isset($get['tender_type'])){

            if($get['tender_type']=="all" || $get['tender_type']==""){

                if($c1==0 && $c2==0){
                    $c1 = $this->tender->getRows($get,$where,array(),'tenders',1);
                    $c2 = $this->tender->getRows($get,$where,array(),'tenders_archive',0);
                }
                $totalRec=$c1+$c2;
                /*$t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);*/
                if(($c1!=0) && ($c2!=0)){
                    $where1['limit'] = ($where1['limit']/2);
                    if(isset($where1['start'])){
                        $where1['start'] = ($where1['start']/2);
                    }
                    $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                    $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
                }else if(($c1!=0) && ($c2==0)){
                    $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                }else if(($c1==0) && ($c2!=0)){
                    $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
                }
                $data1['post'] = array_merge($t1,$t2);
            }else{

                if($get['tender_type']=="live"){

                    if($c1==0){
                        $c1 = $this->tender->getRows($get,$where,array(),'tenders',1);
                    }
                    $totalRec = $c1;
                    $data1['post'] = $this->tender->getRows($get,$where,$where1,'tenders',0);
                }else{

                    if($c1==0){
                        $c1 = $this->tender->getRows($get,$where,array(),'tenders_archive',1);
                    }
                    $totalRec = $c1;
                    $data1['post'] = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
                }
            }
        }else{

            if($c1==0 && $c2==0){
                $c1 = $this->tender->getRows($get,$where,array(),'tenders',1);
                $c2 = $this->tender->getRows($get,$where,array(),'tenders_archive',1);
            }
            $totalRec=$c1+$c2;

            if(($c1!=0) && ($c2!=0)){
                $where1['limit'] = ($where1['limit']/2);
                if(isset($where1['start'])){
                    $where1['start'] = ($where1['start']/2);
                }
                $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
            }else if(($c1!=0) && ($c2==0)){
                $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
            }else if(($c1==0) && ($c2!=0)){
                $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
            }
            $data1['post'] = array_merge($t1,$t2);
        }

        $config['target']      = '#postList';
        $config['base_url']    = base_url();
        $config['total_rows']  = $totalRec;
        $config['per_page']    = $this->perPage;
        $this->pag->initialize($config);
        $data1['html'] = getTenders($data1["post"],'tenders');
        $data1['links'] = $this->pag->create_links();
        $data1['h1'] = $this->pag->totalRecords();
        $data1['h2'] = $this->pag->noOfRecords();
        //echo "<pre>";print_r($data1);die;
        $data1['q'] = $c1.(($c2)?"plus".$c2:"");
        return $data1;
    }

    public function getTendersContentPeg($get=array(),$other=array(),$fp='')
    {
        $where='';
        $like=0;
        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;
        if(!$page){
            $offset = 0;
            $where1 = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where1 = array('start'=>$offset,'limit'=>$this->perPage);
        }

        $totalRec = count($this->tender->getRows($get,$where,array(),$other,'tenders'));
        $config['target']      = '#postList';
        $config['base_url']    = base_url("gt-".$get['key']."-tenders/");
        $config['total_rows']  = $totalRec;
        $config['per_page']    = $this->perPage;
        $config['uri_segment'] = 2;
        $this->pagination->initialize($config);
        $data1['post'] = $this->tender->getRows($get,$where,$where1,$other,'tenders');

        if($this->input->post('ajax')) {
            $data1['html'] = getTenders($data1["post"],'tenders');
        }else {
            $data1['html'] = getTenders($data1["post"],'tenders');
        }

        $data1['links'] = $this->pagination->create_links();
        $data1['h1'] = $this->pagination->totalRecords();
        $data1['h2'] = $this->pagination->noOfRecords();
        //echo "<pre>"; print_r($data1);die;
        return $data1;
    }

    public function getFreeTendersContent($get=array(),$fp='')
    {
        $where='';
        $like=0;
        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;
        if(!$page){
            $offset = 0;
            $where1 = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where1 = array('start'=>$offset,'limit'=>$this->perPage);
        }
        $totalRec = $this->tender->getRows($get,$where,array(),'tenders_free',1);
        $config['target']      = '#postList';
        $config['base_url']    = base_url();
        $config['total_rows']  = $totalRec;
        $config['per_page']    = $this->perPage;
        $this->pag->initialize($config);
        $data1['post'] = $this->tender->getRows($get,$where,$where1,'tenders_free',0);
        if($this->input->post('ajax')) {
            $data1['html'] = getTenders($data1["post"],'tenders_free');
        }
        else {
            $data1['html'] = getTenders($data1["post"],'tenders_free');
        }
        $data1['links'] = $this->pag->create_links();
        $data1['h1'] = $this->pag->totalRecords();
        $data1['h2'] = $this->pag->noOfRecords();
        return $data1;
    }

    /*  
    *   //  function returns all the tenders saved in tenders and tenders_archive table.
    *   $post = Gets all the parameters by which we have to search or filter the tenders
    *   $where = This is my coding fault it has no use hear I hava to remove it from all the website.
    *   $params = This contains the parameters which sets the limit and start of the tenders in query.
    *   $table = If users is searching free tenders its value will be tenders_free else tenders or tenders_archive.
    *   $st = st stands for search_type weather it is a search or filter. Filter $st = AND, Search $st = OR.
    */
    public function getRowsSearch($post=array(),$params = array(),$table='',$count='',$st='')
    {
        //print_r($post);
        if (isset($post['search_notice_type']) && $post['search_notice_type']!="")
        {
            $post['notice_type'] = $post['search_notice_type'];
        }

        if (isset($post['region_name']) && !is_array($post['region_name']))
        {
            $post['region_name'] = array($post['region_name']);
        }

        //$this->db->cache_on();
        $fields = $where = $query = $wherelike = $wh = $whe = $nt = $ec = $bt = $sd = $tf = $dc = '';
        $s=$regi=$con=$regcon=0;
        $c=true;
        /*if(isset($post['q']) && $post['q']!='')
        {
            $infodb = $this->load->database('info', TRUE);
            $query = base64_decode($post['q']);
        }else{*/
            if($table=="tenders_free")
            {
                $fields = "T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type,T.p_id,T.summery";
            }else{
                $infodb = $this->load->database('info', TRUE);
                $fields = "T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.country,T.region,T.currency,T.est_cost,T.cpv,T.notice_type";
            }

            $query .= 'select '.$fields.' from '.$table.' as T ';

            if(isset($post['date_c']) && $post['date_c']!='')
            {
                $dc=' T.date_c = \''.$post['date_c'].'\'';
                $where.=$dc;
            }else{
                if((isset($post['deadline']) && $post['deadline']!='') && (isset($post['tender_type']) && $post['tender_type']!='')) {
                    $where.= $this->dateFunctions($post['deadline']);
                }else if(isset($post['deadline']) && $post['deadline']!=''){
                    $where.= $this->dateFunctions($post['deadline']);
                }else{
                    $tender_type = (isset($post['tender_type']) && $post['tender_type']!="")?$post['tender_type']:"all";
                    $where.= $this->dateFunctions($tender_type);
                }
            }
            $wh .= ($where)?" where ".$where:"";
            if(isset($post['notice_type']) && $post['notice_type']!='')
            {
                $wh.=($post['notice_type'])?" and ( T.notice_type IN (".$post['notice_type'].") )":"";
            }

            if(isset($post['keyword']) && $post['keyword']!="")
            {
                $kwrd = str_replace(array('(',')','-'), "", $post['keyword']);
                //echo $kwrd;die;
                $keywords = explode(",", $kwrd);//$post['keyword'];
                //echo $keywords;
                if (is_array($keywords) && !empty($keywords)){
                    foreach ($keywords as $key => $value) {
                        $k1 = explode(" ", $value);

                        $sd .= ($key==0)?"":" or ";
                        $sd .= ' T.short_desc REGEXP "[[:<:]]'.trim($value).'[[:>:]]" ';

                        if(count($k1)>1){

                            $sd.=' or (';
                            foreach ($k1 as $key1 => $value1) {

                                $k2 = trim($value1);
                                $sd .= ($key1==0)?"":" and ";
                                $sd .= ' T.short_desc REGEXP "[[:<:]]'.$k2.'[[:>:]]" ';
                            }
                            $sd.=' ) ';
                        }
                    }
                    //$kw = file_get_contents("http://www.infostores.biz/globaltenders/searchbykeyword.php?keyword=".$keywords);
                    //print_r(explode(',',$kw));
                    $whe.=($sd)?(($c)?"":" or ")." ( ".$sd." )":"";
                    $c=false;
                    //$wh.=($kw)?" and ( T.posting_id IN (".$kw.") )":"";
                }
            }


            if(isset($post['sector'][0]) && $post['sector'][0]=='')
            {
                unset($post['sector'][0]);
            }

            if(isset($post['region_name'][0]) && $post['region_name'][0]=='')
            {
                unset($post['region_name'][0]);
            }

            if(isset($post['sector']) && $post['sector']!='')
            {
                $wl1='';
                $sec = $post['sector'];
                if(is_array($sec) && !empty($sec))
                {
                    foreach ($sec as $key => $value) {
                        if($key==0)
                        {
                            $wl1.=' T.tender_sector like "'.$value.'%" or T.tender_sector like "%,'.$value.'%" ';
                        }else{
                            $wl1.=' or T.tender_sector like "'.$value.'%" or T.tender_sector like "%,'.$value.'%" ';
                        }
                    }
                    $whe.=($wl1)?(($c)?"":" or ")." ( ".$wl1." )":"";
                    $c=false;
                }
            }

            if(isset($post['region_name']) && $post['region_name']!='')
            {
                $wl2='';
                $rn = $post['region_name'];
                if(is_array($rn) && !empty($rn)){
                    foreach ($rn as $key => $value) :
                        if(preg_match('/REG/',$value))
                        {
                            $reg = str_replace("REG","",$value);
                            if($key==0)
                            {
                                $wl2.=' T.region like "%'.$reg.'%" or T.region like "%,'.$reg.'%" ';
                            }else{
                                $wl2.=' or T.region like "%'.$reg.'%" or T.region like "%,'.$reg.'%" ';
                            }
                            $regi=1;
                        }
                        if(!preg_match('/REG/',$value))
                        {
                            if($key==0)
                            {
                                $wl2.=' T.country like "%'.$value.'%" ';
                            }else{
                                $wl2.=' or T.country like "%'.$value.'%" ';
                            }
                        }
                    endforeach;
                    $whe.=($wl2)?(($c)?"":" or ")." ( ".$wl2." )":"";
                    $c=false;
                }
            }

            if(isset($post['cpv']) && $post['cpv']!="")
            {
                $wl3='';
                $cpv = explode(",", $post['cpv']);
                if(is_array($cpv) && !empty($cpv)){
                    $cpv = explode(",", $post['cpv']);
                    foreach ($cpv as $key => $value) :
                        $val = rtrim($value,'0');
                        if(strlen($value)==7){

                            $val = "0".$val;
                        }

                        if(strlen($value)==8){

                            if(strlen($val)==1){
                                $val = $val."0";
                            }
                        }
                        if($key==0)
                        {
                            $wl3.=' T.cpv like "'.$val.'%" or T.cpv like "%,'.$val.'%" ';
                        }else{
                            $wl3.=' or T.cpv like "'.$val.'%" or T.cpv like "%,'.$val.'%" ';
                        }
                    endforeach;
                    $whe.=($wl3)?(($c)?"":" or ")." ( ".$wl3." )":"";
                    $c=false;
                }
            }

            if(isset($post['posting_id']) && $post['posting_id']!='')
            {
                $query.=' where T.posting_id IN ( '.$post['posting_id'].' ) ';
            }else{
                $query.=($whe!="")?$wh." and ( ".$whe." )":$wh;
            }

            $query.=' order by T.posting_id desc ';
        //}
        if(array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['start'].', '.$params['limit'];
        }

        if(!array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['limit'];
        }
        if (strpos($query, '1 or') !== false) {
            //echo 'true';
        }
        //echo $query."<br>";
        if($table=="tenders_free")
        {
            $query=$this->db->query($query);
        }else{
            $query=$infodb->query($query);
        }

        //echo "<pre>";print_r($query->result_array());die;
        if($count==0){
            //echo "<pre>".$infodb->last_query();
            $result = $query->result_array();
        }else{
            $result = $query->num_rows();
            //echo $result."<br>";
        }

        //$this->otherFilters($query->result_array(),$other);
        //print_r($result);die;
        $query->free_result();
        return $result;
    }

    public function getTendersContentSearch($get=array(),$fp='')
    {
        $c1=$c2='';
        $like=0;

        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;

        if(!$page){
            $offset = 0;
            $where1 = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where1 = array('start'=>$offset,'limit'=>$this->perPage);
        }
        $t1=$t2=array();
        if(isset($get['q']) && $get['q']!=""){
            if (strpos($get['q'], 'plus') !== false) {
                $exp = explode("plus", $get['q']);
                $c1 = $exp[0];
                $c2 = $exp[1];
            }else{
                $c1 = $get['q'];
            }
        }

        if(isset($get['tender_type'])){

            if($get['tender_type']=="all" || $get['tender_type']==""){

                if($c1=="" && $c2==""){
                    $c1 = $this->tender->getRowsSearch($get,array(),'tenders',1);
                    $c2 = $this->tender->getRowsSearch($get,array(),'tenders_archive',0);
                }
                $totalRec=$c1+$c2;
                /*$t1 = $this->tender->getRowsSearch($get,$where1,'tenders',0);
                $t2 = $this->tender->getRowsSearch($get,$where1,'tenders_archive',0);*/
                if(($c1!=0) && ($c2!=0)){
                    $where1['limit'] = ($where1['limit']/2);
                    if(isset($where1['start'])){
                        $where1['start'] = ($where1['start']/2);
                    }
                    $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                    $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
                }else if(($c1!=0) && ($c2==0)){
                    $t1 = $this->tender->getRows($get,$where,$where1,'tenders',0);
                }else if(($c1==0) && ($c2!=0)){
                    $t2 = $this->tender->getRows($get,$where,$where1,'tenders_archive',0);
                }
                $data1['post'] = array_merge($t1,$t2);
            }else{

                if($get['tender_type']=="live"){

                    if($c1==""){
                        $c1 = $this->tender->getRowsSearch($get,array(),'tenders',1);
                    }
                    $totalRec = $c1;
                    $data1['post'] = $this->tender->getRowsSearch($get,$where1,'tenders',0);
                }else{

                    if($c1==""){
                        $c1 = $this->tender->getRowsSearch($get,array(),'tenders_archive',1);
                    }
                    $totalRec = $c1;
                    $data1['post'] = $this->tender->getRowsSearch($get,$where1,'tenders_archive',0);
                }
            }
        }else{

            if($c1=="" && $c2==""){
                $c1 = $this->tender->getRowsSearch($get,array(),'tenders',1);
                $c2 = $this->tender->getRowsSearch($get,array(),'tenders_archive',1);
            }
            $totalRec=$c1+$c2;

            if(($c1!=0) && ($c2!=0)){
                $where1['limit'] = ($where1['limit']/2);
                if(isset($where1['start'])){
                    $where1['start'] = ($where1['start']/2);
                }
                $t1 = $this->tender->getRowsSearch($get,$where1,'tenders',0);
                $t2 = $this->tender->getRowsSearch($get,$where1,'tenders_archive',0);
            }else if(($c1!=0) && ($c2==0)){
                $t1 = $this->tender->getRowsSearch($get,$where1,'tenders',0);
            }else if(($c1==0) && ($c2!=0)){
                $t2 = $this->tender->getRowsSearch($get,$where1,'tenders_archive',0);
            }
            $data1['post'] = array_merge($t1,$t2);
        }

        $config['target']      = '#postList';
        $config['base_url']    = base_url();
        $config['total_rows']  = $totalRec;
        $config['per_page']    = $this->perPage;
        $this->pag->initialize($config);
        $data1['html'] = getTenders($data1["post"],'tenders');
        $data1['links'] = $this->pag->create_links();
        $data1['h1'] = $this->pag->totalRecords();
        $data1['h2'] = $this->pag->noOfRecords();
        //echo "<pre>";print_r($data1);die;
        $data1['q'] = $c1.(($c2)?"plus".$c2:"");
        return $data1;
    }

    public function dateFunctions($sid='')
    {
        switch ($sid) {
            case 'today':
                $today = date("Y-m-d");
                return 'T.doc_last = "'.$today.'" ';
                break;
            case 'tomorrow':
                $tomorrow=Date('Y-m-d', strtotime("+1 days"));
                return 'T.doc_last = "'.$tomorrow.'" ';
                break;
            case 'yesterday':
                $tomorrow=Date('Y-m-d', strtotime("-1 days"));
                return 'T.doc_last = "'.$tomorrow.'" ';
                break;
            case 'within7days':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("+7 days"));
                return 'T.doc_last >= "'.$today.'" and T.doc_last <= "'.$tomorrow.'" ';
                break;
            case 'within14days':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("+14 days"));
                return 'T.doc_last >= "'.$today.'" and T.doc_last <= "'.$tomorrow.'" ';
                break;
            case 'thismonth':
                $timestamp    = strtotime(date("Y-m-d"));
                $first_second = date('Y-m-d', $timestamp);
                $last_second  = date('Y-m-t', $timestamp);
                return 'T.doc_last >= "'.$first_second.'" and T.doc_last <= "'.$last_second.'" ';
                break;
            case 'nextmonth':
                $timestamp    = strtotime(date("Y-m-d")."+1 month");
                $first_second = date('Y-m-01', $timestamp);
                $last_second  = date('Y-m-t', $timestamp);
                return 'T.doc_last >= "'.$first_second.'" and T.doc_last <= "'.$last_second.'" ';
                break;
            case 'live':
                $today = date("Y-m-d");
                return 'T.doc_last >= "'.$today.'" ';
                break;
            case 'archive':
                $today = date("Y-m-d");
                return 'T.doc_last <= "'.$today.'" ';
                break;
            case 'all':
                $today = date("Y-m-d");
                return '( T.doc_last <= "'.$today.'" or T.doc_last > "'.$today.'" )';
                break;
            default:
                return array();
                break;
        }
    }
    
    public function searchTenderSector($tender_sector='')
    {
        $query = $this->db->query('select * from tender_sector where tender_sector_name REGEXP "[[:<:]]'.$tender_sector.'[[:>:]]" limit 1');
        $result = $query->result_array();
        return $result;
    }
    public function searchlike($table,$select,$data,$query){
        $this->db->select($select);
        $this->db->from($table);
        $this->db->like($data,$query,'after');
        $this->db->group_by($data);
        $query = $this->db->get();
        $result = $query->result();
        if($result) {
            return $result;
        }else{
            return false;
        }
    }
    public function range($table,$select,$value1,$value2){
         $this->db->where($select.' BETWEEN '. $value1.' AND '. $value2);
         $query = $this->db->get($table);
        //$query = 'slect * FROM '. $table.' WHERE '.$select >= $value1. ' AND '. $select <= $value2;
        $result = $query->result();
        if($result) {
            return $result;
        }else{
            return false;
        }
    }
    public function total_count() {
       return $this->db->count_all("cpv");
    }
    public function getDatalimit($tablename='', $limit,$offset)
    {
        $this->db->from($tablename);
        if(!empty($where))
        {
            $this->db->where($where);
        }
        $this->db->limit( $limit, $offset );
        $query = $this->db->get();
        $result = $query->result_array();
        if($result)
        {
            return $result;
        }else{
            return false;
        }
    }

    public function saveTendersHistory($posting_id='')
    {
        $tenders = array();
        $data = $this->common->getsData("saved_history_tenders",array("userid"=>$this->userid));
        $post['userid'] = $this->userid;
        $tender = $this->tender->getRows(array("posting_id"=>$posting_id),'',array(),'tenders');
        if(empty($tender))
        {
            $tender = $this->tender->getRows(array("posting_id"=>$posting_id),'',array(),'tenders_archive');
        }
        if(!empty($tender))
        {
            if(!$data)
            {
                array_push($tenders, $posting_id);
                $post['history_tenders'] = json_encode($tenders);
                //print_r($post);
                $this->common->insertData("saved_history_tenders",$post);
                return true;
            }else{
                $dt = json_decode($data['history_tenders']);
                if(!in_array($posting_id, $dt))
                {
                    array_push($dt,$posting_id);
                    if(count($dt)>10)
                    {
                        unset($dt[0]);
                    }
                    $dt1 = array_values($dt);
                    $post['history_tenders'] = json_encode($dt1);
                    $this->common->updateData("saved_history_tenders",$post,array("userid"=>$this->userid));
                    return true;
                }else{
                    return false;
                }
            }
        }else{
            return false;
        }
    }
}