<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
class Global_Tender_Dashboard extends MY_Dashboard_Controller {
    Public function __construct(){
        parent::__construct();
        $this->is_logged_in();
        $this->perPage = ($this->session->userdata("tender_length")?$this->session->userdata("tender_length"):10);
        $this->load->model("global_tender/global_tender_model","tender");
        if(isset($this->userinfo[0])) {
            $user = $this->userinfo[0];
            $user_registration_status = $this->common->getsData("user_registration_status",array("userid"=>$this->userid));
            if($user['email_domain'] == "generic") {
                if($user_registration_status && $user_registration_status['register_pages_no'] == 1){
                    redirect(base_url('global-tenders-registration2'),'refresh');
                }
            }
        }
    }
    function is_logged_in()
    {
        $is_user_logged_in = (isset($_COOKIE['is_user_logged_in']))?$_COOKIE['is_user_logged_in']:0; //$this->session->userdata('is_user_logged_in');
        //echo $is_admin_logged_in." not";die;
        if(!isset($is_user_logged_in) || $is_user_logged_in != true)
        {
            redirect(base_url('tender-login/sign-up'));
        }
    }

    public function index1()
    {
        $this->session->set_userdata(array("is_static_menu"=>1));
        $data=$cpv_array=array();
        $cpv = $this->common->getsData("saved_cpv",array("userid"=>$this->userid),array("saved_cpv"));
        $_GET['tender_type'] = "live";
        $_GET['limit'] = "";
        $_GET['cpv'] = ($cpv['saved_cpv']!="" && $cpv['saved_cpv'] !='[""]')?implode(",", json_decode($cpv['saved_cpv'])):"";
        //print_r($_GET['cpv']);die;
        $data = $this->tender->getTendersContent($_GET);
        $this->loadHtml("index","Dashboard Page",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function index()
    {
        // if(isset($this->userinfo) && $this->userinfo) {
        //     if($this->userinfo[0]['suspend'] == 1) {
        //         redirect(base_url('dashboard'),'refresh');
        //     }
        // }
        $this->loadDashboard("index","Dashboard Page");
    }

    public function keywordDashboard()
    {
        $data['user_keyword_search'] = $this->common->getsData("user_keyword_search",array("userid"=>$this->userid));
        if ($data) {
            $this->loadDashboard("keyword-dashboard","Keyword Dashboard Page",$data);
        }else{
            redirect(base_url('dashboard.php'),'refresh');
        }
    }

    public function recommendedPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        (getUserName("varify")==0)?redirect(base_url('dashboard'),'refresh'):"";
        $time_start = microtime(true);
        $this->session->set_userdata(array("is_static_menu"=>1));

        $data=$cpv_array=array();

        $cpv = $this->dashboard->getUserDashboardSearchFields($this->userid);
        //echo "<pre>";print_r($cpv);

        $profile = $this->common->getsData("user",array("userid"=>$this->userid),array("sector_check"));

        $_GET['tender_type'] = "live";
        $_GET['limit'] = "";
        $_GET['cpv'] = ($cpv['saved_cpv']!="" && $cpv['saved_cpv'] !='[""]')?implode(",", json_decode($cpv['saved_cpv'])):"";

        if($profile['sector_check']==1){

            if($cpv['sector']!=""){
                $_GET['sector'] = explode(",", $cpv['sector']);
            }
        }

        if($cpv['omit_sector']!=""){
            $_GET['omit_sector'] = explode(",", $cpv['omit_sector']);
        }

        $_GET['keyword'] = $cpv['product_services'];
        $_GET['omit_keyword'] = $cpv['omit_product_services'];
        if($cpv['region_name']!=""){
            $_GET['region_name'] = explode(",", $cpv['region_name']);
        }else{
            $_GET['region_name'] = array();
        }
        if($cpv['omit_region_name']!=""){
            $_GET['omit_region_name'] = explode(",", $cpv['omit_region_name']);
        }else{
            $_GET['omit_region_name'] = array();
        }
        $_GET['notice_type'] = $cpv['notice_type'];
        //print_r($_GET);die;
        $data = $this->tender->getTendersContent($_GET);
        if(isset($data['postingid']) && is_array($data['postingid']) && count($data['postingid'])!=1){
            $this->session->set_userdata("postingids",$data['postingid']);
            $data['postingids'] = (count($data['postingid'])!=1)?$data['postingid']:"";
        }

        $time_end = microtime(true);
        $execution_time = (($time_end - $time_start)/60);
        $data['ext'] = $execution_time;
        $this->loadDashboard("recommended","Recommended For You",$data);
    }

    public function infoGraphsPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        (getUserName("varify")==0)?redirect(base_url('dashboard'),'refresh'):"";
        $this->loadDashboard("info-graph","Infor Graphs");
    }

    public function profilePage()
    {
        redirect(base_url('dashboard'));
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        /* If User's Profile is incompleate send it to registration step 2 code start */
        $user_registration_status = $this->common->getsData("user_registration_status",array("userid"=>$this->userid));
        ($user_registration_status && $user_registration_status['register_pages_no'] == 1)?redirect(base_url('global-tenders-registration2'),'refresh'):'';
        /* If User's Profile is incompleate send it to registration step 2 code end */

        //data = $this->common->getDropDowns(array("country"));
        $data['country'] = $this->config->item("countryarray");
        $data['package'] = $this->config->item("package");
        $data['tender_sector'] = $this->config->item("sector_industry");
        //$profile = $this->usearch->getRows(array("userid"=>$this->userid)); //$this->common->getsData("user",array("userid"=>$this->userid));
        if(isset($this->userinfo) && $this->userinfo) {
            $data['profile'] = $this->userinfo[0];
        }else{
            $data['profile'] = array();
        }
        //$data['profile'] = ($profile)?$profile[0]:array();
        $data['user_title'] = $this->config->item("title");
        $data['hear'] = $this->config->item("hear");

        $this->loadDashboard("user-profile","User Profile",$data);
    }

    public function keywordPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        /* If User's Profile is incompleate send it to registration step 2 code start */
        $user_registration_status = $this->common->getsData("user_registration_status",array("userid"=>$this->userid));
        ($user_registration_status && $user_registration_status['register_pages_no'] == 1)?redirect(base_url('global-tenders-registration2'),'refresh'):'';
        /* If User's Profile is incompleate send it to registration step 2 code end */

        $data['tender_sector'] = $this->config->item("sector_industry");
        $data['country_region'] = $this->config->item("country_region");
        $data['notice_type_search'] = $this->config->item("notice_type_search");

        $data['saved_cpv'] = $this->common->getsData("saved_cpv",array("userid"=>$this->userid));
        if(isset($this->userinfo) && $this->userinfo) {
            $data['profile'] = $this->userinfo[0];
        }
        //$data['profile'] = $this->common->getsData("user",array("userid"=>$this->userid),array("userid","sector","omit_sector","product_services","omit_product_services","region_name","omit_region_name","notice_type"));

        $this->loadDashboard("keyword","Saved CPV Page",$data);
    }

    public function savedTendersPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $subscription = $this->subscription;
        $subtime = $this->subtime;

        // if($subscription==1){

        //     if($subtime==1){ }else{ redirect(base_url("upgrade-profile")); }

        // }else{
        //     redirect(base_url("upgrade-profile"));
        // }

        $get = array("tender_type"=>"live","status"=>"","limit"=>"");
        $data = $this->dashboard->getDashboardTendersContent($get,"getSavedTendersData","",array('delete'=>1));
        // echo "<pre>";
        // print_r ($data);
        // echo "</pre>";die;
        $this->loadDashboard("saved-tenders","Saved Tenders",$data);
    }

    public function checkCPVPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $data['cpv_codes'] = $this->common->getData("cpv");
        $this->loadHtml("check-cpv","CPV List",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function sentTendersPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $subscription = $this->subscription;
        $subtime = $this->subtime;

        // if($subscription==1){

        //     if($subtime==1){ }else{ redirect(base_url("upgrade-profile")); }

        // }else{
        //     redirect(base_url("upgrade-profile"));
        // }

        $data['tenders'] = $this->common->getData("sent_tenders",array("userid"=>$this->userid));
        
        $this->loadDashboard("sent-tenders","Sent Mail Tenders",$data);
    }

    public function allTendersPage()
    {
        $_GET['limit'] = '';
        $_GET['status'] = '';

        $data = $this->tender->getTendersContent($_GET);

        $this->loadHtml("all-tenders","Show All Tenders",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function tendersNoticePage()
    {
        $_GET['notice_type'] = 1;
        $_GET['tender_type'] = "live";
        $_GET['status'] = '';

        $data = $this->tender->getTendersContent($_GET);
        
        $this->loadHtml("tenders-notice","Tender Notice",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function projectInformationPage()
    {
        $_GET['notice_type'] = 9;
        $_GET['tender_type'] = "live";
        $_GET['status'] = '';

        $data = $this->tender->getTendersContent($_GET);
        
        $this->loadHtml("project-information","Project Information Tenders",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function procurementNewsPage()
    {
        $_GET['notice_type'] = 4;
        $_GET['tender_type'] = "live";
        $_GET['status'] = '';

        $data = $this->tender->getTendersContent($_GET);

        $this->loadHtml("procurement-news","Procurement News Tenders",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function contractAwardsPage()
    {
        $_GET['notice_type'] = 5;
        $_GET['tender_type'] = "live";
        $_GET['status'] = '';

        $data = $this->tender->getTendersContent($_GET);

        $this->loadHtml("contract-awards","Contract Awards Tenders",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function newTendersPage()
    {
        $this->loadHtml("new-tenders","All New Tenders",'',"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function archivesTendersPage()
    {
        $get = array("status"=>"","limit"=>"");
        $today = date("Y-m-d");
        $data = $this->dashboard->getDashboardTendersContent($get,"getArchivesTenders",array("T.doc_last <="=>$today));
        $this->loadHtml("archives-tenders","Archived Tenders",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function tendersHistoryPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $shtenders = $this->common->getsData("saved_history_tenders",array("userid"=>$this->userid));
        $ids = json_decode($shtenders['history_tenders']);

        if($ids){
            foreach($ids as $key => $value) {
                $tender = $this->tender->getRows(array("posting_id"=>$value),'',array(),'tenders');
                if(empty($tender))
                {
                    $tender = $this->tender->getRows(array("posting_id"=>$value),'',array(),'tenders_archive');
                }
                //$data['tenders'][] = $this->tender->getTendersFromInfo(array("posting_id"=>$value),1); 
                $data['tenders'][] = (isset($tender[0]))?$tender[0]:array();//$this->tender->getRows(array("posting_id"=>$value),'',array(),'tenders');
            }
        }else{
            $data['tenders']=array();
        }

        $data['html'] = getTenders($data['tenders']);
        
        $this->loadDashboard("tenders-history","History of tenders seen.",$data);
    }

    public function liveTendersPage()
    {
        $this->session->set_userdata(array("is_static_menu"=>1));
        $_GET['tender_type'] = "live";
        $_GET['limit'] = "";

        $data = $this->tender->getTendersContent($_GET);

        $this->loadHtml("live-tenders","Live Tenders",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function upgradeProfilePage()
    {
        $this->loadHtml("upgrade-profile","Upgrade Profile","","gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function socialPage()
    {
        $data['social'] = $this->common->getsData("user",array("userid"=>$this->userid));

        $this->loadHtml("social","Social Information",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar","gt_header","gt_footer");
    }

    public function changePasswordPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $this->loadDashboard("change-password","Change Password");
    }

    public function addUserPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $this->loadDashboard("add-user","Add User");
    }

    public function contactFormPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $this->loadDashboard("contact-form","Contact Form");
    }

    public function previousSearchPage()
    {
        $data['searches'] = $this->db->query("SELECT * FROM advance_searches WHERE userid = $this->userid ORDER BY id DESC LIMIT 5")->result_array();
        $this->loadDashboard("previous-search","Previous Search",$data);
    }

    public function checkSession()
    {
        echo "<pre>";
        print_r ($this->session->all_userdata());
        echo "</pre>";
    }

    public function paidFeatureInfoPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $this->loadDashboard("paid-feature","Paid Feature Information");
    }

    public function requestSampleAction()
    {
        $this->common->insertData("market_analytics_periodic_request",array("userid"=>$this->userid,"request_for"=>$_GET['r'],"request_date"=>NOW,"ip_address"=>IPA));
        $this->session->set_flashdata("message","We have received your request for a sample report");
        redirect(base_url('dashboard/premium-feature?r='.$_GET['r']));
    }

    public function scheduleDemoPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $this->loadDashboard("schedule-demo","Schedule Demo");
    }

    public function analyticsPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        (!getUsersStatus())?redirect(base_url('dashboard/premium-feature?r=analytics-report')):$this->loadDashboard("analytics","Analytics");
    }

    public function marketReportsPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        (!getUsersStatus())?redirect(base_url('dashboard/premium-feature?r=market-report')):
        $data['saved_cpv'] = $this->common->getsData("saved_cpv",array("userid"=>$this->userid));
        $data['profile'] = (isset($this->userinfo) && $this->userinfo)?$this->userinfo[0]:array();
        $this->loadDashboard("market-report","Market Report",$data);
    }

    public function periodicUpdatesPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        (!getUsersStatus())?redirect(base_url('dashboard/premium-feature?r=periodic-updates')):
        $data['saved_cpv'] = $this->common->getsData("saved_cpv",array("userid"=>$this->userid));
        $data['profile'] = (isset($this->userinfo) && $this->userinfo)?$this->userinfo[0]:array();
        $data['periodicDetail'] = $this->common->getsData("periodic_updates_report",array("userid"=>$this->userid));
        $this->loadDashboard("periodic-updates","Periodic Updates",$data);
    }


    public function globalTendersLimitedTimeOffer()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $this->loadHtml("global-tenders-limited-time-offer","Contact Form","");
    }

    public function corporatePackageFormPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $data['country_region'] = $this->config->item("country_region");
        $data['tender_sector'] = $this->config->item("sector_industry");
        $this->loadHtml("corporate-package-form","Corporate Package Form",$data,"gt_dashboard_leftbar","gt_dashboard_rightbar");
    }

    public function sendVerificationMail($value='')
    {
        $this->load->model("tender_login/login_model","login");
        $data['post'] = $this->userinfo[0];
        $res = $this->login->sendEmailVarificationMail($data);
        echo $res;die;
    }

    public function getAccountInformationHTML()
    {
        $html = accountInformation();
        echo $html;die;
    }

    public function savedSearchPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $subscription = $this->subscription;
        $subtime = $this->subtime;

        // if($subscription==1){

        //     if($subtime==1){}else{ redirect(base_url("upgrade-profile")); }

        // }else{
        //     redirect(base_url("upgrade-profile"));
        // }

        $data['tenders'] = $this->common->getData("saved_search",array("userid"=>$this->userid));

        $this->loadDashboard("saved-search","Saved Search Tenders",$data);
    }

    public function saveAsPDF($posting_id='')
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $is_user_logged_in = (isset($_COOKIE['is_user_logged_in']))?$_COOKIE['is_user_logged_in']:0;
        
        if(!isset($is_user_logged_in) || $is_user_logged_in != true){

            redirect("http://www.globaltenders.com/global-tenders-registration.php");
        }else{

            $user = $this->common->getsData("user",array("userid"=>$this->userid));
            $username = (isset($user['gt_username']) && $user['gt_username']!="")?$user['gt_username']:"";
            $password = (isset($user['gt_password']) && $user['gt_password']!="")?$user['gt_password']:"";

            $domain_type_detail = $this->common->getsData("user_mail_type",array("userid"=>$this->userid));
            if(trim($user['email_domain'])=="corporate" && $user['email_domain_status']==1){
                $username = "freetrial";
                $password = "freetrial";
                $red = false;
                $data['ce'] = 1;
            }else{
                $data['ce'] = 0;
            }

            $detail = file_get_contents("http://infostores.biz/globaltenders/awlog_array.php?user=".$username."&pass=".$password."&id=".$posting_id);
            $data['detail'] = (array) json_decode($detail);//$this->tender->getTenders(array("posting_id"=>$posting_id));
            //echo "<pre>";print_r($data);die;

            $this->load->library('pdf');
            $name = $posting_id.".pdf";
            $this->pdf->load_view("pdf",$data);
            $this->pdf->render();
            $this->pdf->stream($name);
            //redirect(base_url("global_tender/full-detail/".$posting_id));
        }
    }
    
    public function printPage($posting_id='')
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        //$data['tender'] = $this->tender->getTenders(array("posting_id"=>$posting_id));
        $username = $_COOKIE['user'];
        $password = $_COOKIE['pass'];

        $detail = file_get_contents("http://infostores.biz/globaltenders/awlog_array.php?user=".$username."&pass=".$password."&id=".$posting_id);
        $data['detail'] = (array) json_decode($detail);

        $this->load->view("pdf",$data);
    }

    public function searchCPVAuto()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $html='';
        $term = $_GET['term'];

        $data = $this->autocomplete($term);

        print_r(json_encode($data));
    }

    public function autocomplete($term='')
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        if($term!="")
        {
            $query = $this->db->query("SELECT C.*
                FROM cpv as C
                WHERE C.cpv_description LIKE '%".$term."%'
                GROUP BY C.cpv_code");
            return $query->result_array();
        }
    }

    public function deleteSavedTenders()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $tenders = $this->common->getsData("saved_tenders",array("userid"=>$this->userid),array("posting_id"));
        $saved_tenders = json_decode($tenders['posting_id']);

        if (false !== $key = array_search($_POST['posting_id'], $saved_tenders)) {
            unset($saved_tenders[$key]);
        }

        $this->common->updateData("saved_tenders",array("posting_id"=>json_encode(array_values($saved_tenders))),array("userid"=>$this->userid));
        echo 1;
    }

    public function deleteSavedSearch()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $this->common->deleteData("saved_search",array("ss_id"=>$_POST['ss_id']));

        if($this->db->affected_rows()){ echo 1; }else{ echo 0; }
    }

    public function deleteFurthernformation()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
        $this->common->deleteData("require_further_information",array("rfiid"=>$_POST['rfiid']));

        if($this->db->affected_rows()){ echo 1; }else{ echo 0; }
    }

    public function requireFurtherInformationPage()
    {
        (checkSuspendUser() == 1)?redirect(base_url('dashboard'),'refresh'):"";
       $tenders = $this->common->getData("require_further_information",array("userid"=>$this->userid));
        // echo "<pre>";print_r($tenders);
        //$ids = json_decode($shtenders['history_tenders']);

        if($tenders){
            $posting_id = array_column($tenders, "posting_id");
            // print_r($posting_id);
            $posting_id = implode(",", $posting_id);
            $posting_id = reduce_multiples($posting_id,',');
            /*foreach($tenders as $key => $value) {
                $tender = $this->tender->getRows(array("posting_id"=>$value['posting_id']),'',array(),'tenders');
                if(empty($tender))
                {
                    $tender = $this->tender->getRows(array("posting_id"=>$value['posting_id']),'',array(),'tenders_archive');
                }
                //$data['tenders'][] = $this->tender->getTendersFromInfo(array("posting_id"=>$value),1); 
                $data['tenders'][] = (isset($tender[0]))?$tender[0]:array();//$this->tender->getRows(array("posting_id"=>$value),'',array(),'tenders');
            }*/
            $tender = $this->tender->getRows(array("posting_id"=>$posting_id),'',array(),'tenders');
            if(empty($tender))
            {
                $tender = $this->tender->getRows(array("posting_id"=>$posting_id),'',array(),'tenders_archive');
            }
            $data['tenders'] = $tender;
        }else{
            $data['tenders']=array();
        }
        $data['html'] = ($data['tenders'])?getTenders($data['tenders']):'<tr align="center"><td colspan="4"><h2>You have not requested updates for any tender.</h2></td></tr>';
        //echo "<pre>"; print_r($data);die;
        $this->loadDashboard("further-information-tenders","Further Information Tenders",$data);
    }

    public function advanceSearchPage(){

        $this->session->set_userdata(array("is_static_menu"=>1));
        $data = $this->common->getDropDowns(array("funding_agency"));
        $data['estimated_cost'] = $this->config->item("estimated_cost");
        $data['country_region'] = $this->config->item("country_region");
        $data['tender_type'] = $this->config->item("tender_type");
        $data['notice_type'] = $this->config->item("notice_type_search");
        $data['bidding_type'] = $this->config->item("bidding_type");
        $data['tender_sector'] = $this->config->item("sector_industry");
        $data['tender_closing'] = $this->config->item("deadline");
        $data['search_location'] = $this->common->getData("RegionNew",array("country"=>"IN","State_name !="=>""),array("region_cd","State_name"));
        $data['user'] = $this->common->getsData("user",array("userid"=>$this->userid),array("newpunp"));//,"access_tender_type"
        $this->loadDashboard("advance-search","Advance Search",$data);
    }

    public function testAdvanceSearchPage(){

        $data = $this->common->getDropDowns(array("funding_agency"));
        $data['estimated_cost'] = $this->config->item("estimated_cost");
        $data['country_region'] = $this->config->item("country_region");
        $data['tender_type'] = $this->config->item("tender_type");
        $data['notice_type'] = $this->config->item("notice_type_search");
        $data['bidding_type'] = $this->config->item("bidding_type");
        $data['tender_sector'] = $this->config->item("sector_industry");
        $data['tender_closing'] = $this->config->item("deadline");
        $data['search_location'] = $this->common->getData("RegionNew",array("country"=>"IN","State_name !="=>""),array("region_cd","State_name"));
        $data['user'] = $this->common->getsData("user",array("userid"=>$this->userid),array("newpunp"));//,"access_tender_type"
        $this->load->view("test-advance-search",$data);
    }
}