<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Report_model extends CI_Model {

	
    public function getRows($post=array(),$params = array(),$count='')
    {
        $fields = $query = $wh = $like = $table = '';
        $s=$regi=$con=$regcon=0;
        if($count==0){
            $fields = "MR.*,U.first_name,U.last_name";
        }else{
            $fields = "MR.id";
        }
        if(isset($post['table']) && $post['table']!=""){
            $table = $post['table'];
        }
        $query .= 'select '.$fields.' from '.$table.' as MR left join user as U on U.userid=MR.userid where MR.id!=""';
        if(isset($post['userid']) && $post['userid']!='') {
            $wh.=($post['userid'])?' and ( MR.userid = "'.$post['userid'].'" )':'';
        }
        $query.=$wh.$like;
        
        $query.=' order by MR.id desc ';
        if(array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['start'].', '.$params['limit'];
        }
        if(!array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['limit'];
        }

        $rquery=$this->db->query($query);
        if($count==0){
            $result = $rquery->result_array();
        }else{
            $result = $rquery->num_rows();
        }
        $rquery->free_result();
        return $result;
    }

    public function advanceReportSearch($get=array(),$baseurl='',$search_function='getRows')
    {
        //echo "<pre>";print_r($get);
        $like=0;
        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;
        if($page==0){
            $offset = 0;
            $where = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where = array('start'=>$offset,'limit'=>$this->perPage);
        }
        //$t1=$t2=array();
        $totalRec = $this->$search_function($get,array(),1);
        $data1['post'] = $this->$search_function($get,$where,0);
        //echo "<pre>";print_r($data1);die;
        $config=array(
                'target' => '#postList',
                'base_url' => $baseurl,
                'total_rows' => $totalRec,
                'per_page' => $this->perPage,
                'full_tag_open' => "<ul class='pagination pagination-sm no-margin pull-right'>",
                'full_tag_close' => "</ul>",
                'first_tag_open' => '<li>',
                'first_tag_close' => '</li>',
                'last_tag_open' => '<li>',
                'last_tag_close' => '</li>',
                'next_tag_open' => '<li>',
                'next_tag_close' => '</li>',
                'prev_tag_open' => '<li>',
                'prev_tag_close' => '</li>',
                'num_tag_open' => '<li>',
                'num_tag_close' => '</li>',
                'cur_tag_open' => "<li class='active'><a>",
                'cur_tag_close' => "</a></li>"
            );
        $this->pagination->initialize($config);
        //$data1['html'] = getTenders($data1["post"],'tenders');
        $data1['links'] = $this->pagination->create_links();
        $data1['h1'] = $this->pagination->totalRecords();
        $data1['h2'] = $this->pagination->noOfRecords();
        //echo "<pre>";print_r($data1);die;
        return $data1;
    }

    public function freeUsersRequest($post=array(),$params = array(),$count='')
    {
        $this->db->select("U.userid,U.first_name,U.last_name,U.email,MAPR.*");
        $this->db->from("market_analytics_periodic_request AS MAPR");
        $this->db->join("user as U","MAPR.userid = U.userid","left");
        //$this->db->where("",);
        $query = $this->db->get();
        if($count==0){
            $result = $query->result_array();
        }else{
            $result = $query->num_rows();
        }
        return $result;
    }

}

/* End of file report_model.php */
/* Location: .//C/Users/ABC/AppData/Local/Temp/fz3temp-2/report_model.php */