<div class="content-wrapper">
  <div class="clearfix">&nbsp;</div>
  <section class="content">
    <div class="row">
      <div class="col-md-12">
        <!-- Custom Tabs -->
        <div class="nav-tabs-custom">
          <ul class="nav nav-tabs">
            <li <?php echo ((isset($_GET['type']) && $_GET['type']=="year")?'class="active"':''); ?>><a href="<?php echo base_url("/report/yearWiseRegistrationReport?type=year"); ?>">Year Wise Registration</a></li>
            <li <?php echo ((isset($_GET['type']) && $_GET['type']=="month")?'class="active"':''); ?>><a href="<?php echo base_url("/report/monthWiseRegistrationReport?type=month&year=".date("Y")); ?>">Month Wise Registration</a></li>
            <li <?php echo ((isset($_GET['type']) && $_GET['type']=="country")?'class="active"':''); ?>><a href="<?php echo base_url("/report/countryWiseRegistrationReport?type=country&year=".date("Y")); ?>">Country Wise Registration</a></li>
          </ul>
        </div>
        <div class="tab-content">
            <ul class="nav nav-tabs">
                <?php for ($i=2009; $i <= date("Y") ; $i++) { ?>
                    <li <?php echo ((isset($_GET['year']) && $_GET['year']==$i)?'class="active"':''); ?>><a href="<?php echo base_url("/report/countryWiseRegistrationReport?type=country&year=".$i); ?>"><?php echo $i; ?></a></li>
                <?php } ?>
            </ul>
          <div class="tab-pane <?php echo ((isset($_GET['type']) && $_GET['type']=="country")?'active':''); ?>">
            <div class="panel panel-primary">
              <div class="panel-heading box-primary">
                <span class="panel-title">Country Wise Registration</span>
                <span class="pull-right" style="padding-left: 10px;">
                </span>
                <span class="pull-right" style="padding-left: 10px;">
                    <a href="<?php echo base_url("report/countryWiseRegistrationReport?type=country&year=".$_GET['year']."&download=excel"); ?>">
                        <button type="button" class="btn btn-primary btn-md"><i class="fa fa-download"></i> Download <?php echo $_GET['year']; ?></button>
                    </a>
                </span>
              </div>
              <div class="panel-body">
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                    <tr>
                      <th>Country</th>
                      <th>Generic Count</th>
                      <th>Corporate Count</th>
                      <th>Corporate Taken Count</th>
                      <th>Total</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php 
                    $corporate_total = $generic_total = $corporate_taken_total = array();
                    if($report) { foreach ($report as $key => $value) : 
                        $corporate_generic_count = array();
                        $corporate_value = $generic_value = $corporate_taken_value = "";
                            if(isset($value['corporate_count'])){ 
                                $corporate_value = $value['corporate_count'];
                                array_push($corporate_total, $corporate_value);
                                array_push($corporate_generic_count, $corporate_value);
                            }else{
                                $corporate_value = 0;
                            }
                            if(isset($value['corporate_taken_count'])){ 
                                $corporate_taken_value = $value['corporate_taken_count'];
                                array_push($corporate_taken_total, $corporate_taken_value);
                                array_push($corporate_generic_count, $corporate_taken_value);
                            }else{
                                $corporate_taken_value = 0;
                            }
                            if(isset($value['generic_count'])){ 
                                $generic_value = $value['generic_count'];
                                array_push($generic_total, $generic_value);
                                array_push($corporate_generic_count, $generic_value);
                            }else{
                                $generic_value = 0;
                            }
                        ?>
                        <tr>
                            <td><?php echo $key; ?></td>
                            <td><?php echo $generic_value; ?></td>
                            <td><?php echo $corporate_value; ?></td>
                            <td><?php echo $corporate_taken_value; ?></td>
                            <td><?php echo array_sum($corporate_generic_count); ?></td>
                        </tr>
                    <?php endforeach; } ?>
                  </tbody>
                    <tr style="background-color: #F2F2F2">
                        <td>Total</td>
                        <td><?php $gt = array_sum($generic_total); echo $gt; ?></td>
                        <td><?php $ct = array_sum($corporate_total); echo $ct; ?></td>
                        <td><?php $ctt = array_sum($corporate_taken_total); echo $ctt; ?></td>
                        <td><?php echo ($gt+$ct+$ctt); ?></td>
                    </tr>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>