<div class="content-wrapper">
    <div class="clearfix">&nbsp;</div>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-body">
                        <table id="" class="table table-hover" width="100%" cellspacing="0">
                            <thead align="center">
                                <tr class="bg-primary"><td colspan="10"><?php echo (isset($h1)?$h1:""); ?></td></tr>
                                <tr class="bg-primary"><td colspan="10"><?php echo (isset($h2)?$h2:""); ?></td></tr>
                            </thead>
                            <thead>
                                <tr class="bg-warning">
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Date</th>
                                    <th>Requested For</th>
                                    <th>Send</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if($post){ foreach ($post as $key => $value) : ?>
                                    <tr id="<?php echo "user_".$value['userid']; ?>">
                                        <td class="userid" data-id="<?php echo $value['userid']; ?>" data-name="<?php echo $value['first_name']." ".$value['last_name']; ?>"><?php echo $value['first_name']." ".$value['last_name']; ?><br>
                                            <span class="<?php echo "action"; ?>" id="<?php echo $value['userid']; ?>" style="display: none;"></span>
                                        </td>
                                        <td><?php echo $value['email']; ?></td>
                                        
                                        <td><?php echo $value['request_date']; ?></td>
                                        <td><?php echo str_replace("-", " ", ucwords($value['request_for'])); ?></td>
                                        <td>
                                            <a href="javascript:void(0)" class="btn btn-primary btn-xs sendFreeReportExcel" data-id="<?php echo $value['id']; ?>" data-userid="<?php echo $value['userid']; ?>" data-type="link" data-mailtype="<?php echo $value['request_for']; ?>" title="Send Lisk">Link</a>
                                            <a href="javascript:void(0)" class="btn btn-primary btn-xs sendFreeReportExcel" data-id="<?php echo $value['id']; ?>" data-userid="<?php echo $value['userid']; ?>" data-type="file" data-mailtype="<?php echo $value['request_for']; ?>" title="Send File">File</a>
                                        </td>
                                    </tr>
                                <?php endforeach; } ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="panel-footer clearfix">
                        <div class="row">
                            <div class="col-md-2">
                                <select name="tender_length" id="tender_admin_length" class="pull-left form-control">
                                    <option value="10" <?php echo ($this->perPage==10)?'selected':""; ?>>10</option>
                                    <option value="20" <?php echo ($this->perPage==20)?'selected':""; ?>>20</option>
                                    <option value="50" <?php echo ($this->perPage==50)?'selected':""; ?>>50</option>
                                    <option value="100" <?php echo ($this->perPage==100)?'selected':""; ?>>100</option>
                                </select>
                            </div>
                            <div class="col-md-10">
                                <div class="text-center" id="links"><?php echo (isset($links))?$links:""; ?></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

    $(".sendFreeReportExcel").on("click",function(){
        var type = $(this).attr("data-type");
        var mailtype = $(this).attr("data-mailtype");
        var userid = $(this).attr("data-userid");
        var id = $(this).attr("data-id");
        var site_url = '<?php echo base_url(); ?>';
        if(confirm("Really want to send mail?")) {
            $.ajax({
                url: site_url+"report/sendFreeReportExcel",
                type: "GET",
                data: "type="+type+"&userid="+userid+"&id="+id+"&mailtype="+mailtype,
                success: function(result){
                    if(result==1)
                    {
                        alert("mail sent");
                    }
                }
            });
        }
    });

    $(function(){
        $.contextMenu({
            selector: '.userid', 
            trigger: 'hover',
            delay: 500,
            autoHide: true,
            build: function($triggerElement, e){
                var id = $triggerElement.attr("data-id");
                var name = $triggerElement.attr("data-name");
                var frq = $triggerElement.attr("data-frq");
                var frqlt = $triggerElement.attr("data-frqlt");
                return {
                    callback: function(){},
                    items: {
                        "view_tenders": {name: '<a href="'+site_url+'admin/viewed-tenders/'+id+'" class="btn btn-link" target="_blank" title="View tenders list which are user visited."> View Tenders</a>',icon:'fa-list',isHtmlName: true},
                        "view": {name: '<a href="'+site_url+'admin/user-profile/'+id+'" class="btn btn-link" target="_blank" title="View Users Profile."> View</a>',icon:'fa-eye',isHtmlName: true},
                        "edit": {name: '<a href="'+site_url+'admin/edit-user-profile/'+id+'" class="btn btn-link" target="_blank" title="Edit Users Profile"> Edit</a>',icon:'fa-pencil',isHtmlName: true},
                        "Notes": {name: '<a href="'+site_url+'admin/user-notes/'+id+'" target="_blank" class="btn btn-link" data-id="'+id+'">Notes</a>',icon:'fa-sticky-note-o',isHtmlName: true},//addUserNotes
                    }
                };
            }
        });
    });
</script>