<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Search_Model extends CI_Model 
{
    public function getRows($post=array(),$params = array(),$table='',$count='')
    {
        if(isset($post['search_notice_type']) && $post['search_notice_type']!="")
        {
            $post['notice_type'] = $post['search_notice_type'];
        }

        if(isset($post['region_name']) && !is_array($post['region_name']))
        {
            $post['region_name'] = array($post['region_name']);
        }

        $query = $where = $wherelike = $wherelike1 = $wherelike2 = $wherelike3 = $wherelike4 = $wherelike5 = $wh = $nt = $ec = $bt = $sd = $tf = '';
        $s=$regi=$con=$regcon=0;
        $query .= 'select T.sector,T.tender_sector,T.short_desc,T.doc_last,T.posting_id,T.p_id,T.country,T.region,T.currency,T.est_cost,T.cpv,
        T.summery,T.notice_type from '.$table.' as T ';

        if((isset($post['deadline']) && $post['deadline']!='') && (isset($post['tender_type']) && $post['tender_type']!='')) {
            $where.= $this->dateFunctions($post['deadline']);
        }else if(isset($post['deadline']) && $post['deadline']!=''){
            $where.= $this->dateFunctions($post['deadline']);
        }else{
            $tender_type = (isset($post['tender_type']) && $post['tender_type']!="")?$post['tender_type']:"all";
            $where.= $this->dateFunctions($tender_type);
        }
        $wh .= ($where)?' where '.$where:"";
        if(isset($post['notice_type']) && $post['notice_type']!='')
        {
            $nt='( T.notice_type = '.$post['notice_type']." )";
            $wh.=($nt)?" and ".$nt:"";
        }

        if((isset($post['est_cost_condition']) && $post['est_cost_condition']!='') && (isset($post['est_cost']) && $post['est_cost']!=''))
        {
            if($post['est_cost_condition']==">=")
            {
                $ec=' T.est_cost >= '.$post['est_cost'];
            }
            if($post['est_cost_condition']=="=")
            {
                $ec=' T.est_cost = '.$post['est_cost'];
            }
            if($post['est_cost_condition']=="<=")
            {
                $ec=' T.est_cost <= '.$post['est_cost'];
            }
            $wh.=($ec)?" and ".$ec:"";
        }
        
        if(isset($post['bidding_type']) && $post['bidding_type']!='')
        {
            $bt=' T.global = '.$post['bidding_type'];
            $wh.=($bt)?" and ".$bt:"";
        }

        if(isset($post['keyword']) && $post['keyword']!="")
        {
            $kw = explode(",", $post['keyword']);
            foreach ($kw as $key => $value) {
                if($key==0)
                {
                    $sd.=' T.short_desc REGEXP "[[:<:]]'.$value.'[[:>:]]" ';
                }else{
                    $sd.=' or T.short_desc REGEXP "[[:<:]]'.$value.'[[:>:]]" ';
                }
            }
            $wh.=($sd)?" and ( ".$sd." )":"";
        }
        
        if($table=="tenders_free")
        {
            $tf=' T.tstatus = 1';
            $wh.=($tf)?" and ( ".$tf." )":"";
        }

        if(isset($post['sector'][0]) && $post['sector'][0]=='')
        {
            unset($post['sector'][0]);
        }

        if(isset($post['region_name'][0]) && $post['region_name'][0]=='')
        {
            unset($post['region_name'][0]);
        }

        if(isset($post['location'][0]) && $post['location'][0]=='')
        {
            unset($post['location'][0]);
        }
        if(isset($post['sector']) && $post['sector']!='')
        {
            $kw = $post['sector'];
            if(is_array($kw) && $kw)
            {
                $wherelike.="( ";
                foreach ($kw as $key => $value) {
                    if($key==0)
                    {
                        $wherelike.=' T.sector like "'.$value.'" or T.sector like "%,'.$value.'" ';
                    }else{
                        $wherelike.=' or T.sector like "'.$value.'" or T.sector like "%,'.$value.'" ';
                    }
                }
                $wherelike.=" )";
                $s=1;
            }
        }
        if(isset($post['region_name']) && $post['region_name']!='')
        {
            $rn = $post['region_name'];
            if(is_array($rn) && $rn){
                foreach ($rn as $key => $value) {
                    if(preg_match('/REG/',$value))
                    {
                        $reg = str_replace("REG","",$value);
                        if($key==0)
                        {
                            if($s==0){
                                $wherelike1.=' T.region like "%'.$reg.'%" or T.region like "%,'.$reg.'%" ';
                            }else{
                                $wherelike1.='0 or T.region like "%'.$reg.'%" or T.region like "%,'.$reg.'%" ';
                            }
                        }else{
                            $wherelike1.=' or T.region like "%'.$reg.'%" or T.region like "%,'.$reg.'%" ';
                        }
                        $regi=1;
                    }
                    if(!preg_match('/REG/',$value))
                    {
                        if($key==0)
                        {
                            if($s==1 || $regi==1){
                                $wherelike2.=' and T.country like "%'.$value.'%" ';
                            }else{
                                $wherelike2.=' T.country like "%'.$value.'%" ';
                            }
                        }else{
                            $wherelike2.=' or T.country like "%'.$value.'%" ';
                        }
                    }
                }
                $regcon=1;
            }
        }
        if(isset($post['cpv']) && $post['cpv']!="")
        {
            $cpv = explode(",", $post['cpv']);
            $wherelike4.="( ";
            foreach ($cpv as $key => $value) :
                if($key==0)
                {
                    $wherelike4.=' T.cpv like "%'.$value.'%" or T.cpv like "%,'.$value.'%" ';
                }else{
                    $wherelike4.=' or T.cpv like "%'.$value.'%" or T.cpv like "%,'.$value.'%" ';
                }
            endforeach;
            $wherelike4.=") ";
        }
        if(isset($post['location']) && $post['location']!="")
        {
            $location = $post['location'];
            foreach ($location as $key => $value) {
                $wherelike5=' and T.region like "%'.$value.'%" or T.region like "%,'.$value.'%" ';
            }
        }
        $wl = '';
        if($wherelike!='' || $wherelike1!='' || $wherelike2!='')
        {
            $wlc1 = ($wherelike1!="" || $wherelike2!="")?' ( '.$wherelike1.' '.$wherelike2.' ) ':"";
            $wl = (($wherelike)?" and ".$wherelike:"").(($wlc1!="")?" and ".$wlc1:"");
        }
        $wl4=($wherelike4!="")?" and ".($wherelike4):"";//cpv
        $wl5=($wherelike5!="")?($wherelike5):"";//region
        if(isset($post['posting_id']) && $post['posting_id']!='')
        {
            $query.=' where T.posting_id = '.$post['posting_id'].' ';
        }else{
            if($wl!='')
            {
                $query.=$wh.(($wl!="")?($wl):"").$wl4.$wl5;
            }else{
                $query.=$wh.$wl4.$wl5;
            }
        }

        $query.=' order by T.p_id asc ';

        if(array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['start'].', '.$params['limit'];
        }
        if(!array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['limit'];
        }
        $query=$this->db->query($query);
        if($count==0){
            $result = $query->result_array();
        }else{
            $result = $query->num_rows();
        }
        $query->free_result();
        return $result;
    }

    public function getTendersContent($get=array(),$other=array(),$fp='')
    {
        $like=0;
        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;
        if(!$page){
            $offset = 0;
            $where1 = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where1 = array('start'=>$offset,'limit'=>$this->perPage);
        }
        $t1=$t2=array();
        if(isset($get['tender_type']))
        {
            if($get['tender_type']=="all" || $get['tender_type']=="")
            {
                $c1 = $this->search->getRows($get,array(),'tenders',1);
                $c2 = $this->search->getRows($get,array(),'archive_tenders',1);
                $totalRec=$c1+$c2;
                $t1 = $this->search->getRows($get,$where1,'tenders',0);
                $t2 = $this->search->getRows($get,$where1,'archive_tenders',0);
                $data1['post'] = array_merge($t1,$t2);
            }else{
                if($get['tender_type']=="live")
                {
                    $totalRec = $this->search->getRows($get,array(),'tenders',1);
                    $data1['post'] = $this->search->getRows($get,$where1,'tenders',0);
                }else{
                    $totalRec = $this->search->getRows($get,array(),'archive_tenders',1);
                    $data1['post'] = $this->search->getRows($get,$where1,'archive_tenders',0);
                }
            }
        }else{
            $c1 = $this->search->getRows($get,array(),'tenders',1);
            $c2 = $this->search->getRows($get,array(),'archive_tenders',1);
            $totalRec=$c1+$c2;
            $t1 = $this->search->getRows($get,$where1,'tenders',0);
            $t2 = $this->search->getRows($get,$where1,'archive_tenders',0);
            $data1['post'] = array_merge($t1,$t2);
        }

        $config['target']      = '#postList';
        $config['base_url']    = base_url();
        $config['total_rows']  = $totalRec;
        $config['per_page']    = $this->perPage;
        
        $this->pag->initialize($config);

        $data1['html'] = getTenders($data1["post"],'tenders');
        $data1['links'] = $this->pag->create_links();
        $data1['h1'] = $this->pag->totalRecords();
        $data1['h2'] = $this->pag->noOfRecords();
        return $data1;
    }

    public function getTendersContentPeg($get=array(),$other=array(),$fp='')
    {
        $where='';
        $like=0;
        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;
        if(!$page){
            $offset = 0;
            $where1 = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where1 = array('start'=>$offset,'limit'=>$this->perPage);
        }

        $t1=$t2=array();
        if(isset($get['tender_type']))
        {
            if($get['tender_type']=="all" || $get['tender_type']=="")
            {
                $c1 = count($this->search->getRows($get,array(),'tenders'));
                $c2 = count($this->search->getRows($get,array(),'archive_tenders'));
                $totalRec=$c1+$c2;
                $t1 = $this->search->getRows($get,$where1,'tenders');
                $t2 = $this->search->getRows($get,$where1,'archive_tenders');
                $data1['post'] = array_merge($t1,$t2);
            }else{
                if($get['tender_type']=="live")
                {
                    $totalRec = count($this->search->getRows($get,array(),'tenders'));
                    $data1['post'] = $this->search->getRows($get,$where1,'tenders');
                }else{
                    $totalRec = count($this->search->getRows($get,array(),'archive_tenders'));
                    $data1['post'] = $this->search->getRows($get,$where1,'archive_tenders');
                }
            }
        }else{
            $c1 = count($this->search->getRows($get,array(),'tenders'));
            $c2 = count($this->search->getRows($get,array(),'archive_tenders'));
            $totalRec=$c1+$c2;
            $t1 = $this->search->getRows($get,$where1,'tenders');
            $t2 = $this->search->getRows($get,$where1,'archive_tenders');
            $data1['post'] = array_merge($t1,$t2);
        }

        $config['target']      = '#postList';
        $config['base_url']    = base_url("gt-".$get['key']."-tenders/");
        $config['total_rows']  = $totalRec;
        $config['per_page']    = $this->perPage;
        $config['uri_segment'] = 2;
        
        $this->pagination->initialize($config);
        
        $data1['links'] = $this->pagination->create_links();
        $data1['h1'] = $this->pagination->totalRecords();
        $data1['h2'] = $this->pagination->noOfRecords();
        //echo "<pre>"; print_r($data1);die;
        return $data1;
    }

    public function dateFunctions($sid='')
    {
        switch ($sid) {
            case 'today':
                $today = date("Y-m-d");
                return 'T.doc_last = "'.$today.'" ';//array("T.doc_last"=>$today);
                break;
            case 'tomorrow':
                $tomorrow=Date('Y-m-d', strtotime("+1 days"));
                return 'T.doc_last = "'.$tomorrow.'" ';//array("T.doc_last"=>$tomorrow);
                break;
            case 'within7days':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("+7 days"));
                return 'T.doc_last >= "'.$today.'" and T.doc_last <= "'.$tomorrow.'" ';//array("T.doc_last >="=>$today,"T.doc_last <="=>$tomorrow);
                break;
            case 'within14days':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("+14 days"));
                return 'T.doc_last >= "'.$today.'" and T.doc_last <= "'.$tomorrow.'" ';//array("T.doc_last >="=>$today,"T.doc_last <="=>$tomorrow);
                break;
            case 'thismonth':
                $timestamp    = strtotime(date("Y-m-d"));
                $first_second = date('Y-m-d', $timestamp);
                $last_second  = date('Y-m-t', $timestamp);
                return 'T.doc_last >= "'.$first_second.'" and T.doc_last <= "'.$last_second.'" ';//array("T.doc_last >="=>$first_second,"T.doc_last <="=>$last_second);
                break;
            case 'nextmonth':
                $timestamp    = strtotime(date("Y-m-d")."+1 month");
                $first_second = date('Y-m-01', $timestamp);
                $last_second  = date('Y-m-t', $timestamp);
                return 'T.doc_last >= "'.$first_second.'" and T.doc_last <= "'.$last_second.'" ';//array("T.doc_last >="=>$first_second,"T.doc_last <="=>$last_second);
                break;
            case 'live':
                $today = date("Y-m-d");
                return 'T.doc_last >= "'.$today.'" ';//array("T.doc_last >"=>$today);
                break;
            case 'archive':
                $today = date("Y-m-d");
                return 'T.doc_last <= "'.$today.'" ';//array("T.doc_last <="=>$today);
                break;
            case 'all':
                $today = date("Y-m-d");
                return '( T.doc_last <= "'.$today.'" or T.doc_last > "'.$today.'" )';//array("T.doc_last <="=>$today);
                break;
            default:
                return array();
                break;
        }
    }
}