<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>Global Tender</title>
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/bootstrap4/bootstrap.min.css"); ?>">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/bootstrap-glyphicons.css"); ?>">
    <link href="<?php echo base_url("assets/user/css/select2.css"); ?>" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style.css"); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/googlefonts.css"); ?>" type="text/css">
    <style type="text/css">
      body{background-image:url('../assets/user/img/login-background-min.jpg');background-size:cover;background-repeat:no-repeat;}
      .loginmodal-container{background-color: transparent;box-shadow: 4px 5px 29px 10px #ddd;}
      .loginmodal-container a{font-size:15px;}
      .top-links{text-align:right; margin-top:10px;margin-bottom:20px;}
      .top-links a{border:1px solid #000; color: #000;}
      .top-links a:hover{background:transparent;border-color:#4686BC;color:#4686BC;}
      .top-links span{margin-right:10px;}
      .loginmodal-container input[type=text], input[type=password]{height: 40px !important;}
      .loginmodal-submit{min-height:40px;}
    </style>
    <!--[if lt IE 9]
      < script src = "//html5shiv.googlecode.com/svn/trunk/html5.js" > < /script>
    <![endif]-->
    <!--[if IE 9]>
      <script src="js/media.match.min.js"></script>
    <![endif]-->
    <script src="<?php echo base_url("new-gt/tenders/assets/user/new/js/jquery.min.js"); ?>"></script>
  </head>

  <body>
    <div id="main-wrapper">
      <div class="col-md-12 text-center">
        <div class="top-links col-md-12">
          <span>Not a member?</span>
          <a href="<?php echo base_url("global-tenders-registration"); ?>" class="btn btn-outline-primary">Create an account</a>
        </div>
        <div class="loginmodal-container">
            <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <?php echo $this->session->flashdata('message'); ?>
            </div>
            <div class="alert alert-danger alert-dismissible" role="alert" <?php if($this->session->flashdata('emessage')==''){ ?> style="display:none" <?php } ?> >
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <?php echo $this->session->flashdata('emessage'); ?>
            </div>
          <?php echo form_error('error', '<div style="color:red;">', '</div>'); ?>
          <h1><img src="<?php echo base_url("assets/user/img/logo.png"); ?>" style="width:50%;"></h1><br>
          <?php echo form_open(base_url('tender-login/sign-up.php'),array("method"=>"POST","class"=>"userLogin")); ?>
            <div class="form-group">
              <?php echo form_input(array("name"=>'email',"value"=>set_value('email'),"class"=>"form-control","placeholder"=>"Email")); ?>
              <?php echo form_error('email', '<div style="color:red;">', '</div>'); ?>
            </div>
            <div class="form-group">
              <?php echo form_password(array("name"=>'password', "value"=>set_value('password'),"class"=>"form-control","placeholder"=>"Password")); ?>
              <?php echo form_error('password', '<div style="color:red;">', '</div>'); ?>
            </div>
            <div class="form-group">
              <?php echo form_submit(array("value"=>'Login',"class"=>"login loginmodal-submit")); ?>
            </div>
          <?php echo form_close(); ?>      
          <div class="login-help" style="text-align:right;">
           <a href="<?php echo base_url("global-tenders-forgot-password"); ?>">Forgot Password?</a>
          </div>
          <!-- <div class="loginSignUpSeparator"><span class="textInSeparator" aria-label="or">or</span></div>
          <a href="<?php echo base_url("global-tenders-registration"); ?>" class="btn btn-block btn-newac">Click here to create account</a> -->
        </div>
      </div>
    </div> <!-- end #main-wrapper -->
    <script type="text/javascript" src="<?php echo base_url("js/tracker.js"); ?>"></script>
  </body>
</html>