<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>Global Tender</title>
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/bootstrap4/bootstrap.min.css"); ?>">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/bootstrap-glyphicons.css"); ?>">
    <link href="<?php echo base_url("assets/user/css/select2.css"); ?>" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style.css"); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/googlefonts.css"); ?>" type="text/css">
    <link rel="stylesheet" type="text/css" href="<?php echo base_url("new-gt/tenders/formvalidation/css/formValidation.css"); ?>" />
    <style type="text/css">
      body{background-image:url('assets/user/img/login-background-min.jpg');background-size:cover;background-repeat:no-repeat;}
      .loginmodal-container{background-color: transparent;box-shadow: 4px 5px 29px 10px #ddd;padding: 0px 40px 30px 40px;}
      .top-links{text-align:right; margin-top:10px;margin-bottom:20px;}
      .top-links a{border:1px solid #000; color: #000;}
      .top-links a:hover{background:transparent;border-color:#4686BC;color:#4686BC;}
      .top-links span{margin-right:10px;}
      .form-control {height: 36px !important;border: 1px solid #9da3a6;border-radius: 4px;}
      .loginmodal-container select{font-family: Helvetica,Arial,sans-serif;}
    </style>
    <!--[if lt IE 9]
      < script src = "//html5shiv.googlecode.com/svn/trunk/html5.js"); ?>" > < /script>
    <![endif]-->
    <!--[if IE 9]>
      <script src="js/media.match.min.js"></script>
    <![endif]-->
    <script src="<?php echo base_url("assets/plugins/jQuery/jquery-1.11.2.min.js"); ?>"></script>
  </head>

  <body>
    <div id="main-wrapper">
      <div class="col-md-12 text-center">
        <div class="top-links col-md-12">
          <span>Already have an Account?</span>
          <a href="<?php echo base_url("tender-login/sign-up"); ?>" class="btn btn-outline-primary">Login</a>
        </div>
        <div class="loginmodal-container reg-step1">
          <h1><img src="<?php echo base_url("assets/user/img/logo.png"); ?>" style="width:50%;"></h1>
          <p>Join Global Tenders to Find new Business Opportunities</p><br>
          <?php echo form_open(base_url('global-tenders-registration.php'),array("id"=>"userRegistrationForm")); ?>
            <input type="hidden" name="reg_from" value="reg_page">
            <input type="hidden" name="ip_address" value="<?php echo $_SERVER['REMOTE_ADDR']; ?>">
            <input type="hidden" name="referer_link" value="<?php echo "http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']; ?>">
            <div class="form-group">
              <p class="text-left"><label>Email</label></p>
              <?php echo form_input(array("name"=>'email',"value"=>set_value('email'),"class"=>"form-control","placeholder"=>"Corporate Email")); ?>
              <?php echo form_error('email', '<div style="color:red;">', '</div>'); ?>
            </div>
            <div class="form-group">
              <p class="text-left"><label>Choose a Password</label></p>
              <?php echo form_password(array("name"=>'password',"value"=>set_value('password'),"class"=>"form-control","placeholder"=>"Password")); ?>
              <?php echo form_error('password', '<div style="color:red;">', '</div>'); ?>
            </div>
            <div class="form-group">
                <p class="text-left"><label>Select a package</label></p>
                <?php $package = $this->config->item("package");
                echo form_dropdown('package', $package, set_value('package'), 'id="package" class="form-control"'); ?>
                <?php echo form_error('package', '<div style="color:red;">', '</div>'); ?>
            </div>
            <a style="font-size: 13px;margin-bottom:5px;" href="https://www.globaltenders.com/global-tenders-upgrade-register.php" title="View Subscription Packages" class="pull-left" target="_blank"><strong>View Packages</strong></a>  <br>
            <!-- <div class="login-help text-left form-group">
             <a href="<?php echo base_url("tender-login/sign-up"); ?>" style="font-size: 13px;">Already registered?</a>
            </div> -->
            <div class="form-group">
              <?php echo form_submit(array("value"=>'Create Account',"class"=>"login loginmodal-submit loginmodal-submit1")); ?>
            </div>
            <p class="text-left">By submitting the form you agree to the <a style="font-size: 13px;" href="http://www.globaltenders.com/terms.htm" target="_blank"> Terms & Conditions.</a></p>
            <p>Your information is stored in a secure server and not shared with any third party</p>
          <?php echo form_close(); ?>
        </div>
      </div>
    </div>
    <script src="<?php echo base_url("new-gt/tenders/formvalidation/js/formValidation.min.js"); ?>"></script>
    <script src="<?php echo base_url("new-gt/tenders/formvalidation/js/framework/bootstrap.min.js"); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function() {
        $('#userRegistrationForm').formValidation({
            framework: 'bootstrap',
            fields: {
                email: {
                    validators: {
                        notEmpty: {
                            message: 'Email is required'
                        },
                        remote: {
                            url: '<?php echo base_url('tender_login/checkEmail'); ?>',
                            // Send { email: 'its value', username: 'its value' } to the back-end
                            data: function(validator, $field, value) {
                                return {
                                    email: validator.getFieldElements('email').val()
                                };
                            },
                            message: 'This Email Id already has an account on Global Tenders.',
                            type: 'POST'
                        }
                    }
                },
            }
        })
    });
    </script>
    <script type="text/javascript" src="<?php echo base_url("new-gt/tenders/js/tracker.js"); ?>"></script>
  </body>
</html>