<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>Global Tender</title>
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/bootstrap4/bootstrap.min.css"); ?>">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/bootstrap-glyphicons.css"); ?>">
    <link href="<?php echo base_url("assets/user/css/select2.css"); ?>" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style.css"); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo base_url("assets/user/css/googlefonts.css"); ?>" type="text/css">
    <!--[if lt IE 9]
      < script src = "//html5shiv.googlecode.com/svn/trunk/html5.js"); ?>" > < /script>
    <![endif]-->
    <!--[if IE 9]>
      <script src="js/media.match.min.js"></script>
    <![endif]-->
    <script src="<?php echo base_url("js/jquery.min.js"); ?>"></script>
  </head>

  <body>
    <div id="main-wrapper">
      <div class="col-md-12 text-center">
        <div class="loginmodal-container reg-step1">
          <h1><img src="<?php echo base_url("assets/user/img/logo.png"); ?>" style="width:50%;"></h1>
          <p>Reset Password</p><br>
          <form action="<?php echo base_url("tender_login/resetPasswordAction"); ?>" method="post" id="resetPassword">
            <input type="hidden" name="email" value="<?php echo $email; ?>">
            <input type="hidden" name="userid" value="<?php echo $userid; ?>">
            <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <?php echo $this->session->flashdata('message'); ?>
            </div>
            <div class="alert alert-danger alert-dismissible" role="alert" <?php if($this->session->flashdata('emessage')==''){ ?> style="display:none" <?php } ?> >
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <?php echo $this->session->flashdata('emessage'); ?>
            </div>
            <div class="form-group">
              <p  class="text-left"><label>Please Enter Your Password</label></p>
              <?php echo form_password(array("name"=>'password', "value"=>set_value('password'),"class"=>"form-control","placeholder"=>"Password")); ?>
            </div>
            <div class="form-group">
              <p  class="text-left"><label>Please Enter Confirm Password</label></p>
              <?php echo form_password(array("name"=>'confirm_password', "value"=>set_value('confirm_password'),"class"=>"form-control","placeholder"=>"Confirm Password")); ?>
            </div>
            <div class="form-group">
              <input type="submit" class="login loginmodal-submit loginmodal-submit1" value="Submit">
            </div>
          </form>          
        </div>
      </div>
    </div>
    <script src="<?php echo base_url("new-gt/tenders/formvalidation/js/formValidation.min.js"); ?>"></script>
    <script src="<?php echo base_url("new-gt/tenders/formvalidation/js/framework/bootstrap.min.js"); ?>"></script>
    <script type="text/javascript">
      $(document).ready(function() {
          $('#resetPassword').formValidation({
              framework: 'bootstrap',
              fields: {
                  password: {
                    validators: {
                        notEmpty: {
                            message: 'The password is required'
                        },
                    }
                  },
                  confirm_password: {
                      validators: {
                          notEmpty: {
                              message: 'Confirm Password is required'
                          },
                          identical: {
                              field: 'password',
                              message: 'The password and its confirm are not the same'
                          }
                      }
                  },
              }
          })
      });
    </script>
  </body>
</html>