<div class="content-wrapper">
    <div class="clearfix">&nbsp;</div>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-warning alert-dismissible" role="alert" <?php if($this->session->flashdata('emessage')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('emessage'); ?>
                </div>
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-heading box-primary">
                        <span class="panel-title">Template List</span>
                        <span class="pull-right">
                            <select onChange="location = this.value;" class="form-control">
                                <?php if($category_list): foreach ($category_list as $key => $value) : ?>
                                    <option value="<?php echo base_url("admin/templates-list/".$value); ?>" <?php echo ($value == $category)?'selected':''; ?>><?php echo ucfirst($value); ?></option>
                                <?php endforeach; endif; ?>
                            </select>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("admin/create-templates"); ?>" class="btn btn-primary"><i class="fa fa-plus"></i> Add Template</a>
                        </span>
                    </div>
                    <div class="panel-body">
                        <table id="example1" class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>Sr. No.</th>
                                    <th>File Name</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if($files){ foreach ($files as $key => $value): 
                                    $file_name = current(explode(".", $value));
                                ?>
                                <tr>
                                    <td><?php echo ($key+1); ?></td>
                                    <td><?php echo str_replace("_", " ", current(explode(".", $value))); ?></td>
                                    <td>
                                        <a href="<?php echo base_url("tenders_templates/readTemplatePage?fn=".$file_name."&c=".$category); ?>" target="_blank" class="btn btn-primary"><i class="fa fa-eye"></i></a>
                                        <a href="<?php echo base_url("admin/edit-templates?fn=".$file_name."&c=".$category); ?>" class="btn btn-primary"><i class="fa fa-pencil"></i></a>
                                        <a href="<?php echo base_url("tenders_templates/deleteTemplate?fn=".$file_name."&c=".$category); ?>" class="btn btn-danger"><i class="fa fa-trash"></i></a>
                                    </td>
                                </tr>
                                <?php endforeach; } ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- /.panel-body -->
                </div>
                <!-- /.panel -->
            </div>
        </div>
    </section>
</div>
<!-- ./wrapper -->