<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
class User_Search_Model extends CI_Model
{
    public function getRows($post=array(),$params = array(),$count='')
    {
        $fields = $query = $wh = $like = $table = '';
        $s=$regi=$con=$regcon=0;
        if($count==0){
            $fields = "U.userid,U.title,U.first_name,U.last_name,U.email,U.account_status,U.renewal_date,U.expiry_date,U.country,U.organization,U.password,U.suspend,U.alert_start,U.alert_end,U.admin_name,U.email_alert,U.hear,U.sector,U.reg_date,U.city,U.state,U.address1,U.address2,U.designation,U.pincode,U.country_code,U.phone,U.mobile_no,U.fax,U.website_url,U.area_code,EA.frequency,EA.frequency_limit,U.varify,U.client_status";
        }else{
            $fields = "U.userid";
        }
        if(isset($post['table']) && $post['table']=="user"){
            $table = "user";
        }else if(isset($post['table']) && $post['table']=="other_users"){
            $table = "other_users";
        }else{
            $table = "user";
        }
        //U.userid,U.title,U.first_name,U.last_name,U.email,U.account_status,U.renewal_date,U.expiry_date,U.country,U.organization,U.password,U.suspend,U.alert_start,U.alert_end,U.admin_name,U.email_alert,U.hear,U.sector
        $query .= 'select '.$fields.' from '.$table.' as U left join email_alert as EA on U.userid=EA.userid where U.u_id!=""';// left join users_other_info as OUI on U.userid=OUI.userid left join user_mail_type as UMT on U.userid=UMT.userid
        if(isset($post['title']) && $post['title']!='') {
            $wh.=($post['title'])?' and ( U.title = "'.$post['title'].'" )':'';
        }
        if(isset($post['country']) && $post['country']!='') {
            //$wh.=($post['country'])?' and ( U.country = "'.$post['country'].'" )':'';
            $country = (is_array($post['country']))?$post['country']:array();
            if($country) {
                $wh.=' and (';
                foreach ($country as $key => $value) {
                    if($value == "not") {
                        $value = "";
                    }
                    $wh .= (($key!=0)?' or ':"").' U.country = "'.$value.'"';
                }
                $wh.=' )';
            }
        }
        if(isset($post['state']) && $post['state']!='') {
            $wh.=($post['state'])?' and ( U.state = "'.$post['state'].'" )':'';
        }
        if(isset($post['city']) && $post['city']!='') {
            $wh.=($post['city'])?' and ( U.city = "'.$post['city'].'" )':'';
        }
        if(isset($post['userid']) && $post['userid']!='') {
            $wh.=($post['userid'])?' and ( U.userid = "'.$post['userid'].'" )':'';
        }
        if(isset($post['account_status']) && $post['account_status']!='') {
            $wh.=' and ( U.account_status = "'.$post['account_status'].'" )';
        }
        if(isset($post['admin_name']) && $post['admin_name']!='') {
            if(!is_array($post['admin_name'])){ $post['admin_name'] = array($post['admin_name']); };
            //$wh.=($post['admin_name'])?' and ( U.admin_name = "'.$post['admin_name'].'" )':'';
            $admin_name = (is_array($post['admin_name']))?$post['admin_name']:array();
            if($admin_name) {
                $wh.=' and (';
                foreach ($admin_name as $key => $value) {
                    if($value == "not") {
                        $value = "";
                    }
                    $wh .= (($key!=0)?' or ':"").' U.admin_name = "'.$value.'"';
                }
                $wh.=' )';
            }
        }
        if(isset($post['exclude_admin']) && $post['exclude_admin']!="") {
            //print_r($post['exclude_admin']);die;
            $wh.=($post['exclude_admin'])?' and ( U.admin_name NOT IN ("'.str_replace(",", '","', implode(",",$post['exclude_admin'])).'") )':'';
        }
        if(isset($post['email_alert']) && $post['email_alert']!='') {
            $wh.=' and ( U.email_alert = "'.$post['email_alert'].'" )';
        }
        if(isset($post['suspend']) && $post['suspend']!='') {
            $wh.=' and ( U.suspend = "'.$post['suspend'].'" )';
        }
        if(isset($post['varify']) && $post['varify']!='') {
            $wh.=' and ( U.varify = "'.$post['varify'].'" )';
        }
        if(isset($post['pincode']) && $post['pincode']!='') {
            $wh.=($post['pincode'])?' and ( U.pincode = "'.$post['pincode'].'" )':'';
        }
        if(isset($post['sector']) && $post['sector']!='') {
            $wh.=($post['sector'])?' and ( U.sector = "'.$post['sector'].'" )':'';
        }
        if(isset($post['package']) && $post['package']!='') {
            $wh.=($post['package'])?' and ( U.package = "'.$post['package'].'" )':'';
        }
        if(isset($post['hear']) && $post['hear']!='') {
            $wh.=($post['hear'])?' and ( U.hear = "'.$post['hear'].'" )':'';
        }
        if(isset($post['gt_username']) && $post['gt_username']!='') {
            $wh.=($post['gt_username'])?' and ( U.gt_username = "'.$post['gt_username'].'" )':'';
        }
        if(isset($post['gt_password']) && $post['gt_password']!='') {
            $wh.=($post['gt_password'])?' and ( U.password = "'.$post['gt_password'].'" )':'';
        }
        if(isset($post['newpunp']) && $post['newpunp']!='') {
            $wh.=($post['newpunp'])?' and ( U.newpunp = "'.$post['newpunp'].'" )':'';
        }
        if(isset($post['newacunac']) && $post['newacunac']!='') {
            $wh.=($post['newacunac'])?' and ( U.newacunac = "'.$post['newacunac'].'" )':'';
        }
        if(isset($post['payment_status']) && $post['payment_status']!='') {
            $wh.=($post['payment_status'])?' and ( EA.payment_status = "'.$post['payment_status'].'" )':'';
        }
        if(isset($post['table']) && $post['table']=='other_users') {
            if(isset($post['lead_source']) && $post['lead_source']!='') {
                $wh.=($post['lead_source'])?' and ( U.lead_source = "'.$post['lead_source'].'" )':'';
            }
        }
        if(isset($post['email_domain']) && $post['email_domain']!='') {
            if($post['email_domain']=="new_corporate"){
                $wh.=($post['email_domain'])?' and ( U.email_domain = "'.end(explode("_", $post['email_domain'])).'" and U.email_domain_status = 1 )':'';
            }else if($post['email_domain']=="corporate"){
                $wh.=($post['email_domain'])?' and ( U.email_domain = "'.$post['email_domain'].'" or U.email_domain = "corporate taken" )':'';
            }else{
                $wh.=($post['email_domain'])?' and ( U.email_domain = "'.$post['email_domain'].'" )':'';
            }
        }
        if(isset($post['day_search']) && $post['day_search']!='') {
            $now = date("Y-m-d");
            //$check = '';
            $check = $this->dateFunctions($post['day_search']);
            $check = (!is_array($check) && $check!="")?$check:"";

                $wh.=($post['day_search'])?' and '.$check:'';
        }
        if(isset($post['first_name']) && $post['first_name']!='') {
            $like.=($post['first_name'])?' and ( U.first_name REGEXP "[[:<:]]'.$post['first_name'].'[[:>:]]" )':'';
        }
        if(isset($post['last_name']) && $post['last_name']!='') {
            $like.=($post['last_name'])?' and ( U.last_name REGEXP "[[:<:]]'.$post['last_name'].'[[:>:]]" )':'';
        }
        if(isset($post['designation']) && $post['designation']!='') {
            $like.=($post['designation'])?' and ( U.designation REGEXP "[[:<:]]'.$post['designation'].'[[:>:]]" )':'';
        }
        if(isset($post['email']) && $post['email']!='') {
            //$like.=($post['email'])?' and ( U.email REGEXP "[[:<:]]'.$post['email'].'[[:>:]]" )':'';
            $email_array = ($post['email']!="")?explode(",", $post['email']):array();
            if($email_array) {
                $like.=' and (';
                foreach ($email_array as $key => $value) {
                    $like .= (($key!=0)?' or ':"").' U.email REGEXP "[[:<:]]'.trim($value).'[[:>:]]"';
                }
                $like.=' )';
            }
        }
        if(isset($post['organization']) && $post['organization']!='') {
            $like.=($post['organization'])?' and ( U.organization REGEXP "[[:<:]]'.$post['organization'].'[[:>:]]" )':'';
        }
        if(isset($post['address1']) && $post['address1']!='') {
            $like.=($post['address1'])?' and ( U.address1 REGEXP "[[:<:]]'.$post['address1'].'[[:>:]]" )':'';
        }
        if(isset($post['address2']) && $post['address2']!='') {
            $like.=($post['address2'])?' and ( U.address2 REGEXP "[[:<:]]'.$post['address2'].'[[:>:]]" )':'';
        }
        if(isset($post['phone']) && $post['phone']!='') {
            $like.=($post['phone'])?' and ( U.phone like "%'.$post['phone'].'%" )':'';
        }
        if(isset($post['fax']) && $post['fax']!='') {
            $like.=($post['fax'])?' and ( U.fax like "%'.$post['fax'].'%" )':'';
        }
        if(isset($post['mobile_no']) && $post['mobile_no']!='') {
            $like.=($post['mobile_no'])?' and ( U.mobile_no like "%'.$post['mobile_no'].'%" )':'';
        }
        if(isset($post['website_url']) && $post['website_url']!='') {
            $like.=($post['website_url'])?' and ( U.website_url like "%'.$post['website_url'].'%" )':'';
        }
        if(isset($post['reg_date']) && $post['reg_date']!='') {
            $like.=($post['reg_date'])?' and ( U.reg_date like "%'.$post['reg_date'].'%" )':'';
        }
        if(isset($post['activation_date']) && $post['activation_date']!='') {
            $like.=($post['activation_date'])?' and ( U.activation_date like "%'.$post['activation_date'].'%" )':'';
        }
        if(isset($post['expiry_date']) && $post['expiry_date']!='') {
            $like.=($post['expiry_date'])?' and ( U.expiry_date like "%'.$post['expiry_date'].'%" )':'';
        }
        if(isset($post['renewal_date']) && $post['renewal_date']!='') {
            $like.=($post['renewal_date'])?' and ( U.renewal_date like "%'.$post['renewal_date'].'%" )':'';
        }
        if(isset($post['unsubscrib_date']) && $post['unsubscrib_date']!='') {
            $like.=($post['unsubscrib_date'])?' and ( U.unsubscrib_date like "%'.$post['unsubscrib_date'].'%" )':'';
        }
        if(isset($post['keywords']) && $post['keywords']!="") {
            $sd='';
            $kw = explode(",", $post['keywords']);
            foreach ($kw as $key => $value) {
                $k1 = explode(" ", $value);
                if($key==0)
                {
                    $sd.=' U.keywords REGEXP "[[:<:]]'.$value.'[[:>:]]" ';
                }else{
                    $sd.=' or U.keywords REGEXP "[[:<:]]'.$value.'[[:>:]]" ';
                }

                if(count($k1)>1){
                    $sd.=' or (';
                    foreach ($k1 as $key1 => $value1) {
                        if($key1==0)
                        {
                            $sd.=' U.keywords REGEXP "[[:<:]]'.$value1.'[[:>:]]" ';
                        }else{
                            $sd.=' and U.keywords REGEXP "[[:<:]]'.$value1.'[[:>:]]" ';
                        }
                    }
                    $sd.=' ) ';
                }
            }
            $like.=($sd)?" and ( ".$sd." )":"";
        }
        if(isset($post['group']) && $post['group']!="") {
            $group_emails = $this->common->getsData("mail_group",array("mailid"=>$post['group']),array("emailIds"));
            if($group_emails) {
                $em = explode(",", $group_emails['emailIds']);
                if(isset($post['exclude_email']) && is_array($post['exclude_email']) && $post['exclude_email']) {
                    //print_r($post['exclude_email']);
                    $emailIds = array_diff($em,$post['exclude_email']);
                    $group_emails['emailIds'] = implode(",", $emailIds);
                }
                $wh.=($group_emails)?' and ( U.email IN ("'.str_replace(",", '","', $group_emails['emailIds']).'") )':'';
            }
        }
        $query.=$wh.$like;
        
        $query.=' order by U.u_id desc ';
        if(array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['start'].', '.$params['limit'];
        }
        if(!array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['limit'];
        }

        $rquery=$this->db->query($query);
        //echo "<pre>";print_r($query->result_array());
        if($count==0){
            // echo $this->db->last_query()."<br>";
            $this->session->set_userdata('user_search_query',$query);
            $this->session->set_userdata("search_table",$table);
            $result = $rquery->result_array();
            //print_r($result);die;
        }else{
            $result = $rquery->num_rows();
            //echo "count = ".$result."<br>";
        }
        //$this->otherFilters($query->result_array(),$other);
        $rquery->free_result();
        return $result;
    }

    public function userPageClickSearch($post=array(),$params = array(),$count='')
    {
        $fields = $query = $wh = $like = $table = '';
        $s=$regi=$con=$regcon=0;
        if($count==0){
            $fields = "U.userid,U.title,U.first_name,U.last_name,U.email,U.account_status,U.renewal_date,U.expiry_date,U.country,U.organization,U.password,U.suspend,U.alert_start,U.alert_end,U.admin_name,U.email_alert,U.hear,U.sector,U.reg_date,U.city,U.state,U.address1,U.address2,U.designation,U.pincode,U.country_code,U.phone,U.mobile_no,U.fax,U.website_url,U.area_code,EA.frequency,EA.frequency_limit,U.varify,U.client_status,ST.seen_date";
        }else{
            $fields = "U.userid";
        }
        if(isset($post['table']) && $post['table']=="user"){
            $table = "user";
        }else if(isset($post['table']) && $post['table']=="other_users"){
            $table = "other_users";
        }else{
            $table = "user";
        }
        //U.userid,U.title,U.first_name,U.last_name,U.email,U.account_status,U.renewal_date,U.expiry_date,U.country,U.organization,U.password,U.suspend,U.alert_start,U.alert_end,U.admin_name,U.email_alert,U.hear,U.sector
        $query .= 'select '.$fields.' from '.$table.' as U left join email_alert as EA on U.userid=EA.userid left join seen_tenders as ST on U.userid=ST.userid where U.u_id!=""';// left join users_other_info as OUI on U.userid=OUI.userid left join user_mail_type as UMT on U.userid=UMT.userid
        
        if(isset($post['newpunp']) && $post['newpunp']!='') {
            $wh.=($post['newpunp'])?' and ( U.newpunp = "'.$post['newpunp'].'" )':'';
        }
        if(isset($post['details_check_status']) && $post['details_check_status']!='') {
            if($post['details_check_status']=="today"){
                $wh.=($post['details_check_status'])?' and ( ST.seen_date like "%'.DATE.'%" )':'';
            }else if($post['details_check_status']=="not7"){
                $tomorrow=Date('Y-m-d', strtotime("-7 days"));
                $wh.=($post['details_check_status'])?' and ( (ST.seen_date not between "'.$tomorrow.'" and "'.DATE.'") )':'';
            }else if($post['details_check_status']=="not14"){
                $tomorrow=Date('Y-m-d', strtotime("-14 days"));
                $wh.=($post['details_check_status'])?' and ( (ST.seen_date not between "'.$tomorrow.'" and "'.DATE.'") )':'';
            }else if($post['details_check_status']=="not30"){
                $tomorrow=Date('Y-m-d', strtotime("-30 days"));
                $wh.=($post['details_check_status'])?' and ( (ST.seen_date not between "'.$tomorrow.'" and "'.DATE.'") )':'';
            }
        }
        $query.=$wh.$like;
        
        $query.=' group by ST.userid order by ST.stid desc ';
        if(array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['start'].', '.$params['limit'];
        }
        if(!array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['limit'];
        }

        $rquery=$this->db->query($query);
        if($count==0){
            echo $this->db->last_query()."<br>";
            $this->session->set_userdata('user_search_query',$query);
            $this->session->set_userdata("search_table",$table);
            $result = $rquery->result_array();
            echo "<pre>";
            print_r ($result);
            echo "</pre>";die;
            //print_r($result);die;
        }else{
            echo $query;
            $result = $rquery->num_rows();
            //echo "count = ".$result."<br>";
        }
        //$this->otherFilters($query->result_array(),$other);
        $rquery->free_result();
        return $result;
        die;
    }

    public function stepTwoCompleateUserSearch($post=array(),$params = array(),$count='')
    {
        $fields = $query = $wh = $like = $table = '';
        $s=$regi=$con=$regcon=0;
        if($count==0){
            $fields = "U.userid,U.title,U.first_name,U.last_name,U.email,U.account_status,U.renewal_date,U.expiry_date,U.country,U.organization,U.password,U.suspend,U.alert_start,U.alert_end,U.admin_name,U.email_alert,U.hear,U.sector,U.reg_date,U.city,U.state,U.address1,U.address2,U.designation,U.pincode,U.country_code,U.phone,U.mobile_no,U.fax,U.website_url,U.area_code,EA.frequency,EA.frequency_limit,U.varify,U.client_status,ST.seen_date";
        }else{
            $fields = "U.userid";
        }
        if(isset($post['table']) && $post['table']=="user"){
            $table = "user";
        }else if(isset($post['table']) && $post['table']=="other_users"){
            $table = "other_users";
        }else{
            $table = "user";
        }
        $query .= 'select '.$fields.' from '.$table.' as U left join user_registration_status as URS on U.userid=URS.userid  where U.u_id!=""';
        
        if(isset($post['newpunp']) && $post['newpunp']!='') {
            $wh.=($post['newpunp'])?' and ( U.newpunp = "'.$post['newpunp'].'" )':'';
        }
        $query.=$wh.$like;
        
        $query.=' order by U.u_id desc ';
        if(array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['start'].', '.$params['limit'];
        }
        if(!array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['limit'];
        }

        $rquery=$this->db->query($query);
        if($count==0){
            $this->session->set_userdata('user_search_query',$query);
            $this->session->set_userdata("search_table",$table);
            $result = $rquery->result_array();
        }else{
            $result = $rquery->num_rows();
        }
        $rquery->free_result();
        return $result;
    }

    public function advanceUsersSearch($get=array(),$baseurl='',$search_function='getRows')
    {
        //echo "<pre>";print_r($get);
        $like=0;
        $page = (isset($get['limit']) && $get['limit'])?$get['limit']:0;
        if($page==0){
            $offset = 0;
            $where = array('limit'=>$this->perPage);
        }else{
            $offset = $page;
            $where = array('start'=>$offset,'limit'=>$this->perPage);
        }
        //$t1=$t2=array();
        $totalRec = $this->usearch->$search_function($get,array(),1);
        $data1['post'] = $this->usearch->$search_function($get,$where,0);
        //echo "<pre>";print_r($data1);die;
        $config=array(
                'target' => '#postList',
                'base_url' => $baseurl,
                'total_rows' => $totalRec,
                'per_page' => $this->perPage,
                'full_tag_open' => "<ul class='pagination pagination-sm no-margin pull-right'>",
                'full_tag_close' => "</ul>",
                'first_tag_open' => '<li>',
                'first_tag_close' => '</li>',
                'last_tag_open' => '<li>',
                'last_tag_close' => '</li>',
                'next_tag_open' => '<li>',
                'next_tag_close' => '</li>',
                'prev_tag_open' => '<li>',
                'prev_tag_close' => '</li>',
                'num_tag_open' => '<li>',
                'num_tag_close' => '</li>',
                'cur_tag_open' => "<li class='active'><a>",
                'cur_tag_close' => "</a></li>"
            );
        $this->pagination->initialize($config);
        //$data1['html'] = getTenders($data1["post"],'tenders');
        $data1['links'] = $this->pagination->create_links();
        $data1['h1'] = $this->pagination->totalRecords();
        $data1['h2'] = $this->pagination->noOfRecords();
        //echo "<pre>";print_r($data1);die;
        return $data1;
    }

    public function dateFunctions($sid='')
    {
        switch ($sid) {
            case 'today':
                $today = date("Y-m-d");
                return 'DATE(reg_date) = DATE("'.$today.'") ';
                break;
            case 'tomorrow':
                $tomorrow=Date('Y-m-d', strtotime("+1 days"));
                return 'DATE(U.reg_date) = DATE("'.$tomorrow.'") ';
                break;
            case 'yesterday':
                $tomorrow=Date('Y-m-d', strtotime("-1 days"));
                return 'DATE(reg_date) = DATE("'.$tomorrow.'") ';
                break;
            case 'thisweek':
                $sunday=date("Y-m-d", strtotime('last sunday', strtotime(date("Y-m-d"))));;
                $today = date("Y-m-d");
                return 'DATE(U.reg_date) >= "'.$sunday.'" and DATE(U.reg_date) <= "'.$today.'" ';
                break;
            case 'within7days':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("+7 days"));
                return 'DATE(U.reg_date) >= DATE("'.$today.'") and DATE(U.reg_date) <= DATE("'.$tomorrow.'") ';
                break;
            case 'within14days':
                $today = date("Y-m-d");
                $tomorrow=Date('Y-m-d', strtotime("+14 days"));
                return 'DATE(U.reg_date) >= DATE("'.$today.'") and DATE(U.reg_date) <= DATE("'.$tomorrow.'") ';
                break;
            case 'thismonth':
                $timestamp    = strtotime(date("Y-m-d"));
                $first_second = date('Y-m-1');
                $last_second  = date('Y-m-d');
                return 'DATE(U.reg_date) >= "'.$first_second.'" and DATE(U.reg_date) <= "'.$last_second.'" ';
                break;
            case 'nextmonth':
                $timestamp    = strtotime(date("Y-m-d")."+1 month");
                $first_second = date('Y-m-01', $timestamp);
                $last_second  = date('Y-m-t', $timestamp);
                return 'DATE(U.reg_date) >= DATE("'.$first_second.'") and DATE(U.reg_date) <= DATE("'.$last_second.'") ';
                break;
            default:
                return array();
                break;
        }
    }

    public function userScheduleMail()
    {
        $this->db->select("MS.*,U.email");
        $this->db->from("mail_schedule as MS");
        $this->db->join("user as U","MS.userid = U.userid","left");
        if($this->admintype!="parent"){
            $this->db->where("U.admin_name",$this->adminname);
        }
        $res = $this->db->get()->result_array();
        return $res;
    }

    public function getUserNotesInfo($where=array())
    {
        $this->db->select("UN.unid,UN.userid,UN.note,UN.created_date,UN.updated_date,UN.reminder_date,
                            UN.reminder_status,A.admin_name as created_admin,A1.admin_name as updated_admin,
                            U.first_name,U.last_name,U.email,U.country");
        $this->db->from("user_notes as UN");
        $this->db->join("admin as A","UN.created_by = A.adminid","left");
        $this->db->join("admin as A1","UN.updated_by = A1.adminid","left");
        $this->db->join("user as U","UN.userid = U.userid","left");
        if($where){
            $this->db->where($where);
        }
        $this->db->order_by("UN.created_by","desc");
        $res = $this->db->get()->result_array();
        /*if($where && $res){
            return $res[0];
        }else{*/
            return $res;
        //}
    }

    public function viewTenderSearch($post=array(),$params = array(),$count='')
    {
        $fields = $query = $wh = $like = $table = '';
        $s=$regi=$con=$regcon=0;
        if($count==0){
            $fields = "U.userid,U.title,U.first_name,U.last_name,U.email,U.mobile_no,U.country,ST.stid,ST.posting_id,ST.country,ST.sector,ST.cpv,ST.seen_date";
        }else{
            $fields = "U.userid";
        }
        if(isset($post['table']) && $post['table']=="user"){
            $table = "user";
        }else if(isset($post['table']) && $post['table']=="other_users"){
            $table = "other_users";
        }else{
            $table = "user";
        }
        //U.userid,U.title,U.first_name,U.last_name,U.email,U.account_status,U.renewal_date,U.expiry_date,U.country,U.organization,U.password,U.suspend,U.alert_start,U.alert_end,U.admin_name,U.email_alert,U.hear,U.sector
        //$this->load->database("info");
        $query .= 'select '.$fields.' from '.$table.' as U left join seen_tenders as ST on U.userid=ST.userid where ST.stid!=""';


        if((isset($post['date_from']) && $post['date_from']!='') && (isset($post['date_to']) && $post['date_to']!='')) {
            $wh.=($post['date_from'])?" and ( DATE(ST.seen_date) >= '".$post['date_from']."' and DATE(ST.seen_date) <= '".$post['date_to']."' )":"";

        }else if((isset($post['date_from']) && $post['date_from']!='') && (isset($post['date_to']) && $post['date_to']=='')) {
            $wh.=($post['date_from'])?" and ( DATE(ST.seen_date) = '".$post['date_from']."' )":"";

        }elseif((isset($post['date_from']) && $post['date_from']=='') && (isset($post['date_to']) && $post['date_to']!='')) {
            $wh.=($post['date_to'])?" and ( DATE(ST.seen_date) = '".DATE($post['date_to'])."' )":"";

        }
        if(isset($post['userid']) && $post['userid']!='') {
            $wh.=($post['userid'])?' and ( U.userid = "'.$post['userid'].'" )':'';
        }
        if(isset($post['country']) && $post['country']!='') {
            $wh.=($post['country'])?' and ( ST.country = "'.$post['country'].'" )':'';
        }
        if(isset($post['seen_date']) && $post['seen_date']!='') {
            $wh.=($post['seen_date'])?' and ( DATE(ST.seen_date) = "'.DATE($post['seen_date']).'" )':'';
        }
        $query.=$wh.$like;
        
        $query.=' order by ST.seen_date desc ';
        if(array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['start'].', '.$params['limit'];
        }
        if(!array_key_exists("start",$params) && array_key_exists("limit",$params)){
            $query.=' limit '.$params['limit'];
        }

        $rquery=$this->db->query($query);
        //echo "<pre>";print_r($query->result_array());
        if($count==0){
            //echo $this->db->last_query()."<br>";
            $result = $rquery->result_array();
            $this->session->set_userdata("view_tender_search",$query);
            //echo "<pre>";print_r($result);echo "</pre>";die;
        }else{
            $result = $rquery->num_rows();
            //echo "count = ".$result."<br>";
        }
        //$this->otherFilters($query->result_array(),$other);
        $rquery->free_result();
        return $result;
    }

    public function getSeenTendersExcelContent($filename='')
    {
        $delimiter = ",";
        $newline = "\r\n";
        $query = $this->session->userdata("view_tender_search");
        $query = str_replace("U.userid,U.title,U.first_name,U.last_name,U.email,U.mobile_no,U.country,ST.stid,ST.posting_id,ST.country,ST.sector,ST.cpv,ST.seen_date", 
                            "U.userid,U.title,U.first_name,U.last_name,U.email,ST.stid,ST.posting_id,ST.seen_date,ST.keyword_match,ST.cpv_match,ST.sector_match", ($query));
        //$query .= ',U.notice_type desc';
        $result = $this->db->query($query)->result_array();
        // echo $query;
        // echo "<pre>";
        // print_r ($result);
        // echo "</pre>";die;
        $userids = array_column($result, "posting_id");
        //echo "<pre>"; print_r($result);print_r($userids);
        $infodb = $this->load->database("info",TRUE);
        $tenders = $infodb->query("select T.posting_id,T.date_c,T.maj_org,T.country,T.short_desc,T.tender_sector,T.cpv,T.doc_last,T.notice_type from tenders as T where posting_id in (".implode(",", $userids).") union select TA.posting_id,TA.date_c,TA.maj_org,TA.country,TA.short_desc,TA.tender_sector,TA.cpv,TA.doc_last,TA.notice_type from tenders_archive as TA where posting_id in (".implode(",", $userids).")")->result_array();
        //print_r($tenders);
        $merge = array();
        foreach($result as $value1) {
            foreach ($tenders as $value2) {
                if($value1['posting_id'] == $value2['posting_id']) {
                    $value1 = array_merge($value1, $value2);
                    array_push($merge, $value1);
                }
            }
        }

        return $merge;
    }

    public function downloadExcelThreeReport($tenders=array(),$saved_cpv=array(),$sector=array(),$product_services=array())
    {
        $objPHPExcel = new PHPExcel();
        $sector_industry = $this->config->item("sector_industry");
        $country = $this->config->item("countryarray");
        $notice_type = $this->config->item("notice_type");
        $cpv_array = $this->common->getData("cpv",array(),array("cpv_code","cpv_description"));
        $cpv_array = array_column($cpv_array,"cpv_description","cpv_code");
        $filename = "Excel3.xls";

        $objPHPExcel->setActiveSheetIndex(0);
        $objPHPExcel->getActiveSheet()->setTitle("excel file");
        $objPHPExcel->getActiveSheet()->getStyle("1:1")->getFont()->setBold( true );
        if(isset($_GET['maj_org_default']) && $_GET['maj_org_default']=="on") {
            $objPHPExcel->getActiveSheet()
                                    ->setCellValue('A1', 'Date of posting')
                                    ->setCellValue('B1', 'Ref no.')
                                    ->setCellValue('C1', 'link to details')
                                    ->setCellValue('D1', 'authority name')
                                    ->setCellValue('E1', 'Summary')
                                    ->setCellValue('F1', 'Country')
                                    ->setCellValue('G1', 'Keyword match')
                                    ->setCellValue('H1', 'CVP match')
                                    ->setCellValue('I1', 'Sector match')
                                    ->setCellValue('J1', 'Expiry')
                                    ->setCellValue('K1', 'Notice type');
        }else{
            $objPHPExcel->getActiveSheet()
                                    ->setCellValue('A1', 'Date of posting')
                                    ->setCellValue('B1', 'Ref no.')
                                    ->setCellValue('C1', 'link to details')
                                    ->setCellValue('D1', 'Summary')
                                    ->setCellValue('E1', 'Country')
                                    ->setCellValue('F1', 'Keyword match')
                                    ->setCellValue('G1', 'CVP match')
                                    ->setCellValue('H1', 'Sector match')
                                    ->setCellValue('I1', 'Expiry')
                                    ->setCellValue('J1', 'Notice type');
        }
        $c = 1;
        foreach ($tenders as $key => $value) {
            $in = 0;
            $match_cpv = $match_sector = $match_keyword = array();
            if(isset($value['cpv']) && $value['cpv']!=""){
                foreach (explode(",", $value['cpv']) as $key1 => $value1) {
                    if($saved_cpv){
                        if(in_array($value1, $saved_cpv)){
                            if(isset($cpv_array[trim($value1)])){
                                $in = 1;
                                array_push($match_cpv, $cpv_array[trim($value1)]);
                            }
                        }
                    }
                }
            }
            if(isset($value['tender_sector']) && $value['tender_sector']!=""){
                foreach (explode(",", trim($value['tender_sector'])) as $key2 => $value2) {
                    if($sector && $value2 != ""){
                        if(in_array(trim($value2), $sector)){
                            $in = 1;
                            //echo $value['posting_id']." ".$value2." ".$sector_industry[$value2].$value['tender_sector']."<br>";
                            array_push($match_sector, $sector_industry[trim($value2)]);
                            /*if(isset($sector_industry[$value2])) {
                            }*/
                        }
                    }
                }
            }
            if(isset($product_services) && $product_services!=""){
                foreach ($product_services as $key3 => $value3) {
                    if(isset($value['short_desc']) && $value['short_desc']!=""){
                        if (stristr($value['short_desc'], $value3) !== false) {
                            $in = 1;
                            array_push($match_keyword, $value3);
                        }
                    }
                }
            }
            
            if($in == 1){
                $c++;
                if(isset($_GET['maj_org_default']) && $_GET['maj_org_default']=="on") {
                    $objPHPExcel->getActiveSheet()
                                ->setCellValue('A'.$c, $value['date_c'])
                                ->setCellValue('B'.$c, $value['posting_id'])
                                ->setCellValue('C'.$c, base_url("full-detail/".$value['posting_id']))
                                ->setCellValue('D'.$c, $value['maj_org'])
                                ->setCellValue('E'.$c, $value['short_desc'])
                                ->setCellValue('F'.$c, (array_key_exists($value['country'], $country)?$country[$value['country']]:"NA"))
                                ->setCellValue('G'.$c, implode(",", array_unique($match_keyword)))
                                ->setCellValue('H'.$c, implode(",", array_unique($match_cpv)))
                                ->setCellValue('I'.$c, implode(",", array_unique($match_sector)))
                                ->setCellValue('J'.$c, date("d-m-Y",strtotime($value['doc_last'])))
                                ->setCellValue('K'.$c, (array_key_exists($value['notice_type'], $notice_type)?$notice_type[$value['notice_type']]:"NA"));
                }else{
                    $objPHPExcel->getActiveSheet()
                                ->setCellValue('A'.$c, $value['date_c'])
                                ->setCellValue('B'.$c, $value['posting_id'])
                                ->setCellValue('C'.$c, base_url("full-detail/".$value['posting_id']))
                                ->setCellValue('D'.$c, $value['short_desc'])
                                ->setCellValue('E'.$c, (array_key_exists($value['country'], $country)?$country[$value['country']]:"NA"))
                                ->setCellValue('F'.$c, implode(",", array_unique($match_keyword)))
                                ->setCellValue('G'.$c, implode(",", array_unique($match_cpv)))
                                ->setCellValue('H'.$c, implode(",", array_unique($match_sector)))
                                ->setCellValue('I'.$c, date("d-m-Y",strtotime($value['doc_last'])))
                                ->setCellValue('J'.$c, (array_key_exists($value['notice_type'], $notice_type)?$notice_type[$value['notice_type']]:"NA"));
                }
            }
        }
        header('Content-Type: application/vnd.ms-excel'); //mime type
        header('Content-Disposition: attachment;filename="'.$filename.'"'); //tell browser what's the file name
        header('Cache-Control: max-age=0'); //no cache

        // Save it as an excel 2003 file
        $objWriter = IOFactory::createWriter($objPHPExcel, 'Excel5');
        $objWriter->save("php://output");
    }

    public function downloadExcel1($objPHPExcel,$tenders=array(),$activeSheet=0)
    {
        // Assign cell values
        $objPHPExcel->setActiveSheetIndex($activeSheet);
        $objPHPExcel->getActiveSheet()->setTitle("Excel1");
        $objPHPExcel->getActiveSheet()->getStyle("1:1")->getFont()->setBold( true );
        $objPHPExcel->getActiveSheet()
                                ->setCellValue('A1', 'Year')
                                ->setCellValue('B1', 'Volume');

        $years = $data = $data1 = array();
        foreach ($tenders as $key => $value) {
            $y = explode("-", $value['date_c']);
            if (!in_array($y[0], $years)) {
                array_push($years, $y[0]);
            }
            if (in_array($y[0], $years)) {
                $data1[$y[0]][] = $value;
                $data[$y[0]] = count($data1[$y[0]]);
            }
        }
        $c=1;
        foreach ($data as $key => $value) {
            $c++;
            $objPHPExcel->getActiveSheet($activeSheet)
                                        ->setCellValue('A'.$c, $key)
                                        ->setCellValue('B'.$c, $value);
        }
        $c++;

        $objPHPExcel->getActiveSheet($activeSheet)
                                    ->setCellValue('A'.$c, "Total")
                                    ->setCellValue('B'.$c, count($tenders));
        return $objPHPExcel;
    }

    public function downloadExcel2($objPHPExcel,$tenders=array(),$activeSheet=0)
    {
        $country        = $this->config->item("countryarray");
        $notice_type    = $this->config->item("notice_type");
        $sector_industry = $this->config->item("sector_industry");

        $objPHPExcel->setActiveSheetIndex($activeSheet);
        $objPHPExcel->getActiveSheet()->setTitle("Excel2");
        $objPHPExcel->getActiveSheet()->getStyle("1:1")->getFont()->setBold( true );
        $objPHPExcel->getActiveSheet()
                                ->setCellValue('A1', 'Refrence No.')
                                ->setCellValue('B1', 'Short Description')
                                ->setCellValue('C1', 'Tender Sector')
                                ->setCellValue('D1', 'Country');
        $c=1;
        foreach ($tenders as $key => $value) {
            $c++;
            $ts=array();
            $exp = explode(",", $value['tender_sector']);
            foreach ($exp as $key1 => $value1) {
                if($value1!="")
                {
                    if(array_key_exists($value1, $sector_industry))
                    {
                        array_push($ts, $sector_industry[$value1]);
                    }
                }
            }
            $objPHPExcel->getActiveSheet($activeSheet)
                                        ->setCellValue('A'.$c, $value['posting_id'])
                                        ->setCellValue('B'.$c, $value['short_desc'])
                                        ->setCellValue('C'.$c, implode(",", $ts))
                                        ->setCellValue('D'.$c, (array_key_exists($value['country'], $country)?$country[$value['country']]:"country name"));
        }
        $c++;
        $objPHPExcel->getActiveSheet($activeSheet)
                                    ->setCellValue('A'.$c, "Total")
                                    ->setCellValue('B'.$c, "")
                                    ->setCellValue('C'.$c, count($tenders));
        return $objPHPExcel;
    }

    public function downloadExcel3($objPHPExcel,$tenders=array(),$activeSheet=0)
    {
        $country        = $this->config->item("countryarray");
        $count          = count($tenders);
        $objPHPExcel->setActiveSheetIndex($activeSheet);
        $objPHPExcel->getActiveSheet()->setTitle("Excel3");
        $objPHPExcel->getActiveSheet()->getStyle("1:1")->getFont()->setBold( true );
        $objPHPExcel->getActiveSheet()
                                ->setCellValue('A1', 'Country')
                                ->setCellValue('B1', 'Volume')
                                ->setCellValue('C1', 'Percentage');

        $years = $data = $data1 = array();
        foreach ($tenders as $key => $value) {
            $c          = $value['country'];
            if (!in_array($c, $years)) {
                array_push($years, $c);
            }
            if (in_array($c, $years)) {
                $data1[$c][]    = $value;
                $volume         = count($data1[$c]);
                $data[$c]       = array("country"=>(array_key_exists($c, $country)?$country[$c]:$c),
                                "volume"=>$volume,
                                "percentage"=>number_format((($volume/$count)*100),2,'.','')." %");
            }
        }

        $c=1;
        foreach ($data as $key => $value) {
            $c++;
            $objPHPExcel->getActiveSheet($activeSheet)
                                        ->setCellValue('A'.$c, $value['country'])
                                        ->setCellValue('B'.$c, $value['volume'])
                                        ->setCellValue('C'.$c, $value['percentage']);
        }
        $c++;
        $objPHPExcel->getActiveSheet($activeSheet)
                                    ->setCellValue('A'.$c, "Total")
                                    ->setCellValue('B'.$c, $count)
                                    ->setCellValue('C'.$c, "");
        return $objPHPExcel;
    }

    public function downloadExcel4($objPHPExcel,$tenders=array(),$activeSheet=0)
    {
        $country        = $this->config->item("countryarray");
        $region_names   = $this->config->item("region_names");

        $count          = count($tenders);

        $objPHPExcel->setActiveSheetIndex($activeSheet);
        $objPHPExcel->getActiveSheet()->setTitle("Excel4");
        $objPHPExcel->getActiveSheet()->getStyle("1:1")->getFont()->setBold( true );
        $objPHPExcel->getActiveSheet()
                                ->setCellValue('A1', 'Region')
                                ->setCellValue('B1', 'Volume')
                                ->setCellValue('C1', 'Percentage');

        $region = $data = $data1 = array();
        $count1         =   0;
        foreach ($tenders as $key => $value) {
            $r          = explode(",",$value['region']);
            $r1 = $r2 = array();
            foreach ($r as $key1 => $value1) {
                $reg1   = substr($value1, 0, 2);
                //$reg_name1 = (array_key_exists($reg1, $region_names)?$region_names[$reg1]:$value['region']);
                if($reg1!=""){
                    array_push($r1, $reg1);
                }
                if (!in_array($reg1, $region)) {
                    if($reg1!=""){
                        array_push($region, $reg1);
                    }
                }
            }
            $r2=array_unique($r1);
            foreach ($r2 as $key1 => $value1) {
                $reg2 = substr($value1, 0, 2);
                if (in_array($reg2, $region)) {
                    //echo "1<br>";
                    $data1[$reg2][] = $value;
                    $volume         = count($data1[$reg2]);

                    //$reg = substr($value1, 0, 2);
                    $reg_name       = (array_key_exists($reg2, $region_names)?$region_names[$reg2]:$value['region']);

                    $data[$reg2]    = array("region"=>$reg_name,
                                    "volume"=>$volume,
                                    "percentage"=>number_format((($volume/$count)*100),2,'.','')." %");
                }
            }
        }

        $c=1;
        foreach ($data as $key => $value) {
            $c++;
            $objPHPExcel->getActiveSheet($activeSheet)
                                        ->setCellValue('A'.$c, $value['region'])
                                        ->setCellValue('B'.$c, $value['volume'])
                                        ->setCellValue('C'.$c, $value['percentage']);
        }
        $c++;
        $objPHPExcel->getActiveSheet($activeSheet)
                                    ->setCellValue('A'.$c, "Total")
                                    ->setCellValue('B'.$c, $count)
                                    ->setCellValue('C'.$c, "");
        return $objPHPExcel;
    }

    public function downloadExcel5($objPHPExcel,$tenders=array(),$activeSheet=0)
    {
        $month          = $this->config->item("months");

        $count          = count($tenders);

        $objPHPExcel->setActiveSheetIndex($activeSheet);
        $objPHPExcel->getActiveSheet()->setTitle("Excel5");
        $objPHPExcel->getActiveSheet()->getStyle("1:1")->getFont()->setBold( true );
        $objPHPExcel->getActiveSheet()
                                ->setCellValue('A1', 'Month')
                                ->setCellValue('B1', 'Percentage');

        $months = $data = $data1 = array();
        foreach ($tenders as $key => $value) {
            $y          = explode("-", $value['date_c']);
            if (!in_array($y[1], $months)) {
                array_push($months, $y[1]);
            }
            if (in_array($y[1], $months)) {
                $data1[$y[1]][] = $value;
                $volume         = count($data1[$y[1]]);
                $data[$y[1]]    = number_format((($volume/$count)*100),2,'.','')." %";
            }
        }

        $c=1;
        foreach ($data as $key => $value) {
            $c++;
            $objPHPExcel->getActiveSheet($activeSheet)
                                        ->setCellValue('A'.$c, (array_key_exists($key, $month)?$month[$key]:"country name"))
                                        ->setCellValue('B'.$c, $value);
        }
        $c++;
        $objPHPExcel->getActiveSheet($activeSheet)
                                    ->setCellValue('A'.$c, "Total")
                                    ->setCellValue('B'.$c, $count);
        return $objPHPExcel;

    }

    public function downloadExcel6($objPHPExcel,$tenders=array(),$activeSheet=0)
    {
        $month          = $this->config->item("months");
        $country        = $this->config->item("countryarray");

        $count          = count($tenders);

        $objPHPExcel->setActiveSheetIndex($activeSheet);
        $objPHPExcel->getActiveSheet()->setTitle("Excel6");
        $objPHPExcel->getActiveSheet()->getStyle("1:1")->getFont()->setBold( true );
        $objPHPExcel->getActiveSheet()
                                ->setCellValue('A1', 'Refrence No.')
                                ->setCellValue('B1', 'Major Organization')
                                ->setCellValue('C1', 'Country')
                                ->setCellValue('D1', 'Short Description');
        
        $c=1;
        foreach ($tenders as $key => $value) {
            $c++;
            $objPHPExcel->getActiveSheet($activeSheet)
                                        ->setCellValue('A'.$c, $value['posting_id'])
                                        ->setCellValue('B'.$c, $value['maj_org'])
                                        ->setCellValue('C'.$c, (array_key_exists($value['country'], $country)?$country[$value['country']]:"country name"))
                                        ->setCellValue('D'.$c, $value['short_desc']);
        }
        $c++;
        $objPHPExcel->getActiveSheet($activeSheet)
                                    ->setCellValue('A'.$c, "Total")
                                    ->setCellValue('B'.$c, $count)
                                    ->setCellValue('C'.$c, "")
                                    ->setCellValue('D'.$c, "");
        return $objPHPExcel;
    }

    public function downloadExcel7($objPHPExcel,$tenders=array(),$cpv_string='',$activeSheet=0)
    {
        if($cpv_string!="") {
            $cpv_array1     = array();
            $count = count($tenders);
            $cpv        = (isset($cpv_string) && $cpv_string!="")?explode(",", $cpv_string):"";
            if($cpv!=""){
                //print_r($cpv);
                foreach ($cpv as $key => $value) {
                    //echo "<br>".$value;
                    $cpv_array1[] = substr($value,0,2);
                }
            }
            $cpv_array = array_unique($cpv_array1);
            //print_r($cpv_array);
            $qkeys='';
            foreach ($cpv_array as $key => $value) {
                if($key!=0){
                    $qkeys .= "or ";
                }
                $qkeys .= "cpv_code like '".$value."%' ";
            }
            $query      = "select cpv_description,cpv_code from cpv where ".$qkeys;
            $result     = $this->db->query($query)->result_array();

            $objPHPExcel->setActiveSheetIndex($activeSheet);
            $objPHPExcel->getActiveSheet()->setTitle("Excel7");
            $objPHPExcel->getActiveSheet()->getStyle("1:1")->getFont()->setBold( true );
            $objPHPExcel->getActiveSheet()
                                    ->setCellValue('A1', 'CPV')
                                    ->setCellValue('B1', 'CPV Code')
                                    ->setCellValue('C1', 'Number of Tenders')
                                    ->setCellValue('D1', 'Percent of Total Tenders');
            
            $result_cpv = $data = $data1 = array();
            $count1     = 0;
            foreach ($result as $key => $value) {
                foreach ($tenders as $key1 => $value1) {
                    if (strpos($value1['cpv'], $value['cpv_code']) !== false) {
                        $data1[$value['cpv_code']][] = $value;
                        $value['count'] = count($data1[$value['cpv_code']]);
                        $value['percentage'] = number_format((($value['count']/$count)*100),2,'.','')." %";
                        $data[$value['cpv_code']] = $value;
                    }
                }
            }

            $c=1;
            foreach ($data as $key => $value) {
                $c++;
                $objPHPExcel->getActiveSheet($activeSheet)
                                            ->setCellValue('A'.$c, $value['cpv_description'])
                                            ->setCellValue('B'.$c, $value['cpv_code'])
                                            ->setCellValue('C'.$c, $value['count'])
                                            ->setCellValue('D'.$c, $value['percentage']);
            }
        }else{
            $objPHPExcel->setActiveSheetIndex($activeSheet);
            $objPHPExcel->getActiveSheet()->setTitle("Excel7");
            $objPHPExcel->getActiveSheet()->getStyle("1:1")->getFont()->setBold( true );
            $objPHPExcel->getActiveSheet()
                                    ->setCellValue('A1', 'No CPV found on search.');
        }
        return $objPHPExcel;
    }

    public function getRelatedCPV($cpv=array())
    {
        $matched_cpv = array();
        if($cpv) {
            foreach ($cpv as $key => $value) {
                if($value!="") {
                    $trim_cpv = rtrim($value,"0");
                    $matched = $this->db->query("select cpv_code from cpv where cpv_code like '".$trim_cpv."%'")->result_array();
                    if($matched) {
                        foreach ($matched as $key1 => $value1) {
                            array_push($matched_cpv, $value1['cpv_code']);
                        }
                    }
                }
            }
        }
        return $matched_cpv;
    }
}