<div class="content-wrapper">
    <div class="clearfix">&nbsp;</div>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissible" role="alert" <?php if($this->session->flashdata('message')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('message'); ?>
                </div>
                <div class="alert alert-warning alert-dismissible" role="alert" <?php if($this->session->flashdata('emessage')==''){ ?> style="display:none" <?php } ?> >
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <?php echo $this->session->flashdata('emessage'); ?>
                </div>
                <div class="panel panel-primary">
                    <div class="panel-heading box-primary">
                        <span class="panel-title">Advance User Search Result</span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("user_search/saveUsersAsExcel2"); ?>" class="btn btn-primary">CSV 2<i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("user_search/saveUsersAsExcel"); ?>" class="btn btn-primary">CSV <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("user_search/saveUsersAsPDF"); ?>" class="btn btn-primary">PDF <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("user_search/saveUsersAsText"); ?>" class="btn btn-primary">TXT <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                        <span class="pull-right">
                            <a href="<?php echo base_url("user_search/downloadExcelQuery"); ?>" class="btn btn-primary" target="_blank" >Query <i class="fa fa-file-pdf-o"></i></a>
                        </span>
                    </div>
                    <div class="panel-body">
                        <table id="example4" class="table table-hover table-primary" width="100%" cellspacing="0">
                            <thead align="center">
                                <tr><td colspan="10"><?php echo (isset($h1)?$h1:""); ?></td></tr>
                                <tr><td colspan="10"><?php echo (isset($h2)?$h2:""); ?></td></tr>
                                <tr>
                                    <th>User id</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Activation Date</th>
                                    <th>Expiry Date</th>
                                    <th>Country</th>
                                    <th>Company</th>
                                    <th>Password</th>
                                    <th><input type="checkbox" id="suspend-all" name="" /> S</th>
                                    <th>V</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                if($post){ foreach ($post as $key => $value) : ?>
                                    <tr id="<?php echo "user_".$value['userid']; ?>">
                                        <td class="userid" data-id="<?php echo $value['userid']; ?>" data-frq="<?php echo $value['frequency']; ?>" data-frqlt="<?php echo $value['frequency_limit']; ?>"><?php echo $value['userid']; ?><br>
                                            <span class="<?php echo "action"; ?>" id="<?php echo $value['userid']; ?>" style="display: none;"></span>
                                        </td>
                                        <td><?php echo $value['title']." ".$value['first_name']." ".$value['last_name']." (".$value['client_status'].")"; ?></td>
                                        <td title="<?php echo "status = ".$value['account_status'].", sector = ".$value['sector'].", country = ".$value['country'].", hear = ".$value['hear']." reg_date = ".$value['reg_date']; ?>">
                                            <?php echo $value['email']; ?>
                                        </td>
                                        <td><?php echo ($value['renewal_date']!="0000-00-00")?date("d-m-Y",strtotime($value['renewal_date'])):""; ?></td>
                                        <td><?php echo ($value['expiry_date']!="0000-00-00")?date("d-m-Y",strtotime($value['expiry_date'])):""; ?></td>
                                        <td><?php echo $value['country']; ?></td>
                                        <td><?php echo $value['organization']; ?></td>
                                        <td><?php echo $value['password']; ?></td>
                                        <td><input type="checkbox" class="suspend" data-userid="<?php echo $value['userid']; ?>" data-val="<?php echo $value['suspend']; ?>" name="suspend" <?php echo ($value['suspend']==1)?'checked="checked"':''; ?> /></td>
                                        <td><input type="checkbox" class="verifyUser" data-userid="<?php echo $value['userid']; ?>" data-val="<?php echo $value['varify']; ?>" name="varify" <?php echo ($value['varify']==1)?'checked="checked"':''; ?> /></td>
                                    </tr>
                                <?php endforeach; } ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="panel-footer clearfix">
                        <div class="row">
                            <div class="col-md-2">
                                <select name="tender_length" id="tender_admin_length" class="pull-left form-control">
                                    <option value="10" <?php echo ($this->perPage==10)?'selected':""; ?>>10</option>
                                    <option value="20" <?php echo ($this->perPage==20)?'selected':""; ?>>20</option>
                                    <option value="50" <?php echo ($this->perPage==50)?'selected':""; ?>>50</option>
                                    <option value="100" <?php echo ($this->perPage==100)?'selected':""; ?>>100</option>
                                    <option value="1000" <?php echo ($this->perPage==1000)?'selected':""; ?>>1000</option>
                                    <option value="2000" <?php echo ($this->perPage==2000)?'selected':""; ?>>2000</option>
                                </select>
                            </div>
                            <div class="col-md-10">
                                <div class="text-center" id="links"><?php echo (isset($links))?$links:""; ?></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<div class="modal fade" id="subscriptionDate" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form method="post" action="<?php echo base_url("admin/editSubscription"); ?>" id="subscriptionDateForm">
                <input type="hidden" name="userid" id="subscriptionuserid" value="" />
                <div class="modal-header" style="background-color: #357CA5;">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" style="color: white;">Set Subscription Date</h4>
                    <span class="float-right" id="editSubscriptiondate" style="display: none;">
                        <a href="javascript:void(0)" id="editSubscription" class="btn btn-primary btn-xs" data-id="">
                            <i class="fa fa-pencil"></i> Edit the Subscribe Date
                        </a>
                    </span>
                </div>
                <div class="modal-body">
                </div>
                <div class="modal-footer" style="background-color: #357CA5;">
                    <div class="row">
                        <div class="col-md-8 mail">
                            <button type="button" data-template="Activation_1" class="btn btn-primary sendDirectMail">Activation 1</button>
                            <button type="button" data-template="Activation_1" class="btn btn-primary sendDirectMail">Activation 2</button>
                            <button type="button" data-template="Expiring" class="btn btn-primary sendDirectMail">Expiring</button>
                            <button type="button" data-template="Expired" class="btn btn-primary sendDirectMail">Expired</button>
                        </div>
                        <div class="col-md-4 submit">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal modal-primary fade bs-example-modal-lg" id="allSendEmailSemples" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="mail_title" style="color: white;"></h4>
                <input type="hidden" name="sample_userid" value="" />
            </div>
            <div class="modal-body">
                <div id="loader" class="text-center" style="display: none; border: 1;">
                    <img src="http://www.globaltenders.com/tenders/gt-images/globe-earth-animation-15-2.gif" alt="loading" style="height: 150px;">
                </div>
            </div>
            <div class="modal-body" id="allSendEmailSemplesBody">
            </div>
        </div>
    </div>
</div>
<?php echo popupHtml("addUserNotes","Write Note","",'','modal-lg'); ?>
<?php echo popupHtml("tenderSettingPopup","Tender Setting","tenderSettingPopup"); ?>
<?php echo popupHtml("tenderLimitPopup","Set Tender Limit",""); ?>
<script type="text/javascript">
    var site_url='<?php echo base_url(); ?>';
    $(function(){
        $.contextMenu({
            selector: '.userid', 
            trigger: 'hover',
            delay: 500,
            autoHide: true,
            build: function($triggerElement, e){
                var id = $triggerElement.attr("data-id");
                var frq = $triggerElement.attr("data-frq");
                var frqlt = $triggerElement.attr("data-frqlt");
                return {
                    callback: function(){},
                    items: {
                        "view_tenders": {name: '<a href="'+site_url+'admin/viewed-tenders/'+id+'" class="btn btn-link" target="_blank" title="View tenders list which are user visited."> View Tenders</a>',icon:'fa-list',isHtmlName: true},
                        "view": {name: '<a href="'+site_url+'admin/user-profile/'+id+'" class="btn btn-link" target="_blank" title="View Users Profile."> View</a>',icon:'fa-eye',isHtmlName: true},
                        "edit": {name: '<a href="'+site_url+'admin/edit-user-profile/'+id+'" class="btn btn-link" target="_blank" title="Edit Users Profile"> Edit</a>',icon:'fa-pencil',isHtmlName: true},
                        "subscribe": {name: '<a href="javascript:void(0)" class="btn btn-link subscribe" data-id="'+id+'" title="Set Subscription date of user.">Subscribe</a>',icon:'fa-scribd',isHtmlName: true},
                        "delet": {name: '<a href="javascript:void(0)" class="btn btn-link delete_user" data-id="'+id+'" title="Delete User"> Delete</a>',icon:'fa-trash',isHtmlName: true},
                        "tender_setting": {name: '<a href="javascript:void(0)" class="btn btn-link tender_setting" data-id="'+id+'">Tender</a>',icon:'fa-file',isHtmlName: true},
                        "limit": {name: '<a href="javascript:void(0)" class="btn btn-link limit_tender" data-id="'+id+'">Limit</a>',icon:'fa-battery-quarter',isHtmlName: true},
                        "verify": {name: '<a href="javascript:void(0)" class="btn btn-link sendVerificationMail" data-template="email-activation-template" data-id="'+id+'">Send Verify Mail</a>',icon:'fa-handshake-o',isHtmlName: true},
                        "Notes": {name: '<a href="'+site_url+'admin/user-notes/'+id+'" target="_blank" class="btn btn-link" data-id="'+id+'">Notes</a>',icon:'fa-sticky-note-o',isHtmlName: true},//addUserNotes
                    }
                };
            }
        });
    });
    /*$('.userid').hover(function() {
        var id = $(this).attr("data-id");
        var frq = $(this).attr("data-frq");
        var frqlt = $(this).attr("data-frqlt");
        var view_tenders = '<a href="'+site_url+'admin/viewed-tenders/'+id+'" class="btn btn-link" target="_blank" title="View tenders list which are user visited."> View Tenders</a>';
        var view = '<a href="'+site_url+'admin/user-profile/'+id+'" class="btn btn-link" target="_blank" title="View Users Profile."> View</a>';
        var edit = '<a href="'+site_url+'admin/edit-user-profile/'+id+'" class="btn btn-link" target="_blank" title="Edit Users Profile"> Edit</a>';
        var subscribe = '<a href="javascript:void(0)" class="btn btn-link subscribe" data-id="'+id+'" title="Set Subscription date of user.">Subscribe</a>';
        var delet = '<a href="javascript:void(0)" class="btn btn-link delete_user" data-id="'+id+'" title="Delete User"> Delete</a>';
        var tender_setting = '<a href="javascript:void(0)" class="btn btn-link tender_setting" data-id="'+id+'">Tender</a>';
        var limit = '<a href="javascript:void(0)" class="btn btn-link limit_tender" data-id="'+id+'">Limit</a>';
        var verify = '<a href="javascript:void(0)" class="btn btn-link sendVerificationMail" data-template="verificationHtml" data-id="'+id+'">verify</a>';

        $(this).find(".action").html(view_tenders+" "+view+" "+edit+" "+subscribe+" "+delet+" "+tender_setting+" "+limit+" "+verify);
        $(this).find(".action").show();
        //$("#example").find(".action").not("#"+id).html("");
    }, function() { 
        $(this).find(".action").hide();
        var id = $(this).attr("data-id");
        $("#"+id).html("");
    });*/
$("#suspend-all").on("click",function(){
    var userids = [];
    if($(this).is(":checked")){
        $(".suspend").prop("checked",true);
        $("#example4 tbody").find(".suspend").each(function(key,value){
            if($(this).is(":checked")) {
                userids.push($(this).attr("data-userid"));
            }
        });
        if(confirm("Really Want to suspend all users?")) {
            console.log("checked users");
            suspendUsers(userids,1);
        }else{
            $(this).prop("checked",false);
            $(".suspend").prop("checked",false);
        }
    }else{
        $(".suspend").prop("checked",false);
        $("#example4 tbody").find(".suspend").each(function(key,value){
            if(! $(this).is(":checked")) {
                userids.push($(this).attr("data-userid"));
            }
        });
        if(confirm("Really Want to Un suspend all users?")) {
            console.log("unchecked users");
            suspendUsers(userids,0);
        }else{
            $(this).prop("checked",true);
            $(".suspend").prop("checked",true);
        }
    }
});

function suspendUsers(userid,val) {
    $.ajax({
        url: site_url+"user_search/suspendUser",
        type: "POST",
        data: "userid="+userid+"&val="+val,
        success: function(result){
            
        }
    });
}
</script>