﻿<!doctype HTML>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title><?php echo (isset($head_title) && $head_title!="")?$head_title:'Global Tenders global tender world tender notices international competitive bids'; ?></title>
        <meta name="description" content="<?php echo (isset($head_des) && $head_des!="")?$head_des:""; ?>">
        <meta name="keywords" content="<?php echo (isset($head_keyword) && $head_keyword!="")?$head_keyword:""; ?>">
        <meta name="revisit-after" content="30 day">
        <meta name="copyright" content="Copyright 2002-2018 Global Tenders/Anroh - All Rights Reserved">
        <meta name="classification" content="Advertising and Marketing">
        <meta name="robots" content="index, follow">
        <meta name="distribution" content="Global">
        <meta name="rating" content="General">
        <meta name="category" content="Advertising, Marketing, Business">
        <meta name="doc-type" content="Public">
        <?php if (isset($canonical) && $canonical != "") { ?>
            <link rel="canonical" href="<?php echo $canonical; ?>">
        <?php } ?>
        <link rel="stylesheet" href="<?php echo base_url("new-gt/tenders/assets/user/new/css/bootstrap4/bootstrap.min.css"); ?>" type="text/css">
        <link rel="stylesheet" href="<?php echo base_url("new-gt/tenders/assets/user/new/css/bootstrap-glyphicons.css"); ?>" type="text/css">
        <link rel="stylesheet" href="<?php echo base_url("new-gt/tenders/assets/user/new/css/bootstrap-datetimepicker.css"); ?>" type="text/css" />
        <link rel="stylesheet" href="<?php echo base_url("new-gt/tenders/assets/user/new/css/daterangepicker.css"); ?>" type="text/css" />
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/select2.min.css"); ?>" type="text/css">
        <link rel="stylesheet" href="<?php echo base_url("new-gt/tenders/assets/user/new/css/owl.carousel.css"); ?>" type="text/css">
        <link rel="stylesheet" href="<?php echo base_url("new-gt/tenders/assets/user/new/css/style.css"); ?>" type="text/css">
        <link rel="stylesheet" href="<?php echo base_url("new-gt/tenders/assets/user/new/css/googlefonts.css"); ?>" type="text/css">
        <link rel="stylesheet" href="<?php echo base_url("new-gt/tenders/formvalidation/css/formValidation.css"); ?>" type="text/css" />
        <script src="<?php echo base_url("new-gt/tenders/assets/user/new/js/jquery.min.js"); ?>"></script>
        <style type="text/css">
            .tooltip{font-size:12px;}
            .tooltip-inner{background-color:#ddd;color:#000;}
        </style>
        <script type="text/javascript">
            var site_url = '<?php echo base_url(); ?>';
        </script>
    </head>
    <body>
        <div id="main-wrapper" style="width:100%; overflow-x:hidden;">
        <header id="header">
            <div class="header-top-bar header-top-bar1 hidden-xs">
                <div class="container">
                    <div class="top-text pull-left hidden-xs hidden-sm">
                        <span>Global Tenders - World's most comprehensive and latest tender information since 2002</span>
                    </div>
                    <div class="header-language pull-right">
                        <div id="google_translate_element"></div>
                        <script type="text/javascript">
                            function googleTranslateElementInit() {
                            new google.translate.TranslateElement({pageLanguage: 'en', layout: google.translate.TranslateElement.InlineLayout.SIMPLE}, 'google_translate_element');
                            }
                        </script>
                        <script type="text/javascript" src="https://translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>
                    </div>
                </div>
            </div>
            <div class="header-top-bar header-top-bar2">
                <div class="container">
                    <div class="header-logo text-center col-md-2 col-xs-12 col-sm-12">
                        <h4><a href="<?php echo base_url(); ?>"><img src="https://www.globaltenders.com/new-gt/tenders/assets/user/new/img/logo.png" class="logo-img" alt="logo"></a></h4>
                    </div>
                    <div class="col-md-12 header-res-login">
                        <div class="col-md-10 col-sm-9 col-xs-8 ">
                            <a href="<?php echo base_url(); ?>"><img src="https://www.globaltenders.com/new-gt/tenders/assets/user/new/img/global-tenders-white-logo.png" class="res-logo" alt="logo"></a>
                        </div>
                        <div class="col-md-2 col-sm-2 col-xs-3 header-res-menu">
                            <a href="<?php echo base_url("global-tenders-logout"); ?>" title="Logout">
                            <i class="glyphicon glyphicon-log-in"></i>
                            </a>
                            <a href="<?php echo base_url("global-tenders-search.php"); ?>" title="Search">
                            <i class="glyphicon glyphicon-search"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-md-10 hidden-xs hidden-sm">
                        <div class="row row1">
                            <ul class="largenav">
                                <li class="upper-links">
                                    <a class="links" href="<?php echo base_url("free-global-tenders/index.php"); ?>" data-toggle="tooltip" data-placement="top" title="Free to View Featured Notices" >
                                    <i class="glyphicon glyphicon-folder-open"></i><br>
                                        Free Tenders
                                    </a>
                                </li>
                                <li class="upper-links">                  
                                    <a class="links" href="https://www.globaltenders.com/publish-global-tenders.php">
                                    <i class="glyphicon glyphicon-globe"></i><br>
                                        Publish Tenders
                                    </a>
                                </li>
                                <li class="upper-links">
                                    <a class="links" href="https://www.globaltenders.com/global-tenders-services.php">
                                    <i class="glyphicon glyphicon-list"></i><br>
                                        Services
                                    </a>
                                </li>
                                <?php $is_user_logged_in = ((isset($_COOKIE["is_user_logged_in"]))?$_COOKIE["is_user_logged_in"]:(isset($_SESSION["is_user_logged_in"])?$_SESSION["is_user_logged_in"]:false)); ?>
                                <?php if(isset($is_user_logged_in) && $is_user_logged_in==false){ ?>
                                <li class="upper-links">
                                    <a class="links" href="https://www.globaltenders.com/global-tenders-registration.php">
                                    <i class="glyphicon glyphicon-edit"></i><br>
                                        Register
                                    </a>
                                </li>
                                <?php } ?>
                                <?php if(isset($is_user_logged_in) && $is_user_logged_in==true){ ?>
                                <li class="upper-links">
                                    <a class="links" href="https://www.globaltenders.com/dashboard.php">
                                    <i class="glyphicon glyphicon-briefcase"></i><br>
                                    My Dashboard
                                    </a>
                                </li>
                                <li class="upper-links">
                                    <a class="links" href="https://www.globaltenders.com/global-tenders-logout">
                                    <i class="glyphicon glyphicon-log-in"></i><br>
                                        Logout
                                    </a>
                                </li>
                                <?php }else{ ?>
                                <li class="upper-links">
                                    <a class="links" href="https://www.globaltenders.com/dashboard.php">
                                    <i class="glyphicon glyphicon-briefcase"></i><br>
                                        My Dashboard
                                    </a>
                                </li>
                                <li class="upper-links">
                                    <a class="links" href="https://www.globaltenders.com/tender-login/sign-up.php">
                                    <i class="glyphicon glyphicon-log-in"></i><br>
                                        Login
                                    </a>
                                </li>
                                <?php } ?>
                            </ul>
                            <input type="hidden" id="is_static_menu" value="<?php echo $this->session->userdata("is_static_menu") ?>" />
                            <form name="advanceFields" id="advanceFields">
                                <input type="hidden" id="search_bidding_type" name="bidding_type" value="<?php echo (isset($search_bidding_type))?$search_bidding_type:"" ?>" />
                                <input type="hidden" id="cpv" name="cpv" value="<?php echo (isset($cpv))?$cpv:"" ?>" />
                                <input type="hidden" id="search_funding_agency" name="funding_agency" value="<?php echo (isset($search_funding_agency))?$search_funding_agency:"" ?>" />
                                <input type="hidden" id="search_noticeType" name="notice_type" value="<?php echo (isset($search_notice_type))?$search_notice_type:"" ?>" />
                                <input type="hidden" id="posting_id" name="posting_id" value="<?php echo (isset($posting_id))?$posting_id:"" ?>" />
                                <input type="hidden" id="date_c" name="date_c" value="<?php echo (isset($date_c))?$date_c:"" ?>" />
                                <input type="hidden" id="date_c_start" name="date_c_start" value="<?php echo (isset($date_c_start))?$date_c_start:"" ?>" />
                                <input type="hidden" id="date_c_end" name="date_c_end" value="<?php echo (isset($date_c_end))?$date_c_end:"" ?>" />
                                <input type="hidden" id="post_range" name="postrange" value="<?php echo (isset($postrange))?$postrange:"" ?>" />
                                <input type="hidden" id="search_est_cost_condition" name="est_cost_condition" value="<?php echo (isset($est_cost_condition))?$est_cost_condition:"" ?>" />
                                <input type="hidden" id="search_est_cost" name="est_cost" value="<?php echo (isset($est_cost))?$est_cost:"" ?>" />
                                <?php if(isset($location) && is_array($location) && count($location)>1){ foreach ($location as $key => $value) : ?>
                                <input type="hidden" class="searchLocation" name="location[]" value="<?php echo $value; ?>" />
                                <?php endforeach; }else{ ?>
                                <input type="hidden" id="searchLocation" name="location[]" value="<?php echo (isset($location))?((is_array($location))?implode(",", $location):$location):"" ?>" />
                                <?php } ?>
                            </form>
                            <form name="hiddenFields" id="hiddenFields">
                                <?php if(isset($region_name) && is_array($region_name) && count($region_name)>1){ foreach ($region_name as $key => $value) : ?>
                                <input type="hidden" class="menuValue" name="region_name[]" value="<?php echo $value; ?>" />
                                <?php endforeach; }else{  ?>
                                <input type="hidden" id="menuValue" name="region_name[]" value="<?php echo (isset($region_name))?((is_array($region_name))?implode(",", $region_name):$region_name):"" ?>" />
                                <?php } ?>
                                <input type="hidden" id="omitRegionName" name="omit_region_name[]" value="<?php echo (isset($omit_region_name))?((is_array($omit_region_name))?implode(",", $omit_region_name):$omit_region_name):"" ?>" />
                                <input type="hidden" id="searchStatus" name="status" value="<?php echo (isset($status))?$status:"" ?>" />
                                <input type="hidden" id="searchValue" name="deadline" value="<?php echo (isset($search_deadline))?$search_deadline:"" ?>" />
                                <input type="hidden" id="noticeType" name="notice_type" value="<?php echo (isset($search_notice_type))?$search_notice_type:"" ?>" />
                                <input type="hidden" id="tenderType" name="tender_type" value="<?php echo (isset($search_tender_type))?$search_tender_type:"live" ?>" />
                                <input type="hidden" id="searchKeyword" name="keyword" value="<?php echo (isset($keyword))?$keyword:"" ?>" />
                                <input type="hidden" id="omitSearchKeyword" name="omit_keyword" value="<?php echo (isset($omit_keyword))?$omit_keyword:"" ?>" />
                                <?php if(isset($sector) && is_array($sector) && count($sector)>1){ foreach ($sector as $key => $value) : ?>
                                <input type="hidden" class="searchSector" name="sector[]" value="<?php echo $value; ?>" />
                                <?php endforeach; }else{ ?>
                                <input type="hidden" id="searchSector" name="sector[]" value="<?php echo (isset($sector))?((is_array($sector))?implode(",", $sector):$sector):"" ?>" />
                                <?php } ?>
                                <input type="hidden" id="omitSearchSector" name="omit_sector[]" value="<?php echo (isset($omit_sector))?((is_array($omit_sector))?implode(",", $omit_sector):$omit_sector):"" ?>" />
                            </form>
                        </div>
                        <input type="hidden" id="gd" value="<?php if(isset($gd)){ echo $gd; }else{ echo 0; } ?>" />
                        <input type="hidden" id="checkUserPaymentStatus" value="<?php echo ($this->subscription)?$this->subscription:0; ?>" />
                        <input type="hidden" id="q" value="<?php echo (isset($q))?$q:''; ?>" />
                    </div>
                </div>
                <!-- END .CONTAINER -->
            </div>
            <!-- END .HEADER-TOP-BAR -->
            <div class="header-top-bar header-top-bar1 asia">
                <div class="container">
                    <div class="header-nav-bar home-slide">
                        <nav>
                            <button><i class="fa fa-bars"></i></button>
                            <ul class="primary-nav list-unstyled">
                                <li class="dropdown mega-dropdown">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">Tender Notices</a>
                                    <ul class="dropdown-menu mega-dropdown-menu row">
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Tenders By Country</li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-india.php">India</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-uk.php">United Kingdom</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-usa.php">United States</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-australia.php">Australia</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-worldwide.php">View All</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/global-tenders-countries.php">More Countries</a></li>
                                            </ul>
                                        </li>
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Tenders By Region</li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-asia.php">Asia</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-europe.php">Europe</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-americas.php">America</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-australia.php">Australia</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-mena.php">Mena Countries</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/global-tenders-regions.php">More Region</a></li>
                                            </ul>
                                        </li>
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Tenders By Sector</li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-infrastructure-construction.php">Construction</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-healthcare-medicine.php">Medical</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-energy-power-electrical.php">Electrical</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-consultancy.php">Consultancy</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-information-technology-it.php">IT</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/global-tenders-sectors.php">More Sectors</a></li>
                                            </ul>
                                        </li>
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Tenders By Products</li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-transformers.php">Transformers</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-cement.php">Cement</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-electric-sub-stations.php">Sub Stations</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-healthcare.php">Healthcare</a></li>
                                                <li><a href="https://www.globaltenders.com/global-tenders-pipes.php">Pipes</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/global-tenders-products.php">More Products</a></li>
                                            </ul>
                                        </li>
                                    </ul>
                                </li>
                                <li class="dropdown mega-dropdown">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">Project Information</a>
                                    <ul class="dropdown-menu mega-dropdown-menu row">
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Project By Country</li>
                                                <li><a href="https://www.globaltenders.com/global-projects-india.php">India</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-usa.php">United States</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-australia.php">Australia</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-south-africa.php">South Africa</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-worldwide.php">View All</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/global-projects-countries.php">More Countries</a></li>
                                            </ul>
                                        </li>
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Project By Region</li>
                                                <li><a href="https://www.globaltenders.com/global-projects-asia.php">Asia</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-europe.php">Europe</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-americas.php">America</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-australia.php">Australia</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-mena.php">Mena Countries</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/global-projects-regions.php">More Region</a></li>
                                            </ul>
                                        </li>
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Project By Category</li>
                                                <li><a href="https://www.globaltenders.com/global-projects-infrastructure-construction.php">Construction</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-healthcare-medicine.php">Medical</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-energy-power-electrical.php">Electrical</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-consultancy.php">Consultancy</a></li>
                                                <li><a href="https://www.globaltenders.com/global-projects-information-technology-it.php">IT</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/global-projects-sectors.php">More Sectors</a></li>
                                            </ul>
                                        </li>
                                        <!-- <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Project By Products</li>
                                                <li><a href="#">Transformers</a></li>
                                                <li><a href="#">Cement</a></li>
                                                <li><a href="#">Sub Stations</a></li>
                                                <li><a href="#">Healthcare</a></li>
                                                <li><a href="#">Pipes</a></li>
                                                <li class="more-ten"><a href="#">More Products</a></li>
                                            </ul>
                                        </li> -->
                                    </ul>
                                </li>
                                <li class="dropdown mega-dropdown">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">Procurement News</a>
                                    <ul class="dropdown-menu mega-dropdown-menu row">
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Procurement By Country</li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-india.php">India</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-uk.php">United Kingdom</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-usa.php">United States</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-australia.php">Australia</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-worldwide.php">View All</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/global-procurement-countries.php">More Countries</a></li>
                                            </ul>
                                        </li>
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Procurement By Region</li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-asia.php">Asia</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-europe.php">Europe</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-americas.php">America</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-australia.php">Australia</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-mena-countries.php">Mena Countries</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/global-procurement-regions.php">More Region</a></li>
                                            </ul>
                                        </li>
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Procurement By Sector</li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-infrastructure-construction.php">Construction</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-healthcare-medicine.php">Medical</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-energy-power-electrical.php">Electrical</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-defence.php">Defence</a></li>
                                                <li><a href="https://www.globaltenders.com/global-procurement-information-technology-it.php">IT</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/global-procurement-sectors.php">More Sectors</a></li>
                                            </ul>
                                        </li>
                                        <!-- <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Procurement By Products</li>
                                                <li><a href="#">Transformers</a></li>
                                                <li><a href="#">Cement</a></li>
                                                <li><a href="#">Sub Stations</a></li>
                                                <li><a href="#">Healthcare</a></li>
                                                <li><a href="#">Pipes</a></li>
                                                <li class="more-ten"><a href="#">More Products</a></li>
                                            </ul>
                                        </li> -->
                                    </ul>
                                </li>
                                <li class="dropdown mega-dropdown">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">Contract Awards</a> 
                                    <ul class="dropdown-menu mega-dropdown-menu row">
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Contract By Country</li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-india.php">India</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-uk.php">United Kingdom</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-usa.php">United States</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-australia.php">Australia</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-worldwide.php">View All</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/contract-awards-countries.php">More Countries</a></li>
                                            </ul>
                                        </li>
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Contract By Region</li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-asia.php">Asia</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-europe.php">Europe</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-americas.php">America</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-australia.php">Australia</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-mena.php">Mena Countries</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/contract-awards-regions.php">More Region</a></li>
                                            </ul>
                                        </li>
                                        <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Contract By Sector</li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-infrastructure-construction.php">Construction</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-healthcare-medicine.php">Medical</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-energy-power-electrical.php">Electrical</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-consultancy.php">Consultancy</a></li>
                                                <li><a href="https://www.globaltenders.com/contract-awards-information-technology-it.php">IT</a></li>
                                                <li class="more-ten"><a href="https://www.globaltenders.com/contract-awards-sectors.php">More Sectors</a></li>
                                            </ul>
                                        </li>
                                        <!-- <li class="col-sm-3">
                                            <ul class="list-type">
                                                <li class="dropdown-header">Contract By Products</li>
                                                <li><a href="#">Transformers</a></li>
                                                <li><a href="#">Cement</a></li>
                                                <li><a href="#">Sub Stations</a></li>
                                                <li><a href="#">Healthcare</a></li>
                                                <li><a href="#">Pipes</a></li>
                                                <li class="more-ten"><a href="#">More Products</a></li>
                                            </ul>
                                        </li> -->
                                    </ul>
                                </li>
                                <li><a href="<?php echo base_url("global-tenders-search.php"); ?>">Advanced Search</a></li>
                                <li><a href="https://www.globaltenders.com/contact.php">Contact us</a></li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
            <div class="header-top-bar header-top-bar1 sticky-header" style="display:none;">
                <div class="container">
                    <div class="header-nav-bar home-slide">
                        <nav>
                            <button><i class="fa fa-bars"></i></button>
                            <div class="col-md-6">
                                <ul class="primary-nav list-unstyled">
                                    <li class="col-md-3" style="border-right:none;"><img src="https://www.globaltenders.com/new-gt/tenders/assets/user/new/img/White-Logo.png" alt="sticky-logo" class="sticky-logo"></li>
                                    <li class="col-md-9" style="padding-right:0px;">
                                        <form action="https://www.globaltenders.com/gt-search" method="get" accept-charset="utf-8">
                                            <div class="input-group stylish-input-group">
                                                <input type="text" class="form-control" name="keyword[]"  placeholder="Search" autocomplete="off" >
                                                <span class="input-group-addon">
                                                    <button type="submit">
                                                        <span class="glyphicon glyphicon-search"></span>
                                                    </button>  
                                                </span>
                                            </div>
                                        </form>
                                    </li>
                                </ul>
                            </div>
                            <div class="col-md-6">
                                <ul class="primary-nav list-unstyled">
                                    <li class="dropdown mega-dropdown">
                                        <a href="<?php echo base_url("global-tenders-search.php"); ?>">
                                            <i class="glyphicon glyphicon-search"></i><br>
                                            Advanced Search
                                        </a>
                                    </li>
                                    <?php if(isset($is_user_logged_in) && $is_user_logged_in==false){ ?>
                                    <li>
                                        <a href="<?php echo base_url("global-tenders-registration.php"); ?>">
                                            <i class="glyphicon glyphicon-edit"></i><br>
                                            Register
                                        </a>
                                    </li>
                                    <?php } ?>
                                    <?php if(isset($is_user_logged_in) && $is_user_logged_in==true){ ?>
                                    <li>
                                        <a href="<?php echo base_url("dashboard.php"); ?>">
                                            <i class="glyphicon glyphicon-briefcase"></i><br>
                                            My Dashboard
                                        </a>
                                    </li>
                                    <li>
                                        <a href="<?php echo base_url("global-tenders-logout"); ?>">
                                            <i class="glyphicon glyphicon-log-in"></i><br>
                                            Logout
                                        </a>    
                                    </li>
                                    <?php }else{ ?>
                                    <li>
                                        <a href="<?php echo base_url("tender-login/sign-up.php"); ?>">
                                            <i class="glyphicon glyphicon-log-in"></i><br>
                                            Login
                                        </a>    
                                    </li>
                                    <?php } ?>
                                </ul>
                            </div>
                        </nav>
                    </div>
                </div>
            </div>
            <div id="wrapper">
                <div class="overlay"></div>
                <nav class="navbar navbar-inverse navbar-fixed-top" id="sidebar-wrapper" role="navigation">
                    <ul class="nav sidebar-nav">
                        <li><img src="https://www.globaltenders.com/new-gt/tenders/assets/user/new/img/global-tender-white-logo.png" alt="global tender white logo" class="sticky-logo"></li>
                        <li class="dropdown mega-dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">Tender Notices</a>
                            <ul class="dropdown-menu mega-dropdown-menu row">
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Tenders By Country</li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-india.php">India</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-uk.php">United Kingdom</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-usa.php">United States</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-australia.php">Australia</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-worldwide.php">View All</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/global-tenders-countries.php">More Countries</a></li>
                                  </ul>
                               </li>
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Tenders By Region</li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-asia.php">Asia</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-europe.php">Europe</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-americas.php">America</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-australia.php">Australia</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-mena.php">Mena Countries</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/global-tenders-regions.php">More Region</a></li>
                                  </ul>
                               </li>
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Tenders By Sector</li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-infrastructure-construction.php">Construction</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-healthcare-medicine.php">Medical</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-energy-power-electrical.php">Electrical</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-consultancy.php">Consultancy</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-information-technology-it.php">IT</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/global-tenders-sectors.php">More Sectors</a></li>
                                  </ul>
                               </li>
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Tenders By Products</li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-transformers.php">Transformers</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-cement.php">Cement</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-electric-sub-stations.php">Sub Stations</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-healthcare.php">Healthcare</a></li>
                                     <li><a href="https://www.globaltenders.com/global-tenders-pipes.php">Pipes</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/global-tenders-products.php">More Products</a></li>
                                  </ul>
                               </li>
                            </ul>
                         </li>
                         <li class="dropdown mega-dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">Project Information</a>
                            <ul class="dropdown-menu mega-dropdown-menu row">
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Project By Country</li>
                                     <li><a href="https://www.globaltenders.com/global-projects-india.php">India</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-usa.php">United States</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-australia.php">Australia</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-south-africa.php">South Africa</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-worldwide.php">View All</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/global-projects-countries.php">More Countries</a></li>
                                  </ul>
                               </li>
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Project By Region</li>
                                     <li><a href="https://www.globaltenders.com/global-projects-asia.php">Asia</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-europe.php">Europe</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-americas.php">America</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-australia.php">Australia</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-mena.php">Mena Countries</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/global-projects-regions.php">More Region</a></li>
                                  </ul>
                               </li>
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Project By Category</li>
                                     <li><a href="https://www.globaltenders.com/global-projects-infrastructure-construction.php">Construction</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-healthcare-medicine.php">Medical</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-energy-power-electrical.php">Electrical</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-consultancy.php">Consultancy</a></li>
                                     <li><a href="https://www.globaltenders.com/global-projects-information-technology-it.php">IT</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/global-projects-sectors.php">More Sectors</a></li>
                                  </ul>
                               </li>
                               <!-- <li>
                                  <ul>
                                     <li class="dropdown-header">Procurement By Products</li>
                                     <li><a href="#">Transformers</a></li>
                                     <li><a href="#">Cement</a></li>
                                     <li><a href="#">Sub Stations</a></li>
                                     <li><a href="#">Healthcare</a></li>
                                     <li><a href="#">Pipes</a></li>
                                     <li class="more-ten"><a href="#">More Products</a></li>
                                  </ul>
                               </li> -->
                            </ul>
                         </li>
                         <li class="dropdown mega-dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">Procurement News</a>
                            <ul class="dropdown-menu mega-dropdown-menu row">
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Procurement By Country</li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-india.php">India</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-uk.php">United Kingdom</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-usa.php">United States</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-australia.php">Australia</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-worldwide.php">View All</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/global-procurement-countries.php">More Countries</a></li>
                                  </ul>
                               </li>
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Procurement By Region</li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-asia.php">Asia</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-europe.php">Europe</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-americas.php">America</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-australia.php">Australia</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-mena-countries.php">Mena Countries</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/global-procurement-regions.php">More Region</a></li>
                                  </ul>
                               </li>
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Procurement By Sector</li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-infrastructure-construction.php">Construction</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-healthcare-medicine.php">Medical</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-energy-power-electrical.php">Electrical</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-defence.php">Defence</a></li>
                                     <li><a href="https://www.globaltenders.com/global-procurement-information-technology-it.php">IT</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/global-procurement-sectors.php">More Sectors</a></li>
                                  </ul>
                               </li>
                               <!-- <li>
                                  <ul>
                                     <li class="dropdown-header">Procurement By Products</li>
                                     <li><a href="#">Transformers</a></li>
                                     <li><a href="#">Cement</a></li>
                                     <li><a href="#">Sub Stations</a></li>
                                     <li><a href="#">Healthcare</a></li>
                                     <li><a href="#">Pipes</a></li>
                                     <li class="more-ten"><a href="#">More Products</a></li>
                                  </ul>
                               </li> -->
                            </ul>
                         </li>
                         <li class="dropdown mega-dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">Contract Awards</a>
                            <ul class="dropdown-menu mega-dropdown-menu row">
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Contract By Country</li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-india.php">India</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-uk.php">United Kingdom</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-usa.php">United States</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-australia.php">Australia</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-worldwide.php">View All</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/contract-awards-countries.php">More Countries</a></li>
                                  </ul>
                               </li>
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Contract By Region</li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-asia.php">Asia</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-europe.php">Europe</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-americas.php">America</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-australia.php">Australia</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-mena.php">Mena Countries</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/contract-awards-regions.php">More Region</a></li>
                                  </ul>
                               </li>
                               <li>
                                  <ul>
                                     <li class="dropdown-header">Contract By Sector</li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-infrastructure-construction.php">Construction</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-healthcare-medicine.php">Medical</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-energy-power-electrical.php">Electrical</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-consultancy.php">Consultancy</a></li>
                                     <li><a href="https://www.globaltenders.com/contract-awards-information-technology-it.php">IT</a></li>
                                     <li class="more-ten"><a href="https://www.globaltenders.com/contract-awards-sectors.php">More Sectors</a></li>
                                  </ul>
                               </li>
                               <!-- <li>
                                  <ul>
                                     <li class="dropdown-header">Contract By Products</li>
                                     <li><a href="#">Transformers</a></li>
                                     <li><a href="#">Cement</a></li>
                                     <li><a href="#">Sub Stations</a></li>
                                     <li><a href="#">Healthcare</a></li>
                                     <li><a href="#">Pipes</a></li>
                                     <li class="more-ten"><a href="#">More Products</a></li>
                                  </ul>
                               </li> -->
                            </ul>
                         </li>
                         <li><a href="<?php echo base_url("global-tenders-search.php"); ?>">Advanced Search</a></li>
                         <li><a href="https://www.globaltenders.com/contact.php">Contact us</a></li>
                         <li><a class="links" href="https://www.globaltenders.com/publish-global-tenders.php">Publish Tenders</a></li>
                         <li><a href="https://www.globaltenders.com/global-tenders-services.php">Services</a></li>
                         <?php if(isset($is_user_logged_in) && $is_user_logged_in==false){ ?>
                            <li><a href="<?php echo base_url("global-tenders-registration.php"); ?>">Register</a></li>
                         <?php } ?>
                         <?php if(isset($is_user_logged_in) && $is_user_logged_in==true){ ?>
                            <li><a href="<?php echo base_url("dashboard.php"); ?>">Dashboard</a></li>
                            <li><a href="<?php echo base_url("global-tenders-logout"); ?>">Logout</a></li>
                         <?php }else{ ?>
                            <li>
                               <a href="<?php echo base_url("tender-login/sign-up.php"); ?>" class="btn btn-default btn-default1"><i class="glyphicon glyphicon-log-in"></i> Login</a>
                            </li>
                         <?php } ?>
                      </ul>
                </nav>
                <div id="page-content-wrapper">
                    <button type="button" class="hamburger is-closed" data-toggle="offcanvas">
                    <span class="hamb-top"></span>
                    <span class="hamb-middle"></span>
                    <span class="hamb-bottom"></span>
                    </button>
                </div>
            </div>
        </header>
        <!-- end #header -->
